//
// File: Cego.cc
// This code was produced by the dragon parser generator
//
#include "Cego.h"
#include <lfcbase/Exception.h>
#include <lfcbase/StackT.h>

Cego::ScannerStateEntry::ScannerStateEntry()
{
}

Cego::ScannerStateEntry::ScannerStateEntry(int state, ScannerStateType type)
{
   _state = state;
   _type = type;
}

Cego::ScannerStateEntry& Cego::ScannerStateEntry::operator = (const Cego::ScannerStateEntry& s)
{
   _state = s._state;
   _type = s._type;
   return(*this);
}

bool Cego::ScannerStateEntry::operator == (const Cego::ScannerStateEntry& s)
{
   if ( _state == s._state )
      return true;
   return false;
}

Cego::ScannerStateType Cego::ScannerStateEntry::getType()
{
   return _type;
}
int Cego::ScannerStateEntry::getState()
{
   return _state;
}


Cego::ScannerTransEntry::ScannerTransEntry()
{
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c)
{
   _state = state;
   _c = c;
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c, int fstate)
{
   _state = state;
   _c = c;
   _fstate = fstate;
}

Cego::ScannerTransEntry& Cego::ScannerTransEntry::operator = (const Cego::ScannerTransEntry& s)
{
   _state = s._state;
   _c = s._c;
   _fstate = s._fstate;
   return(*this);
}

bool Cego::ScannerTransEntry::operator == (const Cego::ScannerTransEntry& s)
{
   if ( _state == s._state && _c == s._c)
      return true;
   return false;
}

int Cego::ScannerTransEntry::getFState()
{
   return _fstate;
}


Cego::Scanner::Scanner()
{
}


Cego::Scanner::Scanner(Token t)
{
   _token = t;
}

Cego::Token Cego::Scanner::getToken()
{
   return _token;
}

void Cego::Scanner::addState(ScannerStateEntry s)
{
   _stateList.Insert(s);
}

void Cego::Scanner::addTransition(ScannerTransEntry t)
{
   _transList.Insert(t);
}

bool Cego::Scanner::checkPattern(const Chain& p)
{
   unsigned long state = 0;
   ScannerStateEntry* pS = _stateList.First();
   while (pS)
   {
      if (pS->getType() == START || pS->getType() == ANY)
      {
         state = pS->getState();
         pS = 0;
      }
      else
      {
         pS = _stateList.Next();
      }
   }
   unsigned long i = 0;
   ScannerTransEntry* pT = 
   _transList.Find(ScannerTransEntry(state, p[i]));
   while (pT)
   {
      ScannerStateEntry* pS = _stateList.Find(ScannerStateEntry(pT->getFState())); 
      if (pS)
      {
         if ( ( i == p.length()-2 ) && ( pS->getType() == FINAL || pS->getType() == ANY))
         {
            return true;
         }
         else
         {
            state = pT->getFState();
         }
      }
      else
      {
         return false;
      }
      i++;
      pT = _transList.Find(ScannerTransEntry(state, p[i]));
   }
   return false;
}
Cego::StackEntry::StackEntry()
{
   _symbol = NONE;
}

Cego::StackEntry::StackEntry(Symbol symbol, int num, int state, Chain tval)
{
   _symbol=symbol;
   _num=num;
   _state=state;
   _tval=tval;
}

Cego::StackEntry& Cego::StackEntry::operator = (const Cego::StackEntry& se)
{
   _symbol=se._symbol;
   _num=se._num;
   _state=se._state;
   _tval=se._tval;
   return(*this);
}

int Cego::StackEntry::getState()
{
   return _state;
}
Cego::Symbol Cego::StackEntry::getSymbol()
{
   return _symbol;
}
Chain& Cego::StackEntry::getTval()
{
   return _tval;
}

Cego::ActionEntry::ActionEntry()
{
   _action=NULLACTION;
}

Cego::ActionEntry::ActionEntry(Action action , int num)
{
   _action=action;
   _num=num;
}

bool Cego::ActionEntry::operator == (const Cego::ActionEntry& ae)
{
   if (_action == ae._action && _num == ae._num)
      return true;
   return false;
}

Cego::ActionEntry& Cego::ActionEntry::operator = (const Cego::ActionEntry& ae)
{
   _action=ae._action;
   _num=ae._num;
   return(*this);
}

Cego::Action Cego::ActionEntry::getAction()
{
   return _action;
}

int Cego::ActionEntry::getNum()
{
   return _num;
}

Cego::ProdEntry::ProdEntry()
{
}

Cego::ProdEntry::ProdEntry(int id)
{
   _id = id;
}

Cego::ProdEntry::ProdEntry(int id, Production prod, int numSymbol)
{
   _id = id;
   _prod = prod;
   _numSymbol = numSymbol;
}

bool Cego::ProdEntry::operator == (const Cego::ProdEntry& pe)
{
   if (_id == pe._id)
      return true;
   return false;
}

Cego::ProdEntry& Cego::ProdEntry::operator = (const Cego::ProdEntry& pe)
{
   _id = pe._id;
   _prod = pe._prod;
   _numSymbol = pe._numSymbol;
   return(*this);
}


int Cego::ProdEntry::getId()
{
   return _id;
}

Cego::Production Cego::ProdEntry::getProd()
{
   return _prod;
}

int Cego::ProdEntry::getNumSymbol()
{
   return _numSymbol;
}
void Cego::loadScanner()
{
   Scanner s0(ADD);
   s0.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(2 ,START));
   s0.addState(ScannerStateEntry(3 ,FINAL));
   s0.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s0.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s0.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s0.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s0.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s0.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s0);

   Scanner s1(AND);
   s1.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(2 ,START));
   s1.addState(ScannerStateEntry(3 ,FINAL));
   s1.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s1.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s1.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s1.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s1.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s1.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s1);

   Scanner s2(ALL);
   s2.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(2 ,START));
   s2.addState(ScannerStateEntry(3 ,FINAL));
   s2.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s2.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s2.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s2.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s2.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s2.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s2);

   Scanner s3(ALTER);
   s3.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(2 ,START));
   s3.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(5 ,FINAL));
   s3.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s3.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s3.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s3.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s3.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s3.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s3.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s3.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s3.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s3.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s3);

   Scanner s4(APPEND);
   s4.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(2 ,START));
   s4.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(6 ,FINAL));
   s4.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s4.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s4.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s4.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s4.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s4.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s4.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s4.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s4.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s4.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s4.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s4.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s4);

   Scanner s5(AS);
   s5.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(1 ,FINAL));
   s5.addState(ScannerStateEntry(2 ,START));
   s5.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s5.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s5.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s5.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s5);

   Scanner s6(ASC);
   s6.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(2 ,START));
   s6.addState(ScannerStateEntry(3 ,FINAL));
   s6.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s6.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s6.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s6.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s6.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s6.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s6);

   Scanner s7(AUTHORIZE);
   s7.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(2 ,START));
   s7.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(9 ,FINAL));
   s7.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s7.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s7.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s7.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s7.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s7.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s7.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s7.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s7.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s7.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s7.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s7.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s7.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s7.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s7.addTransition(ScannerTransEntry(7 ,'Z' ,8));
   s7.addTransition(ScannerTransEntry(7 ,'z' ,8));
   s7.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s7.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s7);

   Scanner s8(AUTOCOMMIT);
   s8.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(2 ,START));
   s8.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(10 ,FINAL));
   s8.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s8.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s8.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s8.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s8.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s8.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s8.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s8.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s8.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s8.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s8.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s8.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s8.addTransition(ScannerTransEntry(6 ,'M' ,7));
   s8.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s8.addTransition(ScannerTransEntry(7 ,'M' ,8));
   s8.addTransition(ScannerTransEntry(7 ,'m' ,8));
   s8.addTransition(ScannerTransEntry(8 ,'I' ,9));
   s8.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s8.addTransition(ScannerTransEntry(9 ,'T' ,10));
   s8.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s8);

   Scanner s9(AVG);
   s9.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(2 ,START));
   s9.addState(ScannerStateEntry(3 ,FINAL));
   s9.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s9.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s9.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s9.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s9.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s9.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s9);

   Scanner s10(BEGIN);
   s10.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(2 ,START));
   s10.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(5 ,FINAL));
   s10.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s10.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s10.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s10.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s10.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s10.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s10.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s10.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s10.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s10.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s10);

   Scanner s11(BETWEEN);
   s11.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(2 ,START));
   s11.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(7 ,FINAL));
   s11.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s11.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s11.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s11.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s11.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s11.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s11.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s11.addTransition(ScannerTransEntry(3 ,'w' ,4));
   s11.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s11.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s11.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s11.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s11.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s11.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s11);

   Scanner s12(BIGINT);
   s12.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(2 ,START));
   s12.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(6 ,FINAL));
   s12.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s12.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s12.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s12.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s12.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s12.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s12.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s12.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s12.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s12.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s12.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s12.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s12);

   Scanner s13(BITAND);
   s13.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(2 ,START));
   s13.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(6 ,FINAL));
   s13.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s13.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s13.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s13.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s13.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s13.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s13.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s13.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s13.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s13.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s13.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s13.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s13);

   Scanner s14(BITOR);
   s14.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(2 ,START));
   s14.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(5 ,FINAL));
   s14.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s14.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s14.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s14.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s14.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s14.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s14.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s14.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s14.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s14.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s14);

   Scanner s15(BITXOR);
   s15.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(2 ,START));
   s15.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(6 ,FINAL));
   s15.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s15.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s15.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s15.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s15.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s15.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s15.addTransition(ScannerTransEntry(3 ,'X' ,4));
   s15.addTransition(ScannerTransEntry(3 ,'x' ,4));
   s15.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s15.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s15.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s15.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s15);

   Scanner s16(BLOB);
   s16.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(2 ,START));
   s16.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(4 ,FINAL));
   s16.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s16.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s16.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s16.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s16.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s16.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s16.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s16.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s16);

   Scanner s17(BLOBSIZE);
   s17.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(2 ,START));
   s17.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(8 ,FINAL));
   s17.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s17.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s17.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s17.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s17.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s17.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s17.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s17.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s17.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s17.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s17.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s17.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s17.addTransition(ScannerTransEntry(6 ,'Z' ,7));
   s17.addTransition(ScannerTransEntry(6 ,'z' ,7));
   s17.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s17.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s17);

   Scanner s18(BOOL);
   s18.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(2 ,START));
   s18.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(4 ,FINAL));
   s18.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s18.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s18.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s18.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s18.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s18.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s18.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s18.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s18);

   Scanner s19(BTREE);
   s19.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(2 ,START));
   s19.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(5 ,FINAL));
   s19.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s19.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s19.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s19.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s19.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s19.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s19.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s19.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s19.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s19.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s19);

   Scanner s20(BY);
   s20.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(1 ,FINAL));
   s20.addState(ScannerStateEntry(2 ,START));
   s20.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s20.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s20.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s20.addTransition(ScannerTransEntry(2 ,'b' ,0));
   _scannerList.Insert(s20);

   Scanner s21(CALL);
   s21.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(2 ,START));
   s21.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(4 ,FINAL));
   s21.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s21.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s21.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s21.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s21.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s21.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s21.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s21.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s21);

   Scanner s22(CASE);
   s22.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(2 ,START));
   s22.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(4 ,FINAL));
   s22.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s22.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s22.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s22.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s22.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s22.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s22.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s22.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s22);

   Scanner s23(CHECK);
   s23.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(2 ,START));
   s23.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(5 ,FINAL));
   s23.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s23.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s23.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s23.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s23.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s23.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s23.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s23.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s23.addTransition(ScannerTransEntry(4 ,'K' ,5));
   s23.addTransition(ScannerTransEntry(4 ,'k' ,5));
   _scannerList.Insert(s23);

   Scanner s24(CLOSE);
   s24.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(2 ,START));
   s24.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(5 ,FINAL));
   s24.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s24.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s24.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s24.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s24.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s24.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s24.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s24.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s24.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s24.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s24);

   Scanner s25(COMMIT);
   s25.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(2 ,START));
   s25.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(6 ,FINAL));
   s25.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s25.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s25.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s25.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s25.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s25.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s25.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s25.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s25.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s25.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s25.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s25.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s25);

   Scanner s26(COLUMN);
   s26.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(2 ,START));
   s26.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(6 ,FINAL));
   s26.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s26.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s26.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s26.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s26.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s26.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s26.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s26.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s26.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s26.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s26.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s26.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s26);

   Scanner s27(CONSTRAINT);
   s27.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(2 ,START));
   s27.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(10 ,FINAL));
   s27.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s27.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s27.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s27.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s27.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s27.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s27.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s27.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s27.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s27.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s27.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s27.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s27.addTransition(ScannerTransEntry(6 ,'A' ,7));
   s27.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s27.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s27.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s27.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s27.addTransition(ScannerTransEntry(8 ,'n' ,9));
   s27.addTransition(ScannerTransEntry(9 ,'T' ,10));
   s27.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s27);

   Scanner s28(COUNT);
   s28.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(2 ,START));
   s28.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(5 ,FINAL));
   s28.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s28.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s28.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s28.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s28.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s28.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s28.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s28.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s28.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s28.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s28);

   Scanner s29(COUNTER);
   s29.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(2 ,START));
   s29.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(7 ,FINAL));
   s29.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s29.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s29.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s29.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s29.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s29.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s29.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s29.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s29.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s29.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s29.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s29.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s29.addTransition(ScannerTransEntry(6 ,'R' ,7));
   s29.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s29);

   Scanner s30(CREATE);
   s30.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(2 ,START));
   s30.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(6 ,FINAL));
   s30.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s30.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s30.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s30.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s30.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s30.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s30.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s30.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s30.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s30.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s30.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s30.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s30);

   Scanner s31(CURSOR);
   s31.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(2 ,START));
   s31.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(6 ,FINAL));
   s31.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s31.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s31.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s31.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s31.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s31.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s31.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s31.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s31.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s31.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s31.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s31.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s31);

   Scanner s32(DATE);
   s32.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(2 ,START));
   s32.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(4 ,FINAL));
   s32.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s32.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s32.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s32.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s32.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s32.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s32.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s32.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s32);

   Scanner s33(DATE2STR);
   s33.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(2 ,START));
   s33.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(8 ,FINAL));
   s33.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s33.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s33.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s33.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s33.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s33.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s33.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s33.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s33.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s33.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s33.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s33.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s33.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s33.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s33.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s33);

   Scanner s34(DATE2INT);
   s34.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(2 ,START));
   s34.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(8 ,FINAL));
   s34.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s34.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s34.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s34.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s34.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s34.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s34.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s34.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s34.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s34.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s34.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s34.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s34.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s34.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s34.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s34);

   Scanner s35(DATETIME);
   s35.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(2 ,START));
   s35.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(8 ,FINAL));
   s35.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s35.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s35.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s35.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s35.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s35.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s35.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s35.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s35.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s35.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s35.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s35.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s35.addTransition(ScannerTransEntry(6 ,'M' ,7));
   s35.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s35.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s35.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s35);

   Scanner s36(DECIMAL);
   s36.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(2 ,START));
   s36.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(7 ,FINAL));
   s36.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s36.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s36.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s36.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s36.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s36.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s36.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s36.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s36.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s36.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s36.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s36.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s36.addTransition(ScannerTransEntry(6 ,'L' ,7));
   s36.addTransition(ScannerTransEntry(6 ,'l' ,7));
   _scannerList.Insert(s36);

   Scanner s37(DEFAULT);
   s37.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(2 ,START));
   s37.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(7 ,FINAL));
   s37.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s37.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s37.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s37.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s37.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s37.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s37.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s37.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s37.addTransition(ScannerTransEntry(4 ,'U' ,5));
   s37.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s37.addTransition(ScannerTransEntry(5 ,'L' ,6));
   s37.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s37.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s37.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s37);

   Scanner s38(DELETETOK);
   s38.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(2 ,START));
   s38.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(6 ,FINAL));
   s38.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s38.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s38.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s38.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s38.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s38.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s38.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s38.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s38.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s38.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s38.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s38.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s38);

   Scanner s39(DESC);
   s39.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(2 ,START));
   s39.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(4 ,FINAL));
   s39.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s39.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s39.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s39.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s39.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s39.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s39.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s39.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s39);

   Scanner s40(DISTINCT);
   s40.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(2 ,START));
   s40.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(8 ,FINAL));
   s40.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s40.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s40.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s40.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s40.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s40.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s40.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s40.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s40.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s40.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s40.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s40.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s40.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s40.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s40.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s40.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s40);

   Scanner s41(DIV);
   s41.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(2 ,START));
   s41.addState(ScannerStateEntry(3 ,FINAL));
   s41.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s41.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s41.addTransition(ScannerTransEntry(1 ,'V' ,3));
   s41.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s41.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s41.addTransition(ScannerTransEntry(2 ,'d' ,0));
   _scannerList.Insert(s41);

   Scanner s42(DOUBLE);
   s42.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(2 ,START));
   s42.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(6 ,FINAL));
   s42.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s42.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s42.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s42.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s42.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s42.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s42.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s42.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s42.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s42.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s42.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s42.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s42);

   Scanner s43(DROP);
   s43.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(2 ,START));
   s43.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(4 ,FINAL));
   s43.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s43.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s43.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s43.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s43.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s43.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s43.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s43.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s43);

   Scanner s44(ELSE);
   s44.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(2 ,START));
   s44.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(4 ,FINAL));
   s44.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s44.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s44.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s44.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s44.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s44.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s44.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s44.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s44);

   Scanner s45(ELSIF);
   s45.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(2 ,START));
   s45.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(5 ,FINAL));
   s45.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s45.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s45.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s45.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s45.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s45.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s45.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s45.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s45.addTransition(ScannerTransEntry(4 ,'F' ,5));
   s45.addTransition(ScannerTransEntry(4 ,'f' ,5));
   _scannerList.Insert(s45);

   Scanner s46(END_TOKEN);
   s46.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(2 ,START));
   s46.addState(ScannerStateEntry(3 ,FINAL));
   s46.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s46.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s46.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s46.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s46.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s46.addTransition(ScannerTransEntry(2 ,'e' ,0));
   _scannerList.Insert(s46);

   Scanner s47(EXCEPTION);
   s47.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(2 ,START));
   s47.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(9 ,FINAL));
   s47.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s47.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s47.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s47.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s47.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s47.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s47.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s47.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s47.addTransition(ScannerTransEntry(4 ,'P' ,5));
   s47.addTransition(ScannerTransEntry(4 ,'p' ,5));
   s47.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s47.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s47.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s47.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s47.addTransition(ScannerTransEntry(7 ,'O' ,8));
   s47.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s47.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s47.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s47);

   Scanner s48(EXISTS);
   s48.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(2 ,START));
   s48.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(6 ,FINAL));
   s48.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s48.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s48.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s48.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s48.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s48.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s48.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s48.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s48.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s48.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s48.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s48.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s48);

   Scanner s49(FALSEVAL);
   s49.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(2 ,START));
   s49.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(5 ,FINAL));
   s49.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s49.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s49.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s49.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s49.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s49.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s49.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s49.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s49.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s49.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s49);

   Scanner s50(FETCH);
   s50.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(2 ,START));
   s50.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(5 ,FINAL));
   s50.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s50.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s50.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s50.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s50.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s50.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s50.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s50.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s50.addTransition(ScannerTransEntry(4 ,'H' ,5));
   s50.addTransition(ScannerTransEntry(4 ,'h' ,5));
   _scannerList.Insert(s50);

   Scanner s51(FIXED);
   s51.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(2 ,START));
   s51.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(5 ,FINAL));
   s51.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s51.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s51.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s51.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s51.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s51.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s51.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s51.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s51.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s51.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s51);

   Scanner s52(FLOAT);
   s52.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(2 ,START));
   s52.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(5 ,FINAL));
   s52.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s52.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s52.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s52.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s52.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s52.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s52.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s52.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s52.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s52.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s52);

   Scanner s53(FOR);
   s53.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(2 ,START));
   s53.addState(ScannerStateEntry(3 ,FINAL));
   s53.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s53.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s53.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s53.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s53.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s53.addTransition(ScannerTransEntry(2 ,'f' ,0));
   _scannerList.Insert(s53);

   Scanner s54(FOREIGN);
   s54.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(2 ,START));
   s54.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(7 ,FINAL));
   s54.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s54.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s54.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s54.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s54.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s54.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s54.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s54.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s54.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s54.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s54.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s54.addTransition(ScannerTransEntry(5 ,'g' ,6));
   s54.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s54.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s54);

   Scanner s55(FROM);
   s55.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(2 ,START));
   s55.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(4 ,FINAL));
   s55.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s55.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s55.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s55.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s55.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s55.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s55.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s55.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s55);

   Scanner s56(GETPOS);
   s56.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(2 ,START));
   s56.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(6 ,FINAL));
   s56.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s56.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s56.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s56.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s56.addTransition(ScannerTransEntry(2 ,'G' ,0));
   s56.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s56.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s56.addTransition(ScannerTransEntry(3 ,'p' ,4));
   s56.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s56.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s56.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s56.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s56);

   Scanner s57(GROUP);
   s57.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(2 ,START));
   s57.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(5 ,FINAL));
   s57.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s57.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s57.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s57.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s57.addTransition(ScannerTransEntry(2 ,'G' ,0));
   s57.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s57.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s57.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s57.addTransition(ScannerTransEntry(4 ,'P' ,5));
   s57.addTransition(ScannerTransEntry(4 ,'p' ,5));
   _scannerList.Insert(s57);

   Scanner s58(HAVING);
   s58.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(2 ,START));
   s58.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(6 ,FINAL));
   s58.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s58.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s58.addTransition(ScannerTransEntry(1 ,'V' ,3));
   s58.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s58.addTransition(ScannerTransEntry(2 ,'H' ,0));
   s58.addTransition(ScannerTransEntry(2 ,'h' ,0));
   s58.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s58.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s58.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s58.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s58.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s58.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s58);

   Scanner s59(IDENTIFIED);
   s59.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(2 ,START));
   s59.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(10 ,FINAL));
   s59.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s59.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s59.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s59.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s59.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s59.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s59.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s59.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s59.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s59.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s59.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s59.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s59.addTransition(ScannerTransEntry(6 ,'F' ,7));
   s59.addTransition(ScannerTransEntry(6 ,'f' ,7));
   s59.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s59.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s59.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s59.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s59.addTransition(ScannerTransEntry(9 ,'D' ,10));
   s59.addTransition(ScannerTransEntry(9 ,'d' ,10));
   _scannerList.Insert(s59);

   Scanner s60(IF);
   s60.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(1 ,FINAL));
   s60.addState(ScannerStateEntry(2 ,START));
   s60.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s60.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s60.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s60.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s60);

   Scanner s61(INTOK);
   s61.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(1 ,FINAL));
   s61.addState(ScannerStateEntry(2 ,START));
   s61.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s61.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s61.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s61.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s61);

   Scanner s62(INDEX);
   s62.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(2 ,START));
   s62.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(5 ,FINAL));
   s62.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s62.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s62.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s62.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s62.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s62.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s62.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s62.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s62.addTransition(ScannerTransEntry(4 ,'X' ,5));
   s62.addTransition(ScannerTransEntry(4 ,'x' ,5));
   _scannerList.Insert(s62);

   Scanner s63(INNER);
   s63.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(2 ,START));
   s63.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(5 ,FINAL));
   s63.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s63.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s63.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s63.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s63.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s63.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s63.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s63.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s63.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s63.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s63);

   Scanner s64(INT);
   s64.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(2 ,START));
   s64.addState(ScannerStateEntry(3 ,FINAL));
   s64.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s64.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s64.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s64.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s64.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s64.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s64);

   Scanner s65(INTO);
   s65.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(2 ,START));
   s65.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(4 ,FINAL));
   s65.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s65.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s65.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s65.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s65.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s65.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s65.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s65.addTransition(ScannerTransEntry(3 ,'o' ,4));
   _scannerList.Insert(s65);

   Scanner s66(INT2DATE);
   s66.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(2 ,START));
   s66.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(8 ,FINAL));
   s66.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s66.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s66.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s66.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s66.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s66.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s66.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s66.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s66.addTransition(ScannerTransEntry(4 ,'d' ,5));
   s66.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s66.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s66.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s66.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s66.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s66.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s66);

   Scanner s67(INSERT);
   s67.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(2 ,START));
   s67.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(6 ,FINAL));
   s67.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s67.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s67.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s67.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s67.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s67.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s67.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s67.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s67.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s67.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s67.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s67.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s67);

   Scanner s68(IS);
   s68.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(1 ,FINAL));
   s68.addState(ScannerStateEntry(2 ,START));
   s68.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s68.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s68.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s68.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s68);

   Scanner s69(ISOLATION);
   s69.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(2 ,START));
   s69.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(9 ,FINAL));
   s69.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s69.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s69.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s69.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s69.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s69.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s69.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s69.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s69.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s69.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s69.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s69.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s69.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s69.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s69.addTransition(ScannerTransEntry(7 ,'O' ,8));
   s69.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s69.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s69.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s69);

   Scanner s70(JDBC);
   s70.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(2 ,START));
   s70.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(4 ,FINAL));
   s70.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s70.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s70.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s70.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s70.addTransition(ScannerTransEntry(2 ,'J' ,0));
   s70.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s70.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s70.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s70);

   Scanner s71(JOIN);
   s71.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(2 ,START));
   s71.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(4 ,FINAL));
   s71.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s71.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s71.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s71.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s71.addTransition(ScannerTransEntry(2 ,'J' ,0));
   s71.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s71.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s71.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s71);

   Scanner s72(KEY);
   s72.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(2 ,START));
   s72.addState(ScannerStateEntry(3 ,FINAL));
   s72.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s72.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s72.addTransition(ScannerTransEntry(1 ,'Y' ,3));
   s72.addTransition(ScannerTransEntry(1 ,'y' ,3));
   s72.addTransition(ScannerTransEntry(2 ,'K' ,0));
   s72.addTransition(ScannerTransEntry(2 ,'k' ,0));
   _scannerList.Insert(s72);

   Scanner s73(LEFT);
   s73.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(2 ,START));
   s73.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(4 ,FINAL));
   s73.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s73.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s73.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s73.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s73.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s73.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s73.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s73.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s73);

   Scanner s74(LENGTH);
   s74.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(2 ,START));
   s74.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(6 ,FINAL));
   s74.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s74.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s74.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s74.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s74.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s74.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s74.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s74.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s74.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s74.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s74.addTransition(ScannerTransEntry(5 ,'H' ,6));
   s74.addTransition(ScannerTransEntry(5 ,'h' ,6));
   _scannerList.Insert(s74);

   Scanner s75(LIKE);
   s75.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(2 ,START));
   s75.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(4 ,FINAL));
   s75.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s75.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s75.addTransition(ScannerTransEntry(1 ,'K' ,3));
   s75.addTransition(ScannerTransEntry(1 ,'k' ,3));
   s75.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s75.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s75.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s75.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s75);

   Scanner s76(LIST);
   s76.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(2 ,START));
   s76.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(4 ,FINAL));
   s76.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s76.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s76.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s76.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s76.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s76.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s76.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s76.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s76);

   Scanner s77(LOAD);
   s77.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(2 ,START));
   s77.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(4 ,FINAL));
   s77.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s77.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s77.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s77.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s77.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s77.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s77.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s77.addTransition(ScannerTransEntry(3 ,'d' ,4));
   _scannerList.Insert(s77);

   Scanner s78(LOCKS);
   s78.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(2 ,START));
   s78.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(5 ,FINAL));
   s78.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s78.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s78.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s78.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s78.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s78.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s78.addTransition(ScannerTransEntry(3 ,'K' ,4));
   s78.addTransition(ScannerTransEntry(3 ,'k' ,4));
   s78.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s78.addTransition(ScannerTransEntry(4 ,'s' ,5));
   _scannerList.Insert(s78);

   Scanner s79(LONG);
   s79.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(2 ,START));
   s79.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(4 ,FINAL));
   s79.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s79.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s79.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s79.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s79.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s79.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s79.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s79.addTransition(ScannerTransEntry(3 ,'g' ,4));
   _scannerList.Insert(s79);

   Scanner s80(LOWER);
   s80.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(2 ,START));
   s80.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(5 ,FINAL));
   s80.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s80.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s80.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s80.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s80.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s80.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s80.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s80.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s80.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s80.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s80);

   Scanner s81(LTRIM);
   s81.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(2 ,START));
   s81.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(5 ,FINAL));
   s81.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s81.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s81.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s81.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s81.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s81.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s81.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s81.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s81.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s81.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s81);

   Scanner s82(MIN);
   s82.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(2 ,START));
   s82.addState(ScannerStateEntry(3 ,FINAL));
   s82.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s82.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s82.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s82.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s82.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s82.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s82);

   Scanner s83(MAX);
   s83.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(2 ,START));
   s83.addState(ScannerStateEntry(3 ,FINAL));
   s83.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s83.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s83.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s83.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s83.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s83.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s83);

   Scanner s84(MOD);
   s84.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(2 ,START));
   s84.addState(ScannerStateEntry(3 ,FINAL));
   s84.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s84.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s84.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s84.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s84.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s84.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s84);

   Scanner s85(MODIFY);
   s85.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(2 ,START));
   s85.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(6 ,FINAL));
   s85.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s85.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s85.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s85.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s85.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s85.addTransition(ScannerTransEntry(2 ,'m' ,0));
   s85.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s85.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s85.addTransition(ScannerTransEntry(4 ,'F' ,5));
   s85.addTransition(ScannerTransEntry(4 ,'f' ,5));
   s85.addTransition(ScannerTransEntry(5 ,'Y' ,6));
   s85.addTransition(ScannerTransEntry(5 ,'y' ,6));
   _scannerList.Insert(s85);

   Scanner s86(NEXTCOUNT);
   s86.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(2 ,START));
   s86.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(9 ,FINAL));
   s86.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s86.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s86.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s86.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s86.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s86.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s86.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s86.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s86.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s86.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s86.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s86.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s86.addTransition(ScannerTransEntry(6 ,'U' ,7));
   s86.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s86.addTransition(ScannerTransEntry(7 ,'N' ,8));
   s86.addTransition(ScannerTransEntry(7 ,'n' ,8));
   s86.addTransition(ScannerTransEntry(8 ,'T' ,9));
   s86.addTransition(ScannerTransEntry(8 ,'t' ,9));
   _scannerList.Insert(s86);

   Scanner s87(NOOP);
   s87.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(2 ,START));
   s87.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(4 ,FINAL));
   s87.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s87.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s87.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s87.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s87.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s87.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s87.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s87.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s87);

   Scanner s88(NOT);
   s88.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(2 ,START));
   s88.addState(ScannerStateEntry(3 ,FINAL));
   s88.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s88.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s88.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s88.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s88.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s88.addTransition(ScannerTransEntry(2 ,'n' ,0));
   _scannerList.Insert(s88);

   Scanner s89(NULLTOKEN);
   s89.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(2 ,START));
   s89.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(4 ,FINAL));
   s89.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s89.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s89.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s89.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s89.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s89.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s89.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s89.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s89);

   Scanner s90(OFF);
   s90.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(2 ,START));
   s90.addState(ScannerStateEntry(3 ,FINAL));
   s90.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s90.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s90.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s90.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s90.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s90.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s90);

   Scanner s91(ON);
   s91.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(1 ,FINAL));
   s91.addState(ScannerStateEntry(2 ,START));
   s91.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s91.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s91.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s91.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s91);

   Scanner s92(OUTTOK);
   s92.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(2 ,START));
   s92.addState(ScannerStateEntry(3 ,FINAL));
   s92.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s92.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s92.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s92.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s92.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s92.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s92);

   Scanner s93(OUTER);
   s93.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(2 ,START));
   s93.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(5 ,FINAL));
   s93.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s93.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s93.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s93.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s93.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s93.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s93.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s93.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s93.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s93.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s93);

   Scanner s94(OR);
   s94.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(1 ,FINAL));
   s94.addState(ScannerStateEntry(2 ,START));
   s94.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s94.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s94.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s94.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s94);

   Scanner s95(ORDER);
   s95.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(2 ,START));
   s95.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(5 ,FINAL));
   s95.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s95.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s95.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s95.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s95.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s95.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s95.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s95.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s95.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s95.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s95);

   Scanner s96(PLAN);
   s96.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(2 ,START));
   s96.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(4 ,FINAL));
   s96.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s96.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s96.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s96.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s96.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s96.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s96.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s96.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s96);

   Scanner s97(POOL);
   s97.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(2 ,START));
   s97.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(4 ,FINAL));
   s97.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s97.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s97.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s97.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s97.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s97.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s97.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s97.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s97);

   Scanner s98(POWER);
   s98.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(2 ,START));
   s98.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(5 ,FINAL));
   s98.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s98.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s98.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s98.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s98.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s98.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s98.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s98.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s98.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s98.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s98);

   Scanner s99(PRIMARY);
   s99.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(2 ,START));
   s99.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(7 ,FINAL));
   s99.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s99.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s99.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s99.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s99.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s99.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s99.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s99.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s99.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s99.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s99.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s99.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s99.addTransition(ScannerTransEntry(6 ,'Y' ,7));
   s99.addTransition(ScannerTransEntry(6 ,'y' ,7));
   _scannerList.Insert(s99);

   Scanner s100(PRINT);
   s100.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(2 ,START));
   s100.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(5 ,FINAL));
   s100.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s100.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s100.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s100.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s100.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s100.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s100.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s100.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s100.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s100.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s100);

   Scanner s101(PROCEDURE);
   s101.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(2 ,START));
   s101.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(9 ,FINAL));
   s101.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s101.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s101.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s101.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s101.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s101.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s101.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s101.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s101.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s101.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s101.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s101.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s101.addTransition(ScannerTransEntry(6 ,'U' ,7));
   s101.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s101.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s101.addTransition(ScannerTransEntry(7 ,'r' ,8));
   s101.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s101.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s101);

   Scanner s102(QUIT);
   s102.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(2 ,START));
   s102.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(4 ,FINAL));
   s102.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s102.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s102.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s102.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s102.addTransition(ScannerTransEntry(2 ,'Q' ,0));
   s102.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s102.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s102.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s102);

   Scanner s103(RANDSTR);
   s103.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(2 ,START));
   s103.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(7 ,FINAL));
   s103.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s103.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s103.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s103.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s103.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s103.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s103.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s103.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s103.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s103.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s103.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s103.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s103.addTransition(ScannerTransEntry(6 ,'R' ,7));
   s103.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s103);

   Scanner s104(RANDINT);
   s104.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(2 ,START));
   s104.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(7 ,FINAL));
   s104.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s104.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s104.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s104.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s104.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s104.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s104.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s104.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s104.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s104.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s104.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s104.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s104.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s104.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s104);

   Scanner s105(RBSEG);
   s105.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(2 ,START));
   s105.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(5 ,FINAL));
   s105.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s105.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s105.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s105.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s105.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s105.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s105.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s105.addTransition(ScannerTransEntry(4 ,'G' ,5));
   s105.addTransition(ScannerTransEntry(4 ,'g' ,5));
   _scannerList.Insert(s105);

   Scanner s106(REFERENCES);
   s106.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(2 ,START));
   s106.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(10 ,FINAL));
   s106.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s106.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s106.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s106.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s106.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s106.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s106.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s106.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s106.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s106.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s106.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s106.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s106.addTransition(ScannerTransEntry(7 ,'C' ,8));
   s106.addTransition(ScannerTransEntry(7 ,'c' ,8));
   s106.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s106.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s106.addTransition(ScannerTransEntry(9 ,'S' ,10));
   s106.addTransition(ScannerTransEntry(9 ,'s' ,10));
   _scannerList.Insert(s106);

   Scanner s107(RENAME);
   s107.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(2 ,START));
   s107.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(6 ,FINAL));
   s107.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s107.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s107.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s107.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s107.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s107.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s107.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s107.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s107.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s107.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s107.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s107.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s107);

   Scanner s108(REORGANIZE);
   s108.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(2 ,START));
   s108.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(10 ,FINAL));
   s108.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s108.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s108.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s108.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s108.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s108.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s108.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s108.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s108.addTransition(ScannerTransEntry(4 ,'G' ,5));
   s108.addTransition(ScannerTransEntry(4 ,'g' ,5));
   s108.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s108.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s108.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s108.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s108.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s108.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s108.addTransition(ScannerTransEntry(8 ,'Z' ,9));
   s108.addTransition(ScannerTransEntry(8 ,'z' ,9));
   s108.addTransition(ScannerTransEntry(9 ,'E' ,10));
   s108.addTransition(ScannerTransEntry(9 ,'e' ,10));
   _scannerList.Insert(s108);

   Scanner s109(RETURNTOKEN);
   s109.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(2 ,START));
   s109.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(6 ,FINAL));
   s109.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s109.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s109.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s109.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s109.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s109.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s109.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s109.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s109.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s109.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s109.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s109.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s109);

   Scanner s110(REMOVE);
   s110.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(2 ,START));
   s110.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(6 ,FINAL));
   s110.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s110.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s110.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s110.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s110.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s110.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s110.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s110.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s110.addTransition(ScannerTransEntry(4 ,'V' ,5));
   s110.addTransition(ScannerTransEntry(4 ,'v' ,5));
   s110.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s110.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s110);

   Scanner s111(REPLACE);
   s111.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(2 ,START));
   s111.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(7 ,FINAL));
   s111.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s111.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s111.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s111.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s111.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s111.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s111.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s111.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s111.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s111.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s111.addTransition(ScannerTransEntry(5 ,'C' ,6));
   s111.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s111.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s111.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s111);

   Scanner s112(RIGHT);
   s112.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(2 ,START));
   s112.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(5 ,FINAL));
   s112.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s112.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s112.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s112.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s112.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s112.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s112.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s112.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s112.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s112.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s112);

   Scanner s113(ROLLBACK);
   s113.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(2 ,START));
   s113.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(8 ,FINAL));
   s113.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s113.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s113.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s113.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s113.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s113.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s113.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s113.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s113.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s113.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s113.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s113.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s113.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s113.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s113.addTransition(ScannerTransEntry(7 ,'K' ,8));
   s113.addTransition(ScannerTransEntry(7 ,'k' ,8));
   _scannerList.Insert(s113);

   Scanner s114(ROUND);
   s114.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(2 ,START));
   s114.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(5 ,FINAL));
   s114.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s114.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s114.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s114.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s114.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s114.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s114.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s114.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s114.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s114.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s114);

   Scanner s115(ROWLIMIT);
   s115.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(2 ,START));
   s115.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(8 ,FINAL));
   s115.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s115.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s115.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s115.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s115.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s115.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s115.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s115.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s115.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s115.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s115.addTransition(ScannerTransEntry(5 ,'M' ,6));
   s115.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s115.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s115.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s115.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s115.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s115);

   Scanner s116(RTRIM);
   s116.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(2 ,START));
   s116.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(5 ,FINAL));
   s116.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s116.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s116.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s116.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s116.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s116.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s116.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s116.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s116.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s116.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s116);

   Scanner s117(SELECT);
   s117.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(2 ,START));
   s117.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(6 ,FINAL));
   s117.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s117.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s117.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s117.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s117.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s117.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s117.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s117.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s117.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s117.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s117.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s117.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s117);

   Scanner s118(SET);
   s118.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(2 ,START));
   s118.addState(ScannerStateEntry(3 ,FINAL));
   s118.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s118.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s118.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s118.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s118.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s118.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s118);

   Scanner s119(SETCOUNT);
   s119.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(2 ,START));
   s119.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(8 ,FINAL));
   s119.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s119.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s119.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s119.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s119.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s119.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s119.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s119.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s119.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s119.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s119.addTransition(ScannerTransEntry(5 ,'U' ,6));
   s119.addTransition(ScannerTransEntry(5 ,'u' ,6));
   s119.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s119.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s119.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s119.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s119);

   Scanner s120(SHOW);
   s120.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(2 ,START));
   s120.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(4 ,FINAL));
   s120.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s120.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s120.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s120.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s120.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s120.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s120.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s120.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s120);

   Scanner s121(SMALLINT);
   s121.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(2 ,START));
   s121.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(8 ,FINAL));
   s121.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s121.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s121.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s121.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s121.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s121.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s121.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s121.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s121.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s121.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s121.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s121.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s121.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s121.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s121.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s121.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s121);

   Scanner s122(START_TOKEN);
   s122.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(2 ,START));
   s122.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(5 ,FINAL));
   s122.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s122.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s122.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s122.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s122.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s122.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s122.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s122.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s122.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s122.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s122);

   Scanner s123(STRING);
   s123.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(2 ,START));
   s123.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(6 ,FINAL));
   s123.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s123.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s123.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s123.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s123.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s123.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s123.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s123.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s123.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s123.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s123.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s123.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s123);

   Scanner s124(SUBSTR);
   s124.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(2 ,START));
   s124.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(6 ,FINAL));
   s124.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s124.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s124.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s124.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s124.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s124.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s124.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s124.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s124.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s124.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s124.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s124.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s124);

   Scanner s125(SUM);
   s125.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(2 ,START));
   s125.addState(ScannerStateEntry(3 ,FINAL));
   s125.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s125.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s125.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s125.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s125.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s125.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s125);

   Scanner s126(SYNC);
   s126.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(2 ,START));
   s126.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(4 ,FINAL));
   s126.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s126.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s126.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s126.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s126.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s126.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s126.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s126.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s126);

   Scanner s127(SYSDATE);
   s127.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(2 ,START));
   s127.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(7 ,FINAL));
   s127.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s127.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s127.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s127.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s127.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s127.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s127.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s127.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s127.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s127.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s127.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s127.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s127.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s127.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s127);

   Scanner s128(SYSTEMSPACE);
   s128.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(2 ,START));
   s128.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(11 ,FINAL));
   s128.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s128.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s128.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s128.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s128.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s128.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s128.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s128.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s128.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s128.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s128.addTransition(ScannerTransEntry(5 ,'M' ,6));
   s128.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s128.addTransition(ScannerTransEntry(6 ,'S' ,7));
   s128.addTransition(ScannerTransEntry(6 ,'s' ,7));
   s128.addTransition(ScannerTransEntry(7 ,'P' ,8));
   s128.addTransition(ScannerTransEntry(7 ,'p' ,8));
   s128.addTransition(ScannerTransEntry(8 ,'A' ,9));
   s128.addTransition(ScannerTransEntry(8 ,'a' ,9));
   s128.addTransition(ScannerTransEntry(9 ,'C' ,10));
   s128.addTransition(ScannerTransEntry(9 ,'c' ,10));
   s128.addTransition(ScannerTransEntry(10 ,'E' ,11));
   s128.addTransition(ScannerTransEntry(10 ,'e' ,11));
   _scannerList.Insert(s128);

   Scanner s129(SYSOBJ);
   s129.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(2 ,START));
   s129.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(6 ,FINAL));
   s129.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s129.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s129.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s129.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s129.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s129.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s129.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s129.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s129.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s129.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s129.addTransition(ScannerTransEntry(5 ,'J' ,6));
   s129.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s129);

   Scanner s130(TABLEINFO);
   s130.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(2 ,START));
   s130.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(9 ,FINAL));
   s130.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s130.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s130.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s130.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s130.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s130.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s130.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s130.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s130.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s130.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s130.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s130.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s130.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s130.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s130.addTransition(ScannerTransEntry(7 ,'F' ,8));
   s130.addTransition(ScannerTransEntry(7 ,'f' ,8));
   s130.addTransition(ScannerTransEntry(8 ,'O' ,9));
   s130.addTransition(ScannerTransEntry(8 ,'o' ,9));
   _scannerList.Insert(s130);

   Scanner s131(TABLE);
   s131.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(2 ,START));
   s131.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(5 ,FINAL));
   s131.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s131.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s131.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s131.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s131.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s131.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s131.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s131.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s131.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s131.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s131);

   Scanner s132(TABLESET);
   s132.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(2 ,START));
   s132.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(8 ,FINAL));
   s132.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s132.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s132.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s132.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s132.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s132.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s132.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s132.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s132.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s132.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s132.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s132.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s132.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s132.addTransition(ScannerTransEntry(6 ,'e' ,7));
   s132.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s132.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s132);

   Scanner s133(THEN);
   s133.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(2 ,START));
   s133.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(4 ,FINAL));
   s133.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s133.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s133.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s133.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s133.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s133.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s133.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s133.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s133);

   Scanner s134(TINYINT);
   s134.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(2 ,START));
   s134.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(7 ,FINAL));
   s134.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s134.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s134.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s134.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s134.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s134.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s134.addTransition(ScannerTransEntry(3 ,'Y' ,4));
   s134.addTransition(ScannerTransEntry(3 ,'y' ,4));
   s134.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s134.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s134.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s134.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s134.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s134.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s134);

   Scanner s135(TMPOBJ);
   s135.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(2 ,START));
   s135.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(6 ,FINAL));
   s135.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s135.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s135.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s135.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s135.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s135.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s135.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s135.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s135.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s135.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s135.addTransition(ScannerTransEntry(5 ,'J' ,6));
   s135.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s135);

   Scanner s136(TRANSACTION);
   s136.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(2 ,START));
   s136.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(11 ,FINAL));
   s136.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s136.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s136.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s136.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s136.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s136.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s136.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s136.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s136.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s136.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s136.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s136.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s136.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s136.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s136.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s136.addTransition(ScannerTransEntry(7 ,'t' ,8));
   s136.addTransition(ScannerTransEntry(8 ,'I' ,9));
   s136.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s136.addTransition(ScannerTransEntry(9 ,'O' ,10));
   s136.addTransition(ScannerTransEntry(9 ,'o' ,10));
   s136.addTransition(ScannerTransEntry(10 ,'N' ,11));
   s136.addTransition(ScannerTransEntry(10 ,'n' ,11));
   _scannerList.Insert(s136);

   Scanner s137(STR2INT);
   s137.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(2 ,START));
   s137.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(7 ,FINAL));
   s137.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s137.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s137.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s137.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s137.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s137.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s137.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s137.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s137.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s137.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s137.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s137.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s137.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s137);

   Scanner s138(STR2LONG);
   s138.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(2 ,START));
   s138.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(8 ,FINAL));
   s138.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s138.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s138.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s138.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s138.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s138.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s138.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s138.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s138.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s138.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s138.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s138.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s138.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s138.addTransition(ScannerTransEntry(7 ,'G' ,8));
   s138.addTransition(ScannerTransEntry(7 ,'g' ,8));
   _scannerList.Insert(s138);

   Scanner s139(STR2DATE);
   s139.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(2 ,START));
   s139.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(8 ,FINAL));
   s139.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s139.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s139.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s139.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s139.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s139.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s139.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s139.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s139.addTransition(ScannerTransEntry(4 ,'d' ,5));
   s139.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s139.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s139.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s139.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s139.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s139.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s139);

   Scanner s140(TO);
   s140.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(1 ,FINAL));
   s140.addState(ScannerStateEntry(2 ,START));
   s140.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s140.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s140.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s140.addTransition(ScannerTransEntry(2 ,'t' ,0));
   _scannerList.Insert(s140);

   Scanner s141(TRIM);
   s141.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(2 ,START));
   s141.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(4 ,FINAL));
   s141.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s141.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s141.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s141.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s141.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s141.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s141.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s141.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s141);

   Scanner s142(TRUEVAL);
   s142.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(2 ,START));
   s142.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(4 ,FINAL));
   s142.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s142.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s142.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s142.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s142.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s142.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s142.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s142.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s142);

   Scanner s143(TRUNC);
   s143.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(2 ,START));
   s143.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(5 ,FINAL));
   s143.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s143.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s143.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s143.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s143.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s143.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s143.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s143.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s143.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s143.addTransition(ScannerTransEntry(4 ,'c' ,5));
   _scannerList.Insert(s143);

   Scanner s144(UNION);
   s144.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(2 ,START));
   s144.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(5 ,FINAL));
   s144.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s144.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s144.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s144.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s144.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s144.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s144.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s144.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s144.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s144.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s144);

   Scanner s145(UNIQUE);
   s145.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(2 ,START));
   s145.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(6 ,FINAL));
   s145.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s145.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s145.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s145.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s145.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s145.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s145.addTransition(ScannerTransEntry(3 ,'Q' ,4));
   s145.addTransition(ScannerTransEntry(3 ,'q' ,4));
   s145.addTransition(ScannerTransEntry(4 ,'U' ,5));
   s145.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s145.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s145.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s145);

   Scanner s146(UPDATE);
   s146.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(2 ,START));
   s146.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(6 ,FINAL));
   s146.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s146.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s146.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s146.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s146.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s146.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s146.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s146.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s146.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s146.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s146.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s146.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s146);

   Scanner s147(UPTIME);
   s147.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(2 ,START));
   s147.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(6 ,FINAL));
   s147.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s147.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s147.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s147.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s147.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s147.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s147.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s147.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s147.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s147.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s147.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s147.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s147);

   Scanner s148(UPPER);
   s148.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(2 ,START));
   s148.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(5 ,FINAL));
   s148.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s148.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s148.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s148.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s148.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s148.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s148.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s148.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s148.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s148.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s148);

   Scanner s149(VAR);
   s149.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(2 ,START));
   s149.addState(ScannerStateEntry(3 ,FINAL));
   s149.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s149.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s149.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s149.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s149.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s149.addTransition(ScannerTransEntry(2 ,'v' ,0));
   _scannerList.Insert(s149);

   Scanner s150(VALUES);
   s150.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(2 ,START));
   s150.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(6 ,FINAL));
   s150.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s150.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s150.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s150.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s150.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s150.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s150.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s150.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s150.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s150.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s150.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s150.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s150);

   Scanner s151(VIEW);
   s151.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(2 ,START));
   s151.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(4 ,FINAL));
   s151.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s151.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s151.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s151.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s151.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s151.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s151.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s151.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s151);

   Scanner s152(WHEN);
   s152.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(2 ,START));
   s152.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(4 ,FINAL));
   s152.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s152.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s152.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s152.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s152.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s152.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s152.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s152.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s152);

   Scanner s153(WHERE);
   s153.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(2 ,START));
   s153.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(5 ,FINAL));
   s153.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s153.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s153.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s153.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s153.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s153.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s153.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s153.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s153.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s153.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s153);

   Scanner s154(WHILE);
   s154.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(2 ,START));
   s154.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(5 ,FINAL));
   s154.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s154.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s154.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s154.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s154.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s154.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s154.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s154.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s154.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s154.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s154);

   Scanner s155(CONCAT);
   s155.addState(ScannerStateEntry(0 ,START));
   s155.addState(ScannerStateEntry(1 ,FINAL));
   s155.addTransition(ScannerTransEntry(0 ,'|' ,1));
   _scannerList.Insert(s155);

   Scanner s156(EQU);
   s156.addState(ScannerStateEntry(0 ,START));
   s156.addState(ScannerStateEntry(1 ,FINAL));
   s156.addTransition(ScannerTransEntry(0 ,'=' ,1));
   _scannerList.Insert(s156);

   Scanner s157(KSEP);
   s157.addState(ScannerStateEntry(0 ,START));
   s157.addState(ScannerStateEntry(1 ,FINAL));
   s157.addTransition(ScannerTransEntry(0 ,',' ,1));
   _scannerList.Insert(s157);

   Scanner s158(LB);
   s158.addState(ScannerStateEntry(0 ,START));
   s158.addState(ScannerStateEntry(1 ,FINAL));
   s158.addTransition(ScannerTransEntry(0 ,'(' ,1));
   _scannerList.Insert(s158);

   Scanner s159(LT);
   s159.addState(ScannerStateEntry(0 ,START));
   s159.addState(ScannerStateEntry(1 ,FINAL));
   s159.addTransition(ScannerTransEntry(0 ,'<' ,1));
   _scannerList.Insert(s159);

   Scanner s160(MT);
   s160.addState(ScannerStateEntry(0 ,START));
   s160.addState(ScannerStateEntry(1 ,FINAL));
   s160.addTransition(ScannerTransEntry(0 ,'>' ,1));
   _scannerList.Insert(s160);

   Scanner s161(NEGATION);
   s161.addState(ScannerStateEntry(0 ,START));
   s161.addState(ScannerStateEntry(1 ,FINAL));
   s161.addTransition(ScannerTransEntry(0 ,'!' ,1));
   _scannerList.Insert(s161);

   Scanner s162(RB);
   s162.addState(ScannerStateEntry(0 ,START));
   s162.addState(ScannerStateEntry(1 ,FINAL));
   s162.addTransition(ScannerTransEntry(0 ,')' ,1));
   _scannerList.Insert(s162);

   Scanner s163(LAB);
   s163.addState(ScannerStateEntry(0 ,START));
   s163.addState(ScannerStateEntry(1 ,FINAL));
   s163.addTransition(ScannerTransEntry(0 ,'[' ,1));
   _scannerList.Insert(s163);

   Scanner s164(RAB);
   s164.addState(ScannerStateEntry(0 ,START));
   s164.addState(ScannerStateEntry(1 ,FINAL));
   s164.addTransition(ScannerTransEntry(0 ,']' ,1));
   _scannerList.Insert(s164);

   Scanner s165(SEMICOLON);
   s165.addState(ScannerStateEntry(0 ,START));
   s165.addState(ScannerStateEntry(1 ,FINAL));
   s165.addTransition(ScannerTransEntry(0 ,';' ,1));
   _scannerList.Insert(s165);

   Scanner s166(STAR);
   s166.addState(ScannerStateEntry(0 ,START));
   s166.addState(ScannerStateEntry(1 ,FINAL));
   s166.addTransition(ScannerTransEntry(0 ,'*' ,1));
   _scannerList.Insert(s166);

   Scanner s167(DIVISION);
   s167.addState(ScannerStateEntry(0 ,START));
   s167.addState(ScannerStateEntry(1 ,FINAL));
   s167.addTransition(ScannerTransEntry(0 ,'/' ,1));
   _scannerList.Insert(s167);

   Scanner s168(MINUS);
   s168.addState(ScannerStateEntry(0 ,START));
   s168.addState(ScannerStateEntry(1 ,FINAL));
   s168.addTransition(ScannerTransEntry(0 ,'-' ,1));
   _scannerList.Insert(s168);

   Scanner s169(PLUS);
   s169.addState(ScannerStateEntry(0 ,START));
   s169.addState(ScannerStateEntry(1 ,FINAL));
   s169.addTransition(ScannerTransEntry(0 ,'+' ,1));
   _scannerList.Insert(s169);

   Scanner s170(INTVAL);
   s170.addState(ScannerStateEntry(0 ,START));
   s170.addState(ScannerStateEntry(1 ,FINAL));
   s170.addState(ScannerStateEntry(2 ,FINAL));
   s170.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s170.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'9' ,1));
   _scannerList.Insert(s170);

   Scanner s171(FLOATVAL);
   s171.addState(ScannerStateEntry(0 ,START));
   s171.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(3 ,FINAL));
   s171.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s171.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'.' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'.' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'9' ,3));
   _scannerList.Insert(s171);

   Scanner s172(IDENTIFIER);
   s172.addState(ScannerStateEntry(0 ,START));
   s172.addState(ScannerStateEntry(1 ,FINAL));
   s172.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'z' ,1));
   _scannerList.Insert(s172);

   Scanner s173(VARREF);
   s173.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(1 ,FINAL));
   s173.addState(ScannerStateEntry(2 ,START));
   s173.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s173.addTransition(ScannerTransEntry(2 ,':' ,0));
   _scannerList.Insert(s173);

   Scanner s174(QUALIFIEDOBJ);
   s174.addState(ScannerStateEntry(0 ,START));
   s174.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s174.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s174.addState(ScannerStateEntry(3 ,FINAL));
   s174.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'.' ,2));
   s174.addTransition(ScannerTransEntry(2 ,'$' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s174);

   Scanner s175(QUALIFIEDPRE);
   s175.addState(ScannerStateEntry(0 ,START));
   s175.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s175.addState(ScannerStateEntry(2 ,FINAL));
   s175.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'.' ,2));
   _scannerList.Insert(s175);

   Scanner s176(QUALIFIEDTS);
   s176.addState(ScannerStateEntry(0 ,START));
   s176.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s176.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s176.addState(ScannerStateEntry(3 ,FINAL));
   s176.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'@' ,2));
   s176.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s176.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s176);

}
void Cego::loadParser0()
{
   _actionMap[832][SEMICOLON] = ActionEntry(REDUCE, 66);
   _actionMap[831][RB] = ActionEntry(SHIFT, 832);
   _actionMap[830][IDENTIFIER] = ActionEntry(SHIFT, 714);
   _jumpMap[830][SimpleAttr] = 713;
   _jumpMap[830][SimpleAttrList] = 831;
   _actionMap[827][LB] = ActionEntry(SHIFT, 830);
   _actionMap[828][ROWLIMIT] = ActionEntry(REDUCE, 235);
   _actionMap[828][UNION] = ActionEntry(REDUCE, 235);
   _actionMap[828][ENDTOKEN] = ActionEntry(REDUCE, 235);
   _actionMap[828][RB] = ActionEntry(REDUCE, 235);
   _actionMap[828][SEMICOLON] = ActionEntry(REDUCE, 235);
   _actionMap[828][KSEP] = ActionEntry(REDUCE, 235);
   _actionMap[829][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[829][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[829][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[829][ORDER] = ActionEntry(REDUCE, 229);
   _actionMap[829][ROWLIMIT] = ActionEntry(REDUCE, 229);
   _actionMap[829][UNION] = ActionEntry(REDUCE, 229);
   _actionMap[829][ENDTOKEN] = ActionEntry(REDUCE, 229);
   _actionMap[829][RB] = ActionEntry(REDUCE, 229);
   _actionMap[829][SEMICOLON] = ActionEntry(REDUCE, 229);
   _actionMap[823][IDENTIFIER] = ActionEntry(SHIFT, 827);
   _actionMap[824][SEMICOLON] = ActionEntry(REDUCE, 78);
   _actionMap[824][RB] = ActionEntry(REDUCE, 78);
   _actionMap[825][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[825][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[825][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[825][ASC] = ActionEntry(SHIFT, 816);
   _actionMap[825][ROWLIMIT] = ActionEntry(REDUCE, 240);
   _actionMap[825][DESC] = ActionEntry(SHIFT, 817);
   _actionMap[825][UNION] = ActionEntry(REDUCE, 240);
   _actionMap[825][ENDTOKEN] = ActionEntry(REDUCE, 240);
   _actionMap[825][RB] = ActionEntry(REDUCE, 240);
   _actionMap[825][SEMICOLON] = ActionEntry(REDUCE, 240);
   _actionMap[825][KSEP] = ActionEntry(REDUCE, 240);
   _jumpMap[825][DefaultOrderOpt] = 815;
   _jumpMap[825][OrderingOpt] = 828;
   _actionMap[826][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[826][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[826][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[826][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[826][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[826][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[826][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[826][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[826][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[826][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[826][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[826][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[826][LEFT] = ActionEntry(SHIFT, 117);
}
void Cego::loadParser1()
{
   _actionMap[826][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[826][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[826][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[826][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[826][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[826][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[826][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[826][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[826][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[826][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[826][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[826][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[826][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[826][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[826][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[826][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[826][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[826][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[826][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[826][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[826][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[826][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[826][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[826][LB] = ActionEntry(SHIFT, 144);
   _actionMap[826][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[826][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[826][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[826][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[826][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[826][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[826][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[826][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[826][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[826][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[826][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[826][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[826][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[826][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[826][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[826][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[826][ObjSpec] = 100;
   _jumpMap[826][Constant] = 99;
   _jumpMap[826][SignedFloat] = 98;
   _jumpMap[826][SignedInt] = 97;
   _jumpMap[826][Attribute] = 96;
   _jumpMap[826][Function] = 95;
   _jumpMap[826][CasePrepare] = 94;
   _jumpMap[826][CaseClause] = 93;
   _jumpMap[826][Factor] = 92;
   _jumpMap[826][Term] = 91;
}
void Cego::loadParser2()
{
   _jumpMap[826][Expr] = 829;
   _actionMap[811][REFERENCES] = ActionEntry(SHIFT, 823);
   _actionMap[812][ELSE] = ActionEntry(REDUCE, 114);
   _actionMap[812][ELSIF] = ActionEntry(REDUCE, 114);
   _actionMap[812][EXCEPTION] = ActionEntry(REDUCE, 114);
   _actionMap[812][END_TOKEN] = ActionEntry(REDUCE, 114);
   _actionMap[812][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[812][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[812][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[812][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[812][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[812][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[812][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[812][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[812][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[812][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[812][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[812][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[812][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[812][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[812][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[812][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[812][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[812][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[812][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[812][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[812][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[812][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[812][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[812][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[812][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[812][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[812][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[812][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[812][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[812][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[812][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[812][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[812][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[812][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[812][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[812][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[812][LB] = ActionEntry(SHIFT, 144);
   _actionMap[812][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[812][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[812][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[812][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[812][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[812][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[812][LAB] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser3()
{
   _actionMap[812][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[812][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[812][VARREF] = ActionEntry(SHIFT, 343);
   _actionMap[812][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[812][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[812][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[812][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[812][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[812][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[812][IF] = ActionEntry(SHIFT, 338);
   _actionMap[812][BEGIN] = ActionEntry(SHIFT, 335);
   _actionMap[812][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[812][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[812][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[812][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[812][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[812][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[812][VAR] = ActionEntry(SHIFT, 341);
   _actionMap[812][CURSOR] = ActionEntry(SHIFT, 337);
   _actionMap[812][CLOSE] = ActionEntry(SHIFT, 336);
   _actionMap[812][NOOP] = ActionEntry(SHIFT, 339);
   _actionMap[812][RETURNTOKEN] = ActionEntry(SHIFT, 340);
   _actionMap[812][WHILE] = ActionEntry(SHIFT, 342);
   _jumpMap[812][ObjSpec] = 100;
   _jumpMap[812][Constant] = 99;
   _jumpMap[812][SignedFloat] = 98;
   _jumpMap[812][SignedInt] = 97;
   _jumpMap[812][Attribute] = 96;
   _jumpMap[812][Function] = 95;
   _jumpMap[812][DeleteStatement] = 334;
   _jumpMap[812][UpdateStatement] = 333;
   _jumpMap[812][InsertStatement] = 332;
   _jumpMap[812][RollbackStatement] = 331;
   _jumpMap[812][CommitStatement] = 330;
   _jumpMap[812][StartStatement] = 329;
   _jumpMap[812][CasePrepare] = 94;
   _jumpMap[812][CaseClause] = 93;
   _jumpMap[812][Factor] = 92;
   _jumpMap[812][Term] = 91;
   _jumpMap[812][Expr] = 328;
   _jumpMap[812][ProcStatement] = 459;
   _jumpMap[812][ProcIfPart] = 326;
   _jumpMap[812][ProcBlockStart] = 325;
   _actionMap[813][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[813][SelectStatement] = 824;
   _actionMap[814][ROWLIMIT] = ActionEntry(REDUCE, 236);
   _actionMap[814][UNION] = ActionEntry(REDUCE, 236);
   _actionMap[814][ENDTOKEN] = ActionEntry(REDUCE, 236);
   _actionMap[814][RB] = ActionEntry(REDUCE, 236);
   _actionMap[814][SEMICOLON] = ActionEntry(REDUCE, 236);
}
void Cego::loadParser4()
{
   _actionMap[814][KSEP] = ActionEntry(REDUCE, 236);
   _actionMap[815][ROWLIMIT] = ActionEntry(REDUCE, 237);
   _actionMap[815][UNION] = ActionEntry(REDUCE, 237);
   _actionMap[815][ENDTOKEN] = ActionEntry(REDUCE, 237);
   _actionMap[815][RB] = ActionEntry(REDUCE, 237);
   _actionMap[815][SEMICOLON] = ActionEntry(REDUCE, 237);
   _actionMap[815][KSEP] = ActionEntry(REDUCE, 237);
   _actionMap[816][ROWLIMIT] = ActionEntry(REDUCE, 239);
   _actionMap[816][UNION] = ActionEntry(REDUCE, 239);
   _actionMap[816][ENDTOKEN] = ActionEntry(REDUCE, 239);
   _actionMap[816][RB] = ActionEntry(REDUCE, 239);
   _actionMap[816][SEMICOLON] = ActionEntry(REDUCE, 239);
   _actionMap[816][KSEP] = ActionEntry(REDUCE, 239);
   _actionMap[817][ROWLIMIT] = ActionEntry(REDUCE, 238);
   _actionMap[817][UNION] = ActionEntry(REDUCE, 238);
   _actionMap[817][ENDTOKEN] = ActionEntry(REDUCE, 238);
   _actionMap[817][RB] = ActionEntry(REDUCE, 238);
   _actionMap[817][SEMICOLON] = ActionEntry(REDUCE, 238);
   _actionMap[817][KSEP] = ActionEntry(REDUCE, 238);
   _actionMap[818][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[818][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[818][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[818][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[818][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[818][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[818][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[818][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[818][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[818][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[818][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[818][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[818][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[818][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[818][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[818][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[818][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[818][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[818][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[818][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[818][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[818][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[818][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[818][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[818][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[818][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[818][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[818][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[818][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[818][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[818][BLOBSIZE] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser5()
{
   _actionMap[818][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[818][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[818][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[818][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[818][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[818][LB] = ActionEntry(SHIFT, 144);
   _actionMap[818][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[818][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[818][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[818][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[818][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[818][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[818][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[818][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[818][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[818][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[818][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[818][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[818][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[818][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[818][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[818][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[818][ObjSpec] = 100;
   _jumpMap[818][Constant] = 99;
   _jumpMap[818][SignedFloat] = 98;
   _jumpMap[818][SignedInt] = 97;
   _jumpMap[818][Attribute] = 96;
   _jumpMap[818][Function] = 95;
   _jumpMap[818][CasePrepare] = 94;
   _jumpMap[818][CaseClause] = 93;
   _jumpMap[818][Factor] = 92;
   _jumpMap[818][Term] = 91;
   _jumpMap[818][Expr] = 825;
   _actionMap[819][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[819][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[819][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[819][EQU] = ActionEntry(SHIFT, 504);
   _actionMap[819][NEGATION] = ActionEntry(SHIFT, 507);
   _actionMap[819][LT] = ActionEntry(SHIFT, 505);
   _actionMap[819][MT] = ActionEntry(SHIFT, 506);
   _jumpMap[819][Comparison] = 826;
   _actionMap[820][KSEP] = ActionEntry(REDUCE, 227);
   _actionMap[820][HAVING] = ActionEntry(REDUCE, 227);
   _actionMap[820][ORDER] = ActionEntry(REDUCE, 227);
   _actionMap[820][ROWLIMIT] = ActionEntry(REDUCE, 227);
   _actionMap[820][UNION] = ActionEntry(REDUCE, 227);
   _actionMap[820][ENDTOKEN] = ActionEntry(REDUCE, 227);
   _actionMap[820][RB] = ActionEntry(REDUCE, 227);
   _actionMap[820][SEMICOLON] = ActionEntry(REDUCE, 227);
   _actionMap[821][AND] = ActionEntry(SHIFT, 508);
}
void Cego::loadParser6()
{
   _actionMap[821][OR] = ActionEntry(SHIFT, 509);
   _actionMap[821][LEFT] = ActionEntry(REDUCE, 212);
   _actionMap[821][RIGHT] = ActionEntry(REDUCE, 212);
   _actionMap[821][INNER] = ActionEntry(REDUCE, 212);
   _actionMap[821][JOIN] = ActionEntry(REDUCE, 212);
   _actionMap[821][RETURNTOKEN] = ActionEntry(REDUCE, 212);
   _actionMap[821][SEMICOLON] = ActionEntry(REDUCE, 212);
   _actionMap[821][RB] = ActionEntry(REDUCE, 212);
   _actionMap[821][ENDTOKEN] = ActionEntry(REDUCE, 212);
   _actionMap[821][UNION] = ActionEntry(REDUCE, 212);
   _actionMap[821][ROWLIMIT] = ActionEntry(REDUCE, 212);
   _actionMap[821][ORDER] = ActionEntry(REDUCE, 212);
   _actionMap[821][GROUP] = ActionEntry(REDUCE, 212);
   _actionMap[821][WHERE] = ActionEntry(REDUCE, 212);
   _actionMap[822][AND] = ActionEntry(SHIFT, 508);
   _actionMap[822][OR] = ActionEntry(SHIFT, 509);
   _actionMap[822][LEFT] = ActionEntry(REDUCE, 213);
   _actionMap[822][RIGHT] = ActionEntry(REDUCE, 213);
   _actionMap[822][INNER] = ActionEntry(REDUCE, 213);
   _actionMap[822][JOIN] = ActionEntry(REDUCE, 213);
   _actionMap[822][RETURNTOKEN] = ActionEntry(REDUCE, 213);
   _actionMap[822][SEMICOLON] = ActionEntry(REDUCE, 213);
   _actionMap[822][RB] = ActionEntry(REDUCE, 213);
   _actionMap[822][ENDTOKEN] = ActionEntry(REDUCE, 213);
   _actionMap[822][UNION] = ActionEntry(REDUCE, 213);
   _actionMap[822][ROWLIMIT] = ActionEntry(REDUCE, 213);
   _actionMap[822][ORDER] = ActionEntry(REDUCE, 213);
   _actionMap[822][GROUP] = ActionEntry(REDUCE, 213);
   _actionMap[822][WHERE] = ActionEntry(REDUCE, 213);
   _actionMap[788][RB] = ActionEntry(SHIFT, 811);
   _actionMap[789][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[789][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[789][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[789][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[789][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[789][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[789][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[789][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[789][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[789][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[789][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[789][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[789][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[789][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[789][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[789][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[789][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[789][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[789][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[789][STR2INT] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser7()
{
   _actionMap[789][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[789][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[789][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[789][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[789][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[789][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[789][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[789][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[789][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[789][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[789][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[789][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[789][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[789][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[789][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[789][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[789][LB] = ActionEntry(SHIFT, 144);
   _actionMap[789][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[789][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[789][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[789][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[789][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[789][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[789][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[789][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[789][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[789][VARREF] = ActionEntry(SHIFT, 343);
   _actionMap[789][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[789][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[789][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[789][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[789][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[789][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[789][IF] = ActionEntry(SHIFT, 338);
   _actionMap[789][BEGIN] = ActionEntry(SHIFT, 335);
   _actionMap[789][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[789][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[789][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[789][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[789][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[789][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[789][VAR] = ActionEntry(SHIFT, 341);
   _actionMap[789][CURSOR] = ActionEntry(SHIFT, 337);
   _actionMap[789][CLOSE] = ActionEntry(SHIFT, 336);
   _actionMap[789][NOOP] = ActionEntry(SHIFT, 339);
   _actionMap[789][RETURNTOKEN] = ActionEntry(SHIFT, 340);
   _actionMap[789][WHILE] = ActionEntry(SHIFT, 342);
   _jumpMap[789][ObjSpec] = 100;
   _jumpMap[789][Constant] = 99;
   _jumpMap[789][SignedFloat] = 98;
}
void Cego::loadParser8()
{
   _jumpMap[789][SignedInt] = 97;
   _jumpMap[789][Attribute] = 96;
   _jumpMap[789][Function] = 95;
   _jumpMap[789][DeleteStatement] = 334;
   _jumpMap[789][UpdateStatement] = 333;
   _jumpMap[789][InsertStatement] = 332;
   _jumpMap[789][RollbackStatement] = 331;
   _jumpMap[789][CommitStatement] = 330;
   _jumpMap[789][StartStatement] = 329;
   _jumpMap[789][CasePrepare] = 94;
   _jumpMap[789][CaseClause] = 93;
   _jumpMap[789][Factor] = 92;
   _jumpMap[789][Term] = 91;
   _jumpMap[789][Expr] = 328;
   _jumpMap[789][ProcStatement] = 327;
   _jumpMap[789][ProcIfPart] = 326;
   _jumpMap[789][ProcBlockStart] = 325;
   _jumpMap[789][ProcStatementList] = 812;
   _actionMap[790][BEGIN] = ActionEntry(REDUCE, 327);
   _actionMap[790][DEFAULT] = ActionEntry(REDUCE, 327);
   _actionMap[790][NULLTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[790][NOT] = ActionEntry(REDUCE, 327);
   _actionMap[790][KSEP] = ActionEntry(REDUCE, 327);
   _actionMap[790][RB] = ActionEntry(REDUCE, 327);
   _actionMap[790][EQU] = ActionEntry(REDUCE, 327);
   _actionMap[790][SEMICOLON] = ActionEntry(REDUCE, 327);
   _actionMap[791][BEGIN] = ActionEntry(REDUCE, 332);
   _actionMap[791][DEFAULT] = ActionEntry(REDUCE, 332);
   _actionMap[791][NULLTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[791][NOT] = ActionEntry(REDUCE, 332);
   _actionMap[791][KSEP] = ActionEntry(REDUCE, 332);
   _actionMap[791][RB] = ActionEntry(REDUCE, 332);
   _actionMap[791][EQU] = ActionEntry(REDUCE, 332);
   _actionMap[791][SEMICOLON] = ActionEntry(REDUCE, 332);
   _actionMap[792][BEGIN] = ActionEntry(REDUCE, 333);
   _actionMap[792][DEFAULT] = ActionEntry(REDUCE, 333);
   _actionMap[792][NULLTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[792][NOT] = ActionEntry(REDUCE, 333);
   _actionMap[792][KSEP] = ActionEntry(REDUCE, 333);
   _actionMap[792][RB] = ActionEntry(REDUCE, 333);
   _actionMap[792][EQU] = ActionEntry(REDUCE, 333);
   _actionMap[792][SEMICOLON] = ActionEntry(REDUCE, 333);
   _actionMap[793][BEGIN] = ActionEntry(REDUCE, 324);
   _actionMap[793][DEFAULT] = ActionEntry(REDUCE, 324);
   _actionMap[793][NULLTOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[793][NOT] = ActionEntry(REDUCE, 324);
   _actionMap[793][KSEP] = ActionEntry(REDUCE, 324);
   _actionMap[793][RB] = ActionEntry(REDUCE, 324);
   _actionMap[793][EQU] = ActionEntry(REDUCE, 324);
   _actionMap[793][SEMICOLON] = ActionEntry(REDUCE, 324);
}
void Cego::loadParser9()
{
   _actionMap[794][SEMICOLON] = ActionEntry(REDUCE, 56);
   _actionMap[795][RB] = ActionEntry(REDUCE, 179);
   _actionMap[796][SEMICOLON] = ActionEntry(REDUCE, 173);
   _actionMap[796][KSEP] = ActionEntry(REDUCE, 173);
   _actionMap[796][RB] = ActionEntry(REDUCE, 173);
   _actionMap[797][LEFT] = ActionEntry(REDUCE, 313);
   _actionMap[797][RIGHT] = ActionEntry(REDUCE, 313);
   _actionMap[797][INNER] = ActionEntry(REDUCE, 313);
   _actionMap[797][JOIN] = ActionEntry(REDUCE, 313);
   _actionMap[797][RETURNTOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[797][SEMICOLON] = ActionEntry(REDUCE, 313);
   _actionMap[797][ENDTOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[797][UNION] = ActionEntry(REDUCE, 313);
   _actionMap[797][ROWLIMIT] = ActionEntry(REDUCE, 313);
   _actionMap[797][ORDER] = ActionEntry(REDUCE, 313);
   _actionMap[797][GROUP] = ActionEntry(REDUCE, 313);
   _actionMap[797][WHERE] = ActionEntry(REDUCE, 313);
   _actionMap[797][THEN] = ActionEntry(REDUCE, 313);
   _actionMap[797][AND] = ActionEntry(REDUCE, 313);
   _actionMap[797][OR] = ActionEntry(REDUCE, 313);
   _actionMap[797][RB] = ActionEntry(REDUCE, 313);
   _actionMap[798][SEMICOLON] = ActionEntry(REDUCE, 201);
   _actionMap[798][RB] = ActionEntry(REDUCE, 201);
   _actionMap[799][ALL] = ActionEntry(SHIFT, 813);
   _actionMap[800][UNION] = ActionEntry(REDUCE, 243);
   _actionMap[800][ENDTOKEN] = ActionEntry(REDUCE, 243);
   _actionMap[800][RB] = ActionEntry(REDUCE, 243);
   _actionMap[800][SEMICOLON] = ActionEntry(REDUCE, 243);
   _actionMap[801][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[801][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[801][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[801][ASC] = ActionEntry(SHIFT, 816);
   _actionMap[801][ROWLIMIT] = ActionEntry(REDUCE, 240);
   _actionMap[801][DESC] = ActionEntry(SHIFT, 817);
   _actionMap[801][UNION] = ActionEntry(REDUCE, 240);
   _actionMap[801][ENDTOKEN] = ActionEntry(REDUCE, 240);
   _actionMap[801][RB] = ActionEntry(REDUCE, 240);
   _actionMap[801][SEMICOLON] = ActionEntry(REDUCE, 240);
   _actionMap[801][KSEP] = ActionEntry(REDUCE, 240);
   _jumpMap[801][DefaultOrderOpt] = 815;
   _jumpMap[801][OrderingOpt] = 814;
   _actionMap[802][KSEP] = ActionEntry(SHIFT, 818);
   _actionMap[802][ROWLIMIT] = ActionEntry(REDUCE, 232);
   _actionMap[802][UNION] = ActionEntry(REDUCE, 232);
   _actionMap[802][ENDTOKEN] = ActionEntry(REDUCE, 232);
   _actionMap[802][RB] = ActionEntry(REDUCE, 232);
   _actionMap[802][SEMICOLON] = ActionEntry(REDUCE, 232);
   _actionMap[803][ORDER] = ActionEntry(REDUCE, 224);
   _actionMap[803][ROWLIMIT] = ActionEntry(REDUCE, 224);
   _actionMap[803][UNION] = ActionEntry(REDUCE, 224);
}
void Cego::loadParser10()
{
   _actionMap[803][ENDTOKEN] = ActionEntry(REDUCE, 224);
   _actionMap[803][RB] = ActionEntry(REDUCE, 224);
   _actionMap[803][SEMICOLON] = ActionEntry(REDUCE, 224);
   _actionMap[804][ORDER] = ActionEntry(REDUCE, 230);
   _actionMap[804][ROWLIMIT] = ActionEntry(REDUCE, 230);
   _actionMap[804][UNION] = ActionEntry(REDUCE, 230);
   _actionMap[804][ENDTOKEN] = ActionEntry(REDUCE, 230);
   _actionMap[804][RB] = ActionEntry(REDUCE, 230);
   _actionMap[804][SEMICOLON] = ActionEntry(REDUCE, 230);
   _actionMap[805][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[805][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[805][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[805][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[805][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[805][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[805][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[805][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[805][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[805][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[805][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[805][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[805][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[805][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[805][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[805][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[805][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[805][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[805][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[805][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[805][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[805][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[805][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[805][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[805][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[805][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[805][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[805][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[805][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[805][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[805][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[805][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[805][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[805][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[805][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[805][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[805][LB] = ActionEntry(SHIFT, 144);
   _actionMap[805][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[805][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[805][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[805][NULLTOKEN] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser11()
{
   _actionMap[805][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[805][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[805][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[805][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[805][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[805][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[805][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[805][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[805][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[805][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[805][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[805][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[805][ObjSpec] = 100;
   _jumpMap[805][Constant] = 99;
   _jumpMap[805][SignedFloat] = 98;
   _jumpMap[805][SignedInt] = 97;
   _jumpMap[805][Attribute] = 96;
   _jumpMap[805][Function] = 95;
   _jumpMap[805][CasePrepare] = 94;
   _jumpMap[805][CaseClause] = 93;
   _jumpMap[805][Factor] = 92;
   _jumpMap[805][Term] = 91;
   _jumpMap[805][Expr] = 819;
   _actionMap[806][IDENTIFIER] = ActionEntry(SHIFT, 781);
   _actionMap[806][QUALIFIEDOBJ] = ActionEntry(SHIFT, 782);
   _actionMap[806][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _jumpMap[806][Attribute] = 820;
   _actionMap[807][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[807][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[807][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[807][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[807][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[807][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[807][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[807][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[807][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[807][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[807][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[807][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[807][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[807][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[807][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[807][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[807][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[807][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[807][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[807][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[807][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[807][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[807][RANDSTR] = ActionEntry(SHIFT, 127);
}
void Cego::loadParser12()
{
   _actionMap[807][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[807][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[807][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[807][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[807][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[807][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[807][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[807][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[807][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[807][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[807][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[807][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[807][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[807][LB] = ActionEntry(SHIFT, 373);
   _actionMap[807][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[807][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[807][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[807][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[807][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[807][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[807][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[807][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[807][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[807][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[807][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[807][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[807][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[807][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[807][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[807][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[807][EXISTS] = ActionEntry(SHIFT, 371);
   _actionMap[807][NOT] = ActionEntry(SHIFT, 372);
   _jumpMap[807][ObjSpec] = 100;
   _jumpMap[807][Constant] = 99;
   _jumpMap[807][SignedFloat] = 98;
   _jumpMap[807][SignedInt] = 97;
   _jumpMap[807][Attribute] = 96;
   _jumpMap[807][QueryPredicate] = 370;
   _jumpMap[807][QueryCondition] = 821;
   _jumpMap[807][Function] = 95;
   _jumpMap[807][CasePrepare] = 94;
   _jumpMap[807][CaseClause] = 93;
   _jumpMap[807][Factor] = 92;
   _jumpMap[807][Term] = 91;
   _jumpMap[807][Expr] = 368;
   _actionMap[808][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[808][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[808][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[808][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[808][RTRIM] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser13()
{
   _actionMap[808][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[808][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[808][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[808][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[808][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[808][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[808][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[808][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[808][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[808][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[808][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[808][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[808][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[808][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[808][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[808][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[808][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[808][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[808][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[808][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[808][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[808][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[808][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[808][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[808][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[808][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[808][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[808][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[808][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[808][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[808][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[808][LB] = ActionEntry(SHIFT, 373);
   _actionMap[808][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[808][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[808][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[808][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[808][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[808][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[808][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[808][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[808][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[808][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[808][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[808][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[808][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[808][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[808][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[808][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[808][EXISTS] = ActionEntry(SHIFT, 371);
   _actionMap[808][NOT] = ActionEntry(SHIFT, 372);
}
void Cego::loadParser14()
{
   _jumpMap[808][ObjSpec] = 100;
   _jumpMap[808][Constant] = 99;
   _jumpMap[808][SignedFloat] = 98;
   _jumpMap[808][SignedInt] = 97;
   _jumpMap[808][Attribute] = 96;
   _jumpMap[808][QueryPredicate] = 370;
   _jumpMap[808][QueryCondition] = 822;
   _jumpMap[808][Function] = 95;
   _jumpMap[808][CasePrepare] = 94;
   _jumpMap[808][CaseClause] = 93;
   _jumpMap[808][Factor] = 92;
   _jumpMap[808][Term] = 91;
   _jumpMap[808][Expr] = 368;
   _actionMap[809][SEMICOLON] = ActionEntry(REDUCE, 252);
   _actionMap[809][KSEP] = ActionEntry(REDUCE, 252);
   _actionMap[810][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[810][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[810][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[810][SEMICOLON] = ActionEntry(REDUCE, 254);
   _actionMap[810][KSEP] = ActionEntry(REDUCE, 254);
   _actionMap[748][AND] = ActionEntry(SHIFT, 508);
   _actionMap[748][OR] = ActionEntry(SHIFT, 509);
   _actionMap[748][SEMICOLON] = ActionEntry(REDUCE, 67);
   _actionMap[749][IDENTIFIER] = ActionEntry(SHIFT, 714);
   _jumpMap[749][SimpleAttr] = 713;
   _jumpMap[749][SimpleAttrList] = 788;
   _actionMap[750][SEMICOLON] = ActionEntry(REDUCE, 264);
   _actionMap[750][KSEP] = ActionEntry(REDUCE, 264);
   _actionMap[751][THEN] = ActionEntry(SHIFT, 789);
   _actionMap[752][THEN] = ActionEntry(REDUCE, 119);
   _actionMap[753][END_TOKEN] = ActionEntry(REDUCE, 124);
   _actionMap[753][ELSE] = ActionEntry(REDUCE, 124);
   _actionMap[753][ELSIF] = ActionEntry(REDUCE, 124);
   _actionMap[754][BEGIN] = ActionEntry(REDUCE, 138);
   _actionMap[754][THEN] = ActionEntry(REDUCE, 138);
   _actionMap[754][OR] = ActionEntry(REDUCE, 138);
   _actionMap[754][AND] = ActionEntry(REDUCE, 138);
   _actionMap[754][RB] = ActionEntry(REDUCE, 138);
   _actionMap[755][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[755][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[755][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[755][SEMICOLON] = ActionEntry(REDUCE, 99);
   _actionMap[756][RB] = ActionEntry(SHIFT, 790);
   _actionMap[757][RB] = ActionEntry(SHIFT, 791);
   _actionMap[758][RB] = ActionEntry(SHIFT, 792);
   _actionMap[759][RB] = ActionEntry(SHIFT, 793);
   _actionMap[760][SEMICOLON] = ActionEntry(REDUCE, 130);
   _actionMap[761][RB] = ActionEntry(SHIFT, 794);
   _actionMap[762][SEMICOLON] = ActionEntry(REDUCE, 55);
   _actionMap[763][IDENTIFIER] = ActionEntry(SHIFT, 714);
}
void Cego::loadParser15()
{
   _jumpMap[763][SimpleAttr] = 713;
   _jumpMap[763][SimpleAttrList] = 795;
   _actionMap[764][SEMICOLON] = ActionEntry(REDUCE, 171);
   _actionMap[764][KSEP] = ActionEntry(REDUCE, 171);
   _actionMap[764][RB] = ActionEntry(REDUCE, 171);
   _actionMap[765][SEMICOLON] = ActionEntry(REDUCE, 174);
   _actionMap[765][KSEP] = ActionEntry(REDUCE, 174);
   _actionMap[765][RB] = ActionEntry(REDUCE, 174);
   _actionMap[766][NULLTOKEN] = ActionEntry(SHIFT, 796);
   _actionMap[767][SEMICOLON] = ActionEntry(REDUCE, 172);
   _actionMap[767][KSEP] = ActionEntry(REDUCE, 172);
   _actionMap[767][RB] = ActionEntry(REDUCE, 172);
   _actionMap[768][NULLTOKEN] = ActionEntry(REDUCE, 176);
   _actionMap[768][NOT] = ActionEntry(REDUCE, 176);
   _actionMap[768][KSEP] = ActionEntry(REDUCE, 176);
   _actionMap[768][SEMICOLON] = ActionEntry(REDUCE, 176);
   _actionMap[768][RB] = ActionEntry(REDUCE, 176);
   _actionMap[769][LONG] = ActionEntry(SHIFT, 277);
   _actionMap[769][BIGINT] = ActionEntry(SHIFT, 273);
   _actionMap[769][SMALLINT] = ActionEntry(SHIFT, 278);
   _actionMap[769][TINYINT] = ActionEntry(SHIFT, 279);
   _actionMap[769][DOUBLE] = ActionEntry(SHIFT, 275);
   _actionMap[769][DECIMAL] = ActionEntry(SHIFT, 274);
   _actionMap[769][FIXED] = ActionEntry(SHIFT, 276);
   _actionMap[770][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[770][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[770][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[770][KSEP] = ActionEntry(REDUCE, 199);
   _actionMap[770][RB] = ActionEntry(REDUCE, 199);
   _actionMap[771][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[771][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[771][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[771][LEFT] = ActionEntry(REDUCE, 315);
   _actionMap[771][RIGHT] = ActionEntry(REDUCE, 315);
   _actionMap[771][INNER] = ActionEntry(REDUCE, 315);
   _actionMap[771][JOIN] = ActionEntry(REDUCE, 315);
   _actionMap[771][RETURNTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[771][SEMICOLON] = ActionEntry(REDUCE, 315);
   _actionMap[771][ENDTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[771][UNION] = ActionEntry(REDUCE, 315);
   _actionMap[771][ROWLIMIT] = ActionEntry(REDUCE, 315);
   _actionMap[771][ORDER] = ActionEntry(REDUCE, 315);
   _actionMap[771][GROUP] = ActionEntry(REDUCE, 315);
   _actionMap[771][WHERE] = ActionEntry(REDUCE, 315);
   _actionMap[771][THEN] = ActionEntry(REDUCE, 315);
   _actionMap[771][AND] = ActionEntry(REDUCE, 315);
   _actionMap[771][OR] = ActionEntry(REDUCE, 315);
   _actionMap[771][RB] = ActionEntry(REDUCE, 315);
   _actionMap[772][LEFT] = ActionEntry(REDUCE, 312);
   _actionMap[772][RIGHT] = ActionEntry(REDUCE, 312);
}
void Cego::loadParser16()
{
   _actionMap[772][INNER] = ActionEntry(REDUCE, 312);
   _actionMap[772][JOIN] = ActionEntry(REDUCE, 312);
   _actionMap[772][RETURNTOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[772][SEMICOLON] = ActionEntry(REDUCE, 312);
   _actionMap[772][ENDTOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[772][UNION] = ActionEntry(REDUCE, 312);
   _actionMap[772][ROWLIMIT] = ActionEntry(REDUCE, 312);
   _actionMap[772][ORDER] = ActionEntry(REDUCE, 312);
   _actionMap[772][GROUP] = ActionEntry(REDUCE, 312);
   _actionMap[772][WHERE] = ActionEntry(REDUCE, 312);
   _actionMap[772][THEN] = ActionEntry(REDUCE, 312);
   _actionMap[772][AND] = ActionEntry(REDUCE, 312);
   _actionMap[772][OR] = ActionEntry(REDUCE, 312);
   _actionMap[772][RB] = ActionEntry(REDUCE, 312);
   _actionMap[773][RB] = ActionEntry(SHIFT, 797);
   _actionMap[774][KSEP] = ActionEntry(REDUCE, 165);
   _actionMap[774][RB] = ActionEntry(REDUCE, 165);
   _actionMap[775][UNION] = ActionEntry(SHIFT, 799);
   _actionMap[775][SEMICOLON] = ActionEntry(REDUCE, 79);
   _actionMap[775][RB] = ActionEntry(REDUCE, 79);
   _jumpMap[775][UnionAllOpt] = 798;
   _actionMap[776][UNION] = ActionEntry(REDUCE, 244);
   _actionMap[776][ENDTOKEN] = ActionEntry(REDUCE, 244);
   _actionMap[776][RB] = ActionEntry(REDUCE, 244);
   _actionMap[776][SEMICOLON] = ActionEntry(REDUCE, 244);
   _actionMap[777][INTVAL] = ActionEntry(SHIFT, 800);
   _actionMap[778][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[778][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[778][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[778][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[778][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[778][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[778][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[778][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[778][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[778][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[778][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[778][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[778][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[778][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[778][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[778][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[778][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[778][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[778][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[778][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[778][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[778][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[778][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[778][RANDINT] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser17()
{
   _actionMap[778][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[778][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[778][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[778][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[778][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[778][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[778][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[778][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[778][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[778][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[778][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[778][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[778][LB] = ActionEntry(SHIFT, 144);
   _actionMap[778][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[778][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[778][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[778][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[778][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[778][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[778][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[778][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[778][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[778][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[778][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[778][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[778][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[778][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[778][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[778][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[778][ObjSpec] = 100;
   _jumpMap[778][Constant] = 99;
   _jumpMap[778][SignedFloat] = 98;
   _jumpMap[778][SignedInt] = 97;
   _jumpMap[778][Attribute] = 96;
   _jumpMap[778][Function] = 95;
   _jumpMap[778][OrderingList] = 802;
   _jumpMap[778][CasePrepare] = 94;
   _jumpMap[778][CaseClause] = 93;
   _jumpMap[778][Factor] = 92;
   _jumpMap[778][Term] = 91;
   _jumpMap[778][Expr] = 801;
   _actionMap[779][KSEP] = ActionEntry(SHIFT, 806);
   _actionMap[779][ORDER] = ActionEntry(REDUCE, 231);
   _actionMap[779][HAVING] = ActionEntry(SHIFT, 805);
   _actionMap[779][ROWLIMIT] = ActionEntry(REDUCE, 231);
   _actionMap[779][UNION] = ActionEntry(REDUCE, 231);
   _actionMap[779][ENDTOKEN] = ActionEntry(REDUCE, 231);
   _actionMap[779][RB] = ActionEntry(REDUCE, 231);
   _actionMap[779][SEMICOLON] = ActionEntry(REDUCE, 231);
   _jumpMap[779][NoHaving] = 804;
}
void Cego::loadParser18()
{
   _jumpMap[779][HavingClause] = 803;
   _actionMap[780][KSEP] = ActionEntry(REDUCE, 228);
   _actionMap[780][HAVING] = ActionEntry(REDUCE, 228);
   _actionMap[780][ORDER] = ActionEntry(REDUCE, 228);
   _actionMap[780][ROWLIMIT] = ActionEntry(REDUCE, 228);
   _actionMap[780][UNION] = ActionEntry(REDUCE, 228);
   _actionMap[780][ENDTOKEN] = ActionEntry(REDUCE, 228);
   _actionMap[780][RB] = ActionEntry(REDUCE, 228);
   _actionMap[780][SEMICOLON] = ActionEntry(REDUCE, 228);
   _actionMap[781][KSEP] = ActionEntry(REDUCE, 341);
   _actionMap[781][HAVING] = ActionEntry(REDUCE, 341);
   _actionMap[781][ORDER] = ActionEntry(REDUCE, 341);
   _actionMap[781][ROWLIMIT] = ActionEntry(REDUCE, 341);
   _actionMap[781][UNION] = ActionEntry(REDUCE, 341);
   _actionMap[781][ENDTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[781][RB] = ActionEntry(REDUCE, 341);
   _actionMap[781][SEMICOLON] = ActionEntry(REDUCE, 341);
   _actionMap[782][KSEP] = ActionEntry(REDUCE, 342);
   _actionMap[782][HAVING] = ActionEntry(REDUCE, 342);
   _actionMap[782][ORDER] = ActionEntry(REDUCE, 342);
   _actionMap[782][ROWLIMIT] = ActionEntry(REDUCE, 342);
   _actionMap[782][UNION] = ActionEntry(REDUCE, 342);
   _actionMap[782][ENDTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[782][RB] = ActionEntry(REDUCE, 342);
   _actionMap[782][SEMICOLON] = ActionEntry(REDUCE, 342);
   _actionMap[783][AND] = ActionEntry(SHIFT, 508);
   _actionMap[783][OR] = ActionEntry(SHIFT, 509);
   _actionMap[783][LEFT] = ActionEntry(REDUCE, 211);
   _actionMap[783][RIGHT] = ActionEntry(REDUCE, 211);
   _actionMap[783][INNER] = ActionEntry(REDUCE, 211);
   _actionMap[783][JOIN] = ActionEntry(REDUCE, 211);
   _actionMap[783][RETURNTOKEN] = ActionEntry(REDUCE, 211);
   _actionMap[783][SEMICOLON] = ActionEntry(REDUCE, 211);
   _actionMap[783][RB] = ActionEntry(REDUCE, 211);
   _actionMap[783][ENDTOKEN] = ActionEntry(REDUCE, 211);
   _actionMap[783][UNION] = ActionEntry(REDUCE, 211);
   _actionMap[783][ROWLIMIT] = ActionEntry(REDUCE, 211);
   _actionMap[783][ORDER] = ActionEntry(REDUCE, 211);
   _actionMap[783][GROUP] = ActionEntry(REDUCE, 211);
   _actionMap[783][WHERE] = ActionEntry(REDUCE, 211);
   _actionMap[784][ON] = ActionEntry(SHIFT, 742);
   _jumpMap[784][JoinTableOn] = 807;
   _actionMap[785][ON] = ActionEntry(SHIFT, 742);
   _jumpMap[785][JoinTableOn] = 808;
   _actionMap[786][VARREF] = ActionEntry(SHIFT, 747);
   _jumpMap[786][ReturnVar] = 809;
   _actionMap[787][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[787][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[787][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[787][TRIM] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser19()
{
   _actionMap[787][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[787][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[787][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[787][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[787][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[787][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[787][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[787][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[787][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[787][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[787][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[787][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[787][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[787][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[787][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[787][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[787][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[787][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[787][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[787][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[787][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[787][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[787][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[787][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[787][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[787][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[787][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[787][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[787][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[787][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[787][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[787][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[787][LB] = ActionEntry(SHIFT, 144);
   _actionMap[787][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[787][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[787][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[787][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[787][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[787][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[787][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[787][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[787][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[787][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[787][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[787][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[787][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[787][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[787][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[787][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[787][ObjSpec] = 100;
}
void Cego::loadParser20()
{
   _jumpMap[787][Constant] = 99;
   _jumpMap[787][SignedFloat] = 98;
   _jumpMap[787][SignedInt] = 97;
   _jumpMap[787][Attribute] = 96;
   _jumpMap[787][Function] = 95;
   _jumpMap[787][CasePrepare] = 94;
   _jumpMap[787][CaseClause] = 93;
   _jumpMap[787][Factor] = 92;
   _jumpMap[787][Term] = 91;
   _jumpMap[787][Expr] = 810;
   _actionMap[688][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[688][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[688][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[688][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[688][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[688][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[688][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[688][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[688][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[688][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[688][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[688][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[688][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[688][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[688][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[688][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[688][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[688][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[688][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[688][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[688][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[688][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[688][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[688][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[688][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[688][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[688][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[688][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[688][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[688][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[688][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[688][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[688][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[688][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[688][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[688][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[688][LB] = ActionEntry(SHIFT, 373);
   _actionMap[688][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[688][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[688][SYSDATE] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser21()
{
   _actionMap[688][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[688][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[688][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[688][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[688][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[688][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[688][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[688][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[688][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[688][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[688][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[688][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[688][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[688][EXISTS] = ActionEntry(SHIFT, 371);
   _actionMap[688][NOT] = ActionEntry(SHIFT, 372);
   _jumpMap[688][ObjSpec] = 100;
   _jumpMap[688][Constant] = 99;
   _jumpMap[688][SignedFloat] = 98;
   _jumpMap[688][SignedInt] = 97;
   _jumpMap[688][Attribute] = 96;
   _jumpMap[688][QueryPredicate] = 370;
   _jumpMap[688][QueryCondition] = 748;
   _jumpMap[688][Function] = 95;
   _jumpMap[688][CasePrepare] = 94;
   _jumpMap[688][CaseClause] = 93;
   _jumpMap[688][Factor] = 92;
   _jumpMap[688][Term] = 91;
   _jumpMap[688][Expr] = 368;
   _actionMap[689][LB] = ActionEntry(SHIFT, 749);
   _actionMap[690][IDENTIFIER] = ActionEntry(SHIFT, 750);
   _actionMap[691][SEMICOLON] = ActionEntry(REDUCE, 30);
   _actionMap[692][IDENTIFIER] = ActionEntry(SHIFT, 752);
   _jumpMap[692][ProcExceptionType] = 751;
   _actionMap[693][END_TOKEN] = ActionEntry(REDUCE, 125);
   _actionMap[694][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[694][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[694][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[694][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[694][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[694][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[694][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[694][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[694][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[694][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[694][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[694][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[694][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[694][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[694][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[694][SUBSTR] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser22()
{
   _actionMap[694][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[694][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[694][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[694][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[694][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[694][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[694][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[694][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[694][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[694][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[694][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[694][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[694][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[694][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[694][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[694][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[694][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[694][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[694][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[694][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[694][LB] = ActionEntry(SHIFT, 144);
   _actionMap[694][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[694][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[694][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[694][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[694][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[694][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[694][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[694][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[694][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[694][VARREF] = ActionEntry(SHIFT, 343);
   _actionMap[694][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[694][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[694][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[694][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[694][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[694][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[694][IF] = ActionEntry(SHIFT, 338);
   _actionMap[694][BEGIN] = ActionEntry(SHIFT, 335);
   _actionMap[694][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[694][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[694][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[694][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[694][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[694][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[694][VAR] = ActionEntry(SHIFT, 341);
   _actionMap[694][CURSOR] = ActionEntry(SHIFT, 337);
   _actionMap[694][CLOSE] = ActionEntry(SHIFT, 336);
   _actionMap[694][NOOP] = ActionEntry(SHIFT, 339);
   _actionMap[694][RETURNTOKEN] = ActionEntry(SHIFT, 340);
}
void Cego::loadParser23()
{
   _actionMap[694][WHILE] = ActionEntry(SHIFT, 342);
   _jumpMap[694][ObjSpec] = 100;
   _jumpMap[694][Constant] = 99;
   _jumpMap[694][SignedFloat] = 98;
   _jumpMap[694][SignedInt] = 97;
   _jumpMap[694][Attribute] = 96;
   _jumpMap[694][Function] = 95;
   _jumpMap[694][DeleteStatement] = 334;
   _jumpMap[694][UpdateStatement] = 333;
   _jumpMap[694][InsertStatement] = 332;
   _jumpMap[694][RollbackStatement] = 331;
   _jumpMap[694][CommitStatement] = 330;
   _jumpMap[694][StartStatement] = 329;
   _jumpMap[694][CasePrepare] = 94;
   _jumpMap[694][CaseClause] = 93;
   _jumpMap[694][Factor] = 92;
   _jumpMap[694][Term] = 91;
   _jumpMap[694][Expr] = 328;
   _jumpMap[694][ProcStatement] = 327;
   _jumpMap[694][ProcIfPart] = 326;
   _jumpMap[694][ProcBlockStart] = 325;
   _jumpMap[694][ProcStatementList] = 324;
   _jumpMap[694][ProcStmtBlock] = 753;
   _actionMap[695][SEMICOLON] = ActionEntry(REDUCE, 94);
   _actionMap[696][END_TOKEN] = ActionEntry(REDUCE, 121);
   _actionMap[696][ELSE] = ActionEntry(REDUCE, 121);
   _actionMap[696][ELSIF] = ActionEntry(REDUCE, 121);
   _actionMap[697][BEGIN] = ActionEntry(REDUCE, 133);
   _actionMap[697][RB] = ActionEntry(REDUCE, 133);
   _actionMap[697][AND] = ActionEntry(REDUCE, 133);
   _actionMap[697][OR] = ActionEntry(REDUCE, 133);
   _actionMap[697][THEN] = ActionEntry(REDUCE, 133);
   _actionMap[698][BEGIN] = ActionEntry(REDUCE, 132);
   _actionMap[698][RB] = ActionEntry(REDUCE, 132);
   _actionMap[698][AND] = ActionEntry(REDUCE, 132);
   _actionMap[698][OR] = ActionEntry(REDUCE, 132);
   _actionMap[698][THEN] = ActionEntry(REDUCE, 132);
   _actionMap[699][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[699][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[699][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[699][BEGIN] = ActionEntry(REDUCE, 136);
   _actionMap[699][THEN] = ActionEntry(REDUCE, 136);
   _actionMap[699][OR] = ActionEntry(REDUCE, 136);
   _actionMap[699][AND] = ActionEntry(REDUCE, 136);
   _actionMap[699][RB] = ActionEntry(REDUCE, 136);
   _actionMap[700][NULLTOKEN] = ActionEntry(SHIFT, 754);
   _actionMap[701][BEGIN] = ActionEntry(REDUCE, 137);
   _actionMap[701][THEN] = ActionEntry(REDUCE, 137);
   _actionMap[701][OR] = ActionEntry(REDUCE, 137);
   _actionMap[701][AND] = ActionEntry(REDUCE, 137);
}
void Cego::loadParser24()
{
   _actionMap[701][RB] = ActionEntry(REDUCE, 137);
   _actionMap[702][BEGIN] = ActionEntry(REDUCE, 135);
   _actionMap[702][RB] = ActionEntry(REDUCE, 135);
   _actionMap[702][AND] = ActionEntry(REDUCE, 135);
   _actionMap[702][OR] = ActionEntry(REDUCE, 135);
   _actionMap[702][THEN] = ActionEntry(REDUCE, 135);
   _actionMap[703][SEMICOLON] = ActionEntry(REDUCE, 93);
   _actionMap[704][SEMICOLON] = ActionEntry(REDUCE, 100);
   _actionMap[705][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[705][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[705][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[705][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[705][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[705][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[705][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[705][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[705][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[705][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[705][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[705][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[705][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[705][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[705][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[705][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[705][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[705][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[705][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[705][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[705][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[705][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[705][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[705][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[705][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[705][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[705][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[705][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[705][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[705][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[705][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[705][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[705][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[705][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[705][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[705][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[705][LB] = ActionEntry(SHIFT, 144);
   _actionMap[705][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[705][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[705][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[705][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[705][TRUEVAL] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser25()
{
   _actionMap[705][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[705][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[705][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[705][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[705][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[705][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[705][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[705][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[705][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[705][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[705][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[705][ObjSpec] = 100;
   _jumpMap[705][Constant] = 99;
   _jumpMap[705][SignedFloat] = 98;
   _jumpMap[705][SignedInt] = 97;
   _jumpMap[705][Attribute] = 96;
   _jumpMap[705][Function] = 95;
   _jumpMap[705][CasePrepare] = 94;
   _jumpMap[705][CaseClause] = 93;
   _jumpMap[705][Factor] = 92;
   _jumpMap[705][Term] = 91;
   _jumpMap[705][Expr] = 755;
   _actionMap[706][INTVAL] = ActionEntry(SHIFT, 756);
   _actionMap[707][INTVAL] = ActionEntry(SHIFT, 757);
   _actionMap[708][INTVAL] = ActionEntry(SHIFT, 758);
   _actionMap[709][INTVAL] = ActionEntry(SHIFT, 759);
   _actionMap[710][END_TOKEN] = ActionEntry(SHIFT, 760);
   _actionMap[711][IDENTIFIER] = ActionEntry(SHIFT, 714);
   _jumpMap[711][SimpleAttr] = 713;
   _jumpMap[711][SimpleAttrList] = 761;
   _actionMap[712][RB] = ActionEntry(SHIFT, 762);
   _actionMap[713][KSEP] = ActionEntry(SHIFT, 763);
   _actionMap[713][RB] = ActionEntry(REDUCE, 180);
   _actionMap[714][RB] = ActionEntry(REDUCE, 181);
   _actionMap[714][KSEP] = ActionEntry(REDUCE, 181);
   _actionMap[715][KSEP] = ActionEntry(REDUCE, 86);
   _actionMap[715][RB] = ActionEntry(REDUCE, 86);
   _actionMap[716][BEGIN] = ActionEntry(REDUCE, 82);
   _actionMap[717][KSEP] = ActionEntry(REDUCE, 88);
   _actionMap[717][RB] = ActionEntry(REDUCE, 88);
   _actionMap[718][KSEP] = ActionEntry(REDUCE, 89);
   _actionMap[718][RB] = ActionEntry(REDUCE, 89);
   _actionMap[719][KSEP] = ActionEntry(REDUCE, 167);
   _actionMap[719][RB] = ActionEntry(REDUCE, 167);
   _actionMap[720][SEMICOLON] = ActionEntry(REDUCE, 175);
   _actionMap[720][NULLTOKEN] = ActionEntry(SHIFT, 767);
   _actionMap[720][NOT] = ActionEntry(SHIFT, 766);
   _actionMap[720][KSEP] = ActionEntry(REDUCE, 175);
   _actionMap[720][RB] = ActionEntry(REDUCE, 175);
   _jumpMap[720][DefaultNullOpt] = 765;
}
void Cego::loadParser26()
{
   _jumpMap[720][NullOpt] = 764;
   _actionMap[721][NULLTOKEN] = ActionEntry(REDUCE, 177);
   _actionMap[721][NOT] = ActionEntry(REDUCE, 177);
   _actionMap[721][KSEP] = ActionEntry(REDUCE, 177);
   _actionMap[721][SEMICOLON] = ActionEntry(REDUCE, 177);
   _actionMap[721][RB] = ActionEntry(REDUCE, 177);
   _actionMap[722][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[722][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[722][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[722][LB] = ActionEntry(SHIFT, 769);
   _actionMap[722][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[722][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[722][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[722][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[722][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[722][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[722][LAB] = ActionEntry(SHIFT, 145);
   _jumpMap[722][Constant] = 768;
   _jumpMap[722][SignedFloat] = 98;
   _jumpMap[722][SignedInt] = 97;
   _actionMap[723][SEMICOLON] = ActionEntry(REDUCE, 194);
   _actionMap[723][KSEP] = ActionEntry(REDUCE, 194);
   _actionMap[724][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[724][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[724][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[724][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[724][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[724][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[724][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[724][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[724][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[724][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[724][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[724][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[724][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[724][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[724][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[724][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[724][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[724][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[724][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[724][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[724][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[724][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[724][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[724][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[724][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[724][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[724][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[724][BITAND] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser27()
{
   _actionMap[724][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[724][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[724][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[724][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[724][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[724][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[724][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[724][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[724][LB] = ActionEntry(SHIFT, 144);
   _actionMap[724][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[724][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[724][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[724][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[724][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[724][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[724][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[724][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[724][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[724][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[724][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[724][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[724][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[724][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[724][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[724][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[724][ObjSpec] = 100;
   _jumpMap[724][Constant] = 99;
   _jumpMap[724][SignedFloat] = 98;
   _jumpMap[724][SignedInt] = 97;
   _jumpMap[724][Attribute] = 96;
   _jumpMap[724][Function] = 95;
   _jumpMap[724][CasePrepare] = 94;
   _jumpMap[724][CaseClause] = 93;
   _jumpMap[724][Factor] = 92;
   _jumpMap[724][Term] = 91;
   _jumpMap[724][Expr] = 770;
   _actionMap[725][SEMICOLON] = ActionEntry(REDUCE, 196);
   _actionMap[725][KSEP] = ActionEntry(REDUCE, 196);
   _actionMap[726][KSEP] = ActionEntry(REDUCE, 197);
   _actionMap[726][RB] = ActionEntry(REDUCE, 197);
   _actionMap[727][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[727][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[727][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[727][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[727][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[727][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[727][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[727][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[727][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[727][INT2DATE] = ActionEntry(SHIFT, 116);
}
void Cego::loadParser28()
{
   _actionMap[727][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[727][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[727][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[727][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[727][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[727][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[727][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[727][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[727][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[727][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[727][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[727][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[727][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[727][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[727][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[727][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[727][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[727][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[727][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[727][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[727][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[727][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[727][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[727][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[727][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[727][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[727][LB] = ActionEntry(SHIFT, 144);
   _actionMap[727][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[727][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[727][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[727][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[727][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[727][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[727][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[727][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[727][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[727][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[727][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[727][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[727][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[727][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[727][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[727][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[727][ObjSpec] = 100;
   _jumpMap[727][Constant] = 99;
   _jumpMap[727][SignedFloat] = 98;
   _jumpMap[727][SignedInt] = 97;
   _jumpMap[727][Attribute] = 96;
   _jumpMap[727][Function] = 95;
   _jumpMap[727][CasePrepare] = 94;
}
void Cego::loadParser29()
{
   _jumpMap[727][CaseClause] = 93;
   _jumpMap[727][Factor] = 92;
   _jumpMap[727][Term] = 91;
   _jumpMap[727][Expr] = 771;
   _actionMap[728][RB] = ActionEntry(SHIFT, 772);
   _actionMap[729][LEFT] = ActionEntry(REDUCE, 317);
   _actionMap[729][RIGHT] = ActionEntry(REDUCE, 317);
   _actionMap[729][INNER] = ActionEntry(REDUCE, 317);
   _actionMap[729][JOIN] = ActionEntry(REDUCE, 317);
   _actionMap[729][RETURNTOKEN] = ActionEntry(REDUCE, 317);
   _actionMap[729][SEMICOLON] = ActionEntry(REDUCE, 317);
   _actionMap[729][ENDTOKEN] = ActionEntry(REDUCE, 317);
   _actionMap[729][UNION] = ActionEntry(REDUCE, 317);
   _actionMap[729][ROWLIMIT] = ActionEntry(REDUCE, 317);
   _actionMap[729][ORDER] = ActionEntry(REDUCE, 317);
   _actionMap[729][GROUP] = ActionEntry(REDUCE, 317);
   _actionMap[729][WHERE] = ActionEntry(REDUCE, 317);
   _actionMap[729][THEN] = ActionEntry(REDUCE, 317);
   _actionMap[729][AND] = ActionEntry(REDUCE, 317);
   _actionMap[729][OR] = ActionEntry(REDUCE, 317);
   _actionMap[729][RB] = ActionEntry(REDUCE, 317);
   _actionMap[730][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[730][SelectStatement] = 773;
   _actionMap[731][LEFT] = ActionEntry(REDUCE, 319);
   _actionMap[731][RIGHT] = ActionEntry(REDUCE, 319);
   _actionMap[731][INNER] = ActionEntry(REDUCE, 319);
   _actionMap[731][JOIN] = ActionEntry(REDUCE, 319);
   _actionMap[731][RETURNTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[731][SEMICOLON] = ActionEntry(REDUCE, 319);
   _actionMap[731][ENDTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[731][UNION] = ActionEntry(REDUCE, 319);
   _actionMap[731][ROWLIMIT] = ActionEntry(REDUCE, 319);
   _actionMap[731][ORDER] = ActionEntry(REDUCE, 319);
   _actionMap[731][GROUP] = ActionEntry(REDUCE, 319);
   _actionMap[731][WHERE] = ActionEntry(REDUCE, 319);
   _actionMap[731][THEN] = ActionEntry(REDUCE, 319);
   _actionMap[731][AND] = ActionEntry(REDUCE, 319);
   _actionMap[731][OR] = ActionEntry(REDUCE, 319);
   _actionMap[731][RB] = ActionEntry(REDUCE, 319);
   _actionMap[732][THEN] = ActionEntry(REDUCE, 311);
   _actionMap[732][LEFT] = ActionEntry(REDUCE, 311);
   _actionMap[732][RIGHT] = ActionEntry(REDUCE, 311);
   _actionMap[732][INNER] = ActionEntry(REDUCE, 311);
   _actionMap[732][JOIN] = ActionEntry(REDUCE, 311);
   _actionMap[732][RETURNTOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[732][SEMICOLON] = ActionEntry(REDUCE, 311);
   _actionMap[732][RB] = ActionEntry(REDUCE, 311);
   _actionMap[732][ENDTOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[732][UNION] = ActionEntry(REDUCE, 311);
   _actionMap[732][ROWLIMIT] = ActionEntry(REDUCE, 311);
}
void Cego::loadParser30()
{
   _actionMap[732][ORDER] = ActionEntry(REDUCE, 311);
   _actionMap[732][GROUP] = ActionEntry(REDUCE, 311);
   _actionMap[732][WHERE] = ActionEntry(REDUCE, 311);
   _actionMap[732][AND] = ActionEntry(REDUCE, 311);
   _actionMap[732][OR] = ActionEntry(REDUCE, 311);
   _actionMap[733][WHEN] = ActionEntry(REDUCE, 358);
   _actionMap[733][ELSE] = ActionEntry(REDUCE, 358);
   _actionMap[733][LEFT] = ActionEntry(REDUCE, 358);
   _actionMap[733][RIGHT] = ActionEntry(REDUCE, 358);
   _actionMap[733][INNER] = ActionEntry(REDUCE, 358);
   _actionMap[733][JOIN] = ActionEntry(REDUCE, 358);
   _actionMap[733][RETURNTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[733][ORDER] = ActionEntry(REDUCE, 358);
   _actionMap[733][GROUP] = ActionEntry(REDUCE, 358);
   _actionMap[733][WHERE] = ActionEntry(REDUCE, 358);
   _actionMap[733][NULLTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[733][FROM] = ActionEntry(REDUCE, 358);
   _actionMap[733][AS] = ActionEntry(REDUCE, 358);
   _actionMap[733][END_TOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[733][BEGIN] = ActionEntry(REDUCE, 358);
   _actionMap[733][THEN] = ActionEntry(REDUCE, 358);
   _actionMap[733][OR] = ActionEntry(REDUCE, 358);
   _actionMap[733][AND] = ActionEntry(REDUCE, 358);
   _actionMap[733][INTOK] = ActionEntry(REDUCE, 358);
   _actionMap[733][NOT] = ActionEntry(REDUCE, 358);
   _actionMap[733][BETWEEN] = ActionEntry(REDUCE, 358);
   _actionMap[733][IS] = ActionEntry(REDUCE, 358);
   _actionMap[733][LIKE] = ActionEntry(REDUCE, 358);
   _actionMap[733][MT] = ActionEntry(REDUCE, 358);
   _actionMap[733][LT] = ActionEntry(REDUCE, 358);
   _actionMap[733][NEGATION] = ActionEntry(REDUCE, 358);
   _actionMap[733][EQU] = ActionEntry(REDUCE, 358);
   _actionMap[733][RB] = ActionEntry(REDUCE, 358);
   _actionMap[733][ENDTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[733][UNION] = ActionEntry(REDUCE, 358);
   _actionMap[733][ROWLIMIT] = ActionEntry(REDUCE, 358);
   _actionMap[733][KSEP] = ActionEntry(REDUCE, 358);
   _actionMap[733][ASC] = ActionEntry(REDUCE, 358);
   _actionMap[733][DESC] = ActionEntry(REDUCE, 358);
   _actionMap[733][SEMICOLON] = ActionEntry(REDUCE, 358);
   _actionMap[733][PLUS] = ActionEntry(REDUCE, 358);
   _actionMap[733][MINUS] = ActionEntry(REDUCE, 358);
   _actionMap[733][DIVISION] = ActionEntry(REDUCE, 358);
   _actionMap[733][STAR] = ActionEntry(REDUCE, 358);
   _actionMap[733][CONCAT] = ActionEntry(REDUCE, 358);
   _actionMap[734][VARREF] = ActionEntry(SHIFT, 774);
   _actionMap[735][WHEN] = ActionEntry(REDUCE, 148);
   _actionMap[735][ELSE] = ActionEntry(REDUCE, 148);
   _actionMap[735][LEFT] = ActionEntry(REDUCE, 148);
   _actionMap[735][RIGHT] = ActionEntry(REDUCE, 148);
}
void Cego::loadParser31()
{
   _actionMap[735][INNER] = ActionEntry(REDUCE, 148);
   _actionMap[735][JOIN] = ActionEntry(REDUCE, 148);
   _actionMap[735][RETURNTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[735][ORDER] = ActionEntry(REDUCE, 148);
   _actionMap[735][GROUP] = ActionEntry(REDUCE, 148);
   _actionMap[735][WHERE] = ActionEntry(REDUCE, 148);
   _actionMap[735][AS] = ActionEntry(REDUCE, 148);
   _actionMap[735][FROM] = ActionEntry(REDUCE, 148);
   _actionMap[735][END_TOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[735][BEGIN] = ActionEntry(REDUCE, 148);
   _actionMap[735][THEN] = ActionEntry(REDUCE, 148);
   _actionMap[735][OR] = ActionEntry(REDUCE, 148);
   _actionMap[735][AND] = ActionEntry(REDUCE, 148);
   _actionMap[735][LIKE] = ActionEntry(REDUCE, 148);
   _actionMap[735][IS] = ActionEntry(REDUCE, 148);
   _actionMap[735][BETWEEN] = ActionEntry(REDUCE, 148);
   _actionMap[735][NOT] = ActionEntry(REDUCE, 148);
   _actionMap[735][INTOK] = ActionEntry(REDUCE, 148);
   _actionMap[735][EQU] = ActionEntry(REDUCE, 148);
   _actionMap[735][NEGATION] = ActionEntry(REDUCE, 148);
   _actionMap[735][LT] = ActionEntry(REDUCE, 148);
   _actionMap[735][MT] = ActionEntry(REDUCE, 148);
   _actionMap[735][DESC] = ActionEntry(REDUCE, 148);
   _actionMap[735][ASC] = ActionEntry(REDUCE, 148);
   _actionMap[735][KSEP] = ActionEntry(REDUCE, 148);
   _actionMap[735][ROWLIMIT] = ActionEntry(REDUCE, 148);
   _actionMap[735][UNION] = ActionEntry(REDUCE, 148);
   _actionMap[735][ENDTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[735][RB] = ActionEntry(REDUCE, 148);
   _actionMap[735][SEMICOLON] = ActionEntry(REDUCE, 148);
   _actionMap[735][CONCAT] = ActionEntry(REDUCE, 148);
   _actionMap[735][STAR] = ActionEntry(REDUCE, 148);
   _actionMap[735][DIVISION] = ActionEntry(REDUCE, 148);
   _actionMap[735][MINUS] = ActionEntry(REDUCE, 148);
   _actionMap[735][PLUS] = ActionEntry(REDUCE, 148);
   _actionMap[736][WHEN] = ActionEntry(REDUCE, 300);
   _actionMap[736][ELSE] = ActionEntry(REDUCE, 300);
   _actionMap[736][LEFT] = ActionEntry(REDUCE, 300);
   _actionMap[736][RIGHT] = ActionEntry(REDUCE, 300);
   _actionMap[736][INNER] = ActionEntry(REDUCE, 300);
   _actionMap[736][JOIN] = ActionEntry(REDUCE, 300);
   _actionMap[736][RETURNTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[736][ORDER] = ActionEntry(REDUCE, 300);
   _actionMap[736][GROUP] = ActionEntry(REDUCE, 300);
   _actionMap[736][WHERE] = ActionEntry(REDUCE, 300);
   _actionMap[736][FROM] = ActionEntry(REDUCE, 300);
   _actionMap[736][AS] = ActionEntry(REDUCE, 300);
   _actionMap[736][END_TOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[736][BEGIN] = ActionEntry(REDUCE, 300);
   _actionMap[736][THEN] = ActionEntry(REDUCE, 300);
}
void Cego::loadParser32()
{
   _actionMap[736][OR] = ActionEntry(REDUCE, 300);
   _actionMap[736][AND] = ActionEntry(REDUCE, 300);
   _actionMap[736][INTOK] = ActionEntry(REDUCE, 300);
   _actionMap[736][NOT] = ActionEntry(REDUCE, 300);
   _actionMap[736][BETWEEN] = ActionEntry(REDUCE, 300);
   _actionMap[736][IS] = ActionEntry(REDUCE, 300);
   _actionMap[736][LIKE] = ActionEntry(REDUCE, 300);
   _actionMap[736][MT] = ActionEntry(REDUCE, 300);
   _actionMap[736][LT] = ActionEntry(REDUCE, 300);
   _actionMap[736][NEGATION] = ActionEntry(REDUCE, 300);
   _actionMap[736][EQU] = ActionEntry(REDUCE, 300);
   _actionMap[736][RB] = ActionEntry(REDUCE, 300);
   _actionMap[736][ENDTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[736][UNION] = ActionEntry(REDUCE, 300);
   _actionMap[736][ROWLIMIT] = ActionEntry(REDUCE, 300);
   _actionMap[736][KSEP] = ActionEntry(REDUCE, 300);
   _actionMap[736][ASC] = ActionEntry(REDUCE, 300);
   _actionMap[736][DESC] = ActionEntry(REDUCE, 300);
   _actionMap[736][SEMICOLON] = ActionEntry(REDUCE, 300);
   _actionMap[736][PLUS] = ActionEntry(REDUCE, 300);
   _actionMap[736][MINUS] = ActionEntry(REDUCE, 300);
   _actionMap[736][DIVISION] = ActionEntry(REDUCE, 300);
   _actionMap[736][STAR] = ActionEntry(REDUCE, 300);
   _actionMap[736][CONCAT] = ActionEntry(REDUCE, 300);
   _actionMap[737][SEMICOLON] = ActionEntry(REDUCE, 245);
   _actionMap[737][RB] = ActionEntry(REDUCE, 245);
   _actionMap[737][ENDTOKEN] = ActionEntry(REDUCE, 245);
   _actionMap[737][UNION] = ActionEntry(REDUCE, 245);
   _actionMap[737][ROWLIMIT] = ActionEntry(SHIFT, 777);
   _jumpMap[737][NoLimit] = 776;
   _jumpMap[737][LimitOpt] = 775;
   _actionMap[738][ROWLIMIT] = ActionEntry(REDUCE, 233);
   _actionMap[738][UNION] = ActionEntry(REDUCE, 233);
   _actionMap[738][ENDTOKEN] = ActionEntry(REDUCE, 233);
   _actionMap[738][RB] = ActionEntry(REDUCE, 233);
   _actionMap[738][SEMICOLON] = ActionEntry(REDUCE, 233);
   _actionMap[739][BY] = ActionEntry(SHIFT, 778);
   _actionMap[740][IDENTIFIER] = ActionEntry(SHIFT, 781);
   _actionMap[740][QUALIFIEDOBJ] = ActionEntry(SHIFT, 782);
   _actionMap[740][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _jumpMap[740][Attribute] = 780;
   _jumpMap[740][GroupList] = 779;
   _actionMap[741][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[741][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[741][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[741][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[741][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[741][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[741][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[741][DATE2STR] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser33()
{
   _actionMap[741][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[741][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[741][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[741][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[741][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[741][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[741][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[741][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[741][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[741][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[741][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[741][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[741][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[741][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[741][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[741][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[741][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[741][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[741][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[741][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[741][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[741][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[741][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[741][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[741][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[741][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[741][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[741][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[741][LB] = ActionEntry(SHIFT, 373);
   _actionMap[741][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[741][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[741][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[741][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[741][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[741][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[741][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[741][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[741][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[741][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[741][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[741][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[741][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[741][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[741][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[741][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[741][EXISTS] = ActionEntry(SHIFT, 371);
   _actionMap[741][NOT] = ActionEntry(SHIFT, 372);
   _jumpMap[741][ObjSpec] = 100;
   _jumpMap[741][Constant] = 99;
   _jumpMap[741][SignedFloat] = 98;
}
void Cego::loadParser34()
{
   _jumpMap[741][SignedInt] = 97;
   _jumpMap[741][Attribute] = 96;
   _jumpMap[741][QueryPredicate] = 370;
   _jumpMap[741][QueryCondition] = 783;
   _jumpMap[741][Function] = 95;
   _jumpMap[741][CasePrepare] = 94;
   _jumpMap[741][CaseClause] = 93;
   _jumpMap[741][Factor] = 92;
   _jumpMap[741][Term] = 91;
   _jumpMap[741][Expr] = 368;
   _actionMap[742][EXISTS] = ActionEntry(REDUCE, 220);
   _actionMap[742][LB] = ActionEntry(REDUCE, 220);
   _actionMap[742][NOT] = ActionEntry(REDUCE, 220);
   _actionMap[742][VARREF] = ActionEntry(REDUCE, 220);
   _actionMap[742][FETCH] = ActionEntry(REDUCE, 220);
   _actionMap[742][COUNT] = ActionEntry(REDUCE, 220);
   _actionMap[742][SUM] = ActionEntry(REDUCE, 220);
   _actionMap[742][AVG] = ActionEntry(REDUCE, 220);
   _actionMap[742][MIN] = ActionEntry(REDUCE, 220);
   _actionMap[742][MAX] = ActionEntry(REDUCE, 220);
   _actionMap[742][CASE] = ActionEntry(REDUCE, 220);
   _actionMap[742][TRIM] = ActionEntry(REDUCE, 220);
   _actionMap[742][RTRIM] = ActionEntry(REDUCE, 220);
   _actionMap[742][LTRIM] = ActionEntry(REDUCE, 220);
   _actionMap[742][ROUND] = ActionEntry(REDUCE, 220);
   _actionMap[742][DATE2STR] = ActionEntry(REDUCE, 220);
   _actionMap[742][DATE2INT] = ActionEntry(REDUCE, 220);
   _actionMap[742][INT2DATE] = ActionEntry(REDUCE, 220);
   _actionMap[742][LOWER] = ActionEntry(REDUCE, 220);
   _actionMap[742][UPPER] = ActionEntry(REDUCE, 220);
   _actionMap[742][LEFT] = ActionEntry(REDUCE, 220);
   _actionMap[742][RIGHT] = ActionEntry(REDUCE, 220);
   _actionMap[742][GETPOS] = ActionEntry(REDUCE, 220);
   _actionMap[742][SUBSTR] = ActionEntry(REDUCE, 220);
   _actionMap[742][REPLACE] = ActionEntry(REDUCE, 220);
   _actionMap[742][LENGTH] = ActionEntry(REDUCE, 220);
   _actionMap[742][TRUNC] = ActionEntry(REDUCE, 220);
   _actionMap[742][STR2INT] = ActionEntry(REDUCE, 220);
   _actionMap[742][STR2LONG] = ActionEntry(REDUCE, 220);
   _actionMap[742][STR2DATE] = ActionEntry(REDUCE, 220);
   _actionMap[742][RANDSTR] = ActionEntry(REDUCE, 220);
   _actionMap[742][RANDINT] = ActionEntry(REDUCE, 220);
   _actionMap[742][MOD] = ActionEntry(REDUCE, 220);
   _actionMap[742][DIV] = ActionEntry(REDUCE, 220);
   _actionMap[742][POWER] = ActionEntry(REDUCE, 220);
   _actionMap[742][BITAND] = ActionEntry(REDUCE, 220);
   _actionMap[742][BITOR] = ActionEntry(REDUCE, 220);
   _actionMap[742][BITXOR] = ActionEntry(REDUCE, 220);
   _actionMap[742][BLOBSIZE] = ActionEntry(REDUCE, 220);
   _actionMap[742][NEXTCOUNT] = ActionEntry(REDUCE, 220);
}
void Cego::loadParser35()
{
   _actionMap[742][SETCOUNT] = ActionEntry(REDUCE, 220);
   _actionMap[742][IDENTIFIER] = ActionEntry(REDUCE, 220);
   _actionMap[742][QUALIFIEDOBJ] = ActionEntry(REDUCE, 220);
   _actionMap[742][QUALIFIEDTS] = ActionEntry(REDUCE, 220);
   _actionMap[742][QUALIFIEDPRE] = ActionEntry(REDUCE, 220);
   _actionMap[742][STRINGVAL] = ActionEntry(REDUCE, 220);
   _actionMap[742][DATE] = ActionEntry(REDUCE, 220);
   _actionMap[742][SYSDATE] = ActionEntry(REDUCE, 220);
   _actionMap[742][NULLTOKEN] = ActionEntry(REDUCE, 220);
   _actionMap[742][TRUEVAL] = ActionEntry(REDUCE, 220);
   _actionMap[742][FALSEVAL] = ActionEntry(REDUCE, 220);
   _actionMap[742][LAB] = ActionEntry(REDUCE, 220);
   _actionMap[742][FLOATVAL] = ActionEntry(REDUCE, 220);
   _actionMap[742][MINUS] = ActionEntry(REDUCE, 220);
   _actionMap[742][INTVAL] = ActionEntry(REDUCE, 220);
   _actionMap[743][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[743][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[743][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[743][ObjSpec] = 437;
   _jumpMap[743][Table] = 784;
   _actionMap[744][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[744][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[744][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[744][ObjSpec] = 437;
   _jumpMap[744][Table] = 785;
   _actionMap[745][KSEP] = ActionEntry(SHIFT, 786);
   _actionMap[745][SEMICOLON] = ActionEntry(REDUCE, 250);
   _actionMap[746][SEMICOLON] = ActionEntry(REDUCE, 253);
   _actionMap[746][KSEP] = ActionEntry(REDUCE, 253);
   _actionMap[747][EQU] = ActionEntry(SHIFT, 787);
   _actionMap[588][SEMICOLON] = ActionEntry(REDUCE, 259);
   _actionMap[589][COLUMN] = ActionEntry(SHIFT, 450);
   _actionMap[590][ON] = ActionEntry(SHIFT, 688);
   _actionMap[591][SEMICOLON] = ActionEntry(REDUCE, 262);
   _actionMap[591][KSEP] = ActionEntry(REDUCE, 262);
   _actionMap[592][IDENTIFIER] = ActionEntry(SHIFT, 689);
   _actionMap[593][SEMICOLON] = ActionEntry(REDUCE, 261);
   _actionMap[593][KSEP] = ActionEntry(REDUCE, 261);
   _actionMap[594][SEMICOLON] = ActionEntry(REDUCE, 263);
   _actionMap[594][KSEP] = ActionEntry(REDUCE, 263);
   _actionMap[595][TO] = ActionEntry(SHIFT, 690);
   _actionMap[596][IDENTIFIER] = ActionEntry(SHIFT, 691);
   _actionMap[597][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[597][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[597][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[597][KSEP] = ActionEntry(REDUCE, 117);
   _actionMap[597][RB] = ActionEntry(REDUCE, 117);
   _actionMap[598][ELSE] = ActionEntry(REDUCE, 112);
   _actionMap[598][ELSIF] = ActionEntry(REDUCE, 112);
   _actionMap[598][EXCEPTION] = ActionEntry(REDUCE, 112);
}
void Cego::loadParser36()
{
   _actionMap[598][END_TOKEN] = ActionEntry(REDUCE, 112);
   _actionMap[599][WHEN] = ActionEntry(SHIFT, 692);
   _actionMap[600][EXCEPTION] = ActionEntry(REDUCE, 91);
   _actionMap[600][END_TOKEN] = ActionEntry(REDUCE, 91);
   _actionMap[600][ELSE] = ActionEntry(REDUCE, 91);
   _actionMap[600][ELSIF] = ActionEntry(REDUCE, 91);
   _actionMap[600][VAR] = ActionEntry(REDUCE, 91);
   _actionMap[600][CURSOR] = ActionEntry(REDUCE, 91);
   _actionMap[600][CLOSE] = ActionEntry(REDUCE, 91);
   _actionMap[600][VARREF] = ActionEntry(REDUCE, 91);
   _actionMap[600][NOOP] = ActionEntry(REDUCE, 91);
   _actionMap[600][RETURNTOKEN] = ActionEntry(REDUCE, 91);
   _actionMap[600][WHILE] = ActionEntry(REDUCE, 91);
   _actionMap[600][IF] = ActionEntry(REDUCE, 91);
   _actionMap[600][BEGIN] = ActionEntry(REDUCE, 91);
   _actionMap[600][ROLLBACK] = ActionEntry(REDUCE, 91);
   _actionMap[600][COMMIT] = ActionEntry(REDUCE, 91);
   _actionMap[600][START_TOKEN] = ActionEntry(REDUCE, 91);
   _actionMap[600][UPDATE] = ActionEntry(REDUCE, 91);
   _actionMap[600][DELETETOK] = ActionEntry(REDUCE, 91);
   _actionMap[600][INSERT] = ActionEntry(REDUCE, 91);
   _actionMap[600][FETCH] = ActionEntry(REDUCE, 91);
   _actionMap[600][LB] = ActionEntry(REDUCE, 91);
   _actionMap[600][COUNT] = ActionEntry(REDUCE, 91);
   _actionMap[600][SUM] = ActionEntry(REDUCE, 91);
   _actionMap[600][AVG] = ActionEntry(REDUCE, 91);
   _actionMap[600][MIN] = ActionEntry(REDUCE, 91);
   _actionMap[600][MAX] = ActionEntry(REDUCE, 91);
   _actionMap[600][CASE] = ActionEntry(REDUCE, 91);
   _actionMap[600][TRIM] = ActionEntry(REDUCE, 91);
   _actionMap[600][RTRIM] = ActionEntry(REDUCE, 91);
   _actionMap[600][LTRIM] = ActionEntry(REDUCE, 91);
   _actionMap[600][ROUND] = ActionEntry(REDUCE, 91);
   _actionMap[600][DATE2STR] = ActionEntry(REDUCE, 91);
   _actionMap[600][DATE2INT] = ActionEntry(REDUCE, 91);
   _actionMap[600][INT2DATE] = ActionEntry(REDUCE, 91);
   _actionMap[600][LOWER] = ActionEntry(REDUCE, 91);
   _actionMap[600][UPPER] = ActionEntry(REDUCE, 91);
   _actionMap[600][LEFT] = ActionEntry(REDUCE, 91);
   _actionMap[600][RIGHT] = ActionEntry(REDUCE, 91);
   _actionMap[600][GETPOS] = ActionEntry(REDUCE, 91);
   _actionMap[600][SUBSTR] = ActionEntry(REDUCE, 91);
   _actionMap[600][REPLACE] = ActionEntry(REDUCE, 91);
   _actionMap[600][LENGTH] = ActionEntry(REDUCE, 91);
   _actionMap[600][TRUNC] = ActionEntry(REDUCE, 91);
   _actionMap[600][STR2INT] = ActionEntry(REDUCE, 91);
   _actionMap[600][STR2LONG] = ActionEntry(REDUCE, 91);
   _actionMap[600][STR2DATE] = ActionEntry(REDUCE, 91);
   _actionMap[600][RANDSTR] = ActionEntry(REDUCE, 91);
   _actionMap[600][RANDINT] = ActionEntry(REDUCE, 91);
}
void Cego::loadParser37()
{
   _actionMap[600][MOD] = ActionEntry(REDUCE, 91);
   _actionMap[600][DIV] = ActionEntry(REDUCE, 91);
   _actionMap[600][POWER] = ActionEntry(REDUCE, 91);
   _actionMap[600][BITAND] = ActionEntry(REDUCE, 91);
   _actionMap[600][BITOR] = ActionEntry(REDUCE, 91);
   _actionMap[600][BITXOR] = ActionEntry(REDUCE, 91);
   _actionMap[600][BLOBSIZE] = ActionEntry(REDUCE, 91);
   _actionMap[600][NEXTCOUNT] = ActionEntry(REDUCE, 91);
   _actionMap[600][SETCOUNT] = ActionEntry(REDUCE, 91);
   _actionMap[600][IDENTIFIER] = ActionEntry(REDUCE, 91);
   _actionMap[600][QUALIFIEDOBJ] = ActionEntry(REDUCE, 91);
   _actionMap[600][QUALIFIEDTS] = ActionEntry(REDUCE, 91);
   _actionMap[600][QUALIFIEDPRE] = ActionEntry(REDUCE, 91);
   _actionMap[600][STRINGVAL] = ActionEntry(REDUCE, 91);
   _actionMap[600][DATE] = ActionEntry(REDUCE, 91);
   _actionMap[600][SYSDATE] = ActionEntry(REDUCE, 91);
   _actionMap[600][NULLTOKEN] = ActionEntry(REDUCE, 91);
   _actionMap[600][TRUEVAL] = ActionEntry(REDUCE, 91);
   _actionMap[600][FALSEVAL] = ActionEntry(REDUCE, 91);
   _actionMap[600][LAB] = ActionEntry(REDUCE, 91);
   _actionMap[600][FLOATVAL] = ActionEntry(REDUCE, 91);
   _actionMap[600][MINUS] = ActionEntry(REDUCE, 91);
   _actionMap[600][INTVAL] = ActionEntry(REDUCE, 91);
   _actionMap[601][SEMICOLON] = ActionEntry(REDUCE, 110);
   _actionMap[602][END_TOKEN] = ActionEntry(SHIFT, 605);
   _actionMap[603][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[603][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[603][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[603][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[603][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[603][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[603][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[603][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[603][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[603][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[603][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[603][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[603][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[603][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[603][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[603][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[603][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[603][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[603][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[603][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[603][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[603][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[603][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[603][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[603][MOD] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser38()
{
   _actionMap[603][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[603][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[603][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[603][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[603][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[603][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[603][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[603][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[603][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[603][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[603][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[603][LB] = ActionEntry(SHIFT, 144);
   _actionMap[603][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[603][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[603][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[603][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[603][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[603][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[603][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[603][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[603][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[603][VARREF] = ActionEntry(SHIFT, 343);
   _actionMap[603][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[603][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[603][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[603][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[603][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[603][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[603][IF] = ActionEntry(SHIFT, 338);
   _actionMap[603][BEGIN] = ActionEntry(SHIFT, 335);
   _actionMap[603][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[603][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[603][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[603][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[603][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[603][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[603][VAR] = ActionEntry(SHIFT, 341);
   _actionMap[603][CURSOR] = ActionEntry(SHIFT, 337);
   _actionMap[603][CLOSE] = ActionEntry(SHIFT, 336);
   _actionMap[603][NOOP] = ActionEntry(SHIFT, 339);
   _actionMap[603][RETURNTOKEN] = ActionEntry(SHIFT, 340);
   _actionMap[603][WHILE] = ActionEntry(SHIFT, 342);
   _jumpMap[603][ObjSpec] = 100;
   _jumpMap[603][Constant] = 99;
   _jumpMap[603][SignedFloat] = 98;
   _jumpMap[603][SignedInt] = 97;
   _jumpMap[603][Attribute] = 96;
   _jumpMap[603][Function] = 95;
   _jumpMap[603][DeleteStatement] = 334;
   _jumpMap[603][UpdateStatement] = 333;
}
void Cego::loadParser39()
{
   _jumpMap[603][InsertStatement] = 332;
   _jumpMap[603][RollbackStatement] = 331;
   _jumpMap[603][CommitStatement] = 330;
   _jumpMap[603][StartStatement] = 329;
   _jumpMap[603][CasePrepare] = 94;
   _jumpMap[603][CaseClause] = 93;
   _jumpMap[603][Factor] = 92;
   _jumpMap[603][Term] = 91;
   _jumpMap[603][Expr] = 328;
   _jumpMap[603][ProcStatement] = 327;
   _jumpMap[603][ProcIfPart] = 326;
   _jumpMap[603][ProcBlockStart] = 325;
   _jumpMap[603][ProcStatementList] = 324;
   _jumpMap[603][ProcStmtBlock] = 693;
   _actionMap[604][VAR] = ActionEntry(REDUCE, 127);
   _actionMap[604][CURSOR] = ActionEntry(REDUCE, 127);
   _actionMap[604][CLOSE] = ActionEntry(REDUCE, 127);
   _actionMap[604][VARREF] = ActionEntry(REDUCE, 127);
   _actionMap[604][NOOP] = ActionEntry(REDUCE, 127);
   _actionMap[604][RETURNTOKEN] = ActionEntry(REDUCE, 127);
   _actionMap[604][WHILE] = ActionEntry(REDUCE, 127);
   _actionMap[604][IF] = ActionEntry(REDUCE, 127);
   _actionMap[604][BEGIN] = ActionEntry(REDUCE, 127);
   _actionMap[604][ROLLBACK] = ActionEntry(REDUCE, 127);
   _actionMap[604][COMMIT] = ActionEntry(REDUCE, 127);
   _actionMap[604][START_TOKEN] = ActionEntry(REDUCE, 127);
   _actionMap[604][UPDATE] = ActionEntry(REDUCE, 127);
   _actionMap[604][DELETETOK] = ActionEntry(REDUCE, 127);
   _actionMap[604][INSERT] = ActionEntry(REDUCE, 127);
   _actionMap[604][FETCH] = ActionEntry(REDUCE, 127);
   _actionMap[604][LB] = ActionEntry(REDUCE, 127);
   _actionMap[604][COUNT] = ActionEntry(REDUCE, 127);
   _actionMap[604][SUM] = ActionEntry(REDUCE, 127);
   _actionMap[604][AVG] = ActionEntry(REDUCE, 127);
   _actionMap[604][MIN] = ActionEntry(REDUCE, 127);
   _actionMap[604][MAX] = ActionEntry(REDUCE, 127);
   _actionMap[604][CASE] = ActionEntry(REDUCE, 127);
   _actionMap[604][TRIM] = ActionEntry(REDUCE, 127);
   _actionMap[604][RTRIM] = ActionEntry(REDUCE, 127);
   _actionMap[604][LTRIM] = ActionEntry(REDUCE, 127);
   _actionMap[604][ROUND] = ActionEntry(REDUCE, 127);
   _actionMap[604][DATE2STR] = ActionEntry(REDUCE, 127);
   _actionMap[604][DATE2INT] = ActionEntry(REDUCE, 127);
   _actionMap[604][INT2DATE] = ActionEntry(REDUCE, 127);
   _actionMap[604][LOWER] = ActionEntry(REDUCE, 127);
   _actionMap[604][UPPER] = ActionEntry(REDUCE, 127);
   _actionMap[604][LEFT] = ActionEntry(REDUCE, 127);
   _actionMap[604][RIGHT] = ActionEntry(REDUCE, 127);
   _actionMap[604][GETPOS] = ActionEntry(REDUCE, 127);
   _actionMap[604][SUBSTR] = ActionEntry(REDUCE, 127);
}
void Cego::loadParser40()
{
   _actionMap[604][REPLACE] = ActionEntry(REDUCE, 127);
   _actionMap[604][LENGTH] = ActionEntry(REDUCE, 127);
   _actionMap[604][TRUNC] = ActionEntry(REDUCE, 127);
   _actionMap[604][STR2INT] = ActionEntry(REDUCE, 127);
   _actionMap[604][STR2LONG] = ActionEntry(REDUCE, 127);
   _actionMap[604][STR2DATE] = ActionEntry(REDUCE, 127);
   _actionMap[604][RANDSTR] = ActionEntry(REDUCE, 127);
   _actionMap[604][RANDINT] = ActionEntry(REDUCE, 127);
   _actionMap[604][MOD] = ActionEntry(REDUCE, 127);
   _actionMap[604][DIV] = ActionEntry(REDUCE, 127);
   _actionMap[604][POWER] = ActionEntry(REDUCE, 127);
   _actionMap[604][BITAND] = ActionEntry(REDUCE, 127);
   _actionMap[604][BITOR] = ActionEntry(REDUCE, 127);
   _actionMap[604][BITXOR] = ActionEntry(REDUCE, 127);
   _actionMap[604][BLOBSIZE] = ActionEntry(REDUCE, 127);
   _actionMap[604][NEXTCOUNT] = ActionEntry(REDUCE, 127);
   _actionMap[604][SETCOUNT] = ActionEntry(REDUCE, 127);
   _actionMap[604][IDENTIFIER] = ActionEntry(REDUCE, 127);
   _actionMap[604][QUALIFIEDOBJ] = ActionEntry(REDUCE, 127);
   _actionMap[604][QUALIFIEDTS] = ActionEntry(REDUCE, 127);
   _actionMap[604][QUALIFIEDPRE] = ActionEntry(REDUCE, 127);
   _actionMap[604][STRINGVAL] = ActionEntry(REDUCE, 127);
   _actionMap[604][DATE] = ActionEntry(REDUCE, 127);
   _actionMap[604][SYSDATE] = ActionEntry(REDUCE, 127);
   _actionMap[604][NULLTOKEN] = ActionEntry(REDUCE, 127);
   _actionMap[604][TRUEVAL] = ActionEntry(REDUCE, 127);
   _actionMap[604][FALSEVAL] = ActionEntry(REDUCE, 127);
   _actionMap[604][LAB] = ActionEntry(REDUCE, 127);
   _actionMap[604][FLOATVAL] = ActionEntry(REDUCE, 127);
   _actionMap[604][MINUS] = ActionEntry(REDUCE, 127);
   _actionMap[604][INTVAL] = ActionEntry(REDUCE, 127);
   _actionMap[605][SEMICOLON] = ActionEntry(REDUCE, 120);
   _actionMap[606][END_TOKEN] = ActionEntry(REDUCE, 122);
   _actionMap[606][ELSE] = ActionEntry(REDUCE, 122);
   _actionMap[607][THEN] = ActionEntry(SHIFT, 694);
   _actionMap[608][OR] = ActionEntry(SHIFT, 612);
   _actionMap[608][AND] = ActionEntry(SHIFT, 611);
   _actionMap[608][THEN] = ActionEntry(REDUCE, 129);
   _actionMap[609][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[609][SelectStatement] = 695;
   _actionMap[610][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[610][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[610][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[610][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[610][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[610][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[610][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[610][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[610][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[610][INT2DATE] = ActionEntry(SHIFT, 116);
}
void Cego::loadParser41()
{
   _actionMap[610][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[610][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[610][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[610][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[610][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[610][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[610][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[610][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[610][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[610][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[610][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[610][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[610][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[610][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[610][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[610][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[610][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[610][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[610][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[610][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[610][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[610][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[610][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[610][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[610][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[610][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[610][LB] = ActionEntry(SHIFT, 144);
   _actionMap[610][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[610][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[610][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[610][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[610][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[610][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[610][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[610][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[610][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[610][VARREF] = ActionEntry(SHIFT, 343);
   _actionMap[610][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[610][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[610][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[610][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[610][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[610][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[610][IF] = ActionEntry(SHIFT, 338);
   _actionMap[610][BEGIN] = ActionEntry(SHIFT, 335);
   _actionMap[610][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[610][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[610][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[610][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[610][DELETETOK] = ActionEntry(SHIFT, 18);
}
void Cego::loadParser42()
{
   _actionMap[610][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[610][VAR] = ActionEntry(SHIFT, 341);
   _actionMap[610][CURSOR] = ActionEntry(SHIFT, 337);
   _actionMap[610][CLOSE] = ActionEntry(SHIFT, 336);
   _actionMap[610][NOOP] = ActionEntry(SHIFT, 339);
   _actionMap[610][RETURNTOKEN] = ActionEntry(SHIFT, 340);
   _actionMap[610][WHILE] = ActionEntry(SHIFT, 342);
   _jumpMap[610][ObjSpec] = 100;
   _jumpMap[610][Constant] = 99;
   _jumpMap[610][SignedFloat] = 98;
   _jumpMap[610][SignedInt] = 97;
   _jumpMap[610][Attribute] = 96;
   _jumpMap[610][Function] = 95;
   _jumpMap[610][DeleteStatement] = 334;
   _jumpMap[610][UpdateStatement] = 333;
   _jumpMap[610][InsertStatement] = 332;
   _jumpMap[610][RollbackStatement] = 331;
   _jumpMap[610][CommitStatement] = 330;
   _jumpMap[610][StartStatement] = 329;
   _jumpMap[610][CasePrepare] = 94;
   _jumpMap[610][CaseClause] = 93;
   _jumpMap[610][Factor] = 92;
   _jumpMap[610][Term] = 91;
   _jumpMap[610][Expr] = 328;
   _jumpMap[610][ProcStatement] = 327;
   _jumpMap[610][ProcIfPart] = 326;
   _jumpMap[610][ProcBlockStart] = 325;
   _jumpMap[610][ProcStatementList] = 324;
   _jumpMap[610][ProcStmtBlock] = 696;
   _actionMap[611][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[611][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[611][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[611][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[611][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[611][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[611][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[611][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[611][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[611][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[611][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[611][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[611][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[611][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[611][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[611][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[611][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[611][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[611][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[611][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[611][STR2LONG] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser43()
{
   _actionMap[611][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[611][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[611][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[611][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[611][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[611][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[611][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[611][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[611][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[611][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[611][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[611][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[611][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[611][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[611][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[611][LB] = ActionEntry(SHIFT, 471);
   _actionMap[611][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[611][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[611][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[611][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[611][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[611][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[611][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[611][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[611][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[611][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[611][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[611][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[611][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[611][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[611][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[611][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[611][ObjSpec] = 100;
   _jumpMap[611][Constant] = 99;
   _jumpMap[611][SignedFloat] = 98;
   _jumpMap[611][SignedInt] = 97;
   _jumpMap[611][Attribute] = 96;
   _jumpMap[611][Function] = 95;
   _jumpMap[611][CasePrepare] = 94;
   _jumpMap[611][CaseClause] = 93;
   _jumpMap[611][Factor] = 92;
   _jumpMap[611][Term] = 91;
   _jumpMap[611][Expr] = 470;
   _jumpMap[611][ProcPredicate] = 697;
   _actionMap[612][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[612][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[612][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[612][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[612][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[612][LTRIM] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser44()
{
   _actionMap[612][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[612][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[612][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[612][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[612][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[612][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[612][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[612][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[612][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[612][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[612][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[612][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[612][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[612][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[612][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[612][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[612][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[612][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[612][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[612][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[612][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[612][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[612][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[612][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[612][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[612][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[612][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[612][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[612][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[612][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[612][LB] = ActionEntry(SHIFT, 471);
   _actionMap[612][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[612][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[612][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[612][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[612][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[612][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[612][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[612][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[612][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[612][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[612][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[612][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[612][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[612][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[612][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[612][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[612][ObjSpec] = 100;
   _jumpMap[612][Constant] = 99;
   _jumpMap[612][SignedFloat] = 98;
}
void Cego::loadParser45()
{
   _jumpMap[612][SignedInt] = 97;
   _jumpMap[612][Attribute] = 96;
   _jumpMap[612][Function] = 95;
   _jumpMap[612][CasePrepare] = 94;
   _jumpMap[612][CaseClause] = 93;
   _jumpMap[612][Factor] = 92;
   _jumpMap[612][Term] = 91;
   _jumpMap[612][Expr] = 470;
   _jumpMap[612][ProcPredicate] = 698;
   _actionMap[613][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[613][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[613][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[613][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[613][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[613][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[613][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[613][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[613][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[613][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[613][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[613][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[613][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[613][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[613][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[613][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[613][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[613][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[613][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[613][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[613][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[613][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[613][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[613][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[613][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[613][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[613][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[613][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[613][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[613][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[613][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[613][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[613][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[613][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[613][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[613][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[613][LB] = ActionEntry(SHIFT, 144);
   _actionMap[613][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[613][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[613][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[613][NULLTOKEN] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser46()
{
   _actionMap[613][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[613][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[613][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[613][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[613][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[613][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[613][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[613][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[613][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[613][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[613][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[613][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[613][ObjSpec] = 100;
   _jumpMap[613][Constant] = 99;
   _jumpMap[613][SignedFloat] = 98;
   _jumpMap[613][SignedInt] = 97;
   _jumpMap[613][Attribute] = 96;
   _jumpMap[613][Function] = 95;
   _jumpMap[613][CasePrepare] = 94;
   _jumpMap[613][CaseClause] = 93;
   _jumpMap[613][Factor] = 92;
   _jumpMap[613][Term] = 91;
   _jumpMap[613][Expr] = 699;
   _actionMap[614][NOT] = ActionEntry(SHIFT, 700);
   _actionMap[614][NULLTOKEN] = ActionEntry(SHIFT, 701);
   _actionMap[615][RB] = ActionEntry(SHIFT, 702);
   _actionMap[615][OR] = ActionEntry(SHIFT, 612);
   _actionMap[615][AND] = ActionEntry(SHIFT, 611);
   _actionMap[616][RB] = ActionEntry(SHIFT, 417);
   _actionMap[616][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[616][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[616][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[616][IS] = ActionEntry(SHIFT, 614);
   _actionMap[616][EQU] = ActionEntry(SHIFT, 504);
   _actionMap[616][NEGATION] = ActionEntry(SHIFT, 507);
   _actionMap[616][LT] = ActionEntry(SHIFT, 505);
   _actionMap[616][MT] = ActionEntry(SHIFT, 506);
   _jumpMap[616][Comparison] = 613;
   _actionMap[617][SEMICOLON] = ActionEntry(REDUCE, 101);
   _actionMap[617][EQU] = ActionEntry(SHIFT, 705);
   _jumpMap[617][ProcNoAssignment] = 704;
   _jumpMap[617][ProcInitialAssignment] = 703;
   _actionMap[618][LB] = ActionEntry(SHIFT, 706);
   _actionMap[619][BEGIN] = ActionEntry(REDUCE, 334);
   _actionMap[619][DEFAULT] = ActionEntry(REDUCE, 334);
   _actionMap[619][NULLTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[619][NOT] = ActionEntry(REDUCE, 334);
   _actionMap[619][KSEP] = ActionEntry(REDUCE, 334);
   _actionMap[619][RB] = ActionEntry(REDUCE, 334);
   _actionMap[619][EQU] = ActionEntry(REDUCE, 334);
}
void Cego::loadParser47()
{
   _actionMap[619][SEMICOLON] = ActionEntry(REDUCE, 334);
   _actionMap[620][BEGIN] = ActionEntry(REDUCE, 326);
   _actionMap[620][DEFAULT] = ActionEntry(REDUCE, 326);
   _actionMap[620][NULLTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[620][NOT] = ActionEntry(REDUCE, 326);
   _actionMap[620][KSEP] = ActionEntry(REDUCE, 326);
   _actionMap[620][RB] = ActionEntry(REDUCE, 326);
   _actionMap[620][EQU] = ActionEntry(REDUCE, 326);
   _actionMap[620][SEMICOLON] = ActionEntry(REDUCE, 326);
   _actionMap[621][BEGIN] = ActionEntry(REDUCE, 325);
   _actionMap[621][DEFAULT] = ActionEntry(REDUCE, 325);
   _actionMap[621][NULLTOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[621][NOT] = ActionEntry(REDUCE, 325);
   _actionMap[621][KSEP] = ActionEntry(REDUCE, 325);
   _actionMap[621][RB] = ActionEntry(REDUCE, 325);
   _actionMap[621][EQU] = ActionEntry(REDUCE, 325);
   _actionMap[621][SEMICOLON] = ActionEntry(REDUCE, 325);
   _actionMap[622][LB] = ActionEntry(SHIFT, 707);
   _actionMap[623][BEGIN] = ActionEntry(REDUCE, 329);
   _actionMap[623][DEFAULT] = ActionEntry(REDUCE, 329);
   _actionMap[623][NULLTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[623][NOT] = ActionEntry(REDUCE, 329);
   _actionMap[623][KSEP] = ActionEntry(REDUCE, 329);
   _actionMap[623][RB] = ActionEntry(REDUCE, 329);
   _actionMap[623][EQU] = ActionEntry(REDUCE, 329);
   _actionMap[623][SEMICOLON] = ActionEntry(REDUCE, 329);
   _actionMap[624][LB] = ActionEntry(SHIFT, 708);
   _actionMap[625][BEGIN] = ActionEntry(REDUCE, 328);
   _actionMap[625][DEFAULT] = ActionEntry(REDUCE, 328);
   _actionMap[625][NULLTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[625][NOT] = ActionEntry(REDUCE, 328);
   _actionMap[625][KSEP] = ActionEntry(REDUCE, 328);
   _actionMap[625][RB] = ActionEntry(REDUCE, 328);
   _actionMap[625][EQU] = ActionEntry(REDUCE, 328);
   _actionMap[625][SEMICOLON] = ActionEntry(REDUCE, 328);
   _actionMap[626][BEGIN] = ActionEntry(REDUCE, 322);
   _actionMap[626][DEFAULT] = ActionEntry(REDUCE, 322);
   _actionMap[626][NULLTOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[626][NOT] = ActionEntry(REDUCE, 322);
   _actionMap[626][KSEP] = ActionEntry(REDUCE, 322);
   _actionMap[626][RB] = ActionEntry(REDUCE, 322);
   _actionMap[626][EQU] = ActionEntry(REDUCE, 322);
   _actionMap[626][SEMICOLON] = ActionEntry(REDUCE, 322);
   _actionMap[627][BEGIN] = ActionEntry(REDUCE, 323);
   _actionMap[627][DEFAULT] = ActionEntry(REDUCE, 323);
   _actionMap[627][NULLTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[627][NOT] = ActionEntry(REDUCE, 323);
   _actionMap[627][KSEP] = ActionEntry(REDUCE, 323);
   _actionMap[627][RB] = ActionEntry(REDUCE, 323);
   _actionMap[627][EQU] = ActionEntry(REDUCE, 323);
}
void Cego::loadParser48()
{
   _actionMap[627][SEMICOLON] = ActionEntry(REDUCE, 323);
   _actionMap[628][BEGIN] = ActionEntry(REDUCE, 330);
   _actionMap[628][DEFAULT] = ActionEntry(REDUCE, 330);
   _actionMap[628][NULLTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[628][NOT] = ActionEntry(REDUCE, 330);
   _actionMap[628][KSEP] = ActionEntry(REDUCE, 330);
   _actionMap[628][RB] = ActionEntry(REDUCE, 330);
   _actionMap[628][EQU] = ActionEntry(REDUCE, 330);
   _actionMap[628][SEMICOLON] = ActionEntry(REDUCE, 330);
   _actionMap[629][LB] = ActionEntry(SHIFT, 709);
   _actionMap[630][BEGIN] = ActionEntry(REDUCE, 331);
   _actionMap[630][DEFAULT] = ActionEntry(REDUCE, 331);
   _actionMap[630][NULLTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[630][NOT] = ActionEntry(REDUCE, 331);
   _actionMap[630][KSEP] = ActionEntry(REDUCE, 331);
   _actionMap[630][RB] = ActionEntry(REDUCE, 331);
   _actionMap[630][EQU] = ActionEntry(REDUCE, 331);
   _actionMap[630][SEMICOLON] = ActionEntry(REDUCE, 331);
   _actionMap[631][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[631][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[631][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[631][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[631][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[631][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[631][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[631][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[631][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[631][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[631][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[631][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[631][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[631][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[631][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[631][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[631][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[631][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[631][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[631][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[631][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[631][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[631][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[631][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[631][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[631][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[631][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[631][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[631][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[631][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[631][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[631][NEXTCOUNT] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser49()
{
   _actionMap[631][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[631][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[631][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[631][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[631][LB] = ActionEntry(SHIFT, 144);
   _actionMap[631][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[631][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[631][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[631][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[631][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[631][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[631][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[631][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[631][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[631][VARREF] = ActionEntry(SHIFT, 343);
   _actionMap[631][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[631][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[631][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[631][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[631][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[631][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[631][IF] = ActionEntry(SHIFT, 338);
   _actionMap[631][BEGIN] = ActionEntry(SHIFT, 335);
   _actionMap[631][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[631][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[631][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[631][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[631][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[631][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[631][VAR] = ActionEntry(SHIFT, 341);
   _actionMap[631][CURSOR] = ActionEntry(SHIFT, 337);
   _actionMap[631][CLOSE] = ActionEntry(SHIFT, 336);
   _actionMap[631][NOOP] = ActionEntry(SHIFT, 339);
   _actionMap[631][RETURNTOKEN] = ActionEntry(SHIFT, 340);
   _actionMap[631][WHILE] = ActionEntry(SHIFT, 342);
   _jumpMap[631][ObjSpec] = 100;
   _jumpMap[631][Constant] = 99;
   _jumpMap[631][SignedFloat] = 98;
   _jumpMap[631][SignedInt] = 97;
   _jumpMap[631][Attribute] = 96;
   _jumpMap[631][Function] = 95;
   _jumpMap[631][DeleteStatement] = 334;
   _jumpMap[631][UpdateStatement] = 333;
   _jumpMap[631][InsertStatement] = 332;
   _jumpMap[631][RollbackStatement] = 331;
   _jumpMap[631][CommitStatement] = 330;
   _jumpMap[631][StartStatement] = 329;
   _jumpMap[631][CasePrepare] = 94;
   _jumpMap[631][CaseClause] = 93;
   _jumpMap[631][Factor] = 92;
}
void Cego::loadParser50()
{
   _jumpMap[631][Term] = 91;
   _jumpMap[631][Expr] = 328;
   _jumpMap[631][ProcStatement] = 327;
   _jumpMap[631][ProcIfPart] = 326;
   _jumpMap[631][ProcBlockStart] = 325;
   _jumpMap[631][ProcStatementList] = 324;
   _jumpMap[631][ProcStmtBlock] = 710;
   _actionMap[632][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[632][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[632][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[632][SEMICOLON] = ActionEntry(REDUCE, 96);
   _actionMap[633][LB] = ActionEntry(SHIFT, 711);
   _actionMap[634][IDENTIFIER] = ActionEntry(SHIFT, 714);
   _jumpMap[634][SimpleAttr] = 713;
   _jumpMap[634][SimpleAttrList] = 712;
   _actionMap[635][IDENTIFIER] = ActionEntry(SHIFT, 483);
   _jumpMap[635][ProcArg] = 715;
   _actionMap[636][BEGIN] = ActionEntry(REDUCE, 80);
   _actionMap[637][INT] = ActionEntry(SHIFT, 626);
   _actionMap[637][LONG] = ActionEntry(SHIFT, 627);
   _actionMap[637][STRING] = ActionEntry(SHIFT, 629);
   _actionMap[637][DATETIME] = ActionEntry(SHIFT, 621);
   _actionMap[637][BOOL] = ActionEntry(SHIFT, 620);
   _actionMap[637][BIGINT] = ActionEntry(SHIFT, 618);
   _actionMap[637][FLOAT] = ActionEntry(SHIFT, 625);
   _actionMap[637][DOUBLE] = ActionEntry(SHIFT, 623);
   _actionMap[637][SMALLINT] = ActionEntry(SHIFT, 628);
   _actionMap[637][TINYINT] = ActionEntry(SHIFT, 630);
   _actionMap[637][DECIMAL] = ActionEntry(SHIFT, 622);
   _actionMap[637][FIXED] = ActionEntry(SHIFT, 624);
   _actionMap[637][BLOB] = ActionEntry(SHIFT, 619);
   _jumpMap[637][DataTypeProd] = 716;
   _actionMap[638][INT] = ActionEntry(SHIFT, 626);
   _actionMap[638][LONG] = ActionEntry(SHIFT, 627);
   _actionMap[638][STRING] = ActionEntry(SHIFT, 629);
   _actionMap[638][DATETIME] = ActionEntry(SHIFT, 621);
   _actionMap[638][BOOL] = ActionEntry(SHIFT, 620);
   _actionMap[638][BIGINT] = ActionEntry(SHIFT, 618);
   _actionMap[638][FLOAT] = ActionEntry(SHIFT, 625);
   _actionMap[638][DOUBLE] = ActionEntry(SHIFT, 623);
   _actionMap[638][SMALLINT] = ActionEntry(SHIFT, 628);
   _actionMap[638][TINYINT] = ActionEntry(SHIFT, 630);
   _actionMap[638][DECIMAL] = ActionEntry(SHIFT, 622);
   _actionMap[638][FIXED] = ActionEntry(SHIFT, 624);
   _actionMap[638][BLOB] = ActionEntry(SHIFT, 619);
   _jumpMap[638][DataTypeProd] = 717;
   _actionMap[639][INT] = ActionEntry(SHIFT, 626);
   _actionMap[639][LONG] = ActionEntry(SHIFT, 627);
   _actionMap[639][STRING] = ActionEntry(SHIFT, 629);
   _actionMap[639][DATETIME] = ActionEntry(SHIFT, 621);
}
void Cego::loadParser51()
{
   _actionMap[639][BOOL] = ActionEntry(SHIFT, 620);
   _actionMap[639][BIGINT] = ActionEntry(SHIFT, 618);
   _actionMap[639][FLOAT] = ActionEntry(SHIFT, 625);
   _actionMap[639][DOUBLE] = ActionEntry(SHIFT, 623);
   _actionMap[639][SMALLINT] = ActionEntry(SHIFT, 628);
   _actionMap[639][TINYINT] = ActionEntry(SHIFT, 630);
   _actionMap[639][DECIMAL] = ActionEntry(SHIFT, 622);
   _actionMap[639][FIXED] = ActionEntry(SHIFT, 624);
   _actionMap[639][BLOB] = ActionEntry(SHIFT, 619);
   _jumpMap[639][DataTypeProd] = 718;
   _actionMap[640][IDENTIFIER] = ActionEntry(SHIFT, 488);
   _actionMap[640][PRIMARY] = ActionEntry(SHIFT, 487);
   _jumpMap[640][ColumnDesc] = 486;
   _jumpMap[640][KeyColumn] = 719;
   _actionMap[641][SEMICOLON] = ActionEntry(REDUCE, 54);
   _actionMap[642][KSEP] = ActionEntry(REDUCE, 169);
   _actionMap[642][RB] = ActionEntry(REDUCE, 169);
   _actionMap[643][RB] = ActionEntry(REDUCE, 178);
   _actionMap[643][SEMICOLON] = ActionEntry(REDUCE, 178);
   _actionMap[643][KSEP] = ActionEntry(REDUCE, 178);
   _actionMap[643][NOT] = ActionEntry(REDUCE, 178);
   _actionMap[643][NULLTOKEN] = ActionEntry(REDUCE, 178);
   _actionMap[643][DEFAULT] = ActionEntry(SHIFT, 722);
   _jumpMap[643][DefaultDefOpt] = 721;
   _jumpMap[643][DefaultOpt] = 720;
   _actionMap[644][LB] = ActionEntry(SHIFT, 493);
   _jumpMap[644][InsertValueSpec] = 723;
   _actionMap[645][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[645][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[645][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[645][KSEP] = ActionEntry(REDUCE, 200);
   _actionMap[645][RB] = ActionEntry(REDUCE, 200);
   _actionMap[646][RB] = ActionEntry(SHIFT, 725);
   _actionMap[646][KSEP] = ActionEntry(SHIFT, 724);
   _actionMap[647][IDENTIFIER] = ActionEntry(SHIFT, 726);
   _actionMap[648][SELECT] = ActionEntry(REDUCE, 191);
   _actionMap[648][VALUES] = ActionEntry(REDUCE, 191);
   _actionMap[649][WHEN] = ActionEntry(REDUCE, 160);
   _actionMap[649][ELSE] = ActionEntry(REDUCE, 160);
   _actionMap[649][LEFT] = ActionEntry(REDUCE, 160);
   _actionMap[649][RIGHT] = ActionEntry(REDUCE, 160);
   _actionMap[649][INNER] = ActionEntry(REDUCE, 160);
   _actionMap[649][JOIN] = ActionEntry(REDUCE, 160);
   _actionMap[649][RETURNTOKEN] = ActionEntry(REDUCE, 160);
   _actionMap[649][ORDER] = ActionEntry(REDUCE, 160);
   _actionMap[649][GROUP] = ActionEntry(REDUCE, 160);
   _actionMap[649][WHERE] = ActionEntry(REDUCE, 160);
   _actionMap[649][BEGIN] = ActionEntry(REDUCE, 160);
   _actionMap[649][THEN] = ActionEntry(REDUCE, 160);
   _actionMap[649][OR] = ActionEntry(REDUCE, 160);
}
void Cego::loadParser52()
{
   _actionMap[649][FROM] = ActionEntry(REDUCE, 160);
   _actionMap[649][AS] = ActionEntry(REDUCE, 160);
   _actionMap[649][END_TOKEN] = ActionEntry(REDUCE, 160);
   _actionMap[649][AND] = ActionEntry(REDUCE, 160);
   _actionMap[649][INTOK] = ActionEntry(REDUCE, 160);
   _actionMap[649][NOT] = ActionEntry(REDUCE, 160);
   _actionMap[649][BETWEEN] = ActionEntry(REDUCE, 160);
   _actionMap[649][IS] = ActionEntry(REDUCE, 160);
   _actionMap[649][LIKE] = ActionEntry(REDUCE, 160);
   _actionMap[649][MT] = ActionEntry(REDUCE, 160);
   _actionMap[649][LT] = ActionEntry(REDUCE, 160);
   _actionMap[649][NEGATION] = ActionEntry(REDUCE, 160);
   _actionMap[649][EQU] = ActionEntry(REDUCE, 160);
   _actionMap[649][RB] = ActionEntry(REDUCE, 160);
   _actionMap[649][ENDTOKEN] = ActionEntry(REDUCE, 160);
   _actionMap[649][UNION] = ActionEntry(REDUCE, 160);
   _actionMap[649][ROWLIMIT] = ActionEntry(REDUCE, 160);
   _actionMap[649][KSEP] = ActionEntry(REDUCE, 160);
   _actionMap[649][ASC] = ActionEntry(REDUCE, 160);
   _actionMap[649][DESC] = ActionEntry(REDUCE, 160);
   _actionMap[649][SEMICOLON] = ActionEntry(REDUCE, 160);
   _actionMap[649][PLUS] = ActionEntry(REDUCE, 160);
   _actionMap[649][MINUS] = ActionEntry(REDUCE, 160);
   _actionMap[649][DIVISION] = ActionEntry(REDUCE, 160);
   _actionMap[649][STAR] = ActionEntry(REDUCE, 160);
   _actionMap[649][CONCAT] = ActionEntry(REDUCE, 160);
   _actionMap[650][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[650][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[650][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[650][LEFT] = ActionEntry(REDUCE, 314);
   _actionMap[650][RIGHT] = ActionEntry(REDUCE, 314);
   _actionMap[650][INNER] = ActionEntry(REDUCE, 314);
   _actionMap[650][JOIN] = ActionEntry(REDUCE, 314);
   _actionMap[650][RETURNTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[650][SEMICOLON] = ActionEntry(REDUCE, 314);
   _actionMap[650][ENDTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[650][UNION] = ActionEntry(REDUCE, 314);
   _actionMap[650][ROWLIMIT] = ActionEntry(REDUCE, 314);
   _actionMap[650][ORDER] = ActionEntry(REDUCE, 314);
   _actionMap[650][GROUP] = ActionEntry(REDUCE, 314);
   _actionMap[650][WHERE] = ActionEntry(REDUCE, 314);
   _actionMap[650][THEN] = ActionEntry(REDUCE, 314);
   _actionMap[650][AND] = ActionEntry(REDUCE, 314);
   _actionMap[650][OR] = ActionEntry(REDUCE, 314);
   _actionMap[650][RB] = ActionEntry(REDUCE, 314);
   _actionMap[651][AND] = ActionEntry(SHIFT, 727);
   _actionMap[651][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[651][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[651][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[652][SELECT] = ActionEntry(SHIFT, 30);
}
void Cego::loadParser53()
{
   _jumpMap[652][SelectStatement] = 728;
   _actionMap[653][NULLTOKEN] = ActionEntry(SHIFT, 729);
   _actionMap[654][LEFT] = ActionEntry(REDUCE, 316);
   _actionMap[654][RIGHT] = ActionEntry(REDUCE, 316);
   _actionMap[654][INNER] = ActionEntry(REDUCE, 316);
   _actionMap[654][JOIN] = ActionEntry(REDUCE, 316);
   _actionMap[654][RETURNTOKEN] = ActionEntry(REDUCE, 316);
   _actionMap[654][SEMICOLON] = ActionEntry(REDUCE, 316);
   _actionMap[654][ENDTOKEN] = ActionEntry(REDUCE, 316);
   _actionMap[654][UNION] = ActionEntry(REDUCE, 316);
   _actionMap[654][ROWLIMIT] = ActionEntry(REDUCE, 316);
   _actionMap[654][ORDER] = ActionEntry(REDUCE, 316);
   _actionMap[654][GROUP] = ActionEntry(REDUCE, 316);
   _actionMap[654][WHERE] = ActionEntry(REDUCE, 316);
   _actionMap[654][THEN] = ActionEntry(REDUCE, 316);
   _actionMap[654][AND] = ActionEntry(REDUCE, 316);
   _actionMap[654][OR] = ActionEntry(REDUCE, 316);
   _actionMap[654][RB] = ActionEntry(REDUCE, 316);
   _actionMap[655][LEFT] = ActionEntry(REDUCE, 318);
   _actionMap[655][RIGHT] = ActionEntry(REDUCE, 318);
   _actionMap[655][INNER] = ActionEntry(REDUCE, 318);
   _actionMap[655][JOIN] = ActionEntry(REDUCE, 318);
   _actionMap[655][RETURNTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[655][SEMICOLON] = ActionEntry(REDUCE, 318);
   _actionMap[655][ENDTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[655][UNION] = ActionEntry(REDUCE, 318);
   _actionMap[655][ROWLIMIT] = ActionEntry(REDUCE, 318);
   _actionMap[655][ORDER] = ActionEntry(REDUCE, 318);
   _actionMap[655][GROUP] = ActionEntry(REDUCE, 318);
   _actionMap[655][WHERE] = ActionEntry(REDUCE, 318);
   _actionMap[655][THEN] = ActionEntry(REDUCE, 318);
   _actionMap[655][AND] = ActionEntry(REDUCE, 318);
   _actionMap[655][OR] = ActionEntry(REDUCE, 318);
   _actionMap[655][RB] = ActionEntry(REDUCE, 318);
   _actionMap[656][LB] = ActionEntry(SHIFT, 730);
   _actionMap[657][STRINGVAL] = ActionEntry(SHIFT, 731);
   _actionMap[658][VARREF] = ActionEntry(REDUCE, 339);
   _actionMap[658][FETCH] = ActionEntry(REDUCE, 339);
   _actionMap[658][LB] = ActionEntry(REDUCE, 339);
   _actionMap[658][COUNT] = ActionEntry(REDUCE, 339);
   _actionMap[658][SUM] = ActionEntry(REDUCE, 339);
   _actionMap[658][AVG] = ActionEntry(REDUCE, 339);
   _actionMap[658][MIN] = ActionEntry(REDUCE, 339);
   _actionMap[658][MAX] = ActionEntry(REDUCE, 339);
   _actionMap[658][CASE] = ActionEntry(REDUCE, 339);
   _actionMap[658][TRIM] = ActionEntry(REDUCE, 339);
   _actionMap[658][RTRIM] = ActionEntry(REDUCE, 339);
   _actionMap[658][LTRIM] = ActionEntry(REDUCE, 339);
   _actionMap[658][ROUND] = ActionEntry(REDUCE, 339);
   _actionMap[658][DATE2STR] = ActionEntry(REDUCE, 339);
}
void Cego::loadParser54()
{
   _actionMap[658][DATE2INT] = ActionEntry(REDUCE, 339);
   _actionMap[658][INT2DATE] = ActionEntry(REDUCE, 339);
   _actionMap[658][LOWER] = ActionEntry(REDUCE, 339);
   _actionMap[658][UPPER] = ActionEntry(REDUCE, 339);
   _actionMap[658][LEFT] = ActionEntry(REDUCE, 339);
   _actionMap[658][RIGHT] = ActionEntry(REDUCE, 339);
   _actionMap[658][GETPOS] = ActionEntry(REDUCE, 339);
   _actionMap[658][SUBSTR] = ActionEntry(REDUCE, 339);
   _actionMap[658][REPLACE] = ActionEntry(REDUCE, 339);
   _actionMap[658][LENGTH] = ActionEntry(REDUCE, 339);
   _actionMap[658][TRUNC] = ActionEntry(REDUCE, 339);
   _actionMap[658][STR2INT] = ActionEntry(REDUCE, 339);
   _actionMap[658][STR2LONG] = ActionEntry(REDUCE, 339);
   _actionMap[658][STR2DATE] = ActionEntry(REDUCE, 339);
   _actionMap[658][RANDSTR] = ActionEntry(REDUCE, 339);
   _actionMap[658][RANDINT] = ActionEntry(REDUCE, 339);
   _actionMap[658][MOD] = ActionEntry(REDUCE, 339);
   _actionMap[658][DIV] = ActionEntry(REDUCE, 339);
   _actionMap[658][POWER] = ActionEntry(REDUCE, 339);
   _actionMap[658][BITAND] = ActionEntry(REDUCE, 339);
   _actionMap[658][BITOR] = ActionEntry(REDUCE, 339);
   _actionMap[658][BITXOR] = ActionEntry(REDUCE, 339);
   _actionMap[658][BLOBSIZE] = ActionEntry(REDUCE, 339);
   _actionMap[658][NEXTCOUNT] = ActionEntry(REDUCE, 339);
   _actionMap[658][SETCOUNT] = ActionEntry(REDUCE, 339);
   _actionMap[658][IDENTIFIER] = ActionEntry(REDUCE, 339);
   _actionMap[658][QUALIFIEDOBJ] = ActionEntry(REDUCE, 339);
   _actionMap[658][QUALIFIEDTS] = ActionEntry(REDUCE, 339);
   _actionMap[658][QUALIFIEDPRE] = ActionEntry(REDUCE, 339);
   _actionMap[658][STRINGVAL] = ActionEntry(REDUCE, 339);
   _actionMap[658][DATE] = ActionEntry(REDUCE, 339);
   _actionMap[658][SYSDATE] = ActionEntry(REDUCE, 339);
   _actionMap[658][NULLTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[658][TRUEVAL] = ActionEntry(REDUCE, 339);
   _actionMap[658][FALSEVAL] = ActionEntry(REDUCE, 339);
   _actionMap[658][LAB] = ActionEntry(REDUCE, 339);
   _actionMap[658][FLOATVAL] = ActionEntry(REDUCE, 339);
   _actionMap[658][MINUS] = ActionEntry(REDUCE, 339);
   _actionMap[658][INTVAL] = ActionEntry(REDUCE, 339);
   _actionMap[659][VARREF] = ActionEntry(REDUCE, 340);
   _actionMap[659][FETCH] = ActionEntry(REDUCE, 340);
   _actionMap[659][LB] = ActionEntry(REDUCE, 340);
   _actionMap[659][COUNT] = ActionEntry(REDUCE, 340);
   _actionMap[659][SUM] = ActionEntry(REDUCE, 340);
   _actionMap[659][AVG] = ActionEntry(REDUCE, 340);
   _actionMap[659][MIN] = ActionEntry(REDUCE, 340);
   _actionMap[659][MAX] = ActionEntry(REDUCE, 340);
   _actionMap[659][CASE] = ActionEntry(REDUCE, 340);
   _actionMap[659][TRIM] = ActionEntry(REDUCE, 340);
   _actionMap[659][RTRIM] = ActionEntry(REDUCE, 340);
}
void Cego::loadParser55()
{
   _actionMap[659][LTRIM] = ActionEntry(REDUCE, 340);
   _actionMap[659][ROUND] = ActionEntry(REDUCE, 340);
   _actionMap[659][DATE2STR] = ActionEntry(REDUCE, 340);
   _actionMap[659][DATE2INT] = ActionEntry(REDUCE, 340);
   _actionMap[659][INT2DATE] = ActionEntry(REDUCE, 340);
   _actionMap[659][LOWER] = ActionEntry(REDUCE, 340);
   _actionMap[659][UPPER] = ActionEntry(REDUCE, 340);
   _actionMap[659][LEFT] = ActionEntry(REDUCE, 340);
   _actionMap[659][RIGHT] = ActionEntry(REDUCE, 340);
   _actionMap[659][GETPOS] = ActionEntry(REDUCE, 340);
   _actionMap[659][SUBSTR] = ActionEntry(REDUCE, 340);
   _actionMap[659][REPLACE] = ActionEntry(REDUCE, 340);
   _actionMap[659][LENGTH] = ActionEntry(REDUCE, 340);
   _actionMap[659][TRUNC] = ActionEntry(REDUCE, 340);
   _actionMap[659][STR2INT] = ActionEntry(REDUCE, 340);
   _actionMap[659][STR2LONG] = ActionEntry(REDUCE, 340);
   _actionMap[659][STR2DATE] = ActionEntry(REDUCE, 340);
   _actionMap[659][RANDSTR] = ActionEntry(REDUCE, 340);
   _actionMap[659][RANDINT] = ActionEntry(REDUCE, 340);
   _actionMap[659][MOD] = ActionEntry(REDUCE, 340);
   _actionMap[659][DIV] = ActionEntry(REDUCE, 340);
   _actionMap[659][POWER] = ActionEntry(REDUCE, 340);
   _actionMap[659][BITAND] = ActionEntry(REDUCE, 340);
   _actionMap[659][BITOR] = ActionEntry(REDUCE, 340);
   _actionMap[659][BITXOR] = ActionEntry(REDUCE, 340);
   _actionMap[659][BLOBSIZE] = ActionEntry(REDUCE, 340);
   _actionMap[659][NEXTCOUNT] = ActionEntry(REDUCE, 340);
   _actionMap[659][SETCOUNT] = ActionEntry(REDUCE, 340);
   _actionMap[659][IDENTIFIER] = ActionEntry(REDUCE, 340);
   _actionMap[659][QUALIFIEDOBJ] = ActionEntry(REDUCE, 340);
   _actionMap[659][QUALIFIEDTS] = ActionEntry(REDUCE, 340);
   _actionMap[659][QUALIFIEDPRE] = ActionEntry(REDUCE, 340);
   _actionMap[659][STRINGVAL] = ActionEntry(REDUCE, 340);
   _actionMap[659][DATE] = ActionEntry(REDUCE, 340);
   _actionMap[659][SYSDATE] = ActionEntry(REDUCE, 340);
   _actionMap[659][NULLTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[659][TRUEVAL] = ActionEntry(REDUCE, 340);
   _actionMap[659][FALSEVAL] = ActionEntry(REDUCE, 340);
   _actionMap[659][LAB] = ActionEntry(REDUCE, 340);
   _actionMap[659][FLOATVAL] = ActionEntry(REDUCE, 340);
   _actionMap[659][MINUS] = ActionEntry(REDUCE, 340);
   _actionMap[659][INTVAL] = ActionEntry(REDUCE, 340);
   _actionMap[660][VARREF] = ActionEntry(REDUCE, 336);
   _actionMap[660][FETCH] = ActionEntry(REDUCE, 336);
   _actionMap[660][LB] = ActionEntry(REDUCE, 336);
   _actionMap[660][COUNT] = ActionEntry(REDUCE, 336);
   _actionMap[660][SUM] = ActionEntry(REDUCE, 336);
   _actionMap[660][AVG] = ActionEntry(REDUCE, 336);
   _actionMap[660][MIN] = ActionEntry(REDUCE, 336);
   _actionMap[660][MAX] = ActionEntry(REDUCE, 336);
}
void Cego::loadParser56()
{
   _actionMap[660][CASE] = ActionEntry(REDUCE, 336);
   _actionMap[660][TRIM] = ActionEntry(REDUCE, 336);
   _actionMap[660][RTRIM] = ActionEntry(REDUCE, 336);
   _actionMap[660][LTRIM] = ActionEntry(REDUCE, 336);
   _actionMap[660][ROUND] = ActionEntry(REDUCE, 336);
   _actionMap[660][DATE2STR] = ActionEntry(REDUCE, 336);
   _actionMap[660][DATE2INT] = ActionEntry(REDUCE, 336);
   _actionMap[660][INT2DATE] = ActionEntry(REDUCE, 336);
   _actionMap[660][LOWER] = ActionEntry(REDUCE, 336);
   _actionMap[660][UPPER] = ActionEntry(REDUCE, 336);
   _actionMap[660][LEFT] = ActionEntry(REDUCE, 336);
   _actionMap[660][RIGHT] = ActionEntry(REDUCE, 336);
   _actionMap[660][GETPOS] = ActionEntry(REDUCE, 336);
   _actionMap[660][SUBSTR] = ActionEntry(REDUCE, 336);
   _actionMap[660][REPLACE] = ActionEntry(REDUCE, 336);
   _actionMap[660][LENGTH] = ActionEntry(REDUCE, 336);
   _actionMap[660][TRUNC] = ActionEntry(REDUCE, 336);
   _actionMap[660][STR2INT] = ActionEntry(REDUCE, 336);
   _actionMap[660][STR2LONG] = ActionEntry(REDUCE, 336);
   _actionMap[660][STR2DATE] = ActionEntry(REDUCE, 336);
   _actionMap[660][RANDSTR] = ActionEntry(REDUCE, 336);
   _actionMap[660][RANDINT] = ActionEntry(REDUCE, 336);
   _actionMap[660][MOD] = ActionEntry(REDUCE, 336);
   _actionMap[660][DIV] = ActionEntry(REDUCE, 336);
   _actionMap[660][POWER] = ActionEntry(REDUCE, 336);
   _actionMap[660][BITAND] = ActionEntry(REDUCE, 336);
   _actionMap[660][BITOR] = ActionEntry(REDUCE, 336);
   _actionMap[660][BITXOR] = ActionEntry(REDUCE, 336);
   _actionMap[660][BLOBSIZE] = ActionEntry(REDUCE, 336);
   _actionMap[660][NEXTCOUNT] = ActionEntry(REDUCE, 336);
   _actionMap[660][SETCOUNT] = ActionEntry(REDUCE, 336);
   _actionMap[660][IDENTIFIER] = ActionEntry(REDUCE, 336);
   _actionMap[660][QUALIFIEDOBJ] = ActionEntry(REDUCE, 336);
   _actionMap[660][QUALIFIEDTS] = ActionEntry(REDUCE, 336);
   _actionMap[660][QUALIFIEDPRE] = ActionEntry(REDUCE, 336);
   _actionMap[660][STRINGVAL] = ActionEntry(REDUCE, 336);
   _actionMap[660][DATE] = ActionEntry(REDUCE, 336);
   _actionMap[660][SYSDATE] = ActionEntry(REDUCE, 336);
   _actionMap[660][NULLTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[660][TRUEVAL] = ActionEntry(REDUCE, 336);
   _actionMap[660][FALSEVAL] = ActionEntry(REDUCE, 336);
   _actionMap[660][LAB] = ActionEntry(REDUCE, 336);
   _actionMap[660][FLOATVAL] = ActionEntry(REDUCE, 336);
   _actionMap[660][MINUS] = ActionEntry(REDUCE, 336);
   _actionMap[660][INTVAL] = ActionEntry(REDUCE, 336);
   _actionMap[661][THEN] = ActionEntry(REDUCE, 308);
   _actionMap[661][LEFT] = ActionEntry(REDUCE, 308);
   _actionMap[661][RIGHT] = ActionEntry(REDUCE, 308);
   _actionMap[661][INNER] = ActionEntry(REDUCE, 308);
   _actionMap[661][JOIN] = ActionEntry(REDUCE, 308);
}
void Cego::loadParser57()
{
   _actionMap[661][RETURNTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[661][SEMICOLON] = ActionEntry(REDUCE, 308);
   _actionMap[661][RB] = ActionEntry(REDUCE, 308);
   _actionMap[661][ENDTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[661][UNION] = ActionEntry(REDUCE, 308);
   _actionMap[661][ROWLIMIT] = ActionEntry(REDUCE, 308);
   _actionMap[661][ORDER] = ActionEntry(REDUCE, 308);
   _actionMap[661][GROUP] = ActionEntry(REDUCE, 308);
   _actionMap[661][WHERE] = ActionEntry(REDUCE, 308);
   _actionMap[661][OR] = ActionEntry(REDUCE, 308);
   _actionMap[661][AND] = ActionEntry(REDUCE, 308);
   _actionMap[662][THEN] = ActionEntry(REDUCE, 309);
   _actionMap[662][LEFT] = ActionEntry(REDUCE, 309);
   _actionMap[662][RIGHT] = ActionEntry(REDUCE, 309);
   _actionMap[662][INNER] = ActionEntry(REDUCE, 309);
   _actionMap[662][JOIN] = ActionEntry(REDUCE, 309);
   _actionMap[662][RETURNTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[662][SEMICOLON] = ActionEntry(REDUCE, 309);
   _actionMap[662][RB] = ActionEntry(REDUCE, 309);
   _actionMap[662][ENDTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[662][UNION] = ActionEntry(REDUCE, 309);
   _actionMap[662][ROWLIMIT] = ActionEntry(REDUCE, 309);
   _actionMap[662][ORDER] = ActionEntry(REDUCE, 309);
   _actionMap[662][GROUP] = ActionEntry(REDUCE, 309);
   _actionMap[662][WHERE] = ActionEntry(REDUCE, 309);
   _actionMap[662][OR] = ActionEntry(REDUCE, 309);
   _actionMap[662][AND] = ActionEntry(REDUCE, 309);
   _actionMap[663][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[663][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[663][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[663][WHEN] = ActionEntry(REDUCE, 163);
   _actionMap[663][ELSE] = ActionEntry(REDUCE, 163);
   _actionMap[664][RB] = ActionEntry(SHIFT, 732);
   _actionMap[665][THEN] = ActionEntry(REDUCE, 320);
   _actionMap[665][LEFT] = ActionEntry(REDUCE, 320);
   _actionMap[665][RIGHT] = ActionEntry(REDUCE, 320);
   _actionMap[665][INNER] = ActionEntry(REDUCE, 320);
   _actionMap[665][JOIN] = ActionEntry(REDUCE, 320);
   _actionMap[665][RETURNTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[665][SEMICOLON] = ActionEntry(REDUCE, 320);
   _actionMap[665][RB] = ActionEntry(REDUCE, 320);
   _actionMap[665][ENDTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[665][UNION] = ActionEntry(REDUCE, 320);
   _actionMap[665][ROWLIMIT] = ActionEntry(REDUCE, 320);
   _actionMap[665][ORDER] = ActionEntry(REDUCE, 320);
   _actionMap[665][GROUP] = ActionEntry(REDUCE, 320);
   _actionMap[665][WHERE] = ActionEntry(REDUCE, 320);
   _actionMap[665][AND] = ActionEntry(REDUCE, 320);
   _actionMap[665][OR] = ActionEntry(REDUCE, 320);
   _actionMap[666][PLUS] = ActionEntry(SHIFT, 227);
}
void Cego::loadParser58()
{
   _actionMap[666][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[666][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[666][KSEP] = ActionEntry(REDUCE, 303);
   _actionMap[666][RB] = ActionEntry(REDUCE, 303);
   _actionMap[667][RB] = ActionEntry(SHIFT, 733);
   _actionMap[668][RB] = ActionEntry(REDUCE, 365);
   _actionMap[669][RB] = ActionEntry(SHIFT, 735);
   _actionMap[669][KSEP] = ActionEntry(SHIFT, 734);
   _actionMap[670][KSEP] = ActionEntry(REDUCE, 166);
   _actionMap[670][RB] = ActionEntry(REDUCE, 166);
   _actionMap[671][RB] = ActionEntry(SHIFT, 736);
   _actionMap[671][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[671][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[671][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[672][WHEN] = ActionEntry(REDUCE, 363);
   _actionMap[672][ELSE] = ActionEntry(REDUCE, 363);
   _actionMap[672][LEFT] = ActionEntry(REDUCE, 363);
   _actionMap[672][RIGHT] = ActionEntry(REDUCE, 363);
   _actionMap[672][INNER] = ActionEntry(REDUCE, 363);
   _actionMap[672][JOIN] = ActionEntry(REDUCE, 363);
   _actionMap[672][RETURNTOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[672][ORDER] = ActionEntry(REDUCE, 363);
   _actionMap[672][GROUP] = ActionEntry(REDUCE, 363);
   _actionMap[672][WHERE] = ActionEntry(REDUCE, 363);
   _actionMap[672][FROM] = ActionEntry(REDUCE, 363);
   _actionMap[672][AS] = ActionEntry(REDUCE, 363);
   _actionMap[672][END_TOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[672][BEGIN] = ActionEntry(REDUCE, 363);
   _actionMap[672][THEN] = ActionEntry(REDUCE, 363);
   _actionMap[672][OR] = ActionEntry(REDUCE, 363);
   _actionMap[672][AND] = ActionEntry(REDUCE, 363);
   _actionMap[672][NULLTOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[672][INTOK] = ActionEntry(REDUCE, 363);
   _actionMap[672][NOT] = ActionEntry(REDUCE, 363);
   _actionMap[672][BETWEEN] = ActionEntry(REDUCE, 363);
   _actionMap[672][IS] = ActionEntry(REDUCE, 363);
   _actionMap[672][LIKE] = ActionEntry(REDUCE, 363);
   _actionMap[672][MT] = ActionEntry(REDUCE, 363);
   _actionMap[672][LT] = ActionEntry(REDUCE, 363);
   _actionMap[672][NEGATION] = ActionEntry(REDUCE, 363);
   _actionMap[672][EQU] = ActionEntry(REDUCE, 363);
   _actionMap[672][RB] = ActionEntry(REDUCE, 363);
   _actionMap[672][ENDTOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[672][UNION] = ActionEntry(REDUCE, 363);
   _actionMap[672][ROWLIMIT] = ActionEntry(REDUCE, 363);
   _actionMap[672][KSEP] = ActionEntry(REDUCE, 363);
   _actionMap[672][ASC] = ActionEntry(REDUCE, 363);
   _actionMap[672][DESC] = ActionEntry(REDUCE, 363);
   _actionMap[672][SEMICOLON] = ActionEntry(REDUCE, 363);
   _actionMap[672][PLUS] = ActionEntry(REDUCE, 363);
}
void Cego::loadParser59()
{
   _actionMap[672][MINUS] = ActionEntry(REDUCE, 363);
   _actionMap[672][DIVISION] = ActionEntry(REDUCE, 363);
   _actionMap[672][STAR] = ActionEntry(REDUCE, 363);
   _actionMap[672][CONCAT] = ActionEntry(REDUCE, 363);
   _actionMap[673][SEMICOLON] = ActionEntry(REDUCE, 234);
   _actionMap[673][RB] = ActionEntry(REDUCE, 234);
   _actionMap[673][ENDTOKEN] = ActionEntry(REDUCE, 234);
   _actionMap[673][UNION] = ActionEntry(REDUCE, 234);
   _actionMap[673][ROWLIMIT] = ActionEntry(REDUCE, 234);
   _actionMap[673][ORDER] = ActionEntry(SHIFT, 739);
   _jumpMap[673][NoOrdering] = 738;
   _jumpMap[673][OrderingClause] = 737;
   _actionMap[674][ORDER] = ActionEntry(REDUCE, 225);
   _actionMap[674][ROWLIMIT] = ActionEntry(REDUCE, 225);
   _actionMap[674][UNION] = ActionEntry(REDUCE, 225);
   _actionMap[674][ENDTOKEN] = ActionEntry(REDUCE, 225);
   _actionMap[674][RB] = ActionEntry(REDUCE, 225);
   _actionMap[674][SEMICOLON] = ActionEntry(REDUCE, 225);
   _actionMap[675][BY] = ActionEntry(SHIFT, 740);
   _actionMap[676][ON] = ActionEntry(SHIFT, 742);
   _jumpMap[676][JoinTableOn] = 741;
   _actionMap[677][IDENTIFIER] = ActionEntry(REDUCE, 214);
   _actionMap[677][QUALIFIEDOBJ] = ActionEntry(REDUCE, 214);
   _actionMap[677][QUALIFIEDTS] = ActionEntry(REDUCE, 214);
   _actionMap[678][JOIN] = ActionEntry(SHIFT, 743);
   _actionMap[679][JOIN] = ActionEntry(SHIFT, 744);
   _actionMap[680][RETURNTOKEN] = ActionEntry(REDUCE, 216);
   _actionMap[680][SEMICOLON] = ActionEntry(REDUCE, 216);
   _actionMap[680][RB] = ActionEntry(REDUCE, 216);
   _actionMap[680][ENDTOKEN] = ActionEntry(REDUCE, 216);
   _actionMap[680][UNION] = ActionEntry(REDUCE, 216);
   _actionMap[680][ROWLIMIT] = ActionEntry(REDUCE, 216);
   _actionMap[680][ORDER] = ActionEntry(REDUCE, 216);
   _actionMap[680][GROUP] = ActionEntry(REDUCE, 216);
   _actionMap[680][WHERE] = ActionEntry(REDUCE, 216);
   _actionMap[681][KSEP] = ActionEntry(SHIFT, 579);
   _actionMap[681][RETURNTOKEN] = ActionEntry(REDUCE, 217);
   _actionMap[681][SEMICOLON] = ActionEntry(REDUCE, 217);
   _actionMap[681][RB] = ActionEntry(REDUCE, 217);
   _actionMap[681][ENDTOKEN] = ActionEntry(REDUCE, 217);
   _actionMap[681][UNION] = ActionEntry(REDUCE, 217);
   _actionMap[681][ROWLIMIT] = ActionEntry(REDUCE, 217);
   _actionMap[681][ORDER] = ActionEntry(REDUCE, 217);
   _actionMap[681][GROUP] = ActionEntry(REDUCE, 217);
   _actionMap[681][WHERE] = ActionEntry(REDUCE, 217);
   _actionMap[682][SEMICOLON] = ActionEntry(REDUCE, 246);
   _actionMap[683][VARREF] = ActionEntry(SHIFT, 747);
   _jumpMap[683][ReturnVar] = 746;
   _jumpMap[683][ReturnVarList] = 745;
   _actionMap[684][KSEP] = ActionEntry(REDUCE, 247);
}
void Cego::loadParser60()
{
   _actionMap[684][WHERE] = ActionEntry(REDUCE, 247);
   _actionMap[684][GROUP] = ActionEntry(REDUCE, 247);
   _actionMap[684][ORDER] = ActionEntry(REDUCE, 247);
   _actionMap[684][ROWLIMIT] = ActionEntry(REDUCE, 247);
   _actionMap[684][UNION] = ActionEntry(REDUCE, 247);
   _actionMap[684][ENDTOKEN] = ActionEntry(REDUCE, 247);
   _actionMap[684][RB] = ActionEntry(REDUCE, 247);
   _actionMap[684][SEMICOLON] = ActionEntry(REDUCE, 247);
   _actionMap[684][RETURNTOKEN] = ActionEntry(REDUCE, 247);
   _actionMap[685][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[685][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[685][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[685][KSEP] = ActionEntry(REDUCE, 249);
   _actionMap[685][WHERE] = ActionEntry(REDUCE, 249);
   _actionMap[685][GROUP] = ActionEntry(REDUCE, 249);
   _actionMap[685][ORDER] = ActionEntry(REDUCE, 249);
   _actionMap[685][ROWLIMIT] = ActionEntry(REDUCE, 249);
   _actionMap[685][UNION] = ActionEntry(REDUCE, 249);
   _actionMap[685][ENDTOKEN] = ActionEntry(REDUCE, 249);
   _actionMap[685][RB] = ActionEntry(REDUCE, 249);
   _actionMap[685][SEMICOLON] = ActionEntry(REDUCE, 249);
   _actionMap[685][RETURNTOKEN] = ActionEntry(REDUCE, 249);
   _actionMap[686][RB] = ActionEntry(SHIFT, 687);
   _actionMap[687][SEMICOLON] = ActionEntry(REDUCE, 53);
   _actionMap[448][DROP] = ActionEntry(SHIFT, 315);
   _actionMap[448][ADD] = ActionEntry(SHIFT, 589);
   _actionMap[448][MODIFY] = ActionEntry(SHIFT, 316);
   _actionMap[448][RENAME] = ActionEntry(SHIFT, 317);
   _jumpMap[448][AlterOption] = 313;
   _jumpMap[448][AlterList] = 588;
   _actionMap[449][IDENTIFIER] = ActionEntry(SHIFT, 590);
   _actionMap[450][IDENTIFIER] = ActionEntry(SHIFT, 488);
   _jumpMap[450][ColumnDesc] = 591;
   _actionMap[451][KEY] = ActionEntry(SHIFT, 592);
   _actionMap[452][IDENTIFIER] = ActionEntry(SHIFT, 593);
   _actionMap[453][IDENTIFIER] = ActionEntry(SHIFT, 488);
   _jumpMap[453][ColumnDesc] = 594;
   _actionMap[454][IDENTIFIER] = ActionEntry(SHIFT, 595);
   _actionMap[455][FOR] = ActionEntry(SHIFT, 596);
   _actionMap[456][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[456][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[456][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[456][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[456][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[456][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[456][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[456][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[456][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[456][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[456][LOWER] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser61()
{
   _actionMap[456][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[456][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[456][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[456][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[456][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[456][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[456][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[456][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[456][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[456][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[456][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[456][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[456][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[456][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[456][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[456][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[456][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[456][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[456][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[456][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[456][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[456][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[456][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[456][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[456][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[456][LB] = ActionEntry(SHIFT, 144);
   _actionMap[456][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[456][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[456][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[456][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[456][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[456][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[456][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[456][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[456][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[456][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[456][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[456][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[456][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[456][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[456][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[456][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[456][ObjSpec] = 100;
   _jumpMap[456][Constant] = 99;
   _jumpMap[456][SignedFloat] = 98;
   _jumpMap[456][SignedInt] = 97;
   _jumpMap[456][Attribute] = 96;
   _jumpMap[456][Function] = 95;
   _jumpMap[456][CasePrepare] = 94;
   _jumpMap[456][CaseClause] = 93;
}
void Cego::loadParser62()
{
   _jumpMap[456][Factor] = 92;
   _jumpMap[456][Term] = 91;
   _jumpMap[456][Expr] = 597;
   _actionMap[457][SEMICOLON] = ActionEntry(REDUCE, 81);
   _actionMap[458][ELSE] = ActionEntry(REDUCE, 90);
   _actionMap[458][ELSIF] = ActionEntry(REDUCE, 90);
   _actionMap[458][END_TOKEN] = ActionEntry(REDUCE, 90);
   _actionMap[458][EXCEPTION] = ActionEntry(SHIFT, 599);
   _jumpMap[458][ProcExceptionStmt] = 598;
   _actionMap[459][SEMICOLON] = ActionEntry(SHIFT, 600);
   _actionMap[460][END_TOKEN] = ActionEntry(SHIFT, 601);
   _actionMap[461][ELSE] = ActionEntry(SHIFT, 604);
   _actionMap[461][END_TOKEN] = ActionEntry(REDUCE, 126);
   _jumpMap[461][ProcElsePart] = 603;
   _jumpMap[461][ProcElseOpt] = 602;
   _actionMap[462][ELSIF] = ActionEntry(SHIFT, 463);
   _actionMap[462][END_TOKEN] = ActionEntry(REDUCE, 123);
   _actionMap[462][ELSE] = ActionEntry(REDUCE, 123);
   _jumpMap[462][ProcElsIfOpt] = 462;
   _jumpMap[462][ProcElsIfList] = 606;
   _actionMap[463][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[463][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[463][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[463][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[463][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[463][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[463][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[463][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[463][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[463][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[463][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[463][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[463][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[463][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[463][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[463][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[463][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[463][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[463][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[463][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[463][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[463][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[463][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[463][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[463][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[463][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[463][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[463][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[463][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[463][BITXOR] = ActionEntry(SHIFT, 105);
}
void Cego::loadParser63()
{
   _actionMap[463][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[463][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[463][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[463][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[463][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[463][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[463][LB] = ActionEntry(SHIFT, 471);
   _actionMap[463][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[463][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[463][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[463][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[463][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[463][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[463][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[463][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[463][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[463][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[463][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[463][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[463][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[463][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[463][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[463][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[463][ObjSpec] = 100;
   _jumpMap[463][Constant] = 99;
   _jumpMap[463][SignedFloat] = 98;
   _jumpMap[463][SignedInt] = 97;
   _jumpMap[463][Attribute] = 96;
   _jumpMap[463][Function] = 95;
   _jumpMap[463][CasePrepare] = 94;
   _jumpMap[463][CaseClause] = 93;
   _jumpMap[463][Factor] = 92;
   _jumpMap[463][Term] = 91;
   _jumpMap[463][Expr] = 470;
   _jumpMap[463][ProcPredicate] = 469;
   _jumpMap[463][ProcCondition] = 608;
   _jumpMap[463][ProcElsIfCondition] = 607;
   _actionMap[464][EXCEPTION] = ActionEntry(REDUCE, 92);
   _actionMap[464][END_TOKEN] = ActionEntry(REDUCE, 92);
   _actionMap[464][ELSE] = ActionEntry(REDUCE, 92);
   _actionMap[464][ELSIF] = ActionEntry(REDUCE, 92);
   _actionMap[464][VAR] = ActionEntry(REDUCE, 92);
   _actionMap[464][CURSOR] = ActionEntry(REDUCE, 92);
   _actionMap[464][CLOSE] = ActionEntry(REDUCE, 92);
   _actionMap[464][VARREF] = ActionEntry(REDUCE, 92);
   _actionMap[464][NOOP] = ActionEntry(REDUCE, 92);
   _actionMap[464][RETURNTOKEN] = ActionEntry(REDUCE, 92);
   _actionMap[464][WHILE] = ActionEntry(REDUCE, 92);
   _actionMap[464][IF] = ActionEntry(REDUCE, 92);
   _actionMap[464][BEGIN] = ActionEntry(REDUCE, 92);
}
void Cego::loadParser64()
{
   _actionMap[464][ROLLBACK] = ActionEntry(REDUCE, 92);
   _actionMap[464][COMMIT] = ActionEntry(REDUCE, 92);
   _actionMap[464][START_TOKEN] = ActionEntry(REDUCE, 92);
   _actionMap[464][UPDATE] = ActionEntry(REDUCE, 92);
   _actionMap[464][DELETETOK] = ActionEntry(REDUCE, 92);
   _actionMap[464][INSERT] = ActionEntry(REDUCE, 92);
   _actionMap[464][FETCH] = ActionEntry(REDUCE, 92);
   _actionMap[464][LB] = ActionEntry(REDUCE, 92);
   _actionMap[464][COUNT] = ActionEntry(REDUCE, 92);
   _actionMap[464][SUM] = ActionEntry(REDUCE, 92);
   _actionMap[464][AVG] = ActionEntry(REDUCE, 92);
   _actionMap[464][MIN] = ActionEntry(REDUCE, 92);
   _actionMap[464][MAX] = ActionEntry(REDUCE, 92);
   _actionMap[464][CASE] = ActionEntry(REDUCE, 92);
   _actionMap[464][TRIM] = ActionEntry(REDUCE, 92);
   _actionMap[464][RTRIM] = ActionEntry(REDUCE, 92);
   _actionMap[464][LTRIM] = ActionEntry(REDUCE, 92);
   _actionMap[464][ROUND] = ActionEntry(REDUCE, 92);
   _actionMap[464][DATE2STR] = ActionEntry(REDUCE, 92);
   _actionMap[464][DATE2INT] = ActionEntry(REDUCE, 92);
   _actionMap[464][INT2DATE] = ActionEntry(REDUCE, 92);
   _actionMap[464][LOWER] = ActionEntry(REDUCE, 92);
   _actionMap[464][UPPER] = ActionEntry(REDUCE, 92);
   _actionMap[464][LEFT] = ActionEntry(REDUCE, 92);
   _actionMap[464][RIGHT] = ActionEntry(REDUCE, 92);
   _actionMap[464][GETPOS] = ActionEntry(REDUCE, 92);
   _actionMap[464][SUBSTR] = ActionEntry(REDUCE, 92);
   _actionMap[464][REPLACE] = ActionEntry(REDUCE, 92);
   _actionMap[464][LENGTH] = ActionEntry(REDUCE, 92);
   _actionMap[464][TRUNC] = ActionEntry(REDUCE, 92);
   _actionMap[464][STR2INT] = ActionEntry(REDUCE, 92);
   _actionMap[464][STR2LONG] = ActionEntry(REDUCE, 92);
   _actionMap[464][STR2DATE] = ActionEntry(REDUCE, 92);
   _actionMap[464][RANDSTR] = ActionEntry(REDUCE, 92);
   _actionMap[464][RANDINT] = ActionEntry(REDUCE, 92);
   _actionMap[464][MOD] = ActionEntry(REDUCE, 92);
   _actionMap[464][DIV] = ActionEntry(REDUCE, 92);
   _actionMap[464][POWER] = ActionEntry(REDUCE, 92);
   _actionMap[464][BITAND] = ActionEntry(REDUCE, 92);
   _actionMap[464][BITOR] = ActionEntry(REDUCE, 92);
   _actionMap[464][BITXOR] = ActionEntry(REDUCE, 92);
   _actionMap[464][BLOBSIZE] = ActionEntry(REDUCE, 92);
   _actionMap[464][NEXTCOUNT] = ActionEntry(REDUCE, 92);
   _actionMap[464][SETCOUNT] = ActionEntry(REDUCE, 92);
   _actionMap[464][IDENTIFIER] = ActionEntry(REDUCE, 92);
   _actionMap[464][QUALIFIEDOBJ] = ActionEntry(REDUCE, 92);
   _actionMap[464][QUALIFIEDTS] = ActionEntry(REDUCE, 92);
   _actionMap[464][QUALIFIEDPRE] = ActionEntry(REDUCE, 92);
   _actionMap[464][STRINGVAL] = ActionEntry(REDUCE, 92);
   _actionMap[464][DATE] = ActionEntry(REDUCE, 92);
}
void Cego::loadParser65()
{
   _actionMap[464][SYSDATE] = ActionEntry(REDUCE, 92);
   _actionMap[464][NULLTOKEN] = ActionEntry(REDUCE, 92);
   _actionMap[464][TRUEVAL] = ActionEntry(REDUCE, 92);
   _actionMap[464][FALSEVAL] = ActionEntry(REDUCE, 92);
   _actionMap[464][LAB] = ActionEntry(REDUCE, 92);
   _actionMap[464][FLOATVAL] = ActionEntry(REDUCE, 92);
   _actionMap[464][MINUS] = ActionEntry(REDUCE, 92);
   _actionMap[464][INTVAL] = ActionEntry(REDUCE, 92);
   _actionMap[465][SEMICOLON] = ActionEntry(REDUCE, 95);
   _actionMap[466][AS] = ActionEntry(SHIFT, 609);
   _actionMap[467][THEN] = ActionEntry(SHIFT, 610);
   _actionMap[468][OR] = ActionEntry(SHIFT, 612);
   _actionMap[468][AND] = ActionEntry(SHIFT, 611);
   _actionMap[468][THEN] = ActionEntry(REDUCE, 128);
   _actionMap[469][BEGIN] = ActionEntry(REDUCE, 134);
   _actionMap[469][RB] = ActionEntry(REDUCE, 134);
   _actionMap[469][AND] = ActionEntry(REDUCE, 134);
   _actionMap[469][OR] = ActionEntry(REDUCE, 134);
   _actionMap[469][THEN] = ActionEntry(REDUCE, 134);
   _actionMap[470][IS] = ActionEntry(SHIFT, 614);
   _actionMap[470][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[470][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[470][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[470][EQU] = ActionEntry(SHIFT, 504);
   _actionMap[470][NEGATION] = ActionEntry(SHIFT, 507);
   _actionMap[470][LT] = ActionEntry(SHIFT, 505);
   _actionMap[470][MT] = ActionEntry(SHIFT, 506);
   _jumpMap[470][Comparison] = 613;
   _actionMap[471][LONG] = ActionEntry(SHIFT, 277);
   _actionMap[471][BIGINT] = ActionEntry(SHIFT, 273);
   _actionMap[471][SMALLINT] = ActionEntry(SHIFT, 278);
   _actionMap[471][TINYINT] = ActionEntry(SHIFT, 279);
   _actionMap[471][DOUBLE] = ActionEntry(SHIFT, 275);
   _actionMap[471][DECIMAL] = ActionEntry(SHIFT, 274);
   _actionMap[471][FIXED] = ActionEntry(SHIFT, 276);
   _actionMap[471][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[471][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[471][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[471][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[471][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[471][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[471][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[471][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[471][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[471][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[471][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[471][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[471][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[471][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[471][GETPOS] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser66()
{
   _actionMap[471][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[471][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[471][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[471][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[471][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[471][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[471][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[471][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[471][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[471][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[471][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[471][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[471][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[471][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[471][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[471][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[471][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[471][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[471][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[471][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[471][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[471][LB] = ActionEntry(SHIFT, 471);
   _actionMap[471][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[471][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[471][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[471][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[471][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[471][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[471][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[471][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[471][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[471][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[471][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[471][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[471][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[471][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[471][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[471][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[471][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[471][ObjSpec] = 100;
   _jumpMap[471][Constant] = 99;
   _jumpMap[471][SignedFloat] = 98;
   _jumpMap[471][SignedInt] = 97;
   _jumpMap[471][Attribute] = 96;
   _jumpMap[471][Function] = 95;
   _jumpMap[471][SelectStatement] = 272;
   _jumpMap[471][CasePrepare] = 94;
   _jumpMap[471][CaseClause] = 93;
   _jumpMap[471][Factor] = 92;
   _jumpMap[471][Term] = 91;
}
void Cego::loadParser67()
{
   _jumpMap[471][Expr] = 616;
   _jumpMap[471][ProcPredicate] = 469;
   _jumpMap[471][ProcCondition] = 615;
   _actionMap[472][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[472][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[472][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[472][SEMICOLON] = ActionEntry(REDUCE, 109);
   _actionMap[473][INT] = ActionEntry(SHIFT, 626);
   _actionMap[473][LONG] = ActionEntry(SHIFT, 627);
   _actionMap[473][STRING] = ActionEntry(SHIFT, 629);
   _actionMap[473][DATETIME] = ActionEntry(SHIFT, 621);
   _actionMap[473][BOOL] = ActionEntry(SHIFT, 620);
   _actionMap[473][BIGINT] = ActionEntry(SHIFT, 618);
   _actionMap[473][FLOAT] = ActionEntry(SHIFT, 625);
   _actionMap[473][DOUBLE] = ActionEntry(SHIFT, 623);
   _actionMap[473][SMALLINT] = ActionEntry(SHIFT, 628);
   _actionMap[473][TINYINT] = ActionEntry(SHIFT, 630);
   _actionMap[473][DECIMAL] = ActionEntry(SHIFT, 622);
   _actionMap[473][FIXED] = ActionEntry(SHIFT, 624);
   _actionMap[473][BLOB] = ActionEntry(SHIFT, 619);
   _jumpMap[473][DataTypeProd] = 617;
   _actionMap[474][BEGIN] = ActionEntry(SHIFT, 631);
   _actionMap[475][OR] = ActionEntry(SHIFT, 612);
   _actionMap[475][AND] = ActionEntry(SHIFT, 611);
   _actionMap[475][BEGIN] = ActionEntry(REDUCE, 131);
   _actionMap[476][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[476][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[476][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[476][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[476][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[476][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[476][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[476][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[476][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[476][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[476][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[476][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[476][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[476][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[476][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[476][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[476][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[476][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[476][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[476][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[476][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[476][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[476][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[476][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[476][MOD] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser68()
{
   _actionMap[476][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[476][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[476][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[476][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[476][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[476][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[476][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[476][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[476][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[476][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[476][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[476][LB] = ActionEntry(SHIFT, 144);
   _actionMap[476][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[476][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[476][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[476][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[476][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[476][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[476][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[476][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[476][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[476][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[476][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[476][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[476][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[476][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[476][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[476][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[476][ObjSpec] = 100;
   _jumpMap[476][Constant] = 99;
   _jumpMap[476][SignedFloat] = 98;
   _jumpMap[476][SignedInt] = 97;
   _jumpMap[476][Attribute] = 96;
   _jumpMap[476][Function] = 95;
   _jumpMap[476][CasePrepare] = 94;
   _jumpMap[476][CaseClause] = 93;
   _jumpMap[476][Factor] = 92;
   _jumpMap[476][Term] = 91;
   _jumpMap[476][Expr] = 632;
   _actionMap[477][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[477][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[477][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[477][ObjSpec] = 633;
   _actionMap[478][LB] = ActionEntry(SHIFT, 634);
   _actionMap[479][RB] = ActionEntry(SHIFT, 482);
   _actionMap[480][KSEP] = ActionEntry(SHIFT, 635);
   _actionMap[480][RB] = ActionEntry(REDUCE, 84);
   _actionMap[481][KSEP] = ActionEntry(REDUCE, 87);
   _actionMap[481][RB] = ActionEntry(REDUCE, 87);
   _actionMap[482][RETURNTOKEN] = ActionEntry(SHIFT, 637);
}
void Cego::loadParser69()
{
   _actionMap[482][BEGIN] = ActionEntry(REDUCE, 83);
   _jumpMap[482][ReturnOpt] = 636;
   _actionMap[483][INTOK] = ActionEntry(SHIFT, 638);
   _actionMap[483][OUTTOK] = ActionEntry(SHIFT, 639);
   _actionMap[484][RB] = ActionEntry(SHIFT, 641);
   _actionMap[484][KSEP] = ActionEntry(SHIFT, 640);
   _actionMap[485][KSEP] = ActionEntry(REDUCE, 168);
   _actionMap[485][RB] = ActionEntry(REDUCE, 168);
   _actionMap[486][KSEP] = ActionEntry(REDUCE, 170);
   _actionMap[486][RB] = ActionEntry(REDUCE, 170);
   _actionMap[487][IDENTIFIER] = ActionEntry(SHIFT, 488);
   _jumpMap[487][ColumnDesc] = 642;
   _actionMap[488][INT] = ActionEntry(SHIFT, 626);
   _actionMap[488][LONG] = ActionEntry(SHIFT, 627);
   _actionMap[488][STRING] = ActionEntry(SHIFT, 629);
   _actionMap[488][DATETIME] = ActionEntry(SHIFT, 621);
   _actionMap[488][BOOL] = ActionEntry(SHIFT, 620);
   _actionMap[488][BIGINT] = ActionEntry(SHIFT, 618);
   _actionMap[488][FLOAT] = ActionEntry(SHIFT, 625);
   _actionMap[488][DOUBLE] = ActionEntry(SHIFT, 623);
   _actionMap[488][SMALLINT] = ActionEntry(SHIFT, 628);
   _actionMap[488][TINYINT] = ActionEntry(SHIFT, 630);
   _actionMap[488][DECIMAL] = ActionEntry(SHIFT, 622);
   _actionMap[488][FIXED] = ActionEntry(SHIFT, 624);
   _actionMap[488][BLOB] = ActionEntry(SHIFT, 619);
   _jumpMap[488][DataTypeProd] = 643;
   _actionMap[489][SEMICOLON] = ActionEntry(REDUCE, 48);
   _actionMap[490][AND] = ActionEntry(SHIFT, 508);
   _actionMap[490][OR] = ActionEntry(SHIFT, 509);
   _actionMap[490][RETURNTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[490][GROUP] = ActionEntry(REDUCE, 305);
   _actionMap[490][ORDER] = ActionEntry(REDUCE, 305);
   _actionMap[490][ROWLIMIT] = ActionEntry(REDUCE, 305);
   _actionMap[490][UNION] = ActionEntry(REDUCE, 305);
   _actionMap[490][ENDTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[490][RB] = ActionEntry(REDUCE, 305);
   _actionMap[490][SEMICOLON] = ActionEntry(REDUCE, 305);
   _actionMap[491][KSEP] = ActionEntry(SHIFT, 644);
   _actionMap[491][SEMICOLON] = ActionEntry(REDUCE, 189);
   _actionMap[492][SEMICOLON] = ActionEntry(REDUCE, 195);
   _actionMap[492][KSEP] = ActionEntry(REDUCE, 195);
   _actionMap[493][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[493][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[493][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[493][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[493][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[493][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[493][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[493][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[493][DATE2INT] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser70()
{
   _actionMap[493][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[493][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[493][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[493][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[493][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[493][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[493][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[493][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[493][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[493][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[493][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[493][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[493][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[493][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[493][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[493][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[493][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[493][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[493][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[493][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[493][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[493][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[493][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[493][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[493][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[493][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[493][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[493][LB] = ActionEntry(SHIFT, 144);
   _actionMap[493][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[493][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[493][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[493][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[493][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[493][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[493][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[493][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[493][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[493][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[493][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[493][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[493][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[493][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[493][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[493][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[493][ObjSpec] = 100;
   _jumpMap[493][Constant] = 99;
   _jumpMap[493][SignedFloat] = 98;
   _jumpMap[493][SignedInt] = 97;
   _jumpMap[493][Attribute] = 96;
   _jumpMap[493][Function] = 95;
}
void Cego::loadParser71()
{
   _jumpMap[493][InsertValueList] = 646;
   _jumpMap[493][CasePrepare] = 94;
   _jumpMap[493][CaseClause] = 93;
   _jumpMap[493][Factor] = 92;
   _jumpMap[493][Term] = 91;
   _jumpMap[493][Expr] = 645;
   _actionMap[494][RB] = ActionEntry(SHIFT, 648);
   _actionMap[494][KSEP] = ActionEntry(SHIFT, 647);
   _actionMap[495][KSEP] = ActionEntry(REDUCE, 198);
   _actionMap[495][RB] = ActionEntry(REDUCE, 198);
   _actionMap[496][SEMICOLON] = ActionEntry(REDUCE, 49);
   _actionMap[497][END_TOKEN] = ActionEntry(SHIFT, 649);
   _actionMap[497][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[497][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[497][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[498][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[498][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[498][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[498][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[498][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[498][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[498][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[498][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[498][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[498][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[498][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[498][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[498][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[498][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[498][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[498][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[498][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[498][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[498][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[498][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[498][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[498][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[498][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[498][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[498][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[498][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[498][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[498][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[498][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[498][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[498][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[498][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[498][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[498][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[498][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser72()
{
   _actionMap[498][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[498][LB] = ActionEntry(SHIFT, 144);
   _actionMap[498][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[498][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[498][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[498][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[498][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[498][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[498][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[498][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[498][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[498][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[498][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[498][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[498][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[498][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[498][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[498][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[498][ObjSpec] = 100;
   _jumpMap[498][Constant] = 99;
   _jumpMap[498][SignedFloat] = 98;
   _jumpMap[498][SignedInt] = 97;
   _jumpMap[498][Attribute] = 96;
   _jumpMap[498][Function] = 95;
   _jumpMap[498][CasePrepare] = 94;
   _jumpMap[498][CaseClause] = 93;
   _jumpMap[498][Factor] = 92;
   _jumpMap[498][Term] = 91;
   _jumpMap[498][Expr] = 650;
   _actionMap[499][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[499][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[499][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[499][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[499][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[499][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[499][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[499][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[499][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[499][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[499][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[499][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[499][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[499][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[499][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[499][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[499][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[499][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[499][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[499][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[499][STR2LONG] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser73()
{
   _actionMap[499][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[499][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[499][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[499][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[499][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[499][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[499][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[499][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[499][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[499][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[499][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[499][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[499][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[499][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[499][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[499][LB] = ActionEntry(SHIFT, 144);
   _actionMap[499][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[499][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[499][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[499][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[499][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[499][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[499][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[499][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[499][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[499][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[499][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[499][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[499][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[499][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[499][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[499][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[499][ObjSpec] = 100;
   _jumpMap[499][Constant] = 99;
   _jumpMap[499][SignedFloat] = 98;
   _jumpMap[499][SignedInt] = 97;
   _jumpMap[499][Attribute] = 96;
   _jumpMap[499][Function] = 95;
   _jumpMap[499][CasePrepare] = 94;
   _jumpMap[499][CaseClause] = 93;
   _jumpMap[499][Factor] = 92;
   _jumpMap[499][Term] = 91;
   _jumpMap[499][Expr] = 651;
   _actionMap[500][LB] = ActionEntry(SHIFT, 652);
   _actionMap[501][NOT] = ActionEntry(SHIFT, 653);
   _actionMap[501][NULLTOKEN] = ActionEntry(SHIFT, 654);
   _actionMap[502][STRINGVAL] = ActionEntry(SHIFT, 655);
   _actionMap[503][LIKE] = ActionEntry(SHIFT, 657);
   _actionMap[503][INTOK] = ActionEntry(SHIFT, 656);
   _actionMap[504][VARREF] = ActionEntry(REDUCE, 335);
}
void Cego::loadParser74()
{
   _actionMap[504][FETCH] = ActionEntry(REDUCE, 335);
   _actionMap[504][LB] = ActionEntry(REDUCE, 335);
   _actionMap[504][COUNT] = ActionEntry(REDUCE, 335);
   _actionMap[504][SUM] = ActionEntry(REDUCE, 335);
   _actionMap[504][AVG] = ActionEntry(REDUCE, 335);
   _actionMap[504][MIN] = ActionEntry(REDUCE, 335);
   _actionMap[504][MAX] = ActionEntry(REDUCE, 335);
   _actionMap[504][CASE] = ActionEntry(REDUCE, 335);
   _actionMap[504][TRIM] = ActionEntry(REDUCE, 335);
   _actionMap[504][RTRIM] = ActionEntry(REDUCE, 335);
   _actionMap[504][LTRIM] = ActionEntry(REDUCE, 335);
   _actionMap[504][ROUND] = ActionEntry(REDUCE, 335);
   _actionMap[504][DATE2STR] = ActionEntry(REDUCE, 335);
   _actionMap[504][DATE2INT] = ActionEntry(REDUCE, 335);
   _actionMap[504][INT2DATE] = ActionEntry(REDUCE, 335);
   _actionMap[504][LOWER] = ActionEntry(REDUCE, 335);
   _actionMap[504][UPPER] = ActionEntry(REDUCE, 335);
   _actionMap[504][LEFT] = ActionEntry(REDUCE, 335);
   _actionMap[504][RIGHT] = ActionEntry(REDUCE, 335);
   _actionMap[504][GETPOS] = ActionEntry(REDUCE, 335);
   _actionMap[504][SUBSTR] = ActionEntry(REDUCE, 335);
   _actionMap[504][REPLACE] = ActionEntry(REDUCE, 335);
   _actionMap[504][LENGTH] = ActionEntry(REDUCE, 335);
   _actionMap[504][TRUNC] = ActionEntry(REDUCE, 335);
   _actionMap[504][STR2INT] = ActionEntry(REDUCE, 335);
   _actionMap[504][STR2LONG] = ActionEntry(REDUCE, 335);
   _actionMap[504][STR2DATE] = ActionEntry(REDUCE, 335);
   _actionMap[504][RANDSTR] = ActionEntry(REDUCE, 335);
   _actionMap[504][RANDINT] = ActionEntry(REDUCE, 335);
   _actionMap[504][MOD] = ActionEntry(REDUCE, 335);
   _actionMap[504][DIV] = ActionEntry(REDUCE, 335);
   _actionMap[504][POWER] = ActionEntry(REDUCE, 335);
   _actionMap[504][BITAND] = ActionEntry(REDUCE, 335);
   _actionMap[504][BITOR] = ActionEntry(REDUCE, 335);
   _actionMap[504][BITXOR] = ActionEntry(REDUCE, 335);
   _actionMap[504][BLOBSIZE] = ActionEntry(REDUCE, 335);
   _actionMap[504][NEXTCOUNT] = ActionEntry(REDUCE, 335);
   _actionMap[504][SETCOUNT] = ActionEntry(REDUCE, 335);
   _actionMap[504][IDENTIFIER] = ActionEntry(REDUCE, 335);
   _actionMap[504][QUALIFIEDOBJ] = ActionEntry(REDUCE, 335);
   _actionMap[504][QUALIFIEDTS] = ActionEntry(REDUCE, 335);
   _actionMap[504][QUALIFIEDPRE] = ActionEntry(REDUCE, 335);
   _actionMap[504][STRINGVAL] = ActionEntry(REDUCE, 335);
   _actionMap[504][DATE] = ActionEntry(REDUCE, 335);
   _actionMap[504][SYSDATE] = ActionEntry(REDUCE, 335);
   _actionMap[504][NULLTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[504][TRUEVAL] = ActionEntry(REDUCE, 335);
   _actionMap[504][FALSEVAL] = ActionEntry(REDUCE, 335);
   _actionMap[504][LAB] = ActionEntry(REDUCE, 335);
   _actionMap[504][FLOATVAL] = ActionEntry(REDUCE, 335);
}
void Cego::loadParser75()
{
   _actionMap[504][MINUS] = ActionEntry(REDUCE, 335);
   _actionMap[504][INTVAL] = ActionEntry(REDUCE, 335);
   _actionMap[505][VARREF] = ActionEntry(REDUCE, 337);
   _actionMap[505][FETCH] = ActionEntry(REDUCE, 337);
   _actionMap[505][LB] = ActionEntry(REDUCE, 337);
   _actionMap[505][COUNT] = ActionEntry(REDUCE, 337);
   _actionMap[505][SUM] = ActionEntry(REDUCE, 337);
   _actionMap[505][AVG] = ActionEntry(REDUCE, 337);
   _actionMap[505][MIN] = ActionEntry(REDUCE, 337);
   _actionMap[505][MAX] = ActionEntry(REDUCE, 337);
   _actionMap[505][CASE] = ActionEntry(REDUCE, 337);
   _actionMap[505][TRIM] = ActionEntry(REDUCE, 337);
   _actionMap[505][RTRIM] = ActionEntry(REDUCE, 337);
   _actionMap[505][LTRIM] = ActionEntry(REDUCE, 337);
   _actionMap[505][ROUND] = ActionEntry(REDUCE, 337);
   _actionMap[505][DATE2STR] = ActionEntry(REDUCE, 337);
   _actionMap[505][DATE2INT] = ActionEntry(REDUCE, 337);
   _actionMap[505][INT2DATE] = ActionEntry(REDUCE, 337);
   _actionMap[505][LOWER] = ActionEntry(REDUCE, 337);
   _actionMap[505][UPPER] = ActionEntry(REDUCE, 337);
   _actionMap[505][LEFT] = ActionEntry(REDUCE, 337);
   _actionMap[505][RIGHT] = ActionEntry(REDUCE, 337);
   _actionMap[505][GETPOS] = ActionEntry(REDUCE, 337);
   _actionMap[505][SUBSTR] = ActionEntry(REDUCE, 337);
   _actionMap[505][REPLACE] = ActionEntry(REDUCE, 337);
   _actionMap[505][LENGTH] = ActionEntry(REDUCE, 337);
   _actionMap[505][TRUNC] = ActionEntry(REDUCE, 337);
   _actionMap[505][STR2INT] = ActionEntry(REDUCE, 337);
   _actionMap[505][STR2LONG] = ActionEntry(REDUCE, 337);
   _actionMap[505][STR2DATE] = ActionEntry(REDUCE, 337);
   _actionMap[505][RANDSTR] = ActionEntry(REDUCE, 337);
   _actionMap[505][RANDINT] = ActionEntry(REDUCE, 337);
   _actionMap[505][MOD] = ActionEntry(REDUCE, 337);
   _actionMap[505][DIV] = ActionEntry(REDUCE, 337);
   _actionMap[505][POWER] = ActionEntry(REDUCE, 337);
   _actionMap[505][BITAND] = ActionEntry(REDUCE, 337);
   _actionMap[505][BITOR] = ActionEntry(REDUCE, 337);
   _actionMap[505][BITXOR] = ActionEntry(REDUCE, 337);
   _actionMap[505][BLOBSIZE] = ActionEntry(REDUCE, 337);
   _actionMap[505][NEXTCOUNT] = ActionEntry(REDUCE, 337);
   _actionMap[505][SETCOUNT] = ActionEntry(REDUCE, 337);
   _actionMap[505][IDENTIFIER] = ActionEntry(REDUCE, 337);
   _actionMap[505][QUALIFIEDOBJ] = ActionEntry(REDUCE, 337);
   _actionMap[505][QUALIFIEDTS] = ActionEntry(REDUCE, 337);
   _actionMap[505][QUALIFIEDPRE] = ActionEntry(REDUCE, 337);
   _actionMap[505][STRINGVAL] = ActionEntry(REDUCE, 337);
   _actionMap[505][DATE] = ActionEntry(REDUCE, 337);
   _actionMap[505][SYSDATE] = ActionEntry(REDUCE, 337);
   _actionMap[505][NULLTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[505][TRUEVAL] = ActionEntry(REDUCE, 337);
}
void Cego::loadParser76()
{
   _actionMap[505][FALSEVAL] = ActionEntry(REDUCE, 337);
   _actionMap[505][LAB] = ActionEntry(REDUCE, 337);
   _actionMap[505][FLOATVAL] = ActionEntry(REDUCE, 337);
   _actionMap[505][MINUS] = ActionEntry(REDUCE, 337);
   _actionMap[505][INTVAL] = ActionEntry(REDUCE, 337);
   _actionMap[505][EQU] = ActionEntry(SHIFT, 658);
   _actionMap[506][VARREF] = ActionEntry(REDUCE, 338);
   _actionMap[506][FETCH] = ActionEntry(REDUCE, 338);
   _actionMap[506][LB] = ActionEntry(REDUCE, 338);
   _actionMap[506][COUNT] = ActionEntry(REDUCE, 338);
   _actionMap[506][SUM] = ActionEntry(REDUCE, 338);
   _actionMap[506][AVG] = ActionEntry(REDUCE, 338);
   _actionMap[506][MIN] = ActionEntry(REDUCE, 338);
   _actionMap[506][MAX] = ActionEntry(REDUCE, 338);
   _actionMap[506][CASE] = ActionEntry(REDUCE, 338);
   _actionMap[506][TRIM] = ActionEntry(REDUCE, 338);
   _actionMap[506][RTRIM] = ActionEntry(REDUCE, 338);
   _actionMap[506][LTRIM] = ActionEntry(REDUCE, 338);
   _actionMap[506][ROUND] = ActionEntry(REDUCE, 338);
   _actionMap[506][DATE2STR] = ActionEntry(REDUCE, 338);
   _actionMap[506][DATE2INT] = ActionEntry(REDUCE, 338);
   _actionMap[506][INT2DATE] = ActionEntry(REDUCE, 338);
   _actionMap[506][LOWER] = ActionEntry(REDUCE, 338);
   _actionMap[506][UPPER] = ActionEntry(REDUCE, 338);
   _actionMap[506][LEFT] = ActionEntry(REDUCE, 338);
   _actionMap[506][RIGHT] = ActionEntry(REDUCE, 338);
   _actionMap[506][GETPOS] = ActionEntry(REDUCE, 338);
   _actionMap[506][SUBSTR] = ActionEntry(REDUCE, 338);
   _actionMap[506][REPLACE] = ActionEntry(REDUCE, 338);
   _actionMap[506][LENGTH] = ActionEntry(REDUCE, 338);
   _actionMap[506][TRUNC] = ActionEntry(REDUCE, 338);
   _actionMap[506][STR2INT] = ActionEntry(REDUCE, 338);
   _actionMap[506][STR2LONG] = ActionEntry(REDUCE, 338);
   _actionMap[506][STR2DATE] = ActionEntry(REDUCE, 338);
   _actionMap[506][RANDSTR] = ActionEntry(REDUCE, 338);
   _actionMap[506][RANDINT] = ActionEntry(REDUCE, 338);
   _actionMap[506][MOD] = ActionEntry(REDUCE, 338);
   _actionMap[506][DIV] = ActionEntry(REDUCE, 338);
   _actionMap[506][POWER] = ActionEntry(REDUCE, 338);
   _actionMap[506][BITAND] = ActionEntry(REDUCE, 338);
   _actionMap[506][BITOR] = ActionEntry(REDUCE, 338);
   _actionMap[506][BITXOR] = ActionEntry(REDUCE, 338);
   _actionMap[506][BLOBSIZE] = ActionEntry(REDUCE, 338);
   _actionMap[506][NEXTCOUNT] = ActionEntry(REDUCE, 338);
   _actionMap[506][SETCOUNT] = ActionEntry(REDUCE, 338);
   _actionMap[506][IDENTIFIER] = ActionEntry(REDUCE, 338);
   _actionMap[506][QUALIFIEDOBJ] = ActionEntry(REDUCE, 338);
   _actionMap[506][QUALIFIEDTS] = ActionEntry(REDUCE, 338);
   _actionMap[506][QUALIFIEDPRE] = ActionEntry(REDUCE, 338);
   _actionMap[506][STRINGVAL] = ActionEntry(REDUCE, 338);
}
void Cego::loadParser77()
{
   _actionMap[506][DATE] = ActionEntry(REDUCE, 338);
   _actionMap[506][SYSDATE] = ActionEntry(REDUCE, 338);
   _actionMap[506][NULLTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[506][TRUEVAL] = ActionEntry(REDUCE, 338);
   _actionMap[506][FALSEVAL] = ActionEntry(REDUCE, 338);
   _actionMap[506][LAB] = ActionEntry(REDUCE, 338);
   _actionMap[506][FLOATVAL] = ActionEntry(REDUCE, 338);
   _actionMap[506][MINUS] = ActionEntry(REDUCE, 338);
   _actionMap[506][INTVAL] = ActionEntry(REDUCE, 338);
   _actionMap[506][EQU] = ActionEntry(SHIFT, 659);
   _actionMap[507][EQU] = ActionEntry(SHIFT, 660);
   _actionMap[508][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[508][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[508][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[508][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[508][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[508][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[508][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[508][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[508][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[508][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[508][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[508][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[508][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[508][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[508][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[508][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[508][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[508][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[508][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[508][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[508][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[508][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[508][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[508][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[508][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[508][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[508][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[508][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[508][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[508][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[508][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[508][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[508][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[508][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[508][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[508][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[508][LB] = ActionEntry(SHIFT, 373);
   _actionMap[508][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[508][DATE] = ActionEntry(SHIFT, 109);
}
void Cego::loadParser78()
{
   _actionMap[508][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[508][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[508][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[508][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[508][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[508][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[508][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[508][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[508][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[508][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[508][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[508][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[508][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[508][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[508][EXISTS] = ActionEntry(SHIFT, 371);
   _actionMap[508][NOT] = ActionEntry(SHIFT, 372);
   _jumpMap[508][ObjSpec] = 100;
   _jumpMap[508][Constant] = 99;
   _jumpMap[508][SignedFloat] = 98;
   _jumpMap[508][SignedInt] = 97;
   _jumpMap[508][Attribute] = 96;
   _jumpMap[508][QueryPredicate] = 661;
   _jumpMap[508][Function] = 95;
   _jumpMap[508][CasePrepare] = 94;
   _jumpMap[508][CaseClause] = 93;
   _jumpMap[508][Factor] = 92;
   _jumpMap[508][Term] = 91;
   _jumpMap[508][Expr] = 368;
   _actionMap[509][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[509][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[509][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[509][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[509][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[509][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[509][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[509][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[509][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[509][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[509][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[509][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[509][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[509][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[509][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[509][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[509][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[509][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[509][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[509][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[509][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[509][STR2DATE] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser79()
{
   _actionMap[509][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[509][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[509][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[509][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[509][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[509][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[509][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[509][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[509][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[509][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[509][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[509][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[509][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[509][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[509][LB] = ActionEntry(SHIFT, 373);
   _actionMap[509][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[509][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[509][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[509][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[509][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[509][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[509][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[509][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[509][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[509][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[509][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[509][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[509][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[509][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[509][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[509][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[509][EXISTS] = ActionEntry(SHIFT, 371);
   _actionMap[509][NOT] = ActionEntry(SHIFT, 372);
   _jumpMap[509][ObjSpec] = 100;
   _jumpMap[509][Constant] = 99;
   _jumpMap[509][SignedFloat] = 98;
   _jumpMap[509][SignedInt] = 97;
   _jumpMap[509][Attribute] = 96;
   _jumpMap[509][QueryPredicate] = 662;
   _jumpMap[509][Function] = 95;
   _jumpMap[509][CasePrepare] = 94;
   _jumpMap[509][CaseClause] = 93;
   _jumpMap[509][Factor] = 92;
   _jumpMap[509][Term] = 91;
   _jumpMap[509][Expr] = 368;
   _actionMap[510][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[510][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[510][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[510][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[510][RTRIM] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser80()
{
   _actionMap[510][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[510][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[510][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[510][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[510][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[510][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[510][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[510][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[510][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[510][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[510][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[510][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[510][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[510][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[510][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[510][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[510][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[510][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[510][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[510][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[510][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[510][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[510][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[510][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[510][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[510][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[510][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[510][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[510][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[510][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[510][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[510][LB] = ActionEntry(SHIFT, 144);
   _actionMap[510][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[510][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[510][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[510][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[510][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[510][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[510][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[510][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[510][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[510][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[510][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[510][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[510][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[510][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[510][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[510][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[510][ObjSpec] = 100;
   _jumpMap[510][Constant] = 99;
}
void Cego::loadParser81()
{
   _jumpMap[510][SignedFloat] = 98;
   _jumpMap[510][SignedInt] = 97;
   _jumpMap[510][Attribute] = 96;
   _jumpMap[510][Function] = 95;
   _jumpMap[510][CasePrepare] = 94;
   _jumpMap[510][CaseClause] = 93;
   _jumpMap[510][Factor] = 92;
   _jumpMap[510][Term] = 91;
   _jumpMap[510][Expr] = 663;
   _actionMap[511][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[511][SelectStatement] = 664;
   _actionMap[512][THEN] = ActionEntry(REDUCE, 321);
   _actionMap[512][LEFT] = ActionEntry(REDUCE, 321);
   _actionMap[512][RIGHT] = ActionEntry(REDUCE, 321);
   _actionMap[512][INNER] = ActionEntry(REDUCE, 321);
   _actionMap[512][JOIN] = ActionEntry(REDUCE, 321);
   _actionMap[512][RETURNTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[512][SEMICOLON] = ActionEntry(REDUCE, 321);
   _actionMap[512][RB] = ActionEntry(REDUCE, 321);
   _actionMap[512][ENDTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[512][UNION] = ActionEntry(REDUCE, 321);
   _actionMap[512][ROWLIMIT] = ActionEntry(REDUCE, 321);
   _actionMap[512][ORDER] = ActionEntry(REDUCE, 321);
   _actionMap[512][GROUP] = ActionEntry(REDUCE, 321);
   _actionMap[512][WHERE] = ActionEntry(REDUCE, 321);
   _actionMap[512][AND] = ActionEntry(REDUCE, 321);
   _actionMap[512][OR] = ActionEntry(REDUCE, 321);
   _actionMap[513][RB] = ActionEntry(SHIFT, 417);
   _actionMap[513][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[513][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[513][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[513][INTOK] = ActionEntry(SHIFT, 500);
   _actionMap[513][NOT] = ActionEntry(SHIFT, 503);
   _actionMap[513][BETWEEN] = ActionEntry(SHIFT, 499);
   _actionMap[513][IS] = ActionEntry(SHIFT, 501);
   _actionMap[513][LIKE] = ActionEntry(SHIFT, 502);
   _actionMap[513][EQU] = ActionEntry(SHIFT, 504);
   _actionMap[513][NEGATION] = ActionEntry(SHIFT, 507);
   _actionMap[513][LT] = ActionEntry(SHIFT, 505);
   _actionMap[513][MT] = ActionEntry(SHIFT, 506);
   _jumpMap[513][Comparison] = 498;
   _actionMap[514][RB] = ActionEntry(SHIFT, 665);
   _actionMap[514][AND] = ActionEntry(SHIFT, 508);
   _actionMap[514][OR] = ActionEntry(SHIFT, 509);
   _actionMap[515][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[515][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[515][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[515][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[515][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[515][LTRIM] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser82()
{
   _actionMap[515][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[515][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[515][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[515][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[515][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[515][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[515][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[515][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[515][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[515][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[515][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[515][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[515][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[515][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[515][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[515][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[515][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[515][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[515][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[515][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[515][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[515][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[515][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[515][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[515][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[515][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[515][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[515][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[515][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[515][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[515][LB] = ActionEntry(SHIFT, 144);
   _actionMap[515][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[515][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[515][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[515][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[515][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[515][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[515][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[515][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[515][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[515][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[515][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[515][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[515][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[515][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[515][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[515][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[515][ObjSpec] = 100;
   _jumpMap[515][Constant] = 99;
   _jumpMap[515][SignedFloat] = 98;
}
void Cego::loadParser83()
{
   _jumpMap[515][SignedInt] = 97;
   _jumpMap[515][Attribute] = 96;
   _jumpMap[515][Function] = 95;
   _jumpMap[515][CasePrepare] = 94;
   _jumpMap[515][CaseClause] = 93;
   _jumpMap[515][Factor] = 92;
   _jumpMap[515][Term] = 91;
   _jumpMap[515][Expr] = 666;
   _actionMap[516][WHEN] = ActionEntry(REDUCE, 301);
   _actionMap[516][ELSE] = ActionEntry(REDUCE, 301);
   _actionMap[516][LEFT] = ActionEntry(REDUCE, 301);
   _actionMap[516][RIGHT] = ActionEntry(REDUCE, 301);
   _actionMap[516][INNER] = ActionEntry(REDUCE, 301);
   _actionMap[516][JOIN] = ActionEntry(REDUCE, 301);
   _actionMap[516][RETURNTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[516][ORDER] = ActionEntry(REDUCE, 301);
   _actionMap[516][GROUP] = ActionEntry(REDUCE, 301);
   _actionMap[516][WHERE] = ActionEntry(REDUCE, 301);
   _actionMap[516][FROM] = ActionEntry(REDUCE, 301);
   _actionMap[516][AS] = ActionEntry(REDUCE, 301);
   _actionMap[516][END_TOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[516][BEGIN] = ActionEntry(REDUCE, 301);
   _actionMap[516][THEN] = ActionEntry(REDUCE, 301);
   _actionMap[516][OR] = ActionEntry(REDUCE, 301);
   _actionMap[516][AND] = ActionEntry(REDUCE, 301);
   _actionMap[516][INTOK] = ActionEntry(REDUCE, 301);
   _actionMap[516][NOT] = ActionEntry(REDUCE, 301);
   _actionMap[516][BETWEEN] = ActionEntry(REDUCE, 301);
   _actionMap[516][IS] = ActionEntry(REDUCE, 301);
   _actionMap[516][LIKE] = ActionEntry(REDUCE, 301);
   _actionMap[516][MT] = ActionEntry(REDUCE, 301);
   _actionMap[516][LT] = ActionEntry(REDUCE, 301);
   _actionMap[516][NEGATION] = ActionEntry(REDUCE, 301);
   _actionMap[516][EQU] = ActionEntry(REDUCE, 301);
   _actionMap[516][RB] = ActionEntry(REDUCE, 301);
   _actionMap[516][ENDTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[516][UNION] = ActionEntry(REDUCE, 301);
   _actionMap[516][ROWLIMIT] = ActionEntry(REDUCE, 301);
   _actionMap[516][KSEP] = ActionEntry(REDUCE, 301);
   _actionMap[516][ASC] = ActionEntry(REDUCE, 301);
   _actionMap[516][DESC] = ActionEntry(REDUCE, 301);
   _actionMap[516][SEMICOLON] = ActionEntry(REDUCE, 301);
   _actionMap[516][PLUS] = ActionEntry(REDUCE, 301);
   _actionMap[516][MINUS] = ActionEntry(REDUCE, 301);
   _actionMap[516][DIVISION] = ActionEntry(REDUCE, 301);
   _actionMap[516][STAR] = ActionEntry(REDUCE, 301);
   _actionMap[516][CONCAT] = ActionEntry(REDUCE, 301);
   _actionMap[517][WHEN] = ActionEntry(REDUCE, 156);
   _actionMap[517][ELSE] = ActionEntry(REDUCE, 156);
   _actionMap[517][LEFT] = ActionEntry(REDUCE, 156);
}
void Cego::loadParser84()
{
   _actionMap[517][RIGHT] = ActionEntry(REDUCE, 156);
   _actionMap[517][INNER] = ActionEntry(REDUCE, 156);
   _actionMap[517][JOIN] = ActionEntry(REDUCE, 156);
   _actionMap[517][RETURNTOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[517][ORDER] = ActionEntry(REDUCE, 156);
   _actionMap[517][GROUP] = ActionEntry(REDUCE, 156);
   _actionMap[517][WHERE] = ActionEntry(REDUCE, 156);
   _actionMap[517][AS] = ActionEntry(REDUCE, 156);
   _actionMap[517][FROM] = ActionEntry(REDUCE, 156);
   _actionMap[517][END_TOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[517][BEGIN] = ActionEntry(REDUCE, 156);
   _actionMap[517][THEN] = ActionEntry(REDUCE, 156);
   _actionMap[517][OR] = ActionEntry(REDUCE, 156);
   _actionMap[517][AND] = ActionEntry(REDUCE, 156);
   _actionMap[517][LIKE] = ActionEntry(REDUCE, 156);
   _actionMap[517][IS] = ActionEntry(REDUCE, 156);
   _actionMap[517][BETWEEN] = ActionEntry(REDUCE, 156);
   _actionMap[517][NOT] = ActionEntry(REDUCE, 156);
   _actionMap[517][INTOK] = ActionEntry(REDUCE, 156);
   _actionMap[517][EQU] = ActionEntry(REDUCE, 156);
   _actionMap[517][NEGATION] = ActionEntry(REDUCE, 156);
   _actionMap[517][LT] = ActionEntry(REDUCE, 156);
   _actionMap[517][MT] = ActionEntry(REDUCE, 156);
   _actionMap[517][DESC] = ActionEntry(REDUCE, 156);
   _actionMap[517][ASC] = ActionEntry(REDUCE, 156);
   _actionMap[517][KSEP] = ActionEntry(REDUCE, 156);
   _actionMap[517][ROWLIMIT] = ActionEntry(REDUCE, 156);
   _actionMap[517][UNION] = ActionEntry(REDUCE, 156);
   _actionMap[517][ENDTOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[517][RB] = ActionEntry(REDUCE, 156);
   _actionMap[517][SEMICOLON] = ActionEntry(REDUCE, 156);
   _actionMap[517][CONCAT] = ActionEntry(REDUCE, 156);
   _actionMap[517][STAR] = ActionEntry(REDUCE, 156);
   _actionMap[517][DIVISION] = ActionEntry(REDUCE, 156);
   _actionMap[517][MINUS] = ActionEntry(REDUCE, 156);
   _actionMap[517][PLUS] = ActionEntry(REDUCE, 156);
   _actionMap[518][WHEN] = ActionEntry(REDUCE, 295);
   _actionMap[518][ELSE] = ActionEntry(REDUCE, 295);
   _actionMap[518][LEFT] = ActionEntry(REDUCE, 295);
   _actionMap[518][RIGHT] = ActionEntry(REDUCE, 295);
   _actionMap[518][INNER] = ActionEntry(REDUCE, 295);
   _actionMap[518][JOIN] = ActionEntry(REDUCE, 295);
   _actionMap[518][RETURNTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[518][ORDER] = ActionEntry(REDUCE, 295);
   _actionMap[518][GROUP] = ActionEntry(REDUCE, 295);
   _actionMap[518][WHERE] = ActionEntry(REDUCE, 295);
   _actionMap[518][FROM] = ActionEntry(REDUCE, 295);
   _actionMap[518][AS] = ActionEntry(REDUCE, 295);
   _actionMap[518][END_TOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[518][BEGIN] = ActionEntry(REDUCE, 295);
}
void Cego::loadParser85()
{
   _actionMap[518][THEN] = ActionEntry(REDUCE, 295);
   _actionMap[518][OR] = ActionEntry(REDUCE, 295);
   _actionMap[518][AND] = ActionEntry(REDUCE, 295);
   _actionMap[518][INTOK] = ActionEntry(REDUCE, 295);
   _actionMap[518][NOT] = ActionEntry(REDUCE, 295);
   _actionMap[518][BETWEEN] = ActionEntry(REDUCE, 295);
   _actionMap[518][IS] = ActionEntry(REDUCE, 295);
   _actionMap[518][LIKE] = ActionEntry(REDUCE, 295);
   _actionMap[518][MT] = ActionEntry(REDUCE, 295);
   _actionMap[518][LT] = ActionEntry(REDUCE, 295);
   _actionMap[518][NEGATION] = ActionEntry(REDUCE, 295);
   _actionMap[518][EQU] = ActionEntry(REDUCE, 295);
   _actionMap[518][RB] = ActionEntry(REDUCE, 295);
   _actionMap[518][ENDTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[518][UNION] = ActionEntry(REDUCE, 295);
   _actionMap[518][ROWLIMIT] = ActionEntry(REDUCE, 295);
   _actionMap[518][KSEP] = ActionEntry(REDUCE, 295);
   _actionMap[518][ASC] = ActionEntry(REDUCE, 295);
   _actionMap[518][DESC] = ActionEntry(REDUCE, 295);
   _actionMap[518][SEMICOLON] = ActionEntry(REDUCE, 295);
   _actionMap[518][PLUS] = ActionEntry(REDUCE, 295);
   _actionMap[518][MINUS] = ActionEntry(REDUCE, 295);
   _actionMap[518][DIVISION] = ActionEntry(REDUCE, 295);
   _actionMap[518][STAR] = ActionEntry(REDUCE, 295);
   _actionMap[518][CONCAT] = ActionEntry(REDUCE, 295);
   _actionMap[519][WHEN] = ActionEntry(REDUCE, 296);
   _actionMap[519][ELSE] = ActionEntry(REDUCE, 296);
   _actionMap[519][LEFT] = ActionEntry(REDUCE, 296);
   _actionMap[519][RIGHT] = ActionEntry(REDUCE, 296);
   _actionMap[519][INNER] = ActionEntry(REDUCE, 296);
   _actionMap[519][JOIN] = ActionEntry(REDUCE, 296);
   _actionMap[519][RETURNTOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[519][ORDER] = ActionEntry(REDUCE, 296);
   _actionMap[519][GROUP] = ActionEntry(REDUCE, 296);
   _actionMap[519][WHERE] = ActionEntry(REDUCE, 296);
   _actionMap[519][FROM] = ActionEntry(REDUCE, 296);
   _actionMap[519][AS] = ActionEntry(REDUCE, 296);
   _actionMap[519][END_TOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[519][BEGIN] = ActionEntry(REDUCE, 296);
   _actionMap[519][THEN] = ActionEntry(REDUCE, 296);
   _actionMap[519][OR] = ActionEntry(REDUCE, 296);
   _actionMap[519][AND] = ActionEntry(REDUCE, 296);
   _actionMap[519][INTOK] = ActionEntry(REDUCE, 296);
   _actionMap[519][NOT] = ActionEntry(REDUCE, 296);
   _actionMap[519][BETWEEN] = ActionEntry(REDUCE, 296);
   _actionMap[519][IS] = ActionEntry(REDUCE, 296);
   _actionMap[519][LIKE] = ActionEntry(REDUCE, 296);
   _actionMap[519][MT] = ActionEntry(REDUCE, 296);
   _actionMap[519][LT] = ActionEntry(REDUCE, 296);
   _actionMap[519][NEGATION] = ActionEntry(REDUCE, 296);
}
void Cego::loadParser86()
{
   _actionMap[519][EQU] = ActionEntry(REDUCE, 296);
   _actionMap[519][RB] = ActionEntry(REDUCE, 296);
   _actionMap[519][ENDTOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[519][UNION] = ActionEntry(REDUCE, 296);
   _actionMap[519][ROWLIMIT] = ActionEntry(REDUCE, 296);
   _actionMap[519][KSEP] = ActionEntry(REDUCE, 296);
   _actionMap[519][ASC] = ActionEntry(REDUCE, 296);
   _actionMap[519][DESC] = ActionEntry(REDUCE, 296);
   _actionMap[519][SEMICOLON] = ActionEntry(REDUCE, 296);
   _actionMap[519][PLUS] = ActionEntry(REDUCE, 296);
   _actionMap[519][MINUS] = ActionEntry(REDUCE, 296);
   _actionMap[519][DIVISION] = ActionEntry(REDUCE, 296);
   _actionMap[519][STAR] = ActionEntry(REDUCE, 296);
   _actionMap[519][CONCAT] = ActionEntry(REDUCE, 296);
   _actionMap[520][WHEN] = ActionEntry(REDUCE, 297);
   _actionMap[520][ELSE] = ActionEntry(REDUCE, 297);
   _actionMap[520][LEFT] = ActionEntry(REDUCE, 297);
   _actionMap[520][RIGHT] = ActionEntry(REDUCE, 297);
   _actionMap[520][INNER] = ActionEntry(REDUCE, 297);
   _actionMap[520][JOIN] = ActionEntry(REDUCE, 297);
   _actionMap[520][RETURNTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[520][ORDER] = ActionEntry(REDUCE, 297);
   _actionMap[520][GROUP] = ActionEntry(REDUCE, 297);
   _actionMap[520][WHERE] = ActionEntry(REDUCE, 297);
   _actionMap[520][FROM] = ActionEntry(REDUCE, 297);
   _actionMap[520][AS] = ActionEntry(REDUCE, 297);
   _actionMap[520][END_TOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[520][BEGIN] = ActionEntry(REDUCE, 297);
   _actionMap[520][THEN] = ActionEntry(REDUCE, 297);
   _actionMap[520][OR] = ActionEntry(REDUCE, 297);
   _actionMap[520][AND] = ActionEntry(REDUCE, 297);
   _actionMap[520][INTOK] = ActionEntry(REDUCE, 297);
   _actionMap[520][NOT] = ActionEntry(REDUCE, 297);
   _actionMap[520][BETWEEN] = ActionEntry(REDUCE, 297);
   _actionMap[520][IS] = ActionEntry(REDUCE, 297);
   _actionMap[520][LIKE] = ActionEntry(REDUCE, 297);
   _actionMap[520][MT] = ActionEntry(REDUCE, 297);
   _actionMap[520][LT] = ActionEntry(REDUCE, 297);
   _actionMap[520][NEGATION] = ActionEntry(REDUCE, 297);
   _actionMap[520][EQU] = ActionEntry(REDUCE, 297);
   _actionMap[520][RB] = ActionEntry(REDUCE, 297);
   _actionMap[520][ENDTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[520][UNION] = ActionEntry(REDUCE, 297);
   _actionMap[520][ROWLIMIT] = ActionEntry(REDUCE, 297);
   _actionMap[520][KSEP] = ActionEntry(REDUCE, 297);
   _actionMap[520][ASC] = ActionEntry(REDUCE, 297);
   _actionMap[520][DESC] = ActionEntry(REDUCE, 297);
   _actionMap[520][SEMICOLON] = ActionEntry(REDUCE, 297);
   _actionMap[520][PLUS] = ActionEntry(REDUCE, 297);
   _actionMap[520][MINUS] = ActionEntry(REDUCE, 297);
}
void Cego::loadParser87()
{
   _actionMap[520][DIVISION] = ActionEntry(REDUCE, 297);
   _actionMap[520][STAR] = ActionEntry(REDUCE, 297);
   _actionMap[520][CONCAT] = ActionEntry(REDUCE, 297);
   _actionMap[521][WHEN] = ActionEntry(REDUCE, 298);
   _actionMap[521][ELSE] = ActionEntry(REDUCE, 298);
   _actionMap[521][LEFT] = ActionEntry(REDUCE, 298);
   _actionMap[521][RIGHT] = ActionEntry(REDUCE, 298);
   _actionMap[521][INNER] = ActionEntry(REDUCE, 298);
   _actionMap[521][JOIN] = ActionEntry(REDUCE, 298);
   _actionMap[521][RETURNTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[521][ORDER] = ActionEntry(REDUCE, 298);
   _actionMap[521][GROUP] = ActionEntry(REDUCE, 298);
   _actionMap[521][WHERE] = ActionEntry(REDUCE, 298);
   _actionMap[521][FROM] = ActionEntry(REDUCE, 298);
   _actionMap[521][AS] = ActionEntry(REDUCE, 298);
   _actionMap[521][END_TOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[521][BEGIN] = ActionEntry(REDUCE, 298);
   _actionMap[521][THEN] = ActionEntry(REDUCE, 298);
   _actionMap[521][OR] = ActionEntry(REDUCE, 298);
   _actionMap[521][AND] = ActionEntry(REDUCE, 298);
   _actionMap[521][INTOK] = ActionEntry(REDUCE, 298);
   _actionMap[521][NOT] = ActionEntry(REDUCE, 298);
   _actionMap[521][BETWEEN] = ActionEntry(REDUCE, 298);
   _actionMap[521][IS] = ActionEntry(REDUCE, 298);
   _actionMap[521][LIKE] = ActionEntry(REDUCE, 298);
   _actionMap[521][MT] = ActionEntry(REDUCE, 298);
   _actionMap[521][LT] = ActionEntry(REDUCE, 298);
   _actionMap[521][NEGATION] = ActionEntry(REDUCE, 298);
   _actionMap[521][EQU] = ActionEntry(REDUCE, 298);
   _actionMap[521][RB] = ActionEntry(REDUCE, 298);
   _actionMap[521][ENDTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[521][UNION] = ActionEntry(REDUCE, 298);
   _actionMap[521][ROWLIMIT] = ActionEntry(REDUCE, 298);
   _actionMap[521][KSEP] = ActionEntry(REDUCE, 298);
   _actionMap[521][ASC] = ActionEntry(REDUCE, 298);
   _actionMap[521][DESC] = ActionEntry(REDUCE, 298);
   _actionMap[521][SEMICOLON] = ActionEntry(REDUCE, 298);
   _actionMap[521][PLUS] = ActionEntry(REDUCE, 298);
   _actionMap[521][MINUS] = ActionEntry(REDUCE, 298);
   _actionMap[521][DIVISION] = ActionEntry(REDUCE, 298);
   _actionMap[521][STAR] = ActionEntry(REDUCE, 298);
   _actionMap[521][CONCAT] = ActionEntry(REDUCE, 298);
   _actionMap[522][WHEN] = ActionEntry(REDUCE, 157);
   _actionMap[522][ELSE] = ActionEntry(REDUCE, 157);
   _actionMap[522][LEFT] = ActionEntry(REDUCE, 157);
   _actionMap[522][RIGHT] = ActionEntry(REDUCE, 157);
   _actionMap[522][INNER] = ActionEntry(REDUCE, 157);
   _actionMap[522][JOIN] = ActionEntry(REDUCE, 157);
   _actionMap[522][RETURNTOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[522][ORDER] = ActionEntry(REDUCE, 157);
}
void Cego::loadParser88()
{
   _actionMap[522][GROUP] = ActionEntry(REDUCE, 157);
   _actionMap[522][WHERE] = ActionEntry(REDUCE, 157);
   _actionMap[522][AS] = ActionEntry(REDUCE, 157);
   _actionMap[522][FROM] = ActionEntry(REDUCE, 157);
   _actionMap[522][END_TOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[522][BEGIN] = ActionEntry(REDUCE, 157);
   _actionMap[522][THEN] = ActionEntry(REDUCE, 157);
   _actionMap[522][OR] = ActionEntry(REDUCE, 157);
   _actionMap[522][AND] = ActionEntry(REDUCE, 157);
   _actionMap[522][LIKE] = ActionEntry(REDUCE, 157);
   _actionMap[522][IS] = ActionEntry(REDUCE, 157);
   _actionMap[522][BETWEEN] = ActionEntry(REDUCE, 157);
   _actionMap[522][NOT] = ActionEntry(REDUCE, 157);
   _actionMap[522][INTOK] = ActionEntry(REDUCE, 157);
   _actionMap[522][EQU] = ActionEntry(REDUCE, 157);
   _actionMap[522][NEGATION] = ActionEntry(REDUCE, 157);
   _actionMap[522][LT] = ActionEntry(REDUCE, 157);
   _actionMap[522][MT] = ActionEntry(REDUCE, 157);
   _actionMap[522][DESC] = ActionEntry(REDUCE, 157);
   _actionMap[522][ASC] = ActionEntry(REDUCE, 157);
   _actionMap[522][KSEP] = ActionEntry(REDUCE, 157);
   _actionMap[522][ROWLIMIT] = ActionEntry(REDUCE, 157);
   _actionMap[522][UNION] = ActionEntry(REDUCE, 157);
   _actionMap[522][ENDTOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[522][RB] = ActionEntry(REDUCE, 157);
   _actionMap[522][SEMICOLON] = ActionEntry(REDUCE, 157);
   _actionMap[522][CONCAT] = ActionEntry(REDUCE, 157);
   _actionMap[522][STAR] = ActionEntry(REDUCE, 157);
   _actionMap[522][DIVISION] = ActionEntry(REDUCE, 157);
   _actionMap[522][MINUS] = ActionEntry(REDUCE, 157);
   _actionMap[522][PLUS] = ActionEntry(REDUCE, 157);
   _actionMap[523][WHEN] = ActionEntry(REDUCE, 154);
   _actionMap[523][ELSE] = ActionEntry(REDUCE, 154);
   _actionMap[523][LEFT] = ActionEntry(REDUCE, 154);
   _actionMap[523][RIGHT] = ActionEntry(REDUCE, 154);
   _actionMap[523][INNER] = ActionEntry(REDUCE, 154);
   _actionMap[523][JOIN] = ActionEntry(REDUCE, 154);
   _actionMap[523][RETURNTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[523][ORDER] = ActionEntry(REDUCE, 154);
   _actionMap[523][GROUP] = ActionEntry(REDUCE, 154);
   _actionMap[523][WHERE] = ActionEntry(REDUCE, 154);
   _actionMap[523][AS] = ActionEntry(REDUCE, 154);
   _actionMap[523][FROM] = ActionEntry(REDUCE, 154);
   _actionMap[523][END_TOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[523][BEGIN] = ActionEntry(REDUCE, 154);
   _actionMap[523][THEN] = ActionEntry(REDUCE, 154);
   _actionMap[523][OR] = ActionEntry(REDUCE, 154);
   _actionMap[523][AND] = ActionEntry(REDUCE, 154);
   _actionMap[523][LIKE] = ActionEntry(REDUCE, 154);
   _actionMap[523][IS] = ActionEntry(REDUCE, 154);
}
void Cego::loadParser89()
{
   _actionMap[523][BETWEEN] = ActionEntry(REDUCE, 154);
   _actionMap[523][NOT] = ActionEntry(REDUCE, 154);
   _actionMap[523][INTOK] = ActionEntry(REDUCE, 154);
   _actionMap[523][EQU] = ActionEntry(REDUCE, 154);
   _actionMap[523][NEGATION] = ActionEntry(REDUCE, 154);
   _actionMap[523][LT] = ActionEntry(REDUCE, 154);
   _actionMap[523][MT] = ActionEntry(REDUCE, 154);
   _actionMap[523][DESC] = ActionEntry(REDUCE, 154);
   _actionMap[523][ASC] = ActionEntry(REDUCE, 154);
   _actionMap[523][KSEP] = ActionEntry(REDUCE, 154);
   _actionMap[523][ROWLIMIT] = ActionEntry(REDUCE, 154);
   _actionMap[523][UNION] = ActionEntry(REDUCE, 154);
   _actionMap[523][ENDTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[523][RB] = ActionEntry(REDUCE, 154);
   _actionMap[523][SEMICOLON] = ActionEntry(REDUCE, 154);
   _actionMap[523][CONCAT] = ActionEntry(REDUCE, 154);
   _actionMap[523][STAR] = ActionEntry(REDUCE, 154);
   _actionMap[523][DIVISION] = ActionEntry(REDUCE, 154);
   _actionMap[523][MINUS] = ActionEntry(REDUCE, 154);
   _actionMap[523][PLUS] = ActionEntry(REDUCE, 154);
   _actionMap[524][STRINGVAL] = ActionEntry(SHIFT, 668);
   _jumpMap[524][DateValue] = 667;
   _actionMap[525][WHEN] = ActionEntry(REDUCE, 275);
   _actionMap[525][ELSE] = ActionEntry(REDUCE, 275);
   _actionMap[525][LEFT] = ActionEntry(REDUCE, 275);
   _actionMap[525][RIGHT] = ActionEntry(REDUCE, 275);
   _actionMap[525][INNER] = ActionEntry(REDUCE, 275);
   _actionMap[525][JOIN] = ActionEntry(REDUCE, 275);
   _actionMap[525][RETURNTOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[525][ORDER] = ActionEntry(REDUCE, 275);
   _actionMap[525][GROUP] = ActionEntry(REDUCE, 275);
   _actionMap[525][WHERE] = ActionEntry(REDUCE, 275);
   _actionMap[525][FROM] = ActionEntry(REDUCE, 275);
   _actionMap[525][AS] = ActionEntry(REDUCE, 275);
   _actionMap[525][END_TOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[525][BEGIN] = ActionEntry(REDUCE, 275);
   _actionMap[525][THEN] = ActionEntry(REDUCE, 275);
   _actionMap[525][OR] = ActionEntry(REDUCE, 275);
   _actionMap[525][AND] = ActionEntry(REDUCE, 275);
   _actionMap[525][INTOK] = ActionEntry(REDUCE, 275);
   _actionMap[525][NOT] = ActionEntry(REDUCE, 275);
   _actionMap[525][BETWEEN] = ActionEntry(REDUCE, 275);
   _actionMap[525][IS] = ActionEntry(REDUCE, 275);
   _actionMap[525][LIKE] = ActionEntry(REDUCE, 275);
   _actionMap[525][MT] = ActionEntry(REDUCE, 275);
   _actionMap[525][LT] = ActionEntry(REDUCE, 275);
   _actionMap[525][NEGATION] = ActionEntry(REDUCE, 275);
   _actionMap[525][EQU] = ActionEntry(REDUCE, 275);
   _actionMap[525][RB] = ActionEntry(REDUCE, 275);
   _actionMap[525][ENDTOKEN] = ActionEntry(REDUCE, 275);
}
void Cego::loadParser90()
{
   _actionMap[525][UNION] = ActionEntry(REDUCE, 275);
   _actionMap[525][ROWLIMIT] = ActionEntry(REDUCE, 275);
   _actionMap[525][KSEP] = ActionEntry(REDUCE, 275);
   _actionMap[525][ASC] = ActionEntry(REDUCE, 275);
   _actionMap[525][DESC] = ActionEntry(REDUCE, 275);
   _actionMap[525][SEMICOLON] = ActionEntry(REDUCE, 275);
   _actionMap[525][PLUS] = ActionEntry(REDUCE, 275);
   _actionMap[525][MINUS] = ActionEntry(REDUCE, 275);
   _actionMap[525][DIVISION] = ActionEntry(REDUCE, 275);
   _actionMap[525][STAR] = ActionEntry(REDUCE, 275);
   _actionMap[525][CONCAT] = ActionEntry(REDUCE, 275);
   _actionMap[526][WHEN] = ActionEntry(REDUCE, 276);
   _actionMap[526][ELSE] = ActionEntry(REDUCE, 276);
   _actionMap[526][LEFT] = ActionEntry(REDUCE, 276);
   _actionMap[526][RIGHT] = ActionEntry(REDUCE, 276);
   _actionMap[526][INNER] = ActionEntry(REDUCE, 276);
   _actionMap[526][JOIN] = ActionEntry(REDUCE, 276);
   _actionMap[526][RETURNTOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[526][ORDER] = ActionEntry(REDUCE, 276);
   _actionMap[526][GROUP] = ActionEntry(REDUCE, 276);
   _actionMap[526][WHERE] = ActionEntry(REDUCE, 276);
   _actionMap[526][FROM] = ActionEntry(REDUCE, 276);
   _actionMap[526][AS] = ActionEntry(REDUCE, 276);
   _actionMap[526][END_TOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[526][BEGIN] = ActionEntry(REDUCE, 276);
   _actionMap[526][THEN] = ActionEntry(REDUCE, 276);
   _actionMap[526][OR] = ActionEntry(REDUCE, 276);
   _actionMap[526][AND] = ActionEntry(REDUCE, 276);
   _actionMap[526][INTOK] = ActionEntry(REDUCE, 276);
   _actionMap[526][NOT] = ActionEntry(REDUCE, 276);
   _actionMap[526][BETWEEN] = ActionEntry(REDUCE, 276);
   _actionMap[526][IS] = ActionEntry(REDUCE, 276);
   _actionMap[526][LIKE] = ActionEntry(REDUCE, 276);
   _actionMap[526][MT] = ActionEntry(REDUCE, 276);
   _actionMap[526][LT] = ActionEntry(REDUCE, 276);
   _actionMap[526][NEGATION] = ActionEntry(REDUCE, 276);
   _actionMap[526][EQU] = ActionEntry(REDUCE, 276);
   _actionMap[526][RB] = ActionEntry(REDUCE, 276);
   _actionMap[526][ENDTOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[526][UNION] = ActionEntry(REDUCE, 276);
   _actionMap[526][ROWLIMIT] = ActionEntry(REDUCE, 276);
   _actionMap[526][KSEP] = ActionEntry(REDUCE, 276);
   _actionMap[526][ASC] = ActionEntry(REDUCE, 276);
   _actionMap[526][DESC] = ActionEntry(REDUCE, 276);
   _actionMap[526][SEMICOLON] = ActionEntry(REDUCE, 276);
   _actionMap[526][PLUS] = ActionEntry(REDUCE, 276);
   _actionMap[526][MINUS] = ActionEntry(REDUCE, 276);
   _actionMap[526][DIVISION] = ActionEntry(REDUCE, 276);
   _actionMap[526][STAR] = ActionEntry(REDUCE, 276);
   _actionMap[526][CONCAT] = ActionEntry(REDUCE, 276);
}
void Cego::loadParser91()
{
   _actionMap[527][WHEN] = ActionEntry(REDUCE, 293);
   _actionMap[527][ELSE] = ActionEntry(REDUCE, 293);
   _actionMap[527][LEFT] = ActionEntry(REDUCE, 293);
   _actionMap[527][RIGHT] = ActionEntry(REDUCE, 293);
   _actionMap[527][INNER] = ActionEntry(REDUCE, 293);
   _actionMap[527][JOIN] = ActionEntry(REDUCE, 293);
   _actionMap[527][RETURNTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[527][ORDER] = ActionEntry(REDUCE, 293);
   _actionMap[527][GROUP] = ActionEntry(REDUCE, 293);
   _actionMap[527][WHERE] = ActionEntry(REDUCE, 293);
   _actionMap[527][FROM] = ActionEntry(REDUCE, 293);
   _actionMap[527][AS] = ActionEntry(REDUCE, 293);
   _actionMap[527][END_TOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[527][BEGIN] = ActionEntry(REDUCE, 293);
   _actionMap[527][THEN] = ActionEntry(REDUCE, 293);
   _actionMap[527][OR] = ActionEntry(REDUCE, 293);
   _actionMap[527][AND] = ActionEntry(REDUCE, 293);
   _actionMap[527][INTOK] = ActionEntry(REDUCE, 293);
   _actionMap[527][NOT] = ActionEntry(REDUCE, 293);
   _actionMap[527][BETWEEN] = ActionEntry(REDUCE, 293);
   _actionMap[527][IS] = ActionEntry(REDUCE, 293);
   _actionMap[527][LIKE] = ActionEntry(REDUCE, 293);
   _actionMap[527][MT] = ActionEntry(REDUCE, 293);
   _actionMap[527][LT] = ActionEntry(REDUCE, 293);
   _actionMap[527][NEGATION] = ActionEntry(REDUCE, 293);
   _actionMap[527][EQU] = ActionEntry(REDUCE, 293);
   _actionMap[527][RB] = ActionEntry(REDUCE, 293);
   _actionMap[527][ENDTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[527][UNION] = ActionEntry(REDUCE, 293);
   _actionMap[527][ROWLIMIT] = ActionEntry(REDUCE, 293);
   _actionMap[527][KSEP] = ActionEntry(REDUCE, 293);
   _actionMap[527][ASC] = ActionEntry(REDUCE, 293);
   _actionMap[527][DESC] = ActionEntry(REDUCE, 293);
   _actionMap[527][SEMICOLON] = ActionEntry(REDUCE, 293);
   _actionMap[527][PLUS] = ActionEntry(REDUCE, 293);
   _actionMap[527][MINUS] = ActionEntry(REDUCE, 293);
   _actionMap[527][DIVISION] = ActionEntry(REDUCE, 293);
   _actionMap[527][STAR] = ActionEntry(REDUCE, 293);
   _actionMap[527][CONCAT] = ActionEntry(REDUCE, 293);
   _actionMap[528][VARREF] = ActionEntry(SHIFT, 670);
   _jumpMap[528][FetchArgList] = 669;
   _actionMap[529][WHEN] = ActionEntry(REDUCE, 282);
   _actionMap[529][ELSE] = ActionEntry(REDUCE, 282);
   _actionMap[529][LEFT] = ActionEntry(REDUCE, 282);
   _actionMap[529][RIGHT] = ActionEntry(REDUCE, 282);
   _actionMap[529][INNER] = ActionEntry(REDUCE, 282);
   _actionMap[529][JOIN] = ActionEntry(REDUCE, 282);
   _actionMap[529][RETURNTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[529][ORDER] = ActionEntry(REDUCE, 282);
   _actionMap[529][GROUP] = ActionEntry(REDUCE, 282);
}
void Cego::loadParser92()
{
   _actionMap[529][WHERE] = ActionEntry(REDUCE, 282);
   _actionMap[529][FROM] = ActionEntry(REDUCE, 282);
   _actionMap[529][AS] = ActionEntry(REDUCE, 282);
   _actionMap[529][END_TOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[529][BEGIN] = ActionEntry(REDUCE, 282);
   _actionMap[529][THEN] = ActionEntry(REDUCE, 282);
   _actionMap[529][OR] = ActionEntry(REDUCE, 282);
   _actionMap[529][AND] = ActionEntry(REDUCE, 282);
   _actionMap[529][INTOK] = ActionEntry(REDUCE, 282);
   _actionMap[529][NOT] = ActionEntry(REDUCE, 282);
   _actionMap[529][BETWEEN] = ActionEntry(REDUCE, 282);
   _actionMap[529][IS] = ActionEntry(REDUCE, 282);
   _actionMap[529][LIKE] = ActionEntry(REDUCE, 282);
   _actionMap[529][MT] = ActionEntry(REDUCE, 282);
   _actionMap[529][LT] = ActionEntry(REDUCE, 282);
   _actionMap[529][NEGATION] = ActionEntry(REDUCE, 282);
   _actionMap[529][EQU] = ActionEntry(REDUCE, 282);
   _actionMap[529][RB] = ActionEntry(REDUCE, 282);
   _actionMap[529][ENDTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[529][UNION] = ActionEntry(REDUCE, 282);
   _actionMap[529][ROWLIMIT] = ActionEntry(REDUCE, 282);
   _actionMap[529][KSEP] = ActionEntry(REDUCE, 282);
   _actionMap[529][ASC] = ActionEntry(REDUCE, 282);
   _actionMap[529][DESC] = ActionEntry(REDUCE, 282);
   _actionMap[529][SEMICOLON] = ActionEntry(REDUCE, 282);
   _actionMap[529][PLUS] = ActionEntry(REDUCE, 282);
   _actionMap[529][MINUS] = ActionEntry(REDUCE, 282);
   _actionMap[529][DIVISION] = ActionEntry(REDUCE, 282);
   _actionMap[529][STAR] = ActionEntry(REDUCE, 282);
   _actionMap[529][CONCAT] = ActionEntry(REDUCE, 282);
   _actionMap[530][WHEN] = ActionEntry(REDUCE, 277);
   _actionMap[530][ELSE] = ActionEntry(REDUCE, 277);
   _actionMap[530][LEFT] = ActionEntry(REDUCE, 277);
   _actionMap[530][RIGHT] = ActionEntry(REDUCE, 277);
   _actionMap[530][INNER] = ActionEntry(REDUCE, 277);
   _actionMap[530][JOIN] = ActionEntry(REDUCE, 277);
   _actionMap[530][RETURNTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[530][ORDER] = ActionEntry(REDUCE, 277);
   _actionMap[530][GROUP] = ActionEntry(REDUCE, 277);
   _actionMap[530][WHERE] = ActionEntry(REDUCE, 277);
   _actionMap[530][FROM] = ActionEntry(REDUCE, 277);
   _actionMap[530][AS] = ActionEntry(REDUCE, 277);
   _actionMap[530][END_TOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[530][BEGIN] = ActionEntry(REDUCE, 277);
   _actionMap[530][THEN] = ActionEntry(REDUCE, 277);
   _actionMap[530][OR] = ActionEntry(REDUCE, 277);
   _actionMap[530][AND] = ActionEntry(REDUCE, 277);
   _actionMap[530][INTOK] = ActionEntry(REDUCE, 277);
   _actionMap[530][NOT] = ActionEntry(REDUCE, 277);
   _actionMap[530][BETWEEN] = ActionEntry(REDUCE, 277);
}
void Cego::loadParser93()
{
   _actionMap[530][IS] = ActionEntry(REDUCE, 277);
   _actionMap[530][LIKE] = ActionEntry(REDUCE, 277);
   _actionMap[530][MT] = ActionEntry(REDUCE, 277);
   _actionMap[530][LT] = ActionEntry(REDUCE, 277);
   _actionMap[530][NEGATION] = ActionEntry(REDUCE, 277);
   _actionMap[530][EQU] = ActionEntry(REDUCE, 277);
   _actionMap[530][RB] = ActionEntry(REDUCE, 277);
   _actionMap[530][ENDTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[530][UNION] = ActionEntry(REDUCE, 277);
   _actionMap[530][ROWLIMIT] = ActionEntry(REDUCE, 277);
   _actionMap[530][KSEP] = ActionEntry(REDUCE, 277);
   _actionMap[530][ASC] = ActionEntry(REDUCE, 277);
   _actionMap[530][DESC] = ActionEntry(REDUCE, 277);
   _actionMap[530][SEMICOLON] = ActionEntry(REDUCE, 277);
   _actionMap[530][PLUS] = ActionEntry(REDUCE, 277);
   _actionMap[530][MINUS] = ActionEntry(REDUCE, 277);
   _actionMap[530][DIVISION] = ActionEntry(REDUCE, 277);
   _actionMap[530][STAR] = ActionEntry(REDUCE, 277);
   _actionMap[530][CONCAT] = ActionEntry(REDUCE, 277);
   _actionMap[531][WHEN] = ActionEntry(REDUCE, 280);
   _actionMap[531][ELSE] = ActionEntry(REDUCE, 280);
   _actionMap[531][LEFT] = ActionEntry(REDUCE, 280);
   _actionMap[531][RIGHT] = ActionEntry(REDUCE, 280);
   _actionMap[531][INNER] = ActionEntry(REDUCE, 280);
   _actionMap[531][JOIN] = ActionEntry(REDUCE, 280);
   _actionMap[531][RETURNTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[531][ORDER] = ActionEntry(REDUCE, 280);
   _actionMap[531][GROUP] = ActionEntry(REDUCE, 280);
   _actionMap[531][WHERE] = ActionEntry(REDUCE, 280);
   _actionMap[531][FROM] = ActionEntry(REDUCE, 280);
   _actionMap[531][AS] = ActionEntry(REDUCE, 280);
   _actionMap[531][END_TOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[531][BEGIN] = ActionEntry(REDUCE, 280);
   _actionMap[531][THEN] = ActionEntry(REDUCE, 280);
   _actionMap[531][OR] = ActionEntry(REDUCE, 280);
   _actionMap[531][AND] = ActionEntry(REDUCE, 280);
   _actionMap[531][INTOK] = ActionEntry(REDUCE, 280);
   _actionMap[531][NOT] = ActionEntry(REDUCE, 280);
   _actionMap[531][BETWEEN] = ActionEntry(REDUCE, 280);
   _actionMap[531][IS] = ActionEntry(REDUCE, 280);
   _actionMap[531][LIKE] = ActionEntry(REDUCE, 280);
   _actionMap[531][MT] = ActionEntry(REDUCE, 280);
   _actionMap[531][LT] = ActionEntry(REDUCE, 280);
   _actionMap[531][NEGATION] = ActionEntry(REDUCE, 280);
   _actionMap[531][EQU] = ActionEntry(REDUCE, 280);
   _actionMap[531][RB] = ActionEntry(REDUCE, 280);
   _actionMap[531][ENDTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[531][UNION] = ActionEntry(REDUCE, 280);
   _actionMap[531][ROWLIMIT] = ActionEntry(REDUCE, 280);
   _actionMap[531][KSEP] = ActionEntry(REDUCE, 280);
}
void Cego::loadParser94()
{
   _actionMap[531][ASC] = ActionEntry(REDUCE, 280);
   _actionMap[531][DESC] = ActionEntry(REDUCE, 280);
   _actionMap[531][SEMICOLON] = ActionEntry(REDUCE, 280);
   _actionMap[531][PLUS] = ActionEntry(REDUCE, 280);
   _actionMap[531][MINUS] = ActionEntry(REDUCE, 280);
   _actionMap[531][DIVISION] = ActionEntry(REDUCE, 280);
   _actionMap[531][STAR] = ActionEntry(REDUCE, 280);
   _actionMap[531][CONCAT] = ActionEntry(REDUCE, 280);
   _actionMap[532][WHEN] = ActionEntry(REDUCE, 285);
   _actionMap[532][ELSE] = ActionEntry(REDUCE, 285);
   _actionMap[532][LEFT] = ActionEntry(REDUCE, 285);
   _actionMap[532][RIGHT] = ActionEntry(REDUCE, 285);
   _actionMap[532][INNER] = ActionEntry(REDUCE, 285);
   _actionMap[532][JOIN] = ActionEntry(REDUCE, 285);
   _actionMap[532][RETURNTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[532][ORDER] = ActionEntry(REDUCE, 285);
   _actionMap[532][GROUP] = ActionEntry(REDUCE, 285);
   _actionMap[532][WHERE] = ActionEntry(REDUCE, 285);
   _actionMap[532][FROM] = ActionEntry(REDUCE, 285);
   _actionMap[532][AS] = ActionEntry(REDUCE, 285);
   _actionMap[532][END_TOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[532][BEGIN] = ActionEntry(REDUCE, 285);
   _actionMap[532][THEN] = ActionEntry(REDUCE, 285);
   _actionMap[532][OR] = ActionEntry(REDUCE, 285);
   _actionMap[532][AND] = ActionEntry(REDUCE, 285);
   _actionMap[532][INTOK] = ActionEntry(REDUCE, 285);
   _actionMap[532][NOT] = ActionEntry(REDUCE, 285);
   _actionMap[532][BETWEEN] = ActionEntry(REDUCE, 285);
   _actionMap[532][IS] = ActionEntry(REDUCE, 285);
   _actionMap[532][LIKE] = ActionEntry(REDUCE, 285);
   _actionMap[532][MT] = ActionEntry(REDUCE, 285);
   _actionMap[532][LT] = ActionEntry(REDUCE, 285);
   _actionMap[532][NEGATION] = ActionEntry(REDUCE, 285);
   _actionMap[532][EQU] = ActionEntry(REDUCE, 285);
   _actionMap[532][RB] = ActionEntry(REDUCE, 285);
   _actionMap[532][ENDTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[532][UNION] = ActionEntry(REDUCE, 285);
   _actionMap[532][ROWLIMIT] = ActionEntry(REDUCE, 285);
   _actionMap[532][KSEP] = ActionEntry(REDUCE, 285);
   _actionMap[532][ASC] = ActionEntry(REDUCE, 285);
   _actionMap[532][DESC] = ActionEntry(REDUCE, 285);
   _actionMap[532][SEMICOLON] = ActionEntry(REDUCE, 285);
   _actionMap[532][PLUS] = ActionEntry(REDUCE, 285);
   _actionMap[532][MINUS] = ActionEntry(REDUCE, 285);
   _actionMap[532][DIVISION] = ActionEntry(REDUCE, 285);
   _actionMap[532][STAR] = ActionEntry(REDUCE, 285);
   _actionMap[532][CONCAT] = ActionEntry(REDUCE, 285);
   _actionMap[533][WHEN] = ActionEntry(REDUCE, 278);
   _actionMap[533][ELSE] = ActionEntry(REDUCE, 278);
   _actionMap[533][LEFT] = ActionEntry(REDUCE, 278);
}
void Cego::loadParser95()
{
   _actionMap[533][RIGHT] = ActionEntry(REDUCE, 278);
   _actionMap[533][INNER] = ActionEntry(REDUCE, 278);
   _actionMap[533][JOIN] = ActionEntry(REDUCE, 278);
   _actionMap[533][RETURNTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[533][ORDER] = ActionEntry(REDUCE, 278);
   _actionMap[533][GROUP] = ActionEntry(REDUCE, 278);
   _actionMap[533][WHERE] = ActionEntry(REDUCE, 278);
   _actionMap[533][FROM] = ActionEntry(REDUCE, 278);
   _actionMap[533][AS] = ActionEntry(REDUCE, 278);
   _actionMap[533][END_TOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[533][BEGIN] = ActionEntry(REDUCE, 278);
   _actionMap[533][THEN] = ActionEntry(REDUCE, 278);
   _actionMap[533][OR] = ActionEntry(REDUCE, 278);
   _actionMap[533][AND] = ActionEntry(REDUCE, 278);
   _actionMap[533][INTOK] = ActionEntry(REDUCE, 278);
   _actionMap[533][NOT] = ActionEntry(REDUCE, 278);
   _actionMap[533][BETWEEN] = ActionEntry(REDUCE, 278);
   _actionMap[533][IS] = ActionEntry(REDUCE, 278);
   _actionMap[533][LIKE] = ActionEntry(REDUCE, 278);
   _actionMap[533][MT] = ActionEntry(REDUCE, 278);
   _actionMap[533][LT] = ActionEntry(REDUCE, 278);
   _actionMap[533][NEGATION] = ActionEntry(REDUCE, 278);
   _actionMap[533][EQU] = ActionEntry(REDUCE, 278);
   _actionMap[533][RB] = ActionEntry(REDUCE, 278);
   _actionMap[533][ENDTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[533][UNION] = ActionEntry(REDUCE, 278);
   _actionMap[533][ROWLIMIT] = ActionEntry(REDUCE, 278);
   _actionMap[533][KSEP] = ActionEntry(REDUCE, 278);
   _actionMap[533][ASC] = ActionEntry(REDUCE, 278);
   _actionMap[533][DESC] = ActionEntry(REDUCE, 278);
   _actionMap[533][SEMICOLON] = ActionEntry(REDUCE, 278);
   _actionMap[533][PLUS] = ActionEntry(REDUCE, 278);
   _actionMap[533][MINUS] = ActionEntry(REDUCE, 278);
   _actionMap[533][DIVISION] = ActionEntry(REDUCE, 278);
   _actionMap[533][STAR] = ActionEntry(REDUCE, 278);
   _actionMap[533][CONCAT] = ActionEntry(REDUCE, 278);
   _actionMap[534][WHEN] = ActionEntry(REDUCE, 273);
   _actionMap[534][ELSE] = ActionEntry(REDUCE, 273);
   _actionMap[534][LEFT] = ActionEntry(REDUCE, 273);
   _actionMap[534][RIGHT] = ActionEntry(REDUCE, 273);
   _actionMap[534][INNER] = ActionEntry(REDUCE, 273);
   _actionMap[534][JOIN] = ActionEntry(REDUCE, 273);
   _actionMap[534][RETURNTOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[534][ORDER] = ActionEntry(REDUCE, 273);
   _actionMap[534][GROUP] = ActionEntry(REDUCE, 273);
   _actionMap[534][WHERE] = ActionEntry(REDUCE, 273);
   _actionMap[534][FROM] = ActionEntry(REDUCE, 273);
   _actionMap[534][AS] = ActionEntry(REDUCE, 273);
   _actionMap[534][END_TOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[534][BEGIN] = ActionEntry(REDUCE, 273);
}
void Cego::loadParser96()
{
   _actionMap[534][THEN] = ActionEntry(REDUCE, 273);
   _actionMap[534][OR] = ActionEntry(REDUCE, 273);
   _actionMap[534][AND] = ActionEntry(REDUCE, 273);
   _actionMap[534][INTOK] = ActionEntry(REDUCE, 273);
   _actionMap[534][NOT] = ActionEntry(REDUCE, 273);
   _actionMap[534][BETWEEN] = ActionEntry(REDUCE, 273);
   _actionMap[534][IS] = ActionEntry(REDUCE, 273);
   _actionMap[534][LIKE] = ActionEntry(REDUCE, 273);
   _actionMap[534][MT] = ActionEntry(REDUCE, 273);
   _actionMap[534][LT] = ActionEntry(REDUCE, 273);
   _actionMap[534][NEGATION] = ActionEntry(REDUCE, 273);
   _actionMap[534][EQU] = ActionEntry(REDUCE, 273);
   _actionMap[534][RB] = ActionEntry(REDUCE, 273);
   _actionMap[534][ENDTOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[534][UNION] = ActionEntry(REDUCE, 273);
   _actionMap[534][ROWLIMIT] = ActionEntry(REDUCE, 273);
   _actionMap[534][KSEP] = ActionEntry(REDUCE, 273);
   _actionMap[534][ASC] = ActionEntry(REDUCE, 273);
   _actionMap[534][DESC] = ActionEntry(REDUCE, 273);
   _actionMap[534][SEMICOLON] = ActionEntry(REDUCE, 273);
   _actionMap[534][PLUS] = ActionEntry(REDUCE, 273);
   _actionMap[534][MINUS] = ActionEntry(REDUCE, 273);
   _actionMap[534][DIVISION] = ActionEntry(REDUCE, 273);
   _actionMap[534][STAR] = ActionEntry(REDUCE, 273);
   _actionMap[534][CONCAT] = ActionEntry(REDUCE, 273);
   _actionMap[535][WHEN] = ActionEntry(REDUCE, 158);
   _actionMap[535][ELSE] = ActionEntry(REDUCE, 158);
   _actionMap[535][LEFT] = ActionEntry(REDUCE, 158);
   _actionMap[535][RIGHT] = ActionEntry(REDUCE, 158);
   _actionMap[535][INNER] = ActionEntry(REDUCE, 158);
   _actionMap[535][JOIN] = ActionEntry(REDUCE, 158);
   _actionMap[535][RETURNTOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[535][ORDER] = ActionEntry(REDUCE, 158);
   _actionMap[535][GROUP] = ActionEntry(REDUCE, 158);
   _actionMap[535][WHERE] = ActionEntry(REDUCE, 158);
   _actionMap[535][AS] = ActionEntry(REDUCE, 158);
   _actionMap[535][FROM] = ActionEntry(REDUCE, 158);
   _actionMap[535][END_TOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[535][BEGIN] = ActionEntry(REDUCE, 158);
   _actionMap[535][THEN] = ActionEntry(REDUCE, 158);
   _actionMap[535][OR] = ActionEntry(REDUCE, 158);
   _actionMap[535][AND] = ActionEntry(REDUCE, 158);
   _actionMap[535][LIKE] = ActionEntry(REDUCE, 158);
   _actionMap[535][IS] = ActionEntry(REDUCE, 158);
   _actionMap[535][BETWEEN] = ActionEntry(REDUCE, 158);
   _actionMap[535][NOT] = ActionEntry(REDUCE, 158);
   _actionMap[535][INTOK] = ActionEntry(REDUCE, 158);
   _actionMap[535][EQU] = ActionEntry(REDUCE, 158);
   _actionMap[535][NEGATION] = ActionEntry(REDUCE, 158);
   _actionMap[535][LT] = ActionEntry(REDUCE, 158);
}
void Cego::loadParser97()
{
   _actionMap[535][MT] = ActionEntry(REDUCE, 158);
   _actionMap[535][DESC] = ActionEntry(REDUCE, 158);
   _actionMap[535][ASC] = ActionEntry(REDUCE, 158);
   _actionMap[535][KSEP] = ActionEntry(REDUCE, 158);
   _actionMap[535][ROWLIMIT] = ActionEntry(REDUCE, 158);
   _actionMap[535][UNION] = ActionEntry(REDUCE, 158);
   _actionMap[535][ENDTOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[535][RB] = ActionEntry(REDUCE, 158);
   _actionMap[535][SEMICOLON] = ActionEntry(REDUCE, 158);
   _actionMap[535][CONCAT] = ActionEntry(REDUCE, 158);
   _actionMap[535][STAR] = ActionEntry(REDUCE, 158);
   _actionMap[535][DIVISION] = ActionEntry(REDUCE, 158);
   _actionMap[535][MINUS] = ActionEntry(REDUCE, 158);
   _actionMap[535][PLUS] = ActionEntry(REDUCE, 158);
   _actionMap[536][WHEN] = ActionEntry(REDUCE, 159);
   _actionMap[536][ELSE] = ActionEntry(REDUCE, 159);
   _actionMap[536][LEFT] = ActionEntry(REDUCE, 159);
   _actionMap[536][RIGHT] = ActionEntry(REDUCE, 159);
   _actionMap[536][INNER] = ActionEntry(REDUCE, 159);
   _actionMap[536][JOIN] = ActionEntry(REDUCE, 159);
   _actionMap[536][RETURNTOKEN] = ActionEntry(REDUCE, 159);
   _actionMap[536][ORDER] = ActionEntry(REDUCE, 159);
   _actionMap[536][GROUP] = ActionEntry(REDUCE, 159);
   _actionMap[536][WHERE] = ActionEntry(REDUCE, 159);
   _actionMap[536][AS] = ActionEntry(REDUCE, 159);
   _actionMap[536][FROM] = ActionEntry(REDUCE, 159);
   _actionMap[536][END_TOKEN] = ActionEntry(REDUCE, 159);
   _actionMap[536][BEGIN] = ActionEntry(REDUCE, 159);
   _actionMap[536][THEN] = ActionEntry(REDUCE, 159);
   _actionMap[536][OR] = ActionEntry(REDUCE, 159);
   _actionMap[536][AND] = ActionEntry(REDUCE, 159);
   _actionMap[536][LIKE] = ActionEntry(REDUCE, 159);
   _actionMap[536][IS] = ActionEntry(REDUCE, 159);
   _actionMap[536][BETWEEN] = ActionEntry(REDUCE, 159);
   _actionMap[536][NOT] = ActionEntry(REDUCE, 159);
   _actionMap[536][INTOK] = ActionEntry(REDUCE, 159);
   _actionMap[536][EQU] = ActionEntry(REDUCE, 159);
   _actionMap[536][NEGATION] = ActionEntry(REDUCE, 159);
   _actionMap[536][LT] = ActionEntry(REDUCE, 159);
   _actionMap[536][MT] = ActionEntry(REDUCE, 159);
   _actionMap[536][DESC] = ActionEntry(REDUCE, 159);
   _actionMap[536][ASC] = ActionEntry(REDUCE, 159);
   _actionMap[536][KSEP] = ActionEntry(REDUCE, 159);
   _actionMap[536][ROWLIMIT] = ActionEntry(REDUCE, 159);
   _actionMap[536][UNION] = ActionEntry(REDUCE, 159);
   _actionMap[536][ENDTOKEN] = ActionEntry(REDUCE, 159);
   _actionMap[536][RB] = ActionEntry(REDUCE, 159);
   _actionMap[536][SEMICOLON] = ActionEntry(REDUCE, 159);
   _actionMap[536][CONCAT] = ActionEntry(REDUCE, 159);
   _actionMap[536][STAR] = ActionEntry(REDUCE, 159);
}
void Cego::loadParser98()
{
   _actionMap[536][DIVISION] = ActionEntry(REDUCE, 159);
   _actionMap[536][MINUS] = ActionEntry(REDUCE, 159);
   _actionMap[536][PLUS] = ActionEntry(REDUCE, 159);
   _actionMap[537][WHEN] = ActionEntry(REDUCE, 292);
   _actionMap[537][ELSE] = ActionEntry(REDUCE, 292);
   _actionMap[537][LEFT] = ActionEntry(REDUCE, 292);
   _actionMap[537][RIGHT] = ActionEntry(REDUCE, 292);
   _actionMap[537][INNER] = ActionEntry(REDUCE, 292);
   _actionMap[537][JOIN] = ActionEntry(REDUCE, 292);
   _actionMap[537][RETURNTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[537][ORDER] = ActionEntry(REDUCE, 292);
   _actionMap[537][GROUP] = ActionEntry(REDUCE, 292);
   _actionMap[537][WHERE] = ActionEntry(REDUCE, 292);
   _actionMap[537][FROM] = ActionEntry(REDUCE, 292);
   _actionMap[537][AS] = ActionEntry(REDUCE, 292);
   _actionMap[537][END_TOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[537][BEGIN] = ActionEntry(REDUCE, 292);
   _actionMap[537][THEN] = ActionEntry(REDUCE, 292);
   _actionMap[537][OR] = ActionEntry(REDUCE, 292);
   _actionMap[537][AND] = ActionEntry(REDUCE, 292);
   _actionMap[537][INTOK] = ActionEntry(REDUCE, 292);
   _actionMap[537][NOT] = ActionEntry(REDUCE, 292);
   _actionMap[537][BETWEEN] = ActionEntry(REDUCE, 292);
   _actionMap[537][IS] = ActionEntry(REDUCE, 292);
   _actionMap[537][LIKE] = ActionEntry(REDUCE, 292);
   _actionMap[537][MT] = ActionEntry(REDUCE, 292);
   _actionMap[537][LT] = ActionEntry(REDUCE, 292);
   _actionMap[537][NEGATION] = ActionEntry(REDUCE, 292);
   _actionMap[537][EQU] = ActionEntry(REDUCE, 292);
   _actionMap[537][RB] = ActionEntry(REDUCE, 292);
   _actionMap[537][ENDTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[537][UNION] = ActionEntry(REDUCE, 292);
   _actionMap[537][ROWLIMIT] = ActionEntry(REDUCE, 292);
   _actionMap[537][KSEP] = ActionEntry(REDUCE, 292);
   _actionMap[537][ASC] = ActionEntry(REDUCE, 292);
   _actionMap[537][DESC] = ActionEntry(REDUCE, 292);
   _actionMap[537][SEMICOLON] = ActionEntry(REDUCE, 292);
   _actionMap[537][PLUS] = ActionEntry(REDUCE, 292);
   _actionMap[537][MINUS] = ActionEntry(REDUCE, 292);
   _actionMap[537][DIVISION] = ActionEntry(REDUCE, 292);
   _actionMap[537][STAR] = ActionEntry(REDUCE, 292);
   _actionMap[537][CONCAT] = ActionEntry(REDUCE, 292);
   _actionMap[538][WHEN] = ActionEntry(REDUCE, 299);
   _actionMap[538][ELSE] = ActionEntry(REDUCE, 299);
   _actionMap[538][LEFT] = ActionEntry(REDUCE, 299);
   _actionMap[538][RIGHT] = ActionEntry(REDUCE, 299);
   _actionMap[538][INNER] = ActionEntry(REDUCE, 299);
   _actionMap[538][JOIN] = ActionEntry(REDUCE, 299);
   _actionMap[538][RETURNTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[538][ORDER] = ActionEntry(REDUCE, 299);
}
void Cego::loadParser99()
{
   _actionMap[538][GROUP] = ActionEntry(REDUCE, 299);
   _actionMap[538][WHERE] = ActionEntry(REDUCE, 299);
   _actionMap[538][FROM] = ActionEntry(REDUCE, 299);
   _actionMap[538][AS] = ActionEntry(REDUCE, 299);
   _actionMap[538][END_TOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[538][BEGIN] = ActionEntry(REDUCE, 299);
   _actionMap[538][THEN] = ActionEntry(REDUCE, 299);
   _actionMap[538][OR] = ActionEntry(REDUCE, 299);
   _actionMap[538][AND] = ActionEntry(REDUCE, 299);
   _actionMap[538][INTOK] = ActionEntry(REDUCE, 299);
   _actionMap[538][NOT] = ActionEntry(REDUCE, 299);
   _actionMap[538][BETWEEN] = ActionEntry(REDUCE, 299);
   _actionMap[538][IS] = ActionEntry(REDUCE, 299);
   _actionMap[538][LIKE] = ActionEntry(REDUCE, 299);
   _actionMap[538][MT] = ActionEntry(REDUCE, 299);
   _actionMap[538][LT] = ActionEntry(REDUCE, 299);
   _actionMap[538][NEGATION] = ActionEntry(REDUCE, 299);
   _actionMap[538][EQU] = ActionEntry(REDUCE, 299);
   _actionMap[538][RB] = ActionEntry(REDUCE, 299);
   _actionMap[538][ENDTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[538][UNION] = ActionEntry(REDUCE, 299);
   _actionMap[538][ROWLIMIT] = ActionEntry(REDUCE, 299);
   _actionMap[538][KSEP] = ActionEntry(REDUCE, 299);
   _actionMap[538][ASC] = ActionEntry(REDUCE, 299);
   _actionMap[538][DESC] = ActionEntry(REDUCE, 299);
   _actionMap[538][SEMICOLON] = ActionEntry(REDUCE, 299);
   _actionMap[538][PLUS] = ActionEntry(REDUCE, 299);
   _actionMap[538][MINUS] = ActionEntry(REDUCE, 299);
   _actionMap[538][DIVISION] = ActionEntry(REDUCE, 299);
   _actionMap[538][STAR] = ActionEntry(REDUCE, 299);
   _actionMap[538][CONCAT] = ActionEntry(REDUCE, 299);
   _actionMap[539][WHEN] = ActionEntry(REDUCE, 294);
   _actionMap[539][ELSE] = ActionEntry(REDUCE, 294);
   _actionMap[539][LEFT] = ActionEntry(REDUCE, 294);
   _actionMap[539][RIGHT] = ActionEntry(REDUCE, 294);
   _actionMap[539][INNER] = ActionEntry(REDUCE, 294);
   _actionMap[539][JOIN] = ActionEntry(REDUCE, 294);
   _actionMap[539][RETURNTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[539][ORDER] = ActionEntry(REDUCE, 294);
   _actionMap[539][GROUP] = ActionEntry(REDUCE, 294);
   _actionMap[539][WHERE] = ActionEntry(REDUCE, 294);
   _actionMap[539][FROM] = ActionEntry(REDUCE, 294);
   _actionMap[539][AS] = ActionEntry(REDUCE, 294);
   _actionMap[539][END_TOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[539][BEGIN] = ActionEntry(REDUCE, 294);
   _actionMap[539][THEN] = ActionEntry(REDUCE, 294);
   _actionMap[539][OR] = ActionEntry(REDUCE, 294);
   _actionMap[539][AND] = ActionEntry(REDUCE, 294);
   _actionMap[539][INTOK] = ActionEntry(REDUCE, 294);
   _actionMap[539][NOT] = ActionEntry(REDUCE, 294);
}
void Cego::loadParser100()
{
   _actionMap[539][BETWEEN] = ActionEntry(REDUCE, 294);
   _actionMap[539][IS] = ActionEntry(REDUCE, 294);
   _actionMap[539][LIKE] = ActionEntry(REDUCE, 294);
   _actionMap[539][MT] = ActionEntry(REDUCE, 294);
   _actionMap[539][LT] = ActionEntry(REDUCE, 294);
   _actionMap[539][NEGATION] = ActionEntry(REDUCE, 294);
   _actionMap[539][EQU] = ActionEntry(REDUCE, 294);
   _actionMap[539][RB] = ActionEntry(REDUCE, 294);
   _actionMap[539][ENDTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[539][UNION] = ActionEntry(REDUCE, 294);
   _actionMap[539][ROWLIMIT] = ActionEntry(REDUCE, 294);
   _actionMap[539][KSEP] = ActionEntry(REDUCE, 294);
   _actionMap[539][ASC] = ActionEntry(REDUCE, 294);
   _actionMap[539][DESC] = ActionEntry(REDUCE, 294);
   _actionMap[539][SEMICOLON] = ActionEntry(REDUCE, 294);
   _actionMap[539][PLUS] = ActionEntry(REDUCE, 294);
   _actionMap[539][MINUS] = ActionEntry(REDUCE, 294);
   _actionMap[539][DIVISION] = ActionEntry(REDUCE, 294);
   _actionMap[539][STAR] = ActionEntry(REDUCE, 294);
   _actionMap[539][CONCAT] = ActionEntry(REDUCE, 294);
   _actionMap[540][WHEN] = ActionEntry(REDUCE, 290);
   _actionMap[540][ELSE] = ActionEntry(REDUCE, 290);
   _actionMap[540][LEFT] = ActionEntry(REDUCE, 290);
   _actionMap[540][RIGHT] = ActionEntry(REDUCE, 290);
   _actionMap[540][INNER] = ActionEntry(REDUCE, 290);
   _actionMap[540][JOIN] = ActionEntry(REDUCE, 290);
   _actionMap[540][RETURNTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[540][ORDER] = ActionEntry(REDUCE, 290);
   _actionMap[540][GROUP] = ActionEntry(REDUCE, 290);
   _actionMap[540][WHERE] = ActionEntry(REDUCE, 290);
   _actionMap[540][FROM] = ActionEntry(REDUCE, 290);
   _actionMap[540][AS] = ActionEntry(REDUCE, 290);
   _actionMap[540][END_TOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[540][BEGIN] = ActionEntry(REDUCE, 290);
   _actionMap[540][THEN] = ActionEntry(REDUCE, 290);
   _actionMap[540][OR] = ActionEntry(REDUCE, 290);
   _actionMap[540][AND] = ActionEntry(REDUCE, 290);
   _actionMap[540][INTOK] = ActionEntry(REDUCE, 290);
   _actionMap[540][NOT] = ActionEntry(REDUCE, 290);
   _actionMap[540][BETWEEN] = ActionEntry(REDUCE, 290);
   _actionMap[540][IS] = ActionEntry(REDUCE, 290);
   _actionMap[540][LIKE] = ActionEntry(REDUCE, 290);
   _actionMap[540][MT] = ActionEntry(REDUCE, 290);
   _actionMap[540][LT] = ActionEntry(REDUCE, 290);
   _actionMap[540][NEGATION] = ActionEntry(REDUCE, 290);
   _actionMap[540][EQU] = ActionEntry(REDUCE, 290);
   _actionMap[540][RB] = ActionEntry(REDUCE, 290);
   _actionMap[540][ENDTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[540][UNION] = ActionEntry(REDUCE, 290);
   _actionMap[540][ROWLIMIT] = ActionEntry(REDUCE, 290);
}
void Cego::loadParser101()
{
   _actionMap[540][KSEP] = ActionEntry(REDUCE, 290);
   _actionMap[540][ASC] = ActionEntry(REDUCE, 290);
   _actionMap[540][DESC] = ActionEntry(REDUCE, 290);
   _actionMap[540][SEMICOLON] = ActionEntry(REDUCE, 290);
   _actionMap[540][PLUS] = ActionEntry(REDUCE, 290);
   _actionMap[540][MINUS] = ActionEntry(REDUCE, 290);
   _actionMap[540][DIVISION] = ActionEntry(REDUCE, 290);
   _actionMap[540][STAR] = ActionEntry(REDUCE, 290);
   _actionMap[540][CONCAT] = ActionEntry(REDUCE, 290);
   _actionMap[541][WHEN] = ActionEntry(REDUCE, 291);
   _actionMap[541][ELSE] = ActionEntry(REDUCE, 291);
   _actionMap[541][LEFT] = ActionEntry(REDUCE, 291);
   _actionMap[541][RIGHT] = ActionEntry(REDUCE, 291);
   _actionMap[541][INNER] = ActionEntry(REDUCE, 291);
   _actionMap[541][JOIN] = ActionEntry(REDUCE, 291);
   _actionMap[541][RETURNTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[541][ORDER] = ActionEntry(REDUCE, 291);
   _actionMap[541][GROUP] = ActionEntry(REDUCE, 291);
   _actionMap[541][WHERE] = ActionEntry(REDUCE, 291);
   _actionMap[541][FROM] = ActionEntry(REDUCE, 291);
   _actionMap[541][AS] = ActionEntry(REDUCE, 291);
   _actionMap[541][END_TOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[541][BEGIN] = ActionEntry(REDUCE, 291);
   _actionMap[541][THEN] = ActionEntry(REDUCE, 291);
   _actionMap[541][OR] = ActionEntry(REDUCE, 291);
   _actionMap[541][AND] = ActionEntry(REDUCE, 291);
   _actionMap[541][INTOK] = ActionEntry(REDUCE, 291);
   _actionMap[541][NOT] = ActionEntry(REDUCE, 291);
   _actionMap[541][BETWEEN] = ActionEntry(REDUCE, 291);
   _actionMap[541][IS] = ActionEntry(REDUCE, 291);
   _actionMap[541][LIKE] = ActionEntry(REDUCE, 291);
   _actionMap[541][MT] = ActionEntry(REDUCE, 291);
   _actionMap[541][LT] = ActionEntry(REDUCE, 291);
   _actionMap[541][NEGATION] = ActionEntry(REDUCE, 291);
   _actionMap[541][EQU] = ActionEntry(REDUCE, 291);
   _actionMap[541][RB] = ActionEntry(REDUCE, 291);
   _actionMap[541][ENDTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[541][UNION] = ActionEntry(REDUCE, 291);
   _actionMap[541][ROWLIMIT] = ActionEntry(REDUCE, 291);
   _actionMap[541][KSEP] = ActionEntry(REDUCE, 291);
   _actionMap[541][ASC] = ActionEntry(REDUCE, 291);
   _actionMap[541][DESC] = ActionEntry(REDUCE, 291);
   _actionMap[541][SEMICOLON] = ActionEntry(REDUCE, 291);
   _actionMap[541][PLUS] = ActionEntry(REDUCE, 291);
   _actionMap[541][MINUS] = ActionEntry(REDUCE, 291);
   _actionMap[541][DIVISION] = ActionEntry(REDUCE, 291);
   _actionMap[541][STAR] = ActionEntry(REDUCE, 291);
   _actionMap[541][CONCAT] = ActionEntry(REDUCE, 291);
   _actionMap[542][WHEN] = ActionEntry(REDUCE, 284);
   _actionMap[542][ELSE] = ActionEntry(REDUCE, 284);
}
void Cego::loadParser102()
{
   _actionMap[542][LEFT] = ActionEntry(REDUCE, 284);
   _actionMap[542][RIGHT] = ActionEntry(REDUCE, 284);
   _actionMap[542][INNER] = ActionEntry(REDUCE, 284);
   _actionMap[542][JOIN] = ActionEntry(REDUCE, 284);
   _actionMap[542][RETURNTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[542][ORDER] = ActionEntry(REDUCE, 284);
   _actionMap[542][GROUP] = ActionEntry(REDUCE, 284);
   _actionMap[542][WHERE] = ActionEntry(REDUCE, 284);
   _actionMap[542][FROM] = ActionEntry(REDUCE, 284);
   _actionMap[542][AS] = ActionEntry(REDUCE, 284);
   _actionMap[542][END_TOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[542][BEGIN] = ActionEntry(REDUCE, 284);
   _actionMap[542][THEN] = ActionEntry(REDUCE, 284);
   _actionMap[542][OR] = ActionEntry(REDUCE, 284);
   _actionMap[542][AND] = ActionEntry(REDUCE, 284);
   _actionMap[542][INTOK] = ActionEntry(REDUCE, 284);
   _actionMap[542][NOT] = ActionEntry(REDUCE, 284);
   _actionMap[542][BETWEEN] = ActionEntry(REDUCE, 284);
   _actionMap[542][IS] = ActionEntry(REDUCE, 284);
   _actionMap[542][LIKE] = ActionEntry(REDUCE, 284);
   _actionMap[542][MT] = ActionEntry(REDUCE, 284);
   _actionMap[542][LT] = ActionEntry(REDUCE, 284);
   _actionMap[542][NEGATION] = ActionEntry(REDUCE, 284);
   _actionMap[542][EQU] = ActionEntry(REDUCE, 284);
   _actionMap[542][RB] = ActionEntry(REDUCE, 284);
   _actionMap[542][ENDTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[542][UNION] = ActionEntry(REDUCE, 284);
   _actionMap[542][ROWLIMIT] = ActionEntry(REDUCE, 284);
   _actionMap[542][KSEP] = ActionEntry(REDUCE, 284);
   _actionMap[542][ASC] = ActionEntry(REDUCE, 284);
   _actionMap[542][DESC] = ActionEntry(REDUCE, 284);
   _actionMap[542][SEMICOLON] = ActionEntry(REDUCE, 284);
   _actionMap[542][PLUS] = ActionEntry(REDUCE, 284);
   _actionMap[542][MINUS] = ActionEntry(REDUCE, 284);
   _actionMap[542][DIVISION] = ActionEntry(REDUCE, 284);
   _actionMap[542][STAR] = ActionEntry(REDUCE, 284);
   _actionMap[542][CONCAT] = ActionEntry(REDUCE, 284);
   _actionMap[543][WHEN] = ActionEntry(REDUCE, 281);
   _actionMap[543][ELSE] = ActionEntry(REDUCE, 281);
   _actionMap[543][LEFT] = ActionEntry(REDUCE, 281);
   _actionMap[543][RIGHT] = ActionEntry(REDUCE, 281);
   _actionMap[543][INNER] = ActionEntry(REDUCE, 281);
   _actionMap[543][JOIN] = ActionEntry(REDUCE, 281);
   _actionMap[543][RETURNTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[543][ORDER] = ActionEntry(REDUCE, 281);
   _actionMap[543][GROUP] = ActionEntry(REDUCE, 281);
   _actionMap[543][WHERE] = ActionEntry(REDUCE, 281);
   _actionMap[543][FROM] = ActionEntry(REDUCE, 281);
   _actionMap[543][AS] = ActionEntry(REDUCE, 281);
   _actionMap[543][END_TOKEN] = ActionEntry(REDUCE, 281);
}
void Cego::loadParser103()
{
   _actionMap[543][BEGIN] = ActionEntry(REDUCE, 281);
   _actionMap[543][THEN] = ActionEntry(REDUCE, 281);
   _actionMap[543][OR] = ActionEntry(REDUCE, 281);
   _actionMap[543][AND] = ActionEntry(REDUCE, 281);
   _actionMap[543][INTOK] = ActionEntry(REDUCE, 281);
   _actionMap[543][NOT] = ActionEntry(REDUCE, 281);
   _actionMap[543][BETWEEN] = ActionEntry(REDUCE, 281);
   _actionMap[543][IS] = ActionEntry(REDUCE, 281);
   _actionMap[543][LIKE] = ActionEntry(REDUCE, 281);
   _actionMap[543][MT] = ActionEntry(REDUCE, 281);
   _actionMap[543][LT] = ActionEntry(REDUCE, 281);
   _actionMap[543][NEGATION] = ActionEntry(REDUCE, 281);
   _actionMap[543][EQU] = ActionEntry(REDUCE, 281);
   _actionMap[543][RB] = ActionEntry(REDUCE, 281);
   _actionMap[543][ENDTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[543][UNION] = ActionEntry(REDUCE, 281);
   _actionMap[543][ROWLIMIT] = ActionEntry(REDUCE, 281);
   _actionMap[543][KSEP] = ActionEntry(REDUCE, 281);
   _actionMap[543][ASC] = ActionEntry(REDUCE, 281);
   _actionMap[543][DESC] = ActionEntry(REDUCE, 281);
   _actionMap[543][SEMICOLON] = ActionEntry(REDUCE, 281);
   _actionMap[543][PLUS] = ActionEntry(REDUCE, 281);
   _actionMap[543][MINUS] = ActionEntry(REDUCE, 281);
   _actionMap[543][DIVISION] = ActionEntry(REDUCE, 281);
   _actionMap[543][STAR] = ActionEntry(REDUCE, 281);
   _actionMap[543][CONCAT] = ActionEntry(REDUCE, 281);
   _actionMap[544][WHEN] = ActionEntry(REDUCE, 274);
   _actionMap[544][ELSE] = ActionEntry(REDUCE, 274);
   _actionMap[544][LEFT] = ActionEntry(REDUCE, 274);
   _actionMap[544][RIGHT] = ActionEntry(REDUCE, 274);
   _actionMap[544][INNER] = ActionEntry(REDUCE, 274);
   _actionMap[544][JOIN] = ActionEntry(REDUCE, 274);
   _actionMap[544][RETURNTOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[544][ORDER] = ActionEntry(REDUCE, 274);
   _actionMap[544][GROUP] = ActionEntry(REDUCE, 274);
   _actionMap[544][WHERE] = ActionEntry(REDUCE, 274);
   _actionMap[544][FROM] = ActionEntry(REDUCE, 274);
   _actionMap[544][AS] = ActionEntry(REDUCE, 274);
   _actionMap[544][END_TOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[544][BEGIN] = ActionEntry(REDUCE, 274);
   _actionMap[544][THEN] = ActionEntry(REDUCE, 274);
   _actionMap[544][OR] = ActionEntry(REDUCE, 274);
   _actionMap[544][AND] = ActionEntry(REDUCE, 274);
   _actionMap[544][INTOK] = ActionEntry(REDUCE, 274);
   _actionMap[544][NOT] = ActionEntry(REDUCE, 274);
   _actionMap[544][BETWEEN] = ActionEntry(REDUCE, 274);
   _actionMap[544][IS] = ActionEntry(REDUCE, 274);
   _actionMap[544][LIKE] = ActionEntry(REDUCE, 274);
   _actionMap[544][MT] = ActionEntry(REDUCE, 274);
   _actionMap[544][LT] = ActionEntry(REDUCE, 274);
}
void Cego::loadParser104()
{
   _actionMap[544][NEGATION] = ActionEntry(REDUCE, 274);
   _actionMap[544][EQU] = ActionEntry(REDUCE, 274);
   _actionMap[544][RB] = ActionEntry(REDUCE, 274);
   _actionMap[544][ENDTOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[544][UNION] = ActionEntry(REDUCE, 274);
   _actionMap[544][ROWLIMIT] = ActionEntry(REDUCE, 274);
   _actionMap[544][KSEP] = ActionEntry(REDUCE, 274);
   _actionMap[544][ASC] = ActionEntry(REDUCE, 274);
   _actionMap[544][DESC] = ActionEntry(REDUCE, 274);
   _actionMap[544][SEMICOLON] = ActionEntry(REDUCE, 274);
   _actionMap[544][PLUS] = ActionEntry(REDUCE, 274);
   _actionMap[544][MINUS] = ActionEntry(REDUCE, 274);
   _actionMap[544][DIVISION] = ActionEntry(REDUCE, 274);
   _actionMap[544][STAR] = ActionEntry(REDUCE, 274);
   _actionMap[544][CONCAT] = ActionEntry(REDUCE, 274);
   _actionMap[545][WHEN] = ActionEntry(REDUCE, 272);
   _actionMap[545][ELSE] = ActionEntry(REDUCE, 272);
   _actionMap[545][LEFT] = ActionEntry(REDUCE, 272);
   _actionMap[545][RIGHT] = ActionEntry(REDUCE, 272);
   _actionMap[545][INNER] = ActionEntry(REDUCE, 272);
   _actionMap[545][JOIN] = ActionEntry(REDUCE, 272);
   _actionMap[545][RETURNTOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[545][ORDER] = ActionEntry(REDUCE, 272);
   _actionMap[545][GROUP] = ActionEntry(REDUCE, 272);
   _actionMap[545][WHERE] = ActionEntry(REDUCE, 272);
   _actionMap[545][FROM] = ActionEntry(REDUCE, 272);
   _actionMap[545][AS] = ActionEntry(REDUCE, 272);
   _actionMap[545][END_TOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[545][BEGIN] = ActionEntry(REDUCE, 272);
   _actionMap[545][THEN] = ActionEntry(REDUCE, 272);
   _actionMap[545][OR] = ActionEntry(REDUCE, 272);
   _actionMap[545][AND] = ActionEntry(REDUCE, 272);
   _actionMap[545][INTOK] = ActionEntry(REDUCE, 272);
   _actionMap[545][NOT] = ActionEntry(REDUCE, 272);
   _actionMap[545][BETWEEN] = ActionEntry(REDUCE, 272);
   _actionMap[545][IS] = ActionEntry(REDUCE, 272);
   _actionMap[545][LIKE] = ActionEntry(REDUCE, 272);
   _actionMap[545][MT] = ActionEntry(REDUCE, 272);
   _actionMap[545][LT] = ActionEntry(REDUCE, 272);
   _actionMap[545][NEGATION] = ActionEntry(REDUCE, 272);
   _actionMap[545][EQU] = ActionEntry(REDUCE, 272);
   _actionMap[545][RB] = ActionEntry(REDUCE, 272);
   _actionMap[545][ENDTOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[545][UNION] = ActionEntry(REDUCE, 272);
   _actionMap[545][ROWLIMIT] = ActionEntry(REDUCE, 272);
   _actionMap[545][KSEP] = ActionEntry(REDUCE, 272);
   _actionMap[545][ASC] = ActionEntry(REDUCE, 272);
   _actionMap[545][DESC] = ActionEntry(REDUCE, 272);
   _actionMap[545][SEMICOLON] = ActionEntry(REDUCE, 272);
   _actionMap[545][PLUS] = ActionEntry(REDUCE, 272);
}
void Cego::loadParser105()
{
   _actionMap[545][MINUS] = ActionEntry(REDUCE, 272);
   _actionMap[545][DIVISION] = ActionEntry(REDUCE, 272);
   _actionMap[545][STAR] = ActionEntry(REDUCE, 272);
   _actionMap[545][CONCAT] = ActionEntry(REDUCE, 272);
   _actionMap[546][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[546][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[546][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[546][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[546][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[546][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[546][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[546][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[546][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[546][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[546][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[546][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[546][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[546][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[546][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[546][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[546][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[546][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[546][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[546][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[546][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[546][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[546][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[546][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[546][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[546][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[546][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[546][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[546][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[546][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[546][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[546][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[546][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[546][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[546][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[546][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[546][LB] = ActionEntry(SHIFT, 144);
   _actionMap[546][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[546][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[546][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[546][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[546][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[546][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[546][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[546][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[546][CASE] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser106()
{
   _actionMap[546][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[546][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[546][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[546][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[546][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[546][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[546][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[546][ObjSpec] = 100;
   _jumpMap[546][Constant] = 99;
   _jumpMap[546][SignedFloat] = 98;
   _jumpMap[546][SignedInt] = 97;
   _jumpMap[546][Attribute] = 96;
   _jumpMap[546][Function] = 95;
   _jumpMap[546][CasePrepare] = 94;
   _jumpMap[546][CaseClause] = 93;
   _jumpMap[546][Factor] = 92;
   _jumpMap[546][Term] = 91;
   _jumpMap[546][Expr] = 671;
   _actionMap[547][WHEN] = ActionEntry(REDUCE, 283);
   _actionMap[547][ELSE] = ActionEntry(REDUCE, 283);
   _actionMap[547][LEFT] = ActionEntry(REDUCE, 283);
   _actionMap[547][RIGHT] = ActionEntry(REDUCE, 283);
   _actionMap[547][INNER] = ActionEntry(REDUCE, 283);
   _actionMap[547][JOIN] = ActionEntry(REDUCE, 283);
   _actionMap[547][RETURNTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[547][ORDER] = ActionEntry(REDUCE, 283);
   _actionMap[547][GROUP] = ActionEntry(REDUCE, 283);
   _actionMap[547][WHERE] = ActionEntry(REDUCE, 283);
   _actionMap[547][FROM] = ActionEntry(REDUCE, 283);
   _actionMap[547][AS] = ActionEntry(REDUCE, 283);
   _actionMap[547][END_TOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[547][BEGIN] = ActionEntry(REDUCE, 283);
   _actionMap[547][THEN] = ActionEntry(REDUCE, 283);
   _actionMap[547][OR] = ActionEntry(REDUCE, 283);
   _actionMap[547][AND] = ActionEntry(REDUCE, 283);
   _actionMap[547][INTOK] = ActionEntry(REDUCE, 283);
   _actionMap[547][NOT] = ActionEntry(REDUCE, 283);
   _actionMap[547][BETWEEN] = ActionEntry(REDUCE, 283);
   _actionMap[547][IS] = ActionEntry(REDUCE, 283);
   _actionMap[547][LIKE] = ActionEntry(REDUCE, 283);
   _actionMap[547][MT] = ActionEntry(REDUCE, 283);
   _actionMap[547][LT] = ActionEntry(REDUCE, 283);
   _actionMap[547][NEGATION] = ActionEntry(REDUCE, 283);
   _actionMap[547][EQU] = ActionEntry(REDUCE, 283);
   _actionMap[547][RB] = ActionEntry(REDUCE, 283);
   _actionMap[547][ENDTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[547][UNION] = ActionEntry(REDUCE, 283);
   _actionMap[547][ROWLIMIT] = ActionEntry(REDUCE, 283);
   _actionMap[547][KSEP] = ActionEntry(REDUCE, 283);
   _actionMap[547][ASC] = ActionEntry(REDUCE, 283);
}
void Cego::loadParser107()
{
   _actionMap[547][DESC] = ActionEntry(REDUCE, 283);
   _actionMap[547][SEMICOLON] = ActionEntry(REDUCE, 283);
   _actionMap[547][PLUS] = ActionEntry(REDUCE, 283);
   _actionMap[547][MINUS] = ActionEntry(REDUCE, 283);
   _actionMap[547][DIVISION] = ActionEntry(REDUCE, 283);
   _actionMap[547][STAR] = ActionEntry(REDUCE, 283);
   _actionMap[547][CONCAT] = ActionEntry(REDUCE, 283);
   _actionMap[548][WHEN] = ActionEntry(REDUCE, 155);
   _actionMap[548][ELSE] = ActionEntry(REDUCE, 155);
   _actionMap[548][LEFT] = ActionEntry(REDUCE, 155);
   _actionMap[548][RIGHT] = ActionEntry(REDUCE, 155);
   _actionMap[548][INNER] = ActionEntry(REDUCE, 155);
   _actionMap[548][JOIN] = ActionEntry(REDUCE, 155);
   _actionMap[548][RETURNTOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[548][ORDER] = ActionEntry(REDUCE, 155);
   _actionMap[548][GROUP] = ActionEntry(REDUCE, 155);
   _actionMap[548][WHERE] = ActionEntry(REDUCE, 155);
   _actionMap[548][AS] = ActionEntry(REDUCE, 155);
   _actionMap[548][FROM] = ActionEntry(REDUCE, 155);
   _actionMap[548][END_TOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[548][BEGIN] = ActionEntry(REDUCE, 155);
   _actionMap[548][THEN] = ActionEntry(REDUCE, 155);
   _actionMap[548][OR] = ActionEntry(REDUCE, 155);
   _actionMap[548][AND] = ActionEntry(REDUCE, 155);
   _actionMap[548][LIKE] = ActionEntry(REDUCE, 155);
   _actionMap[548][IS] = ActionEntry(REDUCE, 155);
   _actionMap[548][BETWEEN] = ActionEntry(REDUCE, 155);
   _actionMap[548][NOT] = ActionEntry(REDUCE, 155);
   _actionMap[548][INTOK] = ActionEntry(REDUCE, 155);
   _actionMap[548][EQU] = ActionEntry(REDUCE, 155);
   _actionMap[548][NEGATION] = ActionEntry(REDUCE, 155);
   _actionMap[548][LT] = ActionEntry(REDUCE, 155);
   _actionMap[548][MT] = ActionEntry(REDUCE, 155);
   _actionMap[548][DESC] = ActionEntry(REDUCE, 155);
   _actionMap[548][ASC] = ActionEntry(REDUCE, 155);
   _actionMap[548][KSEP] = ActionEntry(REDUCE, 155);
   _actionMap[548][ROWLIMIT] = ActionEntry(REDUCE, 155);
   _actionMap[548][UNION] = ActionEntry(REDUCE, 155);
   _actionMap[548][ENDTOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[548][RB] = ActionEntry(REDUCE, 155);
   _actionMap[548][SEMICOLON] = ActionEntry(REDUCE, 155);
   _actionMap[548][CONCAT] = ActionEntry(REDUCE, 155);
   _actionMap[548][STAR] = ActionEntry(REDUCE, 155);
   _actionMap[548][DIVISION] = ActionEntry(REDUCE, 155);
   _actionMap[548][MINUS] = ActionEntry(REDUCE, 155);
   _actionMap[548][PLUS] = ActionEntry(REDUCE, 155);
   _actionMap[549][WHEN] = ActionEntry(REDUCE, 287);
   _actionMap[549][ELSE] = ActionEntry(REDUCE, 287);
   _actionMap[549][LEFT] = ActionEntry(REDUCE, 287);
   _actionMap[549][RIGHT] = ActionEntry(REDUCE, 287);
}
void Cego::loadParser108()
{
   _actionMap[549][INNER] = ActionEntry(REDUCE, 287);
   _actionMap[549][JOIN] = ActionEntry(REDUCE, 287);
   _actionMap[549][RETURNTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[549][ORDER] = ActionEntry(REDUCE, 287);
   _actionMap[549][GROUP] = ActionEntry(REDUCE, 287);
   _actionMap[549][WHERE] = ActionEntry(REDUCE, 287);
   _actionMap[549][FROM] = ActionEntry(REDUCE, 287);
   _actionMap[549][AS] = ActionEntry(REDUCE, 287);
   _actionMap[549][END_TOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[549][BEGIN] = ActionEntry(REDUCE, 287);
   _actionMap[549][THEN] = ActionEntry(REDUCE, 287);
   _actionMap[549][OR] = ActionEntry(REDUCE, 287);
   _actionMap[549][AND] = ActionEntry(REDUCE, 287);
   _actionMap[549][INTOK] = ActionEntry(REDUCE, 287);
   _actionMap[549][NOT] = ActionEntry(REDUCE, 287);
   _actionMap[549][BETWEEN] = ActionEntry(REDUCE, 287);
   _actionMap[549][IS] = ActionEntry(REDUCE, 287);
   _actionMap[549][LIKE] = ActionEntry(REDUCE, 287);
   _actionMap[549][MT] = ActionEntry(REDUCE, 287);
   _actionMap[549][LT] = ActionEntry(REDUCE, 287);
   _actionMap[549][NEGATION] = ActionEntry(REDUCE, 287);
   _actionMap[549][EQU] = ActionEntry(REDUCE, 287);
   _actionMap[549][RB] = ActionEntry(REDUCE, 287);
   _actionMap[549][ENDTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[549][UNION] = ActionEntry(REDUCE, 287);
   _actionMap[549][ROWLIMIT] = ActionEntry(REDUCE, 287);
   _actionMap[549][KSEP] = ActionEntry(REDUCE, 287);
   _actionMap[549][ASC] = ActionEntry(REDUCE, 287);
   _actionMap[549][DESC] = ActionEntry(REDUCE, 287);
   _actionMap[549][SEMICOLON] = ActionEntry(REDUCE, 287);
   _actionMap[549][PLUS] = ActionEntry(REDUCE, 287);
   _actionMap[549][MINUS] = ActionEntry(REDUCE, 287);
   _actionMap[549][DIVISION] = ActionEntry(REDUCE, 287);
   _actionMap[549][STAR] = ActionEntry(REDUCE, 287);
   _actionMap[549][CONCAT] = ActionEntry(REDUCE, 287);
   _actionMap[550][WHEN] = ActionEntry(REDUCE, 288);
   _actionMap[550][ELSE] = ActionEntry(REDUCE, 288);
   _actionMap[550][LEFT] = ActionEntry(REDUCE, 288);
   _actionMap[550][RIGHT] = ActionEntry(REDUCE, 288);
   _actionMap[550][INNER] = ActionEntry(REDUCE, 288);
   _actionMap[550][JOIN] = ActionEntry(REDUCE, 288);
   _actionMap[550][RETURNTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[550][ORDER] = ActionEntry(REDUCE, 288);
   _actionMap[550][GROUP] = ActionEntry(REDUCE, 288);
   _actionMap[550][WHERE] = ActionEntry(REDUCE, 288);
   _actionMap[550][FROM] = ActionEntry(REDUCE, 288);
   _actionMap[550][AS] = ActionEntry(REDUCE, 288);
   _actionMap[550][END_TOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[550][BEGIN] = ActionEntry(REDUCE, 288);
   _actionMap[550][THEN] = ActionEntry(REDUCE, 288);
}
void Cego::loadParser109()
{
   _actionMap[550][OR] = ActionEntry(REDUCE, 288);
   _actionMap[550][AND] = ActionEntry(REDUCE, 288);
   _actionMap[550][INTOK] = ActionEntry(REDUCE, 288);
   _actionMap[550][NOT] = ActionEntry(REDUCE, 288);
   _actionMap[550][BETWEEN] = ActionEntry(REDUCE, 288);
   _actionMap[550][IS] = ActionEntry(REDUCE, 288);
   _actionMap[550][LIKE] = ActionEntry(REDUCE, 288);
   _actionMap[550][MT] = ActionEntry(REDUCE, 288);
   _actionMap[550][LT] = ActionEntry(REDUCE, 288);
   _actionMap[550][NEGATION] = ActionEntry(REDUCE, 288);
   _actionMap[550][EQU] = ActionEntry(REDUCE, 288);
   _actionMap[550][RB] = ActionEntry(REDUCE, 288);
   _actionMap[550][ENDTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[550][UNION] = ActionEntry(REDUCE, 288);
   _actionMap[550][ROWLIMIT] = ActionEntry(REDUCE, 288);
   _actionMap[550][KSEP] = ActionEntry(REDUCE, 288);
   _actionMap[550][ASC] = ActionEntry(REDUCE, 288);
   _actionMap[550][DESC] = ActionEntry(REDUCE, 288);
   _actionMap[550][SEMICOLON] = ActionEntry(REDUCE, 288);
   _actionMap[550][PLUS] = ActionEntry(REDUCE, 288);
   _actionMap[550][MINUS] = ActionEntry(REDUCE, 288);
   _actionMap[550][DIVISION] = ActionEntry(REDUCE, 288);
   _actionMap[550][STAR] = ActionEntry(REDUCE, 288);
   _actionMap[550][CONCAT] = ActionEntry(REDUCE, 288);
   _actionMap[551][WHEN] = ActionEntry(REDUCE, 289);
   _actionMap[551][ELSE] = ActionEntry(REDUCE, 289);
   _actionMap[551][LEFT] = ActionEntry(REDUCE, 289);
   _actionMap[551][RIGHT] = ActionEntry(REDUCE, 289);
   _actionMap[551][INNER] = ActionEntry(REDUCE, 289);
   _actionMap[551][JOIN] = ActionEntry(REDUCE, 289);
   _actionMap[551][RETURNTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[551][ORDER] = ActionEntry(REDUCE, 289);
   _actionMap[551][GROUP] = ActionEntry(REDUCE, 289);
   _actionMap[551][WHERE] = ActionEntry(REDUCE, 289);
   _actionMap[551][FROM] = ActionEntry(REDUCE, 289);
   _actionMap[551][AS] = ActionEntry(REDUCE, 289);
   _actionMap[551][END_TOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[551][BEGIN] = ActionEntry(REDUCE, 289);
   _actionMap[551][THEN] = ActionEntry(REDUCE, 289);
   _actionMap[551][OR] = ActionEntry(REDUCE, 289);
   _actionMap[551][AND] = ActionEntry(REDUCE, 289);
   _actionMap[551][INTOK] = ActionEntry(REDUCE, 289);
   _actionMap[551][NOT] = ActionEntry(REDUCE, 289);
   _actionMap[551][BETWEEN] = ActionEntry(REDUCE, 289);
   _actionMap[551][IS] = ActionEntry(REDUCE, 289);
   _actionMap[551][LIKE] = ActionEntry(REDUCE, 289);
   _actionMap[551][MT] = ActionEntry(REDUCE, 289);
   _actionMap[551][LT] = ActionEntry(REDUCE, 289);
   _actionMap[551][NEGATION] = ActionEntry(REDUCE, 289);
   _actionMap[551][EQU] = ActionEntry(REDUCE, 289);
}
void Cego::loadParser110()
{
   _actionMap[551][RB] = ActionEntry(REDUCE, 289);
   _actionMap[551][ENDTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[551][UNION] = ActionEntry(REDUCE, 289);
   _actionMap[551][ROWLIMIT] = ActionEntry(REDUCE, 289);
   _actionMap[551][KSEP] = ActionEntry(REDUCE, 289);
   _actionMap[551][ASC] = ActionEntry(REDUCE, 289);
   _actionMap[551][DESC] = ActionEntry(REDUCE, 289);
   _actionMap[551][SEMICOLON] = ActionEntry(REDUCE, 289);
   _actionMap[551][PLUS] = ActionEntry(REDUCE, 289);
   _actionMap[551][MINUS] = ActionEntry(REDUCE, 289);
   _actionMap[551][DIVISION] = ActionEntry(REDUCE, 289);
   _actionMap[551][STAR] = ActionEntry(REDUCE, 289);
   _actionMap[551][CONCAT] = ActionEntry(REDUCE, 289);
   _actionMap[552][WHEN] = ActionEntry(REDUCE, 271);
   _actionMap[552][ELSE] = ActionEntry(REDUCE, 271);
   _actionMap[552][LEFT] = ActionEntry(REDUCE, 271);
   _actionMap[552][RIGHT] = ActionEntry(REDUCE, 271);
   _actionMap[552][INNER] = ActionEntry(REDUCE, 271);
   _actionMap[552][JOIN] = ActionEntry(REDUCE, 271);
   _actionMap[552][RETURNTOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[552][ORDER] = ActionEntry(REDUCE, 271);
   _actionMap[552][GROUP] = ActionEntry(REDUCE, 271);
   _actionMap[552][WHERE] = ActionEntry(REDUCE, 271);
   _actionMap[552][FROM] = ActionEntry(REDUCE, 271);
   _actionMap[552][AS] = ActionEntry(REDUCE, 271);
   _actionMap[552][END_TOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[552][BEGIN] = ActionEntry(REDUCE, 271);
   _actionMap[552][THEN] = ActionEntry(REDUCE, 271);
   _actionMap[552][OR] = ActionEntry(REDUCE, 271);
   _actionMap[552][AND] = ActionEntry(REDUCE, 271);
   _actionMap[552][INTOK] = ActionEntry(REDUCE, 271);
   _actionMap[552][NOT] = ActionEntry(REDUCE, 271);
   _actionMap[552][BETWEEN] = ActionEntry(REDUCE, 271);
   _actionMap[552][IS] = ActionEntry(REDUCE, 271);
   _actionMap[552][LIKE] = ActionEntry(REDUCE, 271);
   _actionMap[552][MT] = ActionEntry(REDUCE, 271);
   _actionMap[552][LT] = ActionEntry(REDUCE, 271);
   _actionMap[552][NEGATION] = ActionEntry(REDUCE, 271);
   _actionMap[552][EQU] = ActionEntry(REDUCE, 271);
   _actionMap[552][RB] = ActionEntry(REDUCE, 271);
   _actionMap[552][ENDTOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[552][UNION] = ActionEntry(REDUCE, 271);
   _actionMap[552][ROWLIMIT] = ActionEntry(REDUCE, 271);
   _actionMap[552][KSEP] = ActionEntry(REDUCE, 271);
   _actionMap[552][ASC] = ActionEntry(REDUCE, 271);
   _actionMap[552][DESC] = ActionEntry(REDUCE, 271);
   _actionMap[552][SEMICOLON] = ActionEntry(REDUCE, 271);
   _actionMap[552][PLUS] = ActionEntry(REDUCE, 271);
   _actionMap[552][MINUS] = ActionEntry(REDUCE, 271);
   _actionMap[552][DIVISION] = ActionEntry(REDUCE, 271);
}
void Cego::loadParser111()
{
   _actionMap[552][STAR] = ActionEntry(REDUCE, 271);
   _actionMap[552][CONCAT] = ActionEntry(REDUCE, 271);
   _actionMap[553][WHEN] = ActionEntry(REDUCE, 286);
   _actionMap[553][ELSE] = ActionEntry(REDUCE, 286);
   _actionMap[553][LEFT] = ActionEntry(REDUCE, 286);
   _actionMap[553][RIGHT] = ActionEntry(REDUCE, 286);
   _actionMap[553][INNER] = ActionEntry(REDUCE, 286);
   _actionMap[553][JOIN] = ActionEntry(REDUCE, 286);
   _actionMap[553][RETURNTOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[553][ORDER] = ActionEntry(REDUCE, 286);
   _actionMap[553][GROUP] = ActionEntry(REDUCE, 286);
   _actionMap[553][WHERE] = ActionEntry(REDUCE, 286);
   _actionMap[553][FROM] = ActionEntry(REDUCE, 286);
   _actionMap[553][AS] = ActionEntry(REDUCE, 286);
   _actionMap[553][END_TOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[553][BEGIN] = ActionEntry(REDUCE, 286);
   _actionMap[553][THEN] = ActionEntry(REDUCE, 286);
   _actionMap[553][OR] = ActionEntry(REDUCE, 286);
   _actionMap[553][AND] = ActionEntry(REDUCE, 286);
   _actionMap[553][INTOK] = ActionEntry(REDUCE, 286);
   _actionMap[553][NOT] = ActionEntry(REDUCE, 286);
   _actionMap[553][BETWEEN] = ActionEntry(REDUCE, 286);
   _actionMap[553][IS] = ActionEntry(REDUCE, 286);
   _actionMap[553][LIKE] = ActionEntry(REDUCE, 286);
   _actionMap[553][MT] = ActionEntry(REDUCE, 286);
   _actionMap[553][LT] = ActionEntry(REDUCE, 286);
   _actionMap[553][NEGATION] = ActionEntry(REDUCE, 286);
   _actionMap[553][EQU] = ActionEntry(REDUCE, 286);
   _actionMap[553][RB] = ActionEntry(REDUCE, 286);
   _actionMap[553][ENDTOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[553][UNION] = ActionEntry(REDUCE, 286);
   _actionMap[553][ROWLIMIT] = ActionEntry(REDUCE, 286);
   _actionMap[553][KSEP] = ActionEntry(REDUCE, 286);
   _actionMap[553][ASC] = ActionEntry(REDUCE, 286);
   _actionMap[553][DESC] = ActionEntry(REDUCE, 286);
   _actionMap[553][SEMICOLON] = ActionEntry(REDUCE, 286);
   _actionMap[553][PLUS] = ActionEntry(REDUCE, 286);
   _actionMap[553][MINUS] = ActionEntry(REDUCE, 286);
   _actionMap[553][DIVISION] = ActionEntry(REDUCE, 286);
   _actionMap[553][STAR] = ActionEntry(REDUCE, 286);
   _actionMap[553][CONCAT] = ActionEntry(REDUCE, 286);
   _actionMap[554][WHEN] = ActionEntry(REDUCE, 279);
   _actionMap[554][ELSE] = ActionEntry(REDUCE, 279);
   _actionMap[554][LEFT] = ActionEntry(REDUCE, 279);
   _actionMap[554][RIGHT] = ActionEntry(REDUCE, 279);
   _actionMap[554][INNER] = ActionEntry(REDUCE, 279);
   _actionMap[554][JOIN] = ActionEntry(REDUCE, 279);
   _actionMap[554][RETURNTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[554][ORDER] = ActionEntry(REDUCE, 279);
   _actionMap[554][GROUP] = ActionEntry(REDUCE, 279);
}
void Cego::loadParser112()
{
   _actionMap[554][WHERE] = ActionEntry(REDUCE, 279);
   _actionMap[554][FROM] = ActionEntry(REDUCE, 279);
   _actionMap[554][AS] = ActionEntry(REDUCE, 279);
   _actionMap[554][END_TOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[554][BEGIN] = ActionEntry(REDUCE, 279);
   _actionMap[554][THEN] = ActionEntry(REDUCE, 279);
   _actionMap[554][OR] = ActionEntry(REDUCE, 279);
   _actionMap[554][AND] = ActionEntry(REDUCE, 279);
   _actionMap[554][INTOK] = ActionEntry(REDUCE, 279);
   _actionMap[554][NOT] = ActionEntry(REDUCE, 279);
   _actionMap[554][BETWEEN] = ActionEntry(REDUCE, 279);
   _actionMap[554][IS] = ActionEntry(REDUCE, 279);
   _actionMap[554][LIKE] = ActionEntry(REDUCE, 279);
   _actionMap[554][MT] = ActionEntry(REDUCE, 279);
   _actionMap[554][LT] = ActionEntry(REDUCE, 279);
   _actionMap[554][NEGATION] = ActionEntry(REDUCE, 279);
   _actionMap[554][EQU] = ActionEntry(REDUCE, 279);
   _actionMap[554][RB] = ActionEntry(REDUCE, 279);
   _actionMap[554][ENDTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[554][UNION] = ActionEntry(REDUCE, 279);
   _actionMap[554][ROWLIMIT] = ActionEntry(REDUCE, 279);
   _actionMap[554][KSEP] = ActionEntry(REDUCE, 279);
   _actionMap[554][ASC] = ActionEntry(REDUCE, 279);
   _actionMap[554][DESC] = ActionEntry(REDUCE, 279);
   _actionMap[554][SEMICOLON] = ActionEntry(REDUCE, 279);
   _actionMap[554][PLUS] = ActionEntry(REDUCE, 279);
   _actionMap[554][MINUS] = ActionEntry(REDUCE, 279);
   _actionMap[554][DIVISION] = ActionEntry(REDUCE, 279);
   _actionMap[554][STAR] = ActionEntry(REDUCE, 279);
   _actionMap[554][CONCAT] = ActionEntry(REDUCE, 279);
   _actionMap[555][WHEN] = ActionEntry(REDUCE, 350);
   _actionMap[555][ELSE] = ActionEntry(REDUCE, 350);
   _actionMap[555][LEFT] = ActionEntry(REDUCE, 350);
   _actionMap[555][RIGHT] = ActionEntry(REDUCE, 350);
   _actionMap[555][INNER] = ActionEntry(REDUCE, 350);
   _actionMap[555][JOIN] = ActionEntry(REDUCE, 350);
   _actionMap[555][RETURNTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[555][ORDER] = ActionEntry(REDUCE, 350);
   _actionMap[555][GROUP] = ActionEntry(REDUCE, 350);
   _actionMap[555][WHERE] = ActionEntry(REDUCE, 350);
   _actionMap[555][FROM] = ActionEntry(REDUCE, 350);
   _actionMap[555][AS] = ActionEntry(REDUCE, 350);
   _actionMap[555][END_TOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[555][BEGIN] = ActionEntry(REDUCE, 350);
   _actionMap[555][THEN] = ActionEntry(REDUCE, 350);
   _actionMap[555][OR] = ActionEntry(REDUCE, 350);
   _actionMap[555][AND] = ActionEntry(REDUCE, 350);
   _actionMap[555][ENDTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[555][UNION] = ActionEntry(REDUCE, 350);
   _actionMap[555][ROWLIMIT] = ActionEntry(REDUCE, 350);
}
void Cego::loadParser113()
{
   _actionMap[555][ASC] = ActionEntry(REDUCE, 350);
   _actionMap[555][DESC] = ActionEntry(REDUCE, 350);
   _actionMap[555][INTOK] = ActionEntry(REDUCE, 350);
   _actionMap[555][BETWEEN] = ActionEntry(REDUCE, 350);
   _actionMap[555][LIKE] = ActionEntry(REDUCE, 350);
   _actionMap[555][PLUS] = ActionEntry(REDUCE, 350);
   _actionMap[555][MINUS] = ActionEntry(REDUCE, 350);
   _actionMap[555][CONCAT] = ActionEntry(REDUCE, 350);
   _actionMap[555][DIVISION] = ActionEntry(REDUCE, 350);
   _actionMap[555][STAR] = ActionEntry(REDUCE, 350);
   _actionMap[555][MT] = ActionEntry(REDUCE, 350);
   _actionMap[555][LT] = ActionEntry(REDUCE, 350);
   _actionMap[555][NEGATION] = ActionEntry(REDUCE, 350);
   _actionMap[555][EQU] = ActionEntry(REDUCE, 350);
   _actionMap[555][IS] = ActionEntry(REDUCE, 350);
   _actionMap[555][NULLTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[555][NOT] = ActionEntry(REDUCE, 350);
   _actionMap[555][KSEP] = ActionEntry(REDUCE, 350);
   _actionMap[555][SEMICOLON] = ActionEntry(REDUCE, 350);
   _actionMap[555][RB] = ActionEntry(REDUCE, 350);
   _actionMap[556][INTVAL] = ActionEntry(SHIFT, 281);
   _actionMap[557][WHEN] = ActionEntry(REDUCE, 356);
   _actionMap[557][ELSE] = ActionEntry(REDUCE, 356);
   _actionMap[557][LEFT] = ActionEntry(REDUCE, 356);
   _actionMap[557][RIGHT] = ActionEntry(REDUCE, 356);
   _actionMap[557][INNER] = ActionEntry(REDUCE, 356);
   _actionMap[557][JOIN] = ActionEntry(REDUCE, 356);
   _actionMap[557][RETURNTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[557][ORDER] = ActionEntry(REDUCE, 356);
   _actionMap[557][GROUP] = ActionEntry(REDUCE, 356);
   _actionMap[557][WHERE] = ActionEntry(REDUCE, 356);
   _actionMap[557][FROM] = ActionEntry(REDUCE, 356);
   _actionMap[557][AS] = ActionEntry(REDUCE, 356);
   _actionMap[557][END_TOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[557][BEGIN] = ActionEntry(REDUCE, 356);
   _actionMap[557][THEN] = ActionEntry(REDUCE, 356);
   _actionMap[557][OR] = ActionEntry(REDUCE, 356);
   _actionMap[557][AND] = ActionEntry(REDUCE, 356);
   _actionMap[557][ENDTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[557][UNION] = ActionEntry(REDUCE, 356);
   _actionMap[557][ROWLIMIT] = ActionEntry(REDUCE, 356);
   _actionMap[557][ASC] = ActionEntry(REDUCE, 356);
   _actionMap[557][DESC] = ActionEntry(REDUCE, 356);
   _actionMap[557][INTOK] = ActionEntry(REDUCE, 356);
   _actionMap[557][BETWEEN] = ActionEntry(REDUCE, 356);
   _actionMap[557][LIKE] = ActionEntry(REDUCE, 356);
   _actionMap[557][PLUS] = ActionEntry(REDUCE, 356);
   _actionMap[557][MINUS] = ActionEntry(REDUCE, 356);
   _actionMap[557][CONCAT] = ActionEntry(REDUCE, 356);
   _actionMap[557][DIVISION] = ActionEntry(REDUCE, 356);
}
void Cego::loadParser114()
{
   _actionMap[557][STAR] = ActionEntry(REDUCE, 356);
   _actionMap[557][MT] = ActionEntry(REDUCE, 356);
   _actionMap[557][LT] = ActionEntry(REDUCE, 356);
   _actionMap[557][NEGATION] = ActionEntry(REDUCE, 356);
   _actionMap[557][EQU] = ActionEntry(REDUCE, 356);
   _actionMap[557][IS] = ActionEntry(REDUCE, 356);
   _actionMap[557][NULLTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[557][NOT] = ActionEntry(REDUCE, 356);
   _actionMap[557][KSEP] = ActionEntry(REDUCE, 356);
   _actionMap[557][SEMICOLON] = ActionEntry(REDUCE, 356);
   _actionMap[557][RB] = ActionEntry(REDUCE, 356);
   _actionMap[558][FLOATVAL] = ActionEntry(SHIFT, 282);
   _actionMap[559][WHEN] = ActionEntry(REDUCE, 355);
   _actionMap[559][ELSE] = ActionEntry(REDUCE, 355);
   _actionMap[559][LEFT] = ActionEntry(REDUCE, 355);
   _actionMap[559][RIGHT] = ActionEntry(REDUCE, 355);
   _actionMap[559][INNER] = ActionEntry(REDUCE, 355);
   _actionMap[559][JOIN] = ActionEntry(REDUCE, 355);
   _actionMap[559][RETURNTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[559][ORDER] = ActionEntry(REDUCE, 355);
   _actionMap[559][GROUP] = ActionEntry(REDUCE, 355);
   _actionMap[559][WHERE] = ActionEntry(REDUCE, 355);
   _actionMap[559][FROM] = ActionEntry(REDUCE, 355);
   _actionMap[559][AS] = ActionEntry(REDUCE, 355);
   _actionMap[559][END_TOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[559][BEGIN] = ActionEntry(REDUCE, 355);
   _actionMap[559][THEN] = ActionEntry(REDUCE, 355);
   _actionMap[559][OR] = ActionEntry(REDUCE, 355);
   _actionMap[559][AND] = ActionEntry(REDUCE, 355);
   _actionMap[559][ENDTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[559][UNION] = ActionEntry(REDUCE, 355);
   _actionMap[559][ROWLIMIT] = ActionEntry(REDUCE, 355);
   _actionMap[559][ASC] = ActionEntry(REDUCE, 355);
   _actionMap[559][DESC] = ActionEntry(REDUCE, 355);
   _actionMap[559][INTOK] = ActionEntry(REDUCE, 355);
   _actionMap[559][BETWEEN] = ActionEntry(REDUCE, 355);
   _actionMap[559][LIKE] = ActionEntry(REDUCE, 355);
   _actionMap[559][PLUS] = ActionEntry(REDUCE, 355);
   _actionMap[559][MINUS] = ActionEntry(REDUCE, 355);
   _actionMap[559][CONCAT] = ActionEntry(REDUCE, 355);
   _actionMap[559][DIVISION] = ActionEntry(REDUCE, 355);
   _actionMap[559][STAR] = ActionEntry(REDUCE, 355);
   _actionMap[559][MT] = ActionEntry(REDUCE, 355);
   _actionMap[559][LT] = ActionEntry(REDUCE, 355);
   _actionMap[559][NEGATION] = ActionEntry(REDUCE, 355);
   _actionMap[559][EQU] = ActionEntry(REDUCE, 355);
   _actionMap[559][IS] = ActionEntry(REDUCE, 355);
   _actionMap[559][NULLTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[559][NOT] = ActionEntry(REDUCE, 355);
   _actionMap[559][KSEP] = ActionEntry(REDUCE, 355);
}
void Cego::loadParser115()
{
   _actionMap[559][SEMICOLON] = ActionEntry(REDUCE, 355);
   _actionMap[559][RB] = ActionEntry(REDUCE, 355);
   _actionMap[560][WHEN] = ActionEntry(REDUCE, 357);
   _actionMap[560][ELSE] = ActionEntry(REDUCE, 357);
   _actionMap[560][LEFT] = ActionEntry(REDUCE, 357);
   _actionMap[560][RIGHT] = ActionEntry(REDUCE, 357);
   _actionMap[560][INNER] = ActionEntry(REDUCE, 357);
   _actionMap[560][JOIN] = ActionEntry(REDUCE, 357);
   _actionMap[560][RETURNTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[560][ORDER] = ActionEntry(REDUCE, 357);
   _actionMap[560][GROUP] = ActionEntry(REDUCE, 357);
   _actionMap[560][WHERE] = ActionEntry(REDUCE, 357);
   _actionMap[560][FROM] = ActionEntry(REDUCE, 357);
   _actionMap[560][AS] = ActionEntry(REDUCE, 357);
   _actionMap[560][END_TOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[560][BEGIN] = ActionEntry(REDUCE, 357);
   _actionMap[560][THEN] = ActionEntry(REDUCE, 357);
   _actionMap[560][OR] = ActionEntry(REDUCE, 357);
   _actionMap[560][AND] = ActionEntry(REDUCE, 357);
   _actionMap[560][ENDTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[560][UNION] = ActionEntry(REDUCE, 357);
   _actionMap[560][ROWLIMIT] = ActionEntry(REDUCE, 357);
   _actionMap[560][ASC] = ActionEntry(REDUCE, 357);
   _actionMap[560][DESC] = ActionEntry(REDUCE, 357);
   _actionMap[560][INTOK] = ActionEntry(REDUCE, 357);
   _actionMap[560][BETWEEN] = ActionEntry(REDUCE, 357);
   _actionMap[560][LIKE] = ActionEntry(REDUCE, 357);
   _actionMap[560][PLUS] = ActionEntry(REDUCE, 357);
   _actionMap[560][MINUS] = ActionEntry(REDUCE, 357);
   _actionMap[560][CONCAT] = ActionEntry(REDUCE, 357);
   _actionMap[560][DIVISION] = ActionEntry(REDUCE, 357);
   _actionMap[560][STAR] = ActionEntry(REDUCE, 357);
   _actionMap[560][MT] = ActionEntry(REDUCE, 357);
   _actionMap[560][LT] = ActionEntry(REDUCE, 357);
   _actionMap[560][NEGATION] = ActionEntry(REDUCE, 357);
   _actionMap[560][EQU] = ActionEntry(REDUCE, 357);
   _actionMap[560][IS] = ActionEntry(REDUCE, 357);
   _actionMap[560][NULLTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[560][NOT] = ActionEntry(REDUCE, 357);
   _actionMap[560][KSEP] = ActionEntry(REDUCE, 357);
   _actionMap[560][SEMICOLON] = ActionEntry(REDUCE, 357);
   _actionMap[560][RB] = ActionEntry(REDUCE, 357);
   _actionMap[561][WHEN] = ActionEntry(REDUCE, 349);
   _actionMap[561][ELSE] = ActionEntry(REDUCE, 349);
   _actionMap[561][LEFT] = ActionEntry(REDUCE, 349);
   _actionMap[561][RIGHT] = ActionEntry(REDUCE, 349);
   _actionMap[561][INNER] = ActionEntry(REDUCE, 349);
   _actionMap[561][JOIN] = ActionEntry(REDUCE, 349);
   _actionMap[561][RETURNTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[561][ORDER] = ActionEntry(REDUCE, 349);
}
void Cego::loadParser116()
{
   _actionMap[561][GROUP] = ActionEntry(REDUCE, 349);
   _actionMap[561][WHERE] = ActionEntry(REDUCE, 349);
   _actionMap[561][FROM] = ActionEntry(REDUCE, 349);
   _actionMap[561][AS] = ActionEntry(REDUCE, 349);
   _actionMap[561][END_TOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[561][BEGIN] = ActionEntry(REDUCE, 349);
   _actionMap[561][THEN] = ActionEntry(REDUCE, 349);
   _actionMap[561][OR] = ActionEntry(REDUCE, 349);
   _actionMap[561][AND] = ActionEntry(REDUCE, 349);
   _actionMap[561][ENDTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[561][UNION] = ActionEntry(REDUCE, 349);
   _actionMap[561][ROWLIMIT] = ActionEntry(REDUCE, 349);
   _actionMap[561][ASC] = ActionEntry(REDUCE, 349);
   _actionMap[561][DESC] = ActionEntry(REDUCE, 349);
   _actionMap[561][INTOK] = ActionEntry(REDUCE, 349);
   _actionMap[561][BETWEEN] = ActionEntry(REDUCE, 349);
   _actionMap[561][LIKE] = ActionEntry(REDUCE, 349);
   _actionMap[561][PLUS] = ActionEntry(REDUCE, 349);
   _actionMap[561][MINUS] = ActionEntry(REDUCE, 349);
   _actionMap[561][CONCAT] = ActionEntry(REDUCE, 349);
   _actionMap[561][DIVISION] = ActionEntry(REDUCE, 349);
   _actionMap[561][STAR] = ActionEntry(REDUCE, 349);
   _actionMap[561][MT] = ActionEntry(REDUCE, 349);
   _actionMap[561][LT] = ActionEntry(REDUCE, 349);
   _actionMap[561][NEGATION] = ActionEntry(REDUCE, 349);
   _actionMap[561][EQU] = ActionEntry(REDUCE, 349);
   _actionMap[561][IS] = ActionEntry(REDUCE, 349);
   _actionMap[561][NULLTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[561][NOT] = ActionEntry(REDUCE, 349);
   _actionMap[561][KSEP] = ActionEntry(REDUCE, 349);
   _actionMap[561][SEMICOLON] = ActionEntry(REDUCE, 349);
   _actionMap[561][RB] = ActionEntry(REDUCE, 349);
   _actionMap[562][WHEN] = ActionEntry(REDUCE, 351);
   _actionMap[562][ELSE] = ActionEntry(REDUCE, 351);
   _actionMap[562][LEFT] = ActionEntry(REDUCE, 351);
   _actionMap[562][RIGHT] = ActionEntry(REDUCE, 351);
   _actionMap[562][INNER] = ActionEntry(REDUCE, 351);
   _actionMap[562][JOIN] = ActionEntry(REDUCE, 351);
   _actionMap[562][RETURNTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[562][ORDER] = ActionEntry(REDUCE, 351);
   _actionMap[562][GROUP] = ActionEntry(REDUCE, 351);
   _actionMap[562][WHERE] = ActionEntry(REDUCE, 351);
   _actionMap[562][FROM] = ActionEntry(REDUCE, 351);
   _actionMap[562][AS] = ActionEntry(REDUCE, 351);
   _actionMap[562][END_TOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[562][BEGIN] = ActionEntry(REDUCE, 351);
   _actionMap[562][THEN] = ActionEntry(REDUCE, 351);
   _actionMap[562][OR] = ActionEntry(REDUCE, 351);
   _actionMap[562][AND] = ActionEntry(REDUCE, 351);
   _actionMap[562][ENDTOKEN] = ActionEntry(REDUCE, 351);
}
void Cego::loadParser117()
{
   _actionMap[562][UNION] = ActionEntry(REDUCE, 351);
   _actionMap[562][ROWLIMIT] = ActionEntry(REDUCE, 351);
   _actionMap[562][ASC] = ActionEntry(REDUCE, 351);
   _actionMap[562][DESC] = ActionEntry(REDUCE, 351);
   _actionMap[562][INTOK] = ActionEntry(REDUCE, 351);
   _actionMap[562][BETWEEN] = ActionEntry(REDUCE, 351);
   _actionMap[562][LIKE] = ActionEntry(REDUCE, 351);
   _actionMap[562][PLUS] = ActionEntry(REDUCE, 351);
   _actionMap[562][MINUS] = ActionEntry(REDUCE, 351);
   _actionMap[562][CONCAT] = ActionEntry(REDUCE, 351);
   _actionMap[562][DIVISION] = ActionEntry(REDUCE, 351);
   _actionMap[562][STAR] = ActionEntry(REDUCE, 351);
   _actionMap[562][MT] = ActionEntry(REDUCE, 351);
   _actionMap[562][LT] = ActionEntry(REDUCE, 351);
   _actionMap[562][NEGATION] = ActionEntry(REDUCE, 351);
   _actionMap[562][EQU] = ActionEntry(REDUCE, 351);
   _actionMap[562][IS] = ActionEntry(REDUCE, 351);
   _actionMap[562][NULLTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[562][NOT] = ActionEntry(REDUCE, 351);
   _actionMap[562][KSEP] = ActionEntry(REDUCE, 351);
   _actionMap[562][SEMICOLON] = ActionEntry(REDUCE, 351);
   _actionMap[562][RB] = ActionEntry(REDUCE, 351);
   _actionMap[563][WHEN] = ActionEntry(REDUCE, 352);
   _actionMap[563][ELSE] = ActionEntry(REDUCE, 352);
   _actionMap[563][LEFT] = ActionEntry(REDUCE, 352);
   _actionMap[563][RIGHT] = ActionEntry(REDUCE, 352);
   _actionMap[563][INNER] = ActionEntry(REDUCE, 352);
   _actionMap[563][JOIN] = ActionEntry(REDUCE, 352);
   _actionMap[563][RETURNTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[563][ORDER] = ActionEntry(REDUCE, 352);
   _actionMap[563][GROUP] = ActionEntry(REDUCE, 352);
   _actionMap[563][WHERE] = ActionEntry(REDUCE, 352);
   _actionMap[563][FROM] = ActionEntry(REDUCE, 352);
   _actionMap[563][AS] = ActionEntry(REDUCE, 352);
   _actionMap[563][END_TOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[563][BEGIN] = ActionEntry(REDUCE, 352);
   _actionMap[563][THEN] = ActionEntry(REDUCE, 352);
   _actionMap[563][OR] = ActionEntry(REDUCE, 352);
   _actionMap[563][AND] = ActionEntry(REDUCE, 352);
   _actionMap[563][ENDTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[563][UNION] = ActionEntry(REDUCE, 352);
   _actionMap[563][ROWLIMIT] = ActionEntry(REDUCE, 352);
   _actionMap[563][ASC] = ActionEntry(REDUCE, 352);
   _actionMap[563][DESC] = ActionEntry(REDUCE, 352);
   _actionMap[563][INTOK] = ActionEntry(REDUCE, 352);
   _actionMap[563][BETWEEN] = ActionEntry(REDUCE, 352);
   _actionMap[563][LIKE] = ActionEntry(REDUCE, 352);
   _actionMap[563][PLUS] = ActionEntry(REDUCE, 352);
   _actionMap[563][MINUS] = ActionEntry(REDUCE, 352);
   _actionMap[563][CONCAT] = ActionEntry(REDUCE, 352);
}
void Cego::loadParser118()
{
   _actionMap[563][DIVISION] = ActionEntry(REDUCE, 352);
   _actionMap[563][STAR] = ActionEntry(REDUCE, 352);
   _actionMap[563][MT] = ActionEntry(REDUCE, 352);
   _actionMap[563][LT] = ActionEntry(REDUCE, 352);
   _actionMap[563][NEGATION] = ActionEntry(REDUCE, 352);
   _actionMap[563][EQU] = ActionEntry(REDUCE, 352);
   _actionMap[563][IS] = ActionEntry(REDUCE, 352);
   _actionMap[563][NULLTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[563][NOT] = ActionEntry(REDUCE, 352);
   _actionMap[563][KSEP] = ActionEntry(REDUCE, 352);
   _actionMap[563][SEMICOLON] = ActionEntry(REDUCE, 352);
   _actionMap[563][RB] = ActionEntry(REDUCE, 352);
   _actionMap[564][RAB] = ActionEntry(SHIFT, 672);
   _actionMap[565][SEMICOLON] = ActionEntry(REDUCE, 270);
   _actionMap[566][SEMICOLON] = ActionEntry(REDUCE, 266);
   _actionMap[567][SEMICOLON] = ActionEntry(REDUCE, 267);
   _actionMap[568][SEMICOLON] = ActionEntry(REDUCE, 268);
   _actionMap[569][SEMICOLON] = ActionEntry(REDUCE, 265);
   _actionMap[570][SEMICOLON] = ActionEntry(REDUCE, 269);
   _actionMap[571][SEMICOLON] = ActionEntry(REDUCE, 226);
   _actionMap[571][RB] = ActionEntry(REDUCE, 226);
   _actionMap[571][ENDTOKEN] = ActionEntry(REDUCE, 226);
   _actionMap[571][UNION] = ActionEntry(REDUCE, 226);
   _actionMap[571][ROWLIMIT] = ActionEntry(REDUCE, 226);
   _actionMap[571][ORDER] = ActionEntry(REDUCE, 226);
   _actionMap[571][GROUP] = ActionEntry(SHIFT, 675);
   _jumpMap[571][NoGroup] = 674;
   _jumpMap[571][GroupClause] = 673;
   _actionMap[572][LEFT] = ActionEntry(REDUCE, 209);
   _actionMap[572][RIGHT] = ActionEntry(REDUCE, 209);
   _actionMap[572][INNER] = ActionEntry(REDUCE, 209);
   _actionMap[572][JOIN] = ActionEntry(REDUCE, 209);
   _actionMap[572][RETURNTOKEN] = ActionEntry(REDUCE, 209);
   _actionMap[572][SEMICOLON] = ActionEntry(REDUCE, 209);
   _actionMap[572][RB] = ActionEntry(REDUCE, 209);
   _actionMap[572][ENDTOKEN] = ActionEntry(REDUCE, 209);
   _actionMap[572][UNION] = ActionEntry(REDUCE, 209);
   _actionMap[572][ROWLIMIT] = ActionEntry(REDUCE, 209);
   _actionMap[572][ORDER] = ActionEntry(REDUCE, 209);
   _actionMap[572][GROUP] = ActionEntry(REDUCE, 209);
   _actionMap[572][WHERE] = ActionEntry(REDUCE, 209);
   _actionMap[573][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[573][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[573][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[573][ObjSpec] = 437;
   _jumpMap[573][Table] = 676;
   _actionMap[574][JOIN] = ActionEntry(SHIFT, 677);
   _actionMap[575][IDENTIFIER] = ActionEntry(REDUCE, 215);
   _actionMap[575][QUALIFIEDOBJ] = ActionEntry(REDUCE, 215);
   _actionMap[575][QUALIFIEDTS] = ActionEntry(REDUCE, 215);
}
void Cego::loadParser119()
{
   _actionMap[576][OUTER] = ActionEntry(SHIFT, 678);
   _actionMap[577][OUTER] = ActionEntry(SHIFT, 679);
   _actionMap[578][LEFT] = ActionEntry(REDUCE, 210);
   _actionMap[578][RIGHT] = ActionEntry(REDUCE, 210);
   _actionMap[578][INNER] = ActionEntry(REDUCE, 210);
   _actionMap[578][JOIN] = ActionEntry(REDUCE, 210);
   _actionMap[578][RETURNTOKEN] = ActionEntry(REDUCE, 210);
   _actionMap[578][SEMICOLON] = ActionEntry(REDUCE, 210);
   _actionMap[578][RB] = ActionEntry(REDUCE, 210);
   _actionMap[578][ENDTOKEN] = ActionEntry(REDUCE, 210);
   _actionMap[578][UNION] = ActionEntry(REDUCE, 210);
   _actionMap[578][ROWLIMIT] = ActionEntry(REDUCE, 210);
   _actionMap[578][ORDER] = ActionEntry(REDUCE, 210);
   _actionMap[578][GROUP] = ActionEntry(REDUCE, 210);
   _actionMap[578][WHERE] = ActionEntry(REDUCE, 210);
   _actionMap[579][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[579][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[579][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[579][ObjSpec] = 437;
   _jumpMap[579][Table] = 681;
   _jumpMap[579][TableList] = 680;
   _actionMap[580][WHERE] = ActionEntry(REDUCE, 219);
   _actionMap[580][GROUP] = ActionEntry(REDUCE, 219);
   _actionMap[580][ORDER] = ActionEntry(REDUCE, 219);
   _actionMap[580][ROWLIMIT] = ActionEntry(REDUCE, 219);
   _actionMap[580][UNION] = ActionEntry(REDUCE, 219);
   _actionMap[580][ENDTOKEN] = ActionEntry(REDUCE, 219);
   _actionMap[580][RB] = ActionEntry(REDUCE, 219);
   _actionMap[580][SEMICOLON] = ActionEntry(REDUCE, 219);
   _actionMap[580][RETURNTOKEN] = ActionEntry(REDUCE, 219);
   _actionMap[580][LEFT] = ActionEntry(REDUCE, 219);
   _actionMap[580][RIGHT] = ActionEntry(REDUCE, 219);
   _actionMap[580][INNER] = ActionEntry(REDUCE, 219);
   _actionMap[580][JOIN] = ActionEntry(REDUCE, 219);
   _actionMap[580][KSEP] = ActionEntry(REDUCE, 219);
   _actionMap[580][ON] = ActionEntry(REDUCE, 219);
   _actionMap[581][FROM] = ActionEntry(REDUCE, 221);
   _actionMap[581][KSEP] = ActionEntry(REDUCE, 221);
   _actionMap[582][FROM] = ActionEntry(REDUCE, 204);
   _actionMap[582][KSEP] = ActionEntry(REDUCE, 204);
   _actionMap[583][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[583][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[583][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[583][SEMICOLON] = ActionEntry(REDUCE, 73);
   _actionMap[584][RETURNTOKEN] = ActionEntry(SHIFT, 683);
   _actionMap[584][SEMICOLON] = ActionEntry(REDUCE, 251);
   _jumpMap[584][UpdReturnOpt] = 682;
   _actionMap[585][IDENTIFIER] = ActionEntry(SHIFT, 446);
   _jumpMap[585][Assignment] = 684;
   _actionMap[586][FLOATVAL] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser120()
{
   _actionMap[586][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[586][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[586][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[586][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[586][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[586][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[586][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[586][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[586][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[586][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[586][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[586][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[586][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[586][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[586][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[586][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[586][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[586][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[586][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[586][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[586][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[586][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[586][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[586][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[586][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[586][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[586][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[586][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[586][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[586][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[586][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[586][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[586][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[586][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[586][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[586][LB] = ActionEntry(SHIFT, 144);
   _actionMap[586][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[586][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[586][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[586][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[586][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[586][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[586][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[586][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[586][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[586][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[586][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[586][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[586][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[586][AVG] = ActionEntry(SHIFT, 102);
}
void Cego::loadParser121()
{
   _actionMap[586][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[586][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[586][ObjSpec] = 100;
   _jumpMap[586][Constant] = 99;
   _jumpMap[586][SignedFloat] = 98;
   _jumpMap[586][SignedInt] = 97;
   _jumpMap[586][Attribute] = 96;
   _jumpMap[586][Function] = 95;
   _jumpMap[586][CasePrepare] = 94;
   _jumpMap[586][CaseClause] = 93;
   _jumpMap[586][Factor] = 92;
   _jumpMap[586][Term] = 91;
   _jumpMap[586][Expr] = 685;
   _actionMap[587][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[587][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[587][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[587][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[587][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[587][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[587][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[587][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[587][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[587][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[587][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[587][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[587][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[587][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[587][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[587][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[587][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[587][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[587][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[587][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[587][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[587][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[587][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[587][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[587][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[587][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[587][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[587][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[587][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[587][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[587][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[587][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[587][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[587][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[587][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[587][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[587][LB] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser122()
{
   _actionMap[587][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[587][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[587][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[587][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[587][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[587][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[587][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[587][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[587][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[587][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[587][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[587][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[587][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[587][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[587][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[587][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[587][RB] = ActionEntry(REDUCE, 116);
   _jumpMap[587][ObjSpec] = 100;
   _jumpMap[587][Constant] = 99;
   _jumpMap[587][SignedFloat] = 98;
   _jumpMap[587][SignedInt] = 97;
   _jumpMap[587][Attribute] = 96;
   _jumpMap[587][Function] = 95;
   _jumpMap[587][CasePrepare] = 94;
   _jumpMap[587][CaseClause] = 93;
   _jumpMap[587][Factor] = 92;
   _jumpMap[587][Term] = 91;
   _jumpMap[587][Expr] = 321;
   _jumpMap[587][ProcValueList] = 320;
   _jumpMap[587][ProcValueListOpt] = 686;
   _actionMap[311][SEMICOLON] = ActionEntry(REDUCE, 61);
   _actionMap[312][SEMICOLON] = ActionEntry(REDUCE, 258);
   _actionMap[313][KSEP] = ActionEntry(SHIFT, 448);
   _actionMap[313][SEMICOLON] = ActionEntry(REDUCE, 260);
   _actionMap[314][CHECK] = ActionEntry(SHIFT, 449);
   _actionMap[314][FOREIGN] = ActionEntry(SHIFT, 451);
   _actionMap[314][COLUMN] = ActionEntry(SHIFT, 450);
   _actionMap[315][COLUMN] = ActionEntry(SHIFT, 452);
   _actionMap[316][COLUMN] = ActionEntry(SHIFT, 453);
   _actionMap[317][COLUMN] = ActionEntry(SHIFT, 454);
   _actionMap[318][STRINGVAL] = ActionEntry(SHIFT, 455);
   _actionMap[319][RB] = ActionEntry(SHIFT, 322);
   _actionMap[320][KSEP] = ActionEntry(SHIFT, 456);
   _actionMap[320][RB] = ActionEntry(REDUCE, 115);
   _actionMap[321][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[321][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[321][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[321][KSEP] = ActionEntry(REDUCE, 118);
   _actionMap[321][RB] = ActionEntry(REDUCE, 118);
   _actionMap[322][SEMICOLON] = ActionEntry(REDUCE, 52);
}
void Cego::loadParser123()
{
   _actionMap[323][END_TOKEN] = ActionEntry(SHIFT, 457);
   _actionMap[324][EXCEPTION] = ActionEntry(REDUCE, 113);
   _actionMap[324][ELSE] = ActionEntry(REDUCE, 113);
   _actionMap[324][ELSIF] = ActionEntry(REDUCE, 113);
   _actionMap[324][END_TOKEN] = ActionEntry(REDUCE, 113);
   _actionMap[324][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[324][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[324][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[324][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[324][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[324][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[324][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[324][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[324][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[324][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[324][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[324][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[324][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[324][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[324][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[324][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[324][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[324][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[324][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[324][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[324][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[324][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[324][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[324][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[324][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[324][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[324][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[324][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[324][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[324][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[324][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[324][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[324][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[324][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[324][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[324][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[324][LB] = ActionEntry(SHIFT, 144);
   _actionMap[324][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[324][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[324][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[324][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[324][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[324][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[324][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[324][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
}
void Cego::loadParser124()
{
   _actionMap[324][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[324][VARREF] = ActionEntry(SHIFT, 343);
   _actionMap[324][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[324][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[324][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[324][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[324][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[324][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[324][IF] = ActionEntry(SHIFT, 338);
   _actionMap[324][BEGIN] = ActionEntry(SHIFT, 335);
   _actionMap[324][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[324][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[324][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[324][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[324][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[324][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[324][VAR] = ActionEntry(SHIFT, 341);
   _actionMap[324][CURSOR] = ActionEntry(SHIFT, 337);
   _actionMap[324][CLOSE] = ActionEntry(SHIFT, 336);
   _actionMap[324][NOOP] = ActionEntry(SHIFT, 339);
   _actionMap[324][RETURNTOKEN] = ActionEntry(SHIFT, 340);
   _actionMap[324][WHILE] = ActionEntry(SHIFT, 342);
   _jumpMap[324][ObjSpec] = 100;
   _jumpMap[324][Constant] = 99;
   _jumpMap[324][SignedFloat] = 98;
   _jumpMap[324][SignedInt] = 97;
   _jumpMap[324][Attribute] = 96;
   _jumpMap[324][Function] = 95;
   _jumpMap[324][DeleteStatement] = 334;
   _jumpMap[324][UpdateStatement] = 333;
   _jumpMap[324][InsertStatement] = 332;
   _jumpMap[324][RollbackStatement] = 331;
   _jumpMap[324][CommitStatement] = 330;
   _jumpMap[324][StartStatement] = 329;
   _jumpMap[324][CasePrepare] = 94;
   _jumpMap[324][CaseClause] = 93;
   _jumpMap[324][Factor] = 92;
   _jumpMap[324][Term] = 91;
   _jumpMap[324][Expr] = 328;
   _jumpMap[324][ProcStatement] = 459;
   _jumpMap[324][ProcIfPart] = 326;
   _jumpMap[324][ProcExceptionList] = 458;
   _jumpMap[324][ProcBlockStart] = 325;
   _actionMap[325][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[325][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[325][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[325][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[325][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[325][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[325][ROUND] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser125()
{
   _actionMap[325][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[325][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[325][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[325][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[325][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[325][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[325][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[325][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[325][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[325][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[325][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[325][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[325][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[325][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[325][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[325][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[325][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[325][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[325][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[325][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[325][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[325][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[325][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[325][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[325][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[325][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[325][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[325][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[325][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[325][LB] = ActionEntry(SHIFT, 144);
   _actionMap[325][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[325][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[325][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[325][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[325][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[325][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[325][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[325][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[325][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[325][VARREF] = ActionEntry(SHIFT, 343);
   _actionMap[325][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[325][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[325][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[325][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[325][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[325][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[325][IF] = ActionEntry(SHIFT, 338);
   _actionMap[325][BEGIN] = ActionEntry(SHIFT, 335);
   _actionMap[325][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[325][COMMIT] = ActionEntry(SHIFT, 16);
}
void Cego::loadParser126()
{
   _actionMap[325][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[325][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[325][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[325][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[325][VAR] = ActionEntry(SHIFT, 341);
   _actionMap[325][CURSOR] = ActionEntry(SHIFT, 337);
   _actionMap[325][CLOSE] = ActionEntry(SHIFT, 336);
   _actionMap[325][NOOP] = ActionEntry(SHIFT, 339);
   _actionMap[325][RETURNTOKEN] = ActionEntry(SHIFT, 340);
   _actionMap[325][WHILE] = ActionEntry(SHIFT, 342);
   _jumpMap[325][ObjSpec] = 100;
   _jumpMap[325][Constant] = 99;
   _jumpMap[325][SignedFloat] = 98;
   _jumpMap[325][SignedInt] = 97;
   _jumpMap[325][Attribute] = 96;
   _jumpMap[325][Function] = 95;
   _jumpMap[325][DeleteStatement] = 334;
   _jumpMap[325][UpdateStatement] = 333;
   _jumpMap[325][InsertStatement] = 332;
   _jumpMap[325][RollbackStatement] = 331;
   _jumpMap[325][CommitStatement] = 330;
   _jumpMap[325][StartStatement] = 329;
   _jumpMap[325][CasePrepare] = 94;
   _jumpMap[325][CaseClause] = 93;
   _jumpMap[325][Factor] = 92;
   _jumpMap[325][Term] = 91;
   _jumpMap[325][Expr] = 328;
   _jumpMap[325][ProcStatement] = 327;
   _jumpMap[325][ProcIfPart] = 326;
   _jumpMap[325][ProcBlockStart] = 325;
   _jumpMap[325][ProcStatementList] = 324;
   _jumpMap[325][ProcStmtBlock] = 460;
   _actionMap[326][ELSIF] = ActionEntry(SHIFT, 463);
   _actionMap[326][END_TOKEN] = ActionEntry(REDUCE, 123);
   _actionMap[326][ELSE] = ActionEntry(REDUCE, 123);
   _jumpMap[326][ProcElsIfOpt] = 462;
   _jumpMap[326][ProcElsIfList] = 461;
   _actionMap[327][SEMICOLON] = ActionEntry(SHIFT, 464);
   _actionMap[328][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[328][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[328][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[328][SEMICOLON] = ActionEntry(REDUCE, 97);
   _actionMap[329][SEMICOLON] = ActionEntry(REDUCE, 105);
   _actionMap[330][SEMICOLON] = ActionEntry(REDUCE, 106);
   _actionMap[331][SEMICOLON] = ActionEntry(REDUCE, 107);
   _actionMap[332][SEMICOLON] = ActionEntry(REDUCE, 102);
   _actionMap[333][SEMICOLON] = ActionEntry(REDUCE, 104);
   _actionMap[334][SEMICOLON] = ActionEntry(REDUCE, 103);
   _actionMap[335][VAR] = ActionEntry(REDUCE, 111);
   _actionMap[335][CURSOR] = ActionEntry(REDUCE, 111);
}
void Cego::loadParser127()
{
   _actionMap[335][CLOSE] = ActionEntry(REDUCE, 111);
   _actionMap[335][VARREF] = ActionEntry(REDUCE, 111);
   _actionMap[335][NOOP] = ActionEntry(REDUCE, 111);
   _actionMap[335][RETURNTOKEN] = ActionEntry(REDUCE, 111);
   _actionMap[335][WHILE] = ActionEntry(REDUCE, 111);
   _actionMap[335][IF] = ActionEntry(REDUCE, 111);
   _actionMap[335][BEGIN] = ActionEntry(REDUCE, 111);
   _actionMap[335][ROLLBACK] = ActionEntry(REDUCE, 111);
   _actionMap[335][COMMIT] = ActionEntry(REDUCE, 111);
   _actionMap[335][START_TOKEN] = ActionEntry(REDUCE, 111);
   _actionMap[335][UPDATE] = ActionEntry(REDUCE, 111);
   _actionMap[335][DELETETOK] = ActionEntry(REDUCE, 111);
   _actionMap[335][INSERT] = ActionEntry(REDUCE, 111);
   _actionMap[335][FETCH] = ActionEntry(REDUCE, 111);
   _actionMap[335][LB] = ActionEntry(REDUCE, 111);
   _actionMap[335][COUNT] = ActionEntry(REDUCE, 111);
   _actionMap[335][SUM] = ActionEntry(REDUCE, 111);
   _actionMap[335][AVG] = ActionEntry(REDUCE, 111);
   _actionMap[335][MIN] = ActionEntry(REDUCE, 111);
   _actionMap[335][MAX] = ActionEntry(REDUCE, 111);
   _actionMap[335][CASE] = ActionEntry(REDUCE, 111);
   _actionMap[335][TRIM] = ActionEntry(REDUCE, 111);
   _actionMap[335][RTRIM] = ActionEntry(REDUCE, 111);
   _actionMap[335][LTRIM] = ActionEntry(REDUCE, 111);
   _actionMap[335][ROUND] = ActionEntry(REDUCE, 111);
   _actionMap[335][DATE2STR] = ActionEntry(REDUCE, 111);
   _actionMap[335][DATE2INT] = ActionEntry(REDUCE, 111);
   _actionMap[335][INT2DATE] = ActionEntry(REDUCE, 111);
   _actionMap[335][LOWER] = ActionEntry(REDUCE, 111);
   _actionMap[335][UPPER] = ActionEntry(REDUCE, 111);
   _actionMap[335][LEFT] = ActionEntry(REDUCE, 111);
   _actionMap[335][RIGHT] = ActionEntry(REDUCE, 111);
   _actionMap[335][GETPOS] = ActionEntry(REDUCE, 111);
   _actionMap[335][SUBSTR] = ActionEntry(REDUCE, 111);
   _actionMap[335][REPLACE] = ActionEntry(REDUCE, 111);
   _actionMap[335][LENGTH] = ActionEntry(REDUCE, 111);
   _actionMap[335][TRUNC] = ActionEntry(REDUCE, 111);
   _actionMap[335][STR2INT] = ActionEntry(REDUCE, 111);
   _actionMap[335][STR2LONG] = ActionEntry(REDUCE, 111);
   _actionMap[335][STR2DATE] = ActionEntry(REDUCE, 111);
   _actionMap[335][RANDSTR] = ActionEntry(REDUCE, 111);
   _actionMap[335][RANDINT] = ActionEntry(REDUCE, 111);
   _actionMap[335][MOD] = ActionEntry(REDUCE, 111);
   _actionMap[335][DIV] = ActionEntry(REDUCE, 111);
   _actionMap[335][POWER] = ActionEntry(REDUCE, 111);
   _actionMap[335][BITAND] = ActionEntry(REDUCE, 111);
   _actionMap[335][BITOR] = ActionEntry(REDUCE, 111);
   _actionMap[335][BITXOR] = ActionEntry(REDUCE, 111);
   _actionMap[335][BLOBSIZE] = ActionEntry(REDUCE, 111);
   _actionMap[335][NEXTCOUNT] = ActionEntry(REDUCE, 111);
}
void Cego::loadParser128()
{
   _actionMap[335][SETCOUNT] = ActionEntry(REDUCE, 111);
   _actionMap[335][IDENTIFIER] = ActionEntry(REDUCE, 111);
   _actionMap[335][QUALIFIEDOBJ] = ActionEntry(REDUCE, 111);
   _actionMap[335][QUALIFIEDTS] = ActionEntry(REDUCE, 111);
   _actionMap[335][QUALIFIEDPRE] = ActionEntry(REDUCE, 111);
   _actionMap[335][STRINGVAL] = ActionEntry(REDUCE, 111);
   _actionMap[335][DATE] = ActionEntry(REDUCE, 111);
   _actionMap[335][SYSDATE] = ActionEntry(REDUCE, 111);
   _actionMap[335][NULLTOKEN] = ActionEntry(REDUCE, 111);
   _actionMap[335][TRUEVAL] = ActionEntry(REDUCE, 111);
   _actionMap[335][FALSEVAL] = ActionEntry(REDUCE, 111);
   _actionMap[335][LAB] = ActionEntry(REDUCE, 111);
   _actionMap[335][FLOATVAL] = ActionEntry(REDUCE, 111);
   _actionMap[335][MINUS] = ActionEntry(REDUCE, 111);
   _actionMap[335][INTVAL] = ActionEntry(REDUCE, 111);
   _actionMap[336][IDENTIFIER] = ActionEntry(SHIFT, 465);
   _actionMap[337][IDENTIFIER] = ActionEntry(SHIFT, 466);
   _actionMap[338][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[338][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[338][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[338][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[338][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[338][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[338][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[338][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[338][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[338][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[338][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[338][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[338][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[338][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[338][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[338][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[338][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[338][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[338][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[338][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[338][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[338][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[338][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[338][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[338][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[338][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[338][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[338][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[338][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[338][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[338][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[338][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[338][SETCOUNT] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser129()
{
   _actionMap[338][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[338][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[338][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[338][LB] = ActionEntry(SHIFT, 471);
   _actionMap[338][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[338][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[338][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[338][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[338][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[338][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[338][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[338][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[338][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[338][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[338][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[338][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[338][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[338][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[338][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[338][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[338][ObjSpec] = 100;
   _jumpMap[338][Constant] = 99;
   _jumpMap[338][SignedFloat] = 98;
   _jumpMap[338][SignedInt] = 97;
   _jumpMap[338][Attribute] = 96;
   _jumpMap[338][Function] = 95;
   _jumpMap[338][CasePrepare] = 94;
   _jumpMap[338][CaseClause] = 93;
   _jumpMap[338][Factor] = 92;
   _jumpMap[338][Term] = 91;
   _jumpMap[338][Expr] = 470;
   _jumpMap[338][ProcPredicate] = 469;
   _jumpMap[338][ProcCondition] = 468;
   _jumpMap[338][ProcIfCondition] = 467;
   _actionMap[339][SEMICOLON] = ActionEntry(REDUCE, 98);
   _actionMap[340][SEMICOLON] = ActionEntry(REDUCE, 108);
   _actionMap[340][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[340][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[340][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[340][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[340][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[340][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[340][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[340][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[340][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[340][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[340][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[340][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[340][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[340][RIGHT] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser130()
{
   _actionMap[340][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[340][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[340][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[340][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[340][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[340][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[340][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[340][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[340][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[340][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[340][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[340][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[340][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[340][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[340][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[340][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[340][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[340][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[340][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[340][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[340][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[340][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[340][LB] = ActionEntry(SHIFT, 144);
   _actionMap[340][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[340][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[340][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[340][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[340][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[340][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[340][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[340][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[340][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[340][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[340][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[340][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[340][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[340][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[340][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[340][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[340][ObjSpec] = 100;
   _jumpMap[340][Constant] = 99;
   _jumpMap[340][SignedFloat] = 98;
   _jumpMap[340][SignedInt] = 97;
   _jumpMap[340][Attribute] = 96;
   _jumpMap[340][Function] = 95;
   _jumpMap[340][CasePrepare] = 94;
   _jumpMap[340][CaseClause] = 93;
   _jumpMap[340][Factor] = 92;
   _jumpMap[340][Term] = 91;
   _jumpMap[340][Expr] = 472;
}
void Cego::loadParser131()
{
   _actionMap[341][IDENTIFIER] = ActionEntry(SHIFT, 473);
   _actionMap[342][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[342][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[342][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[342][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[342][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[342][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[342][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[342][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[342][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[342][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[342][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[342][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[342][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[342][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[342][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[342][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[342][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[342][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[342][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[342][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[342][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[342][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[342][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[342][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[342][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[342][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[342][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[342][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[342][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[342][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[342][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[342][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[342][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[342][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[342][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[342][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[342][LB] = ActionEntry(SHIFT, 471);
   _actionMap[342][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[342][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[342][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[342][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[342][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[342][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[342][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[342][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[342][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[342][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[342][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[342][COUNT] = ActionEntry(SHIFT, 108);
}
void Cego::loadParser132()
{
   _actionMap[342][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[342][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[342][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[342][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[342][ObjSpec] = 100;
   _jumpMap[342][Constant] = 99;
   _jumpMap[342][SignedFloat] = 98;
   _jumpMap[342][SignedInt] = 97;
   _jumpMap[342][Attribute] = 96;
   _jumpMap[342][Function] = 95;
   _jumpMap[342][CasePrepare] = 94;
   _jumpMap[342][CaseClause] = 93;
   _jumpMap[342][Factor] = 92;
   _jumpMap[342][Term] = 91;
   _jumpMap[342][Expr] = 470;
   _jumpMap[342][ProcPredicate] = 469;
   _jumpMap[342][ProcCondition] = 475;
   _jumpMap[342][ProcWhileCondition] = 474;
   _actionMap[343][CONCAT] = ActionEntry(REDUCE, 146);
   _actionMap[343][STAR] = ActionEntry(REDUCE, 146);
   _actionMap[343][DIVISION] = ActionEntry(REDUCE, 146);
   _actionMap[343][MINUS] = ActionEntry(REDUCE, 146);
   _actionMap[343][PLUS] = ActionEntry(REDUCE, 146);
   _actionMap[343][SEMICOLON] = ActionEntry(REDUCE, 146);
   _actionMap[343][EQU] = ActionEntry(SHIFT, 476);
   _actionMap[344][ON] = ActionEntry(SHIFT, 477);
   _actionMap[345][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[345][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[345][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[345][ObjSpec] = 478;
   _actionMap[346][IDENTIFIER] = ActionEntry(SHIFT, 483);
   _actionMap[346][RB] = ActionEntry(REDUCE, 85);
   _jumpMap[346][ProcArg] = 481;
   _jumpMap[346][ProcArgList] = 480;
   _jumpMap[346][ProcArgOpt] = 479;
   _actionMap[347][IDENTIFIER] = ActionEntry(SHIFT, 488);
   _actionMap[347][PRIMARY] = ActionEntry(SHIFT, 487);
   _jumpMap[347][ColumnDesc] = 486;
   _jumpMap[347][KeyColumn] = 485;
   _jumpMap[347][ColumnList] = 484;
   _actionMap[348][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[348][SelectStatement] = 489;
   _actionMap[349][SEMICOLON] = ActionEntry(REDUCE, 307);
   _actionMap[349][WHERE] = ActionEntry(SHIFT, 352);
   _jumpMap[349][NoWhere] = 351;
   _jumpMap[349][WhereClause] = 350;
   _actionMap[350][SEMICOLON] = ActionEntry(REDUCE, 255);
   _actionMap[351][RETURNTOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[351][GROUP] = ActionEntry(REDUCE, 306);
   _actionMap[351][ORDER] = ActionEntry(REDUCE, 306);
}
void Cego::loadParser133()
{
   _actionMap[351][ROWLIMIT] = ActionEntry(REDUCE, 306);
   _actionMap[351][UNION] = ActionEntry(REDUCE, 306);
   _actionMap[351][ENDTOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[351][RB] = ActionEntry(REDUCE, 306);
   _actionMap[351][SEMICOLON] = ActionEntry(REDUCE, 306);
   _actionMap[352][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[352][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[352][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[352][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[352][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[352][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[352][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[352][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[352][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[352][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[352][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[352][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[352][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[352][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[352][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[352][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[352][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[352][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[352][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[352][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[352][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[352][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[352][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[352][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[352][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[352][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[352][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[352][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[352][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[352][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[352][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[352][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[352][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[352][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[352][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[352][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[352][LB] = ActionEntry(SHIFT, 373);
   _actionMap[352][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[352][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[352][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[352][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[352][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[352][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[352][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[352][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
}
void Cego::loadParser134()
{
   _actionMap[352][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[352][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[352][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[352][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[352][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[352][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[352][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[352][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[352][EXISTS] = ActionEntry(SHIFT, 371);
   _actionMap[352][NOT] = ActionEntry(SHIFT, 372);
   _jumpMap[352][ObjSpec] = 100;
   _jumpMap[352][Constant] = 99;
   _jumpMap[352][SignedFloat] = 98;
   _jumpMap[352][SignedInt] = 97;
   _jumpMap[352][Attribute] = 96;
   _jumpMap[352][QueryPredicate] = 370;
   _jumpMap[352][QueryCondition] = 490;
   _jumpMap[352][Function] = 95;
   _jumpMap[352][CasePrepare] = 94;
   _jumpMap[352][CaseClause] = 93;
   _jumpMap[352][Factor] = 92;
   _jumpMap[352][Term] = 91;
   _jumpMap[352][Expr] = 368;
   _actionMap[353][SEMICOLON] = ActionEntry(REDUCE, 23);
   _actionMap[354][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[354][VALUES] = ActionEntry(SHIFT, 357);
   _jumpMap[354][SelectStatement] = 356;
   _jumpMap[354][InsertPrepare] = 355;
   _actionMap[355][LB] = ActionEntry(SHIFT, 493);
   _jumpMap[355][InsertValueSpec] = 492;
   _jumpMap[355][InsertValueSpecList] = 491;
   _actionMap[356][SEMICOLON] = ActionEntry(REDUCE, 190);
   _actionMap[357][LB] = ActionEntry(REDUCE, 193);
   _actionMap[358][IDENTIFIER] = ActionEntry(SHIFT, 495);
   _jumpMap[358][InsertArgList] = 494;
   _actionMap[359][SEMICOLON] = ActionEntry(REDUCE, 13);
   _actionMap[360][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[360][SelectStatement] = 496;
   _actionMap[361][STAR] = ActionEntry(SHIFT, 228);
   _actionMap[361][DIVISION] = ActionEntry(SHIFT, 229);
   _actionMap[361][WHEN] = ActionEntry(REDUCE, 142);
   _actionMap[361][ELSE] = ActionEntry(REDUCE, 142);
   _actionMap[361][LEFT] = ActionEntry(REDUCE, 142);
   _actionMap[361][RIGHT] = ActionEntry(REDUCE, 142);
   _actionMap[361][INNER] = ActionEntry(REDUCE, 142);
   _actionMap[361][JOIN] = ActionEntry(REDUCE, 142);
   _actionMap[361][RETURNTOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[361][ORDER] = ActionEntry(REDUCE, 142);
   _actionMap[361][GROUP] = ActionEntry(REDUCE, 142);
   _actionMap[361][WHERE] = ActionEntry(REDUCE, 142);
}
void Cego::loadParser135()
{
   _actionMap[361][BEGIN] = ActionEntry(REDUCE, 142);
   _actionMap[361][THEN] = ActionEntry(REDUCE, 142);
   _actionMap[361][OR] = ActionEntry(REDUCE, 142);
   _actionMap[361][AS] = ActionEntry(REDUCE, 142);
   _actionMap[361][FROM] = ActionEntry(REDUCE, 142);
   _actionMap[361][LIKE] = ActionEntry(REDUCE, 142);
   _actionMap[361][BETWEEN] = ActionEntry(REDUCE, 142);
   _actionMap[361][NOT] = ActionEntry(REDUCE, 142);
   _actionMap[361][INTOK] = ActionEntry(REDUCE, 142);
   _actionMap[361][END_TOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[361][AND] = ActionEntry(REDUCE, 142);
   _actionMap[361][IS] = ActionEntry(REDUCE, 142);
   _actionMap[361][EQU] = ActionEntry(REDUCE, 142);
   _actionMap[361][NEGATION] = ActionEntry(REDUCE, 142);
   _actionMap[361][LT] = ActionEntry(REDUCE, 142);
   _actionMap[361][MT] = ActionEntry(REDUCE, 142);
   _actionMap[361][DESC] = ActionEntry(REDUCE, 142);
   _actionMap[361][ASC] = ActionEntry(REDUCE, 142);
   _actionMap[361][KSEP] = ActionEntry(REDUCE, 142);
   _actionMap[361][ROWLIMIT] = ActionEntry(REDUCE, 142);
   _actionMap[361][UNION] = ActionEntry(REDUCE, 142);
   _actionMap[361][ENDTOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[361][RB] = ActionEntry(REDUCE, 142);
   _actionMap[361][SEMICOLON] = ActionEntry(REDUCE, 142);
   _actionMap[361][CONCAT] = ActionEntry(REDUCE, 142);
   _actionMap[361][MINUS] = ActionEntry(REDUCE, 142);
   _actionMap[361][PLUS] = ActionEntry(REDUCE, 142);
   _actionMap[362][STAR] = ActionEntry(SHIFT, 228);
   _actionMap[362][DIVISION] = ActionEntry(SHIFT, 229);
   _actionMap[362][WHEN] = ActionEntry(REDUCE, 140);
   _actionMap[362][ELSE] = ActionEntry(REDUCE, 140);
   _actionMap[362][LEFT] = ActionEntry(REDUCE, 140);
   _actionMap[362][RIGHT] = ActionEntry(REDUCE, 140);
   _actionMap[362][INNER] = ActionEntry(REDUCE, 140);
   _actionMap[362][JOIN] = ActionEntry(REDUCE, 140);
   _actionMap[362][RETURNTOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[362][ORDER] = ActionEntry(REDUCE, 140);
   _actionMap[362][GROUP] = ActionEntry(REDUCE, 140);
   _actionMap[362][WHERE] = ActionEntry(REDUCE, 140);
   _actionMap[362][BEGIN] = ActionEntry(REDUCE, 140);
   _actionMap[362][THEN] = ActionEntry(REDUCE, 140);
   _actionMap[362][OR] = ActionEntry(REDUCE, 140);
   _actionMap[362][AS] = ActionEntry(REDUCE, 140);
   _actionMap[362][FROM] = ActionEntry(REDUCE, 140);
   _actionMap[362][LIKE] = ActionEntry(REDUCE, 140);
   _actionMap[362][BETWEEN] = ActionEntry(REDUCE, 140);
   _actionMap[362][NOT] = ActionEntry(REDUCE, 140);
   _actionMap[362][INTOK] = ActionEntry(REDUCE, 140);
   _actionMap[362][END_TOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[362][AND] = ActionEntry(REDUCE, 140);
}
void Cego::loadParser136()
{
   _actionMap[362][IS] = ActionEntry(REDUCE, 140);
   _actionMap[362][EQU] = ActionEntry(REDUCE, 140);
   _actionMap[362][NEGATION] = ActionEntry(REDUCE, 140);
   _actionMap[362][LT] = ActionEntry(REDUCE, 140);
   _actionMap[362][MT] = ActionEntry(REDUCE, 140);
   _actionMap[362][DESC] = ActionEntry(REDUCE, 140);
   _actionMap[362][ASC] = ActionEntry(REDUCE, 140);
   _actionMap[362][KSEP] = ActionEntry(REDUCE, 140);
   _actionMap[362][ROWLIMIT] = ActionEntry(REDUCE, 140);
   _actionMap[362][UNION] = ActionEntry(REDUCE, 140);
   _actionMap[362][ENDTOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[362][RB] = ActionEntry(REDUCE, 140);
   _actionMap[362][SEMICOLON] = ActionEntry(REDUCE, 140);
   _actionMap[362][CONCAT] = ActionEntry(REDUCE, 140);
   _actionMap[362][MINUS] = ActionEntry(REDUCE, 140);
   _actionMap[362][PLUS] = ActionEntry(REDUCE, 140);
   _actionMap[363][STAR] = ActionEntry(SHIFT, 228);
   _actionMap[363][DIVISION] = ActionEntry(SHIFT, 229);
   _actionMap[363][WHEN] = ActionEntry(REDUCE, 139);
   _actionMap[363][ELSE] = ActionEntry(REDUCE, 139);
   _actionMap[363][LEFT] = ActionEntry(REDUCE, 139);
   _actionMap[363][RIGHT] = ActionEntry(REDUCE, 139);
   _actionMap[363][INNER] = ActionEntry(REDUCE, 139);
   _actionMap[363][JOIN] = ActionEntry(REDUCE, 139);
   _actionMap[363][RETURNTOKEN] = ActionEntry(REDUCE, 139);
   _actionMap[363][ORDER] = ActionEntry(REDUCE, 139);
   _actionMap[363][GROUP] = ActionEntry(REDUCE, 139);
   _actionMap[363][WHERE] = ActionEntry(REDUCE, 139);
   _actionMap[363][BEGIN] = ActionEntry(REDUCE, 139);
   _actionMap[363][THEN] = ActionEntry(REDUCE, 139);
   _actionMap[363][OR] = ActionEntry(REDUCE, 139);
   _actionMap[363][AS] = ActionEntry(REDUCE, 139);
   _actionMap[363][FROM] = ActionEntry(REDUCE, 139);
   _actionMap[363][LIKE] = ActionEntry(REDUCE, 139);
   _actionMap[363][BETWEEN] = ActionEntry(REDUCE, 139);
   _actionMap[363][NOT] = ActionEntry(REDUCE, 139);
   _actionMap[363][INTOK] = ActionEntry(REDUCE, 139);
   _actionMap[363][END_TOKEN] = ActionEntry(REDUCE, 139);
   _actionMap[363][AND] = ActionEntry(REDUCE, 139);
   _actionMap[363][IS] = ActionEntry(REDUCE, 139);
   _actionMap[363][EQU] = ActionEntry(REDUCE, 139);
   _actionMap[363][NEGATION] = ActionEntry(REDUCE, 139);
   _actionMap[363][LT] = ActionEntry(REDUCE, 139);
   _actionMap[363][MT] = ActionEntry(REDUCE, 139);
   _actionMap[363][DESC] = ActionEntry(REDUCE, 139);
   _actionMap[363][ASC] = ActionEntry(REDUCE, 139);
   _actionMap[363][KSEP] = ActionEntry(REDUCE, 139);
   _actionMap[363][ROWLIMIT] = ActionEntry(REDUCE, 139);
   _actionMap[363][UNION] = ActionEntry(REDUCE, 139);
   _actionMap[363][ENDTOKEN] = ActionEntry(REDUCE, 139);
}
void Cego::loadParser137()
{
   _actionMap[363][RB] = ActionEntry(REDUCE, 139);
   _actionMap[363][SEMICOLON] = ActionEntry(REDUCE, 139);
   _actionMap[363][CONCAT] = ActionEntry(REDUCE, 139);
   _actionMap[363][MINUS] = ActionEntry(REDUCE, 139);
   _actionMap[363][PLUS] = ActionEntry(REDUCE, 139);
   _actionMap[364][WHEN] = ActionEntry(REDUCE, 143);
   _actionMap[364][ELSE] = ActionEntry(REDUCE, 143);
   _actionMap[364][LEFT] = ActionEntry(REDUCE, 143);
   _actionMap[364][RIGHT] = ActionEntry(REDUCE, 143);
   _actionMap[364][INNER] = ActionEntry(REDUCE, 143);
   _actionMap[364][JOIN] = ActionEntry(REDUCE, 143);
   _actionMap[364][RETURNTOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[364][ORDER] = ActionEntry(REDUCE, 143);
   _actionMap[364][GROUP] = ActionEntry(REDUCE, 143);
   _actionMap[364][WHERE] = ActionEntry(REDUCE, 143);
   _actionMap[364][BEGIN] = ActionEntry(REDUCE, 143);
   _actionMap[364][THEN] = ActionEntry(REDUCE, 143);
   _actionMap[364][OR] = ActionEntry(REDUCE, 143);
   _actionMap[364][FROM] = ActionEntry(REDUCE, 143);
   _actionMap[364][AS] = ActionEntry(REDUCE, 143);
   _actionMap[364][END_TOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[364][AND] = ActionEntry(REDUCE, 143);
   _actionMap[364][INTOK] = ActionEntry(REDUCE, 143);
   _actionMap[364][NOT] = ActionEntry(REDUCE, 143);
   _actionMap[364][BETWEEN] = ActionEntry(REDUCE, 143);
   _actionMap[364][IS] = ActionEntry(REDUCE, 143);
   _actionMap[364][LIKE] = ActionEntry(REDUCE, 143);
   _actionMap[364][MT] = ActionEntry(REDUCE, 143);
   _actionMap[364][LT] = ActionEntry(REDUCE, 143);
   _actionMap[364][NEGATION] = ActionEntry(REDUCE, 143);
   _actionMap[364][EQU] = ActionEntry(REDUCE, 143);
   _actionMap[364][RB] = ActionEntry(REDUCE, 143);
   _actionMap[364][ENDTOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[364][UNION] = ActionEntry(REDUCE, 143);
   _actionMap[364][ROWLIMIT] = ActionEntry(REDUCE, 143);
   _actionMap[364][KSEP] = ActionEntry(REDUCE, 143);
   _actionMap[364][ASC] = ActionEntry(REDUCE, 143);
   _actionMap[364][DESC] = ActionEntry(REDUCE, 143);
   _actionMap[364][SEMICOLON] = ActionEntry(REDUCE, 143);
   _actionMap[364][PLUS] = ActionEntry(REDUCE, 143);
   _actionMap[364][MINUS] = ActionEntry(REDUCE, 143);
   _actionMap[364][CONCAT] = ActionEntry(REDUCE, 143);
   _actionMap[364][DIVISION] = ActionEntry(REDUCE, 143);
   _actionMap[364][STAR] = ActionEntry(REDUCE, 143);
   _actionMap[365][WHEN] = ActionEntry(REDUCE, 144);
   _actionMap[365][ELSE] = ActionEntry(REDUCE, 144);
   _actionMap[365][LEFT] = ActionEntry(REDUCE, 144);
   _actionMap[365][RIGHT] = ActionEntry(REDUCE, 144);
   _actionMap[365][INNER] = ActionEntry(REDUCE, 144);
   _actionMap[365][JOIN] = ActionEntry(REDUCE, 144);
}
void Cego::loadParser138()
{
   _actionMap[365][RETURNTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[365][ORDER] = ActionEntry(REDUCE, 144);
   _actionMap[365][GROUP] = ActionEntry(REDUCE, 144);
   _actionMap[365][WHERE] = ActionEntry(REDUCE, 144);
   _actionMap[365][BEGIN] = ActionEntry(REDUCE, 144);
   _actionMap[365][THEN] = ActionEntry(REDUCE, 144);
   _actionMap[365][OR] = ActionEntry(REDUCE, 144);
   _actionMap[365][FROM] = ActionEntry(REDUCE, 144);
   _actionMap[365][AS] = ActionEntry(REDUCE, 144);
   _actionMap[365][END_TOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[365][AND] = ActionEntry(REDUCE, 144);
   _actionMap[365][INTOK] = ActionEntry(REDUCE, 144);
   _actionMap[365][NOT] = ActionEntry(REDUCE, 144);
   _actionMap[365][BETWEEN] = ActionEntry(REDUCE, 144);
   _actionMap[365][IS] = ActionEntry(REDUCE, 144);
   _actionMap[365][LIKE] = ActionEntry(REDUCE, 144);
   _actionMap[365][MT] = ActionEntry(REDUCE, 144);
   _actionMap[365][LT] = ActionEntry(REDUCE, 144);
   _actionMap[365][NEGATION] = ActionEntry(REDUCE, 144);
   _actionMap[365][EQU] = ActionEntry(REDUCE, 144);
   _actionMap[365][RB] = ActionEntry(REDUCE, 144);
   _actionMap[365][ENDTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[365][UNION] = ActionEntry(REDUCE, 144);
   _actionMap[365][ROWLIMIT] = ActionEntry(REDUCE, 144);
   _actionMap[365][KSEP] = ActionEntry(REDUCE, 144);
   _actionMap[365][ASC] = ActionEntry(REDUCE, 144);
   _actionMap[365][DESC] = ActionEntry(REDUCE, 144);
   _actionMap[365][SEMICOLON] = ActionEntry(REDUCE, 144);
   _actionMap[365][PLUS] = ActionEntry(REDUCE, 144);
   _actionMap[365][MINUS] = ActionEntry(REDUCE, 144);
   _actionMap[365][CONCAT] = ActionEntry(REDUCE, 144);
   _actionMap[365][DIVISION] = ActionEntry(REDUCE, 144);
   _actionMap[365][STAR] = ActionEntry(REDUCE, 144);
   _actionMap[366][WHEN] = ActionEntry(REDUCE, 161);
   _actionMap[366][ELSE] = ActionEntry(REDUCE, 161);
   _actionMap[367][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[367][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[367][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[367][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[367][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[367][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[367][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[367][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[367][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[367][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[367][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[367][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[367][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[367][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[367][GETPOS] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser139()
{
   _actionMap[367][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[367][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[367][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[367][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[367][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[367][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[367][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[367][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[367][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[367][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[367][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[367][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[367][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[367][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[367][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[367][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[367][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[367][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[367][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[367][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[367][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[367][LB] = ActionEntry(SHIFT, 144);
   _actionMap[367][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[367][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[367][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[367][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[367][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[367][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[367][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[367][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[367][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[367][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[367][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[367][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[367][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[367][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[367][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[367][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[367][ObjSpec] = 100;
   _jumpMap[367][Constant] = 99;
   _jumpMap[367][SignedFloat] = 98;
   _jumpMap[367][SignedInt] = 97;
   _jumpMap[367][Attribute] = 96;
   _jumpMap[367][Function] = 95;
   _jumpMap[367][CasePrepare] = 94;
   _jumpMap[367][CaseClause] = 93;
   _jumpMap[367][Factor] = 92;
   _jumpMap[367][Term] = 91;
   _jumpMap[367][Expr] = 497;
   _actionMap[368][INTOK] = ActionEntry(SHIFT, 500);
}
void Cego::loadParser140()
{
   _actionMap[368][NOT] = ActionEntry(SHIFT, 503);
   _actionMap[368][BETWEEN] = ActionEntry(SHIFT, 499);
   _actionMap[368][IS] = ActionEntry(SHIFT, 501);
   _actionMap[368][LIKE] = ActionEntry(SHIFT, 502);
   _actionMap[368][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[368][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[368][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[368][EQU] = ActionEntry(SHIFT, 504);
   _actionMap[368][NEGATION] = ActionEntry(SHIFT, 507);
   _actionMap[368][LT] = ActionEntry(SHIFT, 505);
   _actionMap[368][MT] = ActionEntry(SHIFT, 506);
   _jumpMap[368][Comparison] = 498;
   _actionMap[369][THEN] = ActionEntry(SHIFT, 510);
   _actionMap[369][AND] = ActionEntry(SHIFT, 508);
   _actionMap[369][OR] = ActionEntry(SHIFT, 509);
   _actionMap[370][THEN] = ActionEntry(REDUCE, 310);
   _actionMap[370][LEFT] = ActionEntry(REDUCE, 310);
   _actionMap[370][RIGHT] = ActionEntry(REDUCE, 310);
   _actionMap[370][INNER] = ActionEntry(REDUCE, 310);
   _actionMap[370][JOIN] = ActionEntry(REDUCE, 310);
   _actionMap[370][RETURNTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[370][SEMICOLON] = ActionEntry(REDUCE, 310);
   _actionMap[370][RB] = ActionEntry(REDUCE, 310);
   _actionMap[370][ENDTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[370][UNION] = ActionEntry(REDUCE, 310);
   _actionMap[370][ROWLIMIT] = ActionEntry(REDUCE, 310);
   _actionMap[370][ORDER] = ActionEntry(REDUCE, 310);
   _actionMap[370][GROUP] = ActionEntry(REDUCE, 310);
   _actionMap[370][WHERE] = ActionEntry(REDUCE, 310);
   _actionMap[370][OR] = ActionEntry(REDUCE, 310);
   _actionMap[370][AND] = ActionEntry(REDUCE, 310);
   _actionMap[371][LB] = ActionEntry(SHIFT, 511);
   _actionMap[372][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[372][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[372][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[372][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[372][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[372][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[372][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[372][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[372][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[372][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[372][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[372][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[372][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[372][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[372][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[372][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[372][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[372][LENGTH] = ActionEntry(SHIFT, 118);
}
void Cego::loadParser141()
{
   _actionMap[372][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[372][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[372][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[372][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[372][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[372][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[372][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[372][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[372][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[372][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[372][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[372][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[372][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[372][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[372][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[372][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[372][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[372][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[372][LB] = ActionEntry(SHIFT, 373);
   _actionMap[372][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[372][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[372][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[372][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[372][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[372][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[372][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[372][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[372][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[372][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[372][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[372][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[372][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[372][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[372][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[372][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[372][EXISTS] = ActionEntry(SHIFT, 371);
   _actionMap[372][NOT] = ActionEntry(SHIFT, 372);
   _jumpMap[372][ObjSpec] = 100;
   _jumpMap[372][Constant] = 99;
   _jumpMap[372][SignedFloat] = 98;
   _jumpMap[372][SignedInt] = 97;
   _jumpMap[372][Attribute] = 96;
   _jumpMap[372][QueryPredicate] = 512;
   _jumpMap[372][Function] = 95;
   _jumpMap[372][CasePrepare] = 94;
   _jumpMap[372][CaseClause] = 93;
   _jumpMap[372][Factor] = 92;
   _jumpMap[372][Term] = 91;
   _jumpMap[372][Expr] = 368;
   _actionMap[373][LONG] = ActionEntry(SHIFT, 277);
}
void Cego::loadParser142()
{
   _actionMap[373][BIGINT] = ActionEntry(SHIFT, 273);
   _actionMap[373][SMALLINT] = ActionEntry(SHIFT, 278);
   _actionMap[373][TINYINT] = ActionEntry(SHIFT, 279);
   _actionMap[373][DOUBLE] = ActionEntry(SHIFT, 275);
   _actionMap[373][DECIMAL] = ActionEntry(SHIFT, 274);
   _actionMap[373][FIXED] = ActionEntry(SHIFT, 276);
   _actionMap[373][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[373][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[373][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[373][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[373][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[373][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[373][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[373][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[373][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[373][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[373][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[373][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[373][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[373][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[373][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[373][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[373][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[373][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[373][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[373][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[373][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[373][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[373][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[373][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[373][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[373][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[373][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[373][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[373][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[373][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[373][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[373][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[373][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[373][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[373][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[373][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[373][LB] = ActionEntry(SHIFT, 373);
   _actionMap[373][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[373][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[373][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[373][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[373][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[373][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[373][LAB] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser143()
{
   _actionMap[373][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[373][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[373][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[373][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[373][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[373][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[373][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[373][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[373][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[373][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[373][EXISTS] = ActionEntry(SHIFT, 371);
   _actionMap[373][NOT] = ActionEntry(SHIFT, 372);
   _jumpMap[373][ObjSpec] = 100;
   _jumpMap[373][Constant] = 99;
   _jumpMap[373][SignedFloat] = 98;
   _jumpMap[373][SignedInt] = 97;
   _jumpMap[373][Attribute] = 96;
   _jumpMap[373][QueryPredicate] = 370;
   _jumpMap[373][QueryCondition] = 514;
   _jumpMap[373][Function] = 95;
   _jumpMap[373][SelectStatement] = 272;
   _jumpMap[373][CasePrepare] = 94;
   _jumpMap[373][CaseClause] = 93;
   _jumpMap[373][Factor] = 92;
   _jumpMap[373][Term] = 91;
   _jumpMap[373][Expr] = 513;
   _actionMap[374][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[374][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[374][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[374][KSEP] = ActionEntry(REDUCE, 304);
   _actionMap[374][RB] = ActionEntry(REDUCE, 304);
   _actionMap[375][RB] = ActionEntry(SHIFT, 516);
   _actionMap[375][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[376][WHEN] = ActionEntry(REDUCE, 302);
   _actionMap[376][ELSE] = ActionEntry(REDUCE, 302);
   _actionMap[376][LEFT] = ActionEntry(REDUCE, 302);
   _actionMap[376][RIGHT] = ActionEntry(REDUCE, 302);
   _actionMap[376][INNER] = ActionEntry(REDUCE, 302);
   _actionMap[376][JOIN] = ActionEntry(REDUCE, 302);
   _actionMap[376][RETURNTOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[376][ORDER] = ActionEntry(REDUCE, 302);
   _actionMap[376][GROUP] = ActionEntry(REDUCE, 302);
   _actionMap[376][WHERE] = ActionEntry(REDUCE, 302);
   _actionMap[376][FROM] = ActionEntry(REDUCE, 302);
   _actionMap[376][AS] = ActionEntry(REDUCE, 302);
   _actionMap[376][END_TOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[376][BEGIN] = ActionEntry(REDUCE, 302);
   _actionMap[376][THEN] = ActionEntry(REDUCE, 302);
   _actionMap[376][OR] = ActionEntry(REDUCE, 302);
   _actionMap[376][AND] = ActionEntry(REDUCE, 302);
}
void Cego::loadParser144()
{
   _actionMap[376][INTOK] = ActionEntry(REDUCE, 302);
   _actionMap[376][NOT] = ActionEntry(REDUCE, 302);
   _actionMap[376][BETWEEN] = ActionEntry(REDUCE, 302);
   _actionMap[376][IS] = ActionEntry(REDUCE, 302);
   _actionMap[376][LIKE] = ActionEntry(REDUCE, 302);
   _actionMap[376][MT] = ActionEntry(REDUCE, 302);
   _actionMap[376][LT] = ActionEntry(REDUCE, 302);
   _actionMap[376][NEGATION] = ActionEntry(REDUCE, 302);
   _actionMap[376][EQU] = ActionEntry(REDUCE, 302);
   _actionMap[376][RB] = ActionEntry(REDUCE, 302);
   _actionMap[376][ENDTOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[376][UNION] = ActionEntry(REDUCE, 302);
   _actionMap[376][ROWLIMIT] = ActionEntry(REDUCE, 302);
   _actionMap[376][KSEP] = ActionEntry(REDUCE, 302);
   _actionMap[376][ASC] = ActionEntry(REDUCE, 302);
   _actionMap[376][DESC] = ActionEntry(REDUCE, 302);
   _actionMap[376][SEMICOLON] = ActionEntry(REDUCE, 302);
   _actionMap[376][PLUS] = ActionEntry(REDUCE, 302);
   _actionMap[376][MINUS] = ActionEntry(REDUCE, 302);
   _actionMap[376][DIVISION] = ActionEntry(REDUCE, 302);
   _actionMap[376][STAR] = ActionEntry(REDUCE, 302);
   _actionMap[376][CONCAT] = ActionEntry(REDUCE, 302);
   _actionMap[377][RB] = ActionEntry(SHIFT, 517);
   _actionMap[377][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[377][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[377][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[378][RB] = ActionEntry(SHIFT, 518);
   _actionMap[378][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[379][RB] = ActionEntry(SHIFT, 519);
   _actionMap[379][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[380][RB] = ActionEntry(SHIFT, 520);
   _actionMap[380][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[381][RB] = ActionEntry(SHIFT, 521);
   _actionMap[381][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[382][RB] = ActionEntry(SHIFT, 522);
   _actionMap[382][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[382][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[382][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[383][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[383][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[383][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[383][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[383][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[383][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[383][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[383][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[383][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[383][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[383][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[383][UPPER] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser145()
{
   _actionMap[383][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[383][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[383][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[383][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[383][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[383][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[383][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[383][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[383][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[383][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[383][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[383][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[383][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[383][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[383][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[383][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[383][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[383][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[383][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[383][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[383][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[383][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[383][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[383][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[383][LB] = ActionEntry(SHIFT, 144);
   _actionMap[383][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[383][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[383][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[383][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[383][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[383][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[383][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[383][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[383][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[383][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[383][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[383][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[383][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[383][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[383][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[383][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[383][ObjSpec] = 100;
   _jumpMap[383][Constant] = 99;
   _jumpMap[383][SignedFloat] = 98;
   _jumpMap[383][SignedInt] = 97;
   _jumpMap[383][Attribute] = 96;
   _jumpMap[383][Function] = 95;
   _jumpMap[383][CasePrepare] = 94;
   _jumpMap[383][CaseClause] = 93;
   _jumpMap[383][Factor] = 92;
}
void Cego::loadParser146()
{
   _jumpMap[383][Term] = 91;
   _jumpMap[383][Expr] = 382;
   _actionMap[384][RB] = ActionEntry(SHIFT, 523);
   _actionMap[385][KSEP] = ActionEntry(SHIFT, 524);
   _actionMap[386][KSEP] = ActionEntry(REDUCE, 364);
   _actionMap[387][RB] = ActionEntry(SHIFT, 525);
   _actionMap[387][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[388][RB] = ActionEntry(SHIFT, 526);
   _actionMap[388][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[389][RB] = ActionEntry(SHIFT, 527);
   _actionMap[389][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[390][LB] = ActionEntry(SHIFT, 528);
   _actionMap[391][RB] = ActionEntry(SHIFT, 529);
   _actionMap[391][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[392][RB] = ActionEntry(SHIFT, 530);
   _actionMap[392][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[393][RB] = ActionEntry(SHIFT, 531);
   _actionMap[393][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[394][RB] = ActionEntry(SHIFT, 532);
   _actionMap[394][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[395][RB] = ActionEntry(SHIFT, 533);
   _actionMap[395][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[396][RB] = ActionEntry(SHIFT, 534);
   _actionMap[396][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[397][RB] = ActionEntry(SHIFT, 535);
   _actionMap[397][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[397][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[397][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[398][RB] = ActionEntry(SHIFT, 536);
   _actionMap[398][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[398][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[398][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[399][RB] = ActionEntry(SHIFT, 537);
   _actionMap[399][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[400][RB] = ActionEntry(SHIFT, 538);
   _actionMap[401][RB] = ActionEntry(SHIFT, 539);
   _actionMap[401][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[402][RB] = ActionEntry(SHIFT, 540);
   _actionMap[402][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[403][RB] = ActionEntry(SHIFT, 541);
   _actionMap[403][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[404][RB] = ActionEntry(SHIFT, 542);
   _actionMap[404][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[405][RB] = ActionEntry(SHIFT, 543);
   _actionMap[405][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[406][RB] = ActionEntry(SHIFT, 544);
   _actionMap[406][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[407][RB] = ActionEntry(SHIFT, 545);
   _actionMap[407][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[408][KSEP] = ActionEntry(SHIFT, 546);
}
void Cego::loadParser147()
{
   _actionMap[409][RB] = ActionEntry(SHIFT, 547);
   _actionMap[409][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[410][RB] = ActionEntry(SHIFT, 548);
   _actionMap[410][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[410][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[410][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[411][RB] = ActionEntry(SHIFT, 549);
   _actionMap[411][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[412][RB] = ActionEntry(SHIFT, 550);
   _actionMap[412][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[413][RB] = ActionEntry(SHIFT, 551);
   _actionMap[413][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[414][RB] = ActionEntry(SHIFT, 552);
   _actionMap[414][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[415][RB] = ActionEntry(SHIFT, 553);
   _actionMap[415][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[416][RB] = ActionEntry(SHIFT, 554);
   _actionMap[416][KSEP] = ActionEntry(SHIFT, 515);
   _actionMap[417][WHEN] = ActionEntry(REDUCE, 151);
   _actionMap[417][ELSE] = ActionEntry(REDUCE, 151);
   _actionMap[417][LEFT] = ActionEntry(REDUCE, 151);
   _actionMap[417][RIGHT] = ActionEntry(REDUCE, 151);
   _actionMap[417][INNER] = ActionEntry(REDUCE, 151);
   _actionMap[417][JOIN] = ActionEntry(REDUCE, 151);
   _actionMap[417][RETURNTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[417][ORDER] = ActionEntry(REDUCE, 151);
   _actionMap[417][GROUP] = ActionEntry(REDUCE, 151);
   _actionMap[417][WHERE] = ActionEntry(REDUCE, 151);
   _actionMap[417][AS] = ActionEntry(REDUCE, 151);
   _actionMap[417][FROM] = ActionEntry(REDUCE, 151);
   _actionMap[417][END_TOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[417][BEGIN] = ActionEntry(REDUCE, 151);
   _actionMap[417][THEN] = ActionEntry(REDUCE, 151);
   _actionMap[417][OR] = ActionEntry(REDUCE, 151);
   _actionMap[417][AND] = ActionEntry(REDUCE, 151);
   _actionMap[417][DESC] = ActionEntry(REDUCE, 151);
   _actionMap[417][ASC] = ActionEntry(REDUCE, 151);
   _actionMap[417][KSEP] = ActionEntry(REDUCE, 151);
   _actionMap[417][ROWLIMIT] = ActionEntry(REDUCE, 151);
   _actionMap[417][UNION] = ActionEntry(REDUCE, 151);
   _actionMap[417][ENDTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[417][SEMICOLON] = ActionEntry(REDUCE, 151);
   _actionMap[417][LIKE] = ActionEntry(REDUCE, 151);
   _actionMap[417][BETWEEN] = ActionEntry(REDUCE, 151);
   _actionMap[417][NOT] = ActionEntry(REDUCE, 151);
   _actionMap[417][INTOK] = ActionEntry(REDUCE, 151);
   _actionMap[417][RB] = ActionEntry(REDUCE, 151);
   _actionMap[417][STAR] = ActionEntry(REDUCE, 151);
   _actionMap[417][DIVISION] = ActionEntry(REDUCE, 151);
   _actionMap[417][CONCAT] = ActionEntry(REDUCE, 151);
}
void Cego::loadParser148()
{
   _actionMap[417][MINUS] = ActionEntry(REDUCE, 151);
   _actionMap[417][PLUS] = ActionEntry(REDUCE, 151);
   _actionMap[417][IS] = ActionEntry(REDUCE, 151);
   _actionMap[417][EQU] = ActionEntry(REDUCE, 151);
   _actionMap[417][NEGATION] = ActionEntry(REDUCE, 151);
   _actionMap[417][LT] = ActionEntry(REDUCE, 151);
   _actionMap[417][MT] = ActionEntry(REDUCE, 151);
   _actionMap[418][WHEN] = ActionEntry(REDUCE, 152);
   _actionMap[418][ELSE] = ActionEntry(REDUCE, 152);
   _actionMap[418][LEFT] = ActionEntry(REDUCE, 152);
   _actionMap[418][RIGHT] = ActionEntry(REDUCE, 152);
   _actionMap[418][INNER] = ActionEntry(REDUCE, 152);
   _actionMap[418][JOIN] = ActionEntry(REDUCE, 152);
   _actionMap[418][RETURNTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[418][ORDER] = ActionEntry(REDUCE, 152);
   _actionMap[418][GROUP] = ActionEntry(REDUCE, 152);
   _actionMap[418][WHERE] = ActionEntry(REDUCE, 152);
   _actionMap[418][AS] = ActionEntry(REDUCE, 152);
   _actionMap[418][FROM] = ActionEntry(REDUCE, 152);
   _actionMap[418][END_TOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[418][BEGIN] = ActionEntry(REDUCE, 152);
   _actionMap[418][THEN] = ActionEntry(REDUCE, 152);
   _actionMap[418][OR] = ActionEntry(REDUCE, 152);
   _actionMap[418][AND] = ActionEntry(REDUCE, 152);
   _actionMap[418][DESC] = ActionEntry(REDUCE, 152);
   _actionMap[418][ASC] = ActionEntry(REDUCE, 152);
   _actionMap[418][KSEP] = ActionEntry(REDUCE, 152);
   _actionMap[418][ROWLIMIT] = ActionEntry(REDUCE, 152);
   _actionMap[418][UNION] = ActionEntry(REDUCE, 152);
   _actionMap[418][ENDTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[418][SEMICOLON] = ActionEntry(REDUCE, 152);
   _actionMap[418][LIKE] = ActionEntry(REDUCE, 152);
   _actionMap[418][BETWEEN] = ActionEntry(REDUCE, 152);
   _actionMap[418][NOT] = ActionEntry(REDUCE, 152);
   _actionMap[418][INTOK] = ActionEntry(REDUCE, 152);
   _actionMap[418][RB] = ActionEntry(REDUCE, 152);
   _actionMap[418][STAR] = ActionEntry(REDUCE, 152);
   _actionMap[418][DIVISION] = ActionEntry(REDUCE, 152);
   _actionMap[418][CONCAT] = ActionEntry(REDUCE, 152);
   _actionMap[418][MINUS] = ActionEntry(REDUCE, 152);
   _actionMap[418][PLUS] = ActionEntry(REDUCE, 152);
   _actionMap[418][IS] = ActionEntry(REDUCE, 152);
   _actionMap[418][EQU] = ActionEntry(REDUCE, 152);
   _actionMap[418][NEGATION] = ActionEntry(REDUCE, 152);
   _actionMap[418][LT] = ActionEntry(REDUCE, 152);
   _actionMap[418][MT] = ActionEntry(REDUCE, 152);
   _actionMap[419][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[419][MINUS] = ActionEntry(SHIFT, 556);
   _jumpMap[419][SignedInt] = 555;
   _actionMap[420][FLOATVAL] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser149()
{
   _actionMap[420][MINUS] = ActionEntry(SHIFT, 558);
   _jumpMap[420][SignedFloat] = 557;
   _actionMap[421][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[421][MINUS] = ActionEntry(SHIFT, 558);
   _jumpMap[421][SignedFloat] = 559;
   _actionMap[422][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[422][MINUS] = ActionEntry(SHIFT, 558);
   _jumpMap[422][SignedFloat] = 560;
   _actionMap[423][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[423][MINUS] = ActionEntry(SHIFT, 556);
   _jumpMap[423][SignedInt] = 561;
   _actionMap[424][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[424][MINUS] = ActionEntry(SHIFT, 556);
   _jumpMap[424][SignedInt] = 562;
   _actionMap[425][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[425][MINUS] = ActionEntry(SHIFT, 556);
   _jumpMap[425][SignedInt] = 563;
   _actionMap[426][INTVAL] = ActionEntry(SHIFT, 564);
   _actionMap[427][IDENTIFIER] = ActionEntry(SHIFT, 565);
   _actionMap[428][IDENTIFIER] = ActionEntry(SHIFT, 566);
   _actionMap[429][IDENTIFIER] = ActionEntry(SHIFT, 567);
   _actionMap[430][IDENTIFIER] = ActionEntry(SHIFT, 568);
   _actionMap[431][IDENTIFIER] = ActionEntry(SHIFT, 569);
   _actionMap[432][IDENTIFIER] = ActionEntry(SHIFT, 570);
   _actionMap[433][SEMICOLON] = ActionEntry(REDUCE, 307);
   _actionMap[433][RB] = ActionEntry(REDUCE, 307);
   _actionMap[433][ENDTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[433][UNION] = ActionEntry(REDUCE, 307);
   _actionMap[433][ROWLIMIT] = ActionEntry(REDUCE, 307);
   _actionMap[433][ORDER] = ActionEntry(REDUCE, 307);
   _actionMap[433][GROUP] = ActionEntry(REDUCE, 307);
   _actionMap[433][WHERE] = ActionEntry(SHIFT, 352);
   _jumpMap[433][NoWhere] = 351;
   _jumpMap[433][WhereClause] = 571;
   _actionMap[434][WHERE] = ActionEntry(REDUCE, 208);
   _actionMap[434][GROUP] = ActionEntry(REDUCE, 208);
   _actionMap[434][ORDER] = ActionEntry(REDUCE, 208);
   _actionMap[434][ROWLIMIT] = ActionEntry(REDUCE, 208);
   _actionMap[434][UNION] = ActionEntry(REDUCE, 208);
   _actionMap[434][ENDTOKEN] = ActionEntry(REDUCE, 208);
   _actionMap[434][RB] = ActionEntry(REDUCE, 208);
   _actionMap[434][SEMICOLON] = ActionEntry(REDUCE, 208);
   _actionMap[434][RETURNTOKEN] = ActionEntry(REDUCE, 208);
   _actionMap[434][INNER] = ActionEntry(SHIFT, 574);
   _actionMap[434][JOIN] = ActionEntry(SHIFT, 575);
   _actionMap[434][LEFT] = ActionEntry(SHIFT, 576);
   _actionMap[434][RIGHT] = ActionEntry(SHIFT, 577);
   _jumpMap[434][InnerJoin] = 573;
   _jumpMap[434][JoinSpec] = 572;
   _actionMap[435][WHERE] = ActionEntry(REDUCE, 207);
}
void Cego::loadParser150()
{
   _actionMap[435][GROUP] = ActionEntry(REDUCE, 207);
   _actionMap[435][ORDER] = ActionEntry(REDUCE, 207);
   _actionMap[435][ROWLIMIT] = ActionEntry(REDUCE, 207);
   _actionMap[435][UNION] = ActionEntry(REDUCE, 207);
   _actionMap[435][ENDTOKEN] = ActionEntry(REDUCE, 207);
   _actionMap[435][RB] = ActionEntry(REDUCE, 207);
   _actionMap[435][SEMICOLON] = ActionEntry(REDUCE, 207);
   _actionMap[435][RETURNTOKEN] = ActionEntry(REDUCE, 207);
   _actionMap[436][KSEP] = ActionEntry(SHIFT, 579);
   _actionMap[436][RETURNTOKEN] = ActionEntry(REDUCE, 217);
   _actionMap[436][SEMICOLON] = ActionEntry(REDUCE, 217);
   _actionMap[436][RB] = ActionEntry(REDUCE, 217);
   _actionMap[436][ENDTOKEN] = ActionEntry(REDUCE, 217);
   _actionMap[436][UNION] = ActionEntry(REDUCE, 217);
   _actionMap[436][ROWLIMIT] = ActionEntry(REDUCE, 217);
   _actionMap[436][ORDER] = ActionEntry(REDUCE, 217);
   _actionMap[436][GROUP] = ActionEntry(REDUCE, 217);
   _actionMap[436][WHERE] = ActionEntry(REDUCE, 217);
   _actionMap[436][INNER] = ActionEntry(SHIFT, 574);
   _actionMap[436][JOIN] = ActionEntry(SHIFT, 575);
   _actionMap[436][LEFT] = ActionEntry(SHIFT, 576);
   _actionMap[436][RIGHT] = ActionEntry(SHIFT, 577);
   _jumpMap[436][InnerJoin] = 573;
   _jumpMap[436][JoinSpec] = 578;
   _actionMap[437][WHERE] = ActionEntry(REDUCE, 218);
   _actionMap[437][IDENTIFIER] = ActionEntry(SHIFT, 580);
   _actionMap[437][GROUP] = ActionEntry(REDUCE, 218);
   _actionMap[437][ORDER] = ActionEntry(REDUCE, 218);
   _actionMap[437][ROWLIMIT] = ActionEntry(REDUCE, 218);
   _actionMap[437][UNION] = ActionEntry(REDUCE, 218);
   _actionMap[437][ENDTOKEN] = ActionEntry(REDUCE, 218);
   _actionMap[437][RB] = ActionEntry(REDUCE, 218);
   _actionMap[437][SEMICOLON] = ActionEntry(REDUCE, 218);
   _actionMap[437][RETURNTOKEN] = ActionEntry(REDUCE, 218);
   _actionMap[437][LEFT] = ActionEntry(REDUCE, 218);
   _actionMap[437][RIGHT] = ActionEntry(REDUCE, 218);
   _actionMap[437][INNER] = ActionEntry(REDUCE, 218);
   _actionMap[437][JOIN] = ActionEntry(REDUCE, 218);
   _actionMap[437][KSEP] = ActionEntry(REDUCE, 218);
   _actionMap[437][ON] = ActionEntry(REDUCE, 218);
   _actionMap[438][FROM] = ActionEntry(REDUCE, 206);
   _actionMap[438][KSEP] = ActionEntry(REDUCE, 206);
   _actionMap[439][FROM] = ActionEntry(REDUCE, 222);
   _actionMap[439][KSEP] = ActionEntry(REDUCE, 222);
   _actionMap[440][IDENTIFIER] = ActionEntry(SHIFT, 581);
   _actionMap[441][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[441][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[441][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[441][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[441][RTRIM] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser151()
{
   _actionMap[441][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[441][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[441][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[441][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[441][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[441][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[441][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[441][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[441][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[441][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[441][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[441][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[441][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[441][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[441][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[441][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[441][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[441][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[441][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[441][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[441][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[441][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[441][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[441][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[441][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[441][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[441][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[441][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[441][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[441][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[441][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[441][LB] = ActionEntry(SHIFT, 144);
   _actionMap[441][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[441][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[441][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[441][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[441][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[441][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[441][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[441][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[441][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[441][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[441][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[441][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[441][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[441][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[441][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[441][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[441][ObjSpec] = 100;
   _jumpMap[441][Constant] = 99;
}
void Cego::loadParser152()
{
   _jumpMap[441][SignedFloat] = 98;
   _jumpMap[441][SignedInt] = 97;
   _jumpMap[441][Attribute] = 96;
   _jumpMap[441][Function] = 95;
   _jumpMap[441][SelectItem] = 582;
   _jumpMap[441][CasePrepare] = 94;
   _jumpMap[441][CaseClause] = 93;
   _jumpMap[441][Factor] = 92;
   _jumpMap[441][Term] = 91;
   _jumpMap[441][Expr] = 293;
   _actionMap[442][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[442][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[442][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[442][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[442][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[442][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[442][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[442][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[442][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[442][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[442][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[442][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[442][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[442][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[442][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[442][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[442][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[442][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[442][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[442][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[442][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[442][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[442][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[442][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[442][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[442][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[442][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[442][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[442][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[442][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[442][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[442][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[442][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[442][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[442][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[442][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[442][LB] = ActionEntry(SHIFT, 144);
   _actionMap[442][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[442][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[442][SYSDATE] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser153()
{
   _actionMap[442][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[442][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[442][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[442][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[442][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[442][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[442][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[442][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[442][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[442][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[442][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[442][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[442][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[442][ObjSpec] = 100;
   _jumpMap[442][Constant] = 99;
   _jumpMap[442][SignedFloat] = 98;
   _jumpMap[442][SignedInt] = 97;
   _jumpMap[442][Attribute] = 96;
   _jumpMap[442][Function] = 95;
   _jumpMap[442][CasePrepare] = 94;
   _jumpMap[442][CaseClause] = 93;
   _jumpMap[442][Factor] = 92;
   _jumpMap[442][Term] = 91;
   _jumpMap[442][Expr] = 583;
   _actionMap[443][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[443][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[443][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[443][SEMICOLON] = ActionEntry(REDUCE, 68);
   _actionMap[444][KSEP] = ActionEntry(SHIFT, 585);
   _actionMap[444][SEMICOLON] = ActionEntry(REDUCE, 307);
   _actionMap[444][RETURNTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[444][WHERE] = ActionEntry(SHIFT, 352);
   _jumpMap[444][NoWhere] = 351;
   _jumpMap[444][WhereClause] = 584;
   _actionMap[445][KSEP] = ActionEntry(REDUCE, 248);
   _actionMap[445][WHERE] = ActionEntry(REDUCE, 248);
   _actionMap[445][GROUP] = ActionEntry(REDUCE, 248);
   _actionMap[445][ORDER] = ActionEntry(REDUCE, 248);
   _actionMap[445][ROWLIMIT] = ActionEntry(REDUCE, 248);
   _actionMap[445][UNION] = ActionEntry(REDUCE, 248);
   _actionMap[445][ENDTOKEN] = ActionEntry(REDUCE, 248);
   _actionMap[445][RB] = ActionEntry(REDUCE, 248);
   _actionMap[445][SEMICOLON] = ActionEntry(REDUCE, 248);
   _actionMap[445][RETURNTOKEN] = ActionEntry(REDUCE, 248);
   _actionMap[446][EQU] = ActionEntry(SHIFT, 586);
   _actionMap[447][LB] = ActionEntry(SHIFT, 587);
   _actionMap[180][SEMICOLON] = ActionEntry(REDUCE, 63);
   _actionMap[181][SEMICOLON] = ActionEntry(REDUCE, 62);
   _actionMap[182][SEMICOLON] = ActionEntry(REDUCE, 72);
   _actionMap[183][TO] = ActionEntry(REDUCE, 74);
}
void Cego::loadParser154()
{
   _actionMap[183][SEMICOLON] = ActionEntry(REDUCE, 74);
   _actionMap[184][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[184][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[184][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[184][ObjSpec] = 311;
   _actionMap[185][SEMICOLON] = ActionEntry(REDUCE, 58);
   _actionMap[186][SEMICOLON] = ActionEntry(REDUCE, 60);
   _actionMap[187][SEMICOLON] = ActionEntry(REDUCE, 57);
   _actionMap[188][SEMICOLON] = ActionEntry(REDUCE, 59);
   _actionMap[189][ADD] = ActionEntry(SHIFT, 314);
   _actionMap[189][DROP] = ActionEntry(SHIFT, 315);
   _actionMap[189][MODIFY] = ActionEntry(SHIFT, 316);
   _actionMap[189][RENAME] = ActionEntry(SHIFT, 317);
   _jumpMap[189][AlterOption] = 313;
   _jumpMap[189][AlterList] = 312;
   _actionMap[190][BY] = ActionEntry(SHIFT, 318);
   _actionMap[191][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[191][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[191][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[191][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[191][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[191][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[191][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[191][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[191][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[191][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[191][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[191][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[191][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[191][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[191][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[191][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[191][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[191][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[191][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[191][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[191][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[191][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[191][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[191][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[191][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[191][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[191][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[191][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[191][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[191][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[191][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[191][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[191][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[191][IDENTIFIER] = ActionEntry(SHIFT, 149);
}
void Cego::loadParser155()
{
   _actionMap[191][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[191][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[191][LB] = ActionEntry(SHIFT, 144);
   _actionMap[191][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[191][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[191][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[191][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[191][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[191][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[191][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[191][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[191][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[191][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[191][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[191][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[191][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[191][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[191][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[191][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[191][RB] = ActionEntry(REDUCE, 116);
   _jumpMap[191][ObjSpec] = 100;
   _jumpMap[191][Constant] = 99;
   _jumpMap[191][SignedFloat] = 98;
   _jumpMap[191][SignedInt] = 97;
   _jumpMap[191][Attribute] = 96;
   _jumpMap[191][Function] = 95;
   _jumpMap[191][CasePrepare] = 94;
   _jumpMap[191][CaseClause] = 93;
   _jumpMap[191][Factor] = 92;
   _jumpMap[191][Term] = 91;
   _jumpMap[191][Expr] = 321;
   _jumpMap[191][ProcValueList] = 320;
   _jumpMap[191][ProcValueListOpt] = 319;
   _actionMap[192][SEMICOLON] = ActionEntry(REDUCE, 70);
   _actionMap[193][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[193][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[193][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[193][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[193][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[193][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[193][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[193][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[193][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[193][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[193][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[193][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[193][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[193][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[193][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[193][SUBSTR] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser156()
{
   _actionMap[193][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[193][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[193][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[193][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[193][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[193][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[193][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[193][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[193][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[193][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[193][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[193][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[193][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[193][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[193][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[193][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[193][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[193][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[193][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[193][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[193][LB] = ActionEntry(SHIFT, 144);
   _actionMap[193][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[193][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[193][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[193][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[193][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[193][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[193][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[193][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[193][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[193][VARREF] = ActionEntry(SHIFT, 343);
   _actionMap[193][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[193][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[193][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[193][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[193][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[193][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[193][IF] = ActionEntry(SHIFT, 338);
   _actionMap[193][BEGIN] = ActionEntry(SHIFT, 335);
   _actionMap[193][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[193][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[193][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[193][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[193][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[193][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[193][VAR] = ActionEntry(SHIFT, 341);
   _actionMap[193][CURSOR] = ActionEntry(SHIFT, 337);
   _actionMap[193][CLOSE] = ActionEntry(SHIFT, 336);
   _actionMap[193][NOOP] = ActionEntry(SHIFT, 339);
   _actionMap[193][RETURNTOKEN] = ActionEntry(SHIFT, 340);
}
void Cego::loadParser157()
{
   _actionMap[193][WHILE] = ActionEntry(SHIFT, 342);
   _jumpMap[193][ObjSpec] = 100;
   _jumpMap[193][Constant] = 99;
   _jumpMap[193][SignedFloat] = 98;
   _jumpMap[193][SignedInt] = 97;
   _jumpMap[193][Attribute] = 96;
   _jumpMap[193][Function] = 95;
   _jumpMap[193][DeleteStatement] = 334;
   _jumpMap[193][UpdateStatement] = 333;
   _jumpMap[193][InsertStatement] = 332;
   _jumpMap[193][RollbackStatement] = 331;
   _jumpMap[193][CommitStatement] = 330;
   _jumpMap[193][StartStatement] = 329;
   _jumpMap[193][CasePrepare] = 94;
   _jumpMap[193][CaseClause] = 93;
   _jumpMap[193][Factor] = 92;
   _jumpMap[193][Term] = 91;
   _jumpMap[193][Expr] = 328;
   _jumpMap[193][ProcStatement] = 327;
   _jumpMap[193][ProcIfPart] = 326;
   _jumpMap[193][ProcBlockStart] = 325;
   _jumpMap[193][ProcStatementList] = 324;
   _jumpMap[193][ProcStmtBlock] = 323;
   _actionMap[194][IDENTIFIER] = ActionEntry(SHIFT, 344);
   _actionMap[195][ON] = ActionEntry(REDUCE, 185);
   _actionMap[195][IDENTIFIER] = ActionEntry(REDUCE, 185);
   _actionMap[196][ON] = ActionEntry(REDUCE, 184);
   _actionMap[196][IDENTIFIER] = ActionEntry(REDUCE, 184);
   _actionMap[197][SEMICOLON] = ActionEntry(REDUCE, 71);
   _actionMap[198][ON] = ActionEntry(SHIFT, 345);
   _actionMap[199][LB] = ActionEntry(SHIFT, 346);
   _actionMap[200][LB] = ActionEntry(SHIFT, 347);
   _actionMap[201][AS] = ActionEntry(SHIFT, 348);
   _actionMap[202][IDENTIFIER] = ActionEntry(SHIFT, 309);
   _actionMap[202][WHERE] = ActionEntry(REDUCE, 257);
   _actionMap[202][GROUP] = ActionEntry(REDUCE, 257);
   _actionMap[202][ORDER] = ActionEntry(REDUCE, 257);
   _actionMap[202][ROWLIMIT] = ActionEntry(REDUCE, 257);
   _actionMap[202][UNION] = ActionEntry(REDUCE, 257);
   _actionMap[202][ENDTOKEN] = ActionEntry(REDUCE, 257);
   _actionMap[202][RB] = ActionEntry(REDUCE, 257);
   _actionMap[202][SEMICOLON] = ActionEntry(REDUCE, 257);
   _actionMap[202][RETURNTOKEN] = ActionEntry(REDUCE, 257);
   _jumpMap[202][NoWhere] = 351;
   _jumpMap[202][WhereClause] = 350;
   _jumpMap[202][UpdDelAlias] = 349;
   _actionMap[203][SEMICOLON] = ActionEntry(REDUCE, 21);
   _actionMap[204][SEMICOLON] = ActionEntry(REDUCE, 24);
   _actionMap[205][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[205][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
}
void Cego::loadParser158()
{
   _actionMap[205][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[205][ObjSpec] = 353;
   _actionMap[206][SEMICOLON] = ActionEntry(REDUCE, 20);
   _actionMap[207][SEMICOLON] = ActionEntry(REDUCE, 25);
   _actionMap[208][SEMICOLON] = ActionEntry(REDUCE, 19);
   _actionMap[209][SEMICOLON] = ActionEntry(REDUCE, 22);
   _actionMap[210][COUNTER] = ActionEntry(REDUCE, 65);
   _actionMap[210][BTREE] = ActionEntry(REDUCE, 65);
   _actionMap[210][CHECK] = ActionEntry(REDUCE, 65);
   _actionMap[210][FOREIGN] = ActionEntry(REDUCE, 65);
   _actionMap[210][PROCEDURE] = ActionEntry(REDUCE, 65);
   _actionMap[210][VIEW] = ActionEntry(REDUCE, 65);
   _actionMap[210][INDEX] = ActionEntry(REDUCE, 65);
   _actionMap[210][TABLE] = ActionEntry(REDUCE, 65);
   _actionMap[211][LB] = ActionEntry(SHIFT, 358);
   _actionMap[211][VALUES] = ActionEntry(REDUCE, 192);
   _actionMap[211][SELECT] = ActionEntry(REDUCE, 192);
   _jumpMap[211][SelectStatement] = 356;
   _jumpMap[211][InsertPrepare] = 355;
   _jumpMap[211][InsertArgSpec] = 354;
   _actionMap[212][SEMICOLON] = ActionEntry(REDUCE, 76);
   _actionMap[212][IDENTIFIER] = ActionEntry(REDUCE, 76);
   _actionMap[213][SEMICOLON] = ActionEntry(REDUCE, 7);
   _actionMap[214][IDENTIFIER] = ActionEntry(SHIFT, 359);
   _actionMap[215][SEMICOLON] = ActionEntry(REDUCE, 12);
   _actionMap[216][SEMICOLON] = ActionEntry(REDUCE, 9);
   _actionMap[217][SEMICOLON] = ActionEntry(REDUCE, 6);
   _actionMap[218][SEMICOLON] = ActionEntry(REDUCE, 8);
   _actionMap[219][SEMICOLON] = ActionEntry(REDUCE, 4);
   _actionMap[220][SEMICOLON] = ActionEntry(REDUCE, 10);
   _actionMap[221][SEMICOLON] = ActionEntry(REDUCE, 3);
   _actionMap[222][SEMICOLON] = ActionEntry(REDUCE, 11);
   _actionMap[223][SEMICOLON] = ActionEntry(REDUCE, 5);
   _actionMap[224][AS] = ActionEntry(SHIFT, 360);
   _actionMap[225][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[225][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[225][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[225][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[225][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[225][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[225][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[225][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[225][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[225][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[225][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[225][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[225][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[225][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[225][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[225][UPPER] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser159()
{
   _actionMap[225][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[225][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[225][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[225][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[225][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[225][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[225][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[225][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[225][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[225][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[225][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[225][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[225][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[225][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[225][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[225][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[225][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[225][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[225][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[225][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[225][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[225][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[225][LB] = ActionEntry(SHIFT, 144);
   _actionMap[225][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[225][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[225][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[225][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[225][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[225][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[225][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[225][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[225][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[225][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[225][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[225][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[225][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[225][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[225][ObjSpec] = 100;
   _jumpMap[225][Constant] = 99;
   _jumpMap[225][SignedFloat] = 98;
   _jumpMap[225][SignedInt] = 97;
   _jumpMap[225][Attribute] = 96;
   _jumpMap[225][Function] = 95;
   _jumpMap[225][CasePrepare] = 94;
   _jumpMap[225][CaseClause] = 93;
   _jumpMap[225][Factor] = 92;
   _jumpMap[225][Term] = 361;
   _actionMap[226][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[226][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[226][INTVAL] = ActionEntry(SHIFT, 147);
}
void Cego::loadParser160()
{
   _actionMap[226][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[226][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[226][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[226][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[226][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[226][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[226][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[226][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[226][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[226][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[226][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[226][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[226][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[226][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[226][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[226][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[226][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[226][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[226][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[226][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[226][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[226][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[226][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[226][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[226][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[226][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[226][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[226][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[226][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[226][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[226][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[226][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[226][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[226][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[226][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[226][LB] = ActionEntry(SHIFT, 144);
   _actionMap[226][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[226][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[226][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[226][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[226][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[226][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[226][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[226][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[226][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[226][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[226][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[226][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[226][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[226][MAX] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser161()
{
   _jumpMap[226][ObjSpec] = 100;
   _jumpMap[226][Constant] = 99;
   _jumpMap[226][SignedFloat] = 98;
   _jumpMap[226][SignedInt] = 97;
   _jumpMap[226][Attribute] = 96;
   _jumpMap[226][Function] = 95;
   _jumpMap[226][CasePrepare] = 94;
   _jumpMap[226][CaseClause] = 93;
   _jumpMap[226][Factor] = 92;
   _jumpMap[226][Term] = 362;
   _actionMap[227][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[227][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[227][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[227][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[227][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[227][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[227][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[227][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[227][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[227][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[227][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[227][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[227][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[227][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[227][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[227][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[227][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[227][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[227][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[227][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[227][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[227][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[227][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[227][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[227][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[227][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[227][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[227][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[227][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[227][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[227][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[227][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[227][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[227][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[227][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[227][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[227][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[227][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[227][LB] = ActionEntry(SHIFT, 144);
   _actionMap[227][STRINGVAL] = ActionEntry(SHIFT, 101);
}
void Cego::loadParser162()
{
   _actionMap[227][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[227][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[227][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[227][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[227][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[227][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[227][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[227][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[227][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[227][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[227][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[227][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[227][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[227][ObjSpec] = 100;
   _jumpMap[227][Constant] = 99;
   _jumpMap[227][SignedFloat] = 98;
   _jumpMap[227][SignedInt] = 97;
   _jumpMap[227][Attribute] = 96;
   _jumpMap[227][Function] = 95;
   _jumpMap[227][CasePrepare] = 94;
   _jumpMap[227][CaseClause] = 93;
   _jumpMap[227][Factor] = 92;
   _jumpMap[227][Term] = 363;
   _actionMap[228][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[228][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[228][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[228][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[228][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[228][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[228][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[228][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[228][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[228][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[228][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[228][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[228][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[228][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[228][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[228][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[228][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[228][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[228][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[228][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[228][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[228][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[228][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[228][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[228][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[228][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[228][RANDSTR] = ActionEntry(SHIFT, 127);
}
void Cego::loadParser163()
{
   _actionMap[228][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[228][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[228][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[228][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[228][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[228][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[228][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[228][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[228][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[228][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[228][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[228][LB] = ActionEntry(SHIFT, 144);
   _actionMap[228][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[228][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[228][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[228][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[228][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[228][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[228][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[228][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[228][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[228][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[228][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[228][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[228][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[228][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[228][ObjSpec] = 100;
   _jumpMap[228][Constant] = 99;
   _jumpMap[228][SignedFloat] = 98;
   _jumpMap[228][SignedInt] = 97;
   _jumpMap[228][Attribute] = 96;
   _jumpMap[228][Function] = 95;
   _jumpMap[228][CasePrepare] = 94;
   _jumpMap[228][CaseClause] = 93;
   _jumpMap[228][Factor] = 364;
   _actionMap[229][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[229][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[229][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[229][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[229][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[229][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[229][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[229][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[229][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[229][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[229][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[229][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[229][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[229][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[229][LOWER] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser164()
{
   _actionMap[229][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[229][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[229][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[229][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[229][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[229][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[229][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[229][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[229][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[229][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[229][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[229][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[229][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[229][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[229][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[229][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[229][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[229][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[229][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[229][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[229][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[229][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[229][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[229][LB] = ActionEntry(SHIFT, 144);
   _actionMap[229][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[229][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[229][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[229][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[229][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[229][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[229][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[229][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[229][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[229][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[229][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[229][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[229][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[229][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[229][ObjSpec] = 100;
   _jumpMap[229][Constant] = 99;
   _jumpMap[229][SignedFloat] = 98;
   _jumpMap[229][SignedInt] = 97;
   _jumpMap[229][Attribute] = 96;
   _jumpMap[229][Function] = 95;
   _jumpMap[229][CasePrepare] = 94;
   _jumpMap[229][CaseClause] = 93;
   _jumpMap[229][Factor] = 365;
   _actionMap[230][ELSE] = ActionEntry(SHIFT, 367);
   _actionMap[230][WHEN] = ActionEntry(SHIFT, 232);
   _jumpMap[230][CaseCondition] = 366;
}
void Cego::loadParser165()
{
   _actionMap[231][WHEN] = ActionEntry(REDUCE, 162);
   _actionMap[231][ELSE] = ActionEntry(REDUCE, 162);
   _actionMap[232][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[232][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[232][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[232][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[232][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[232][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[232][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[232][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[232][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[232][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[232][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[232][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[232][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[232][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[232][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[232][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[232][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[232][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[232][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[232][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[232][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[232][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[232][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[232][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[232][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[232][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[232][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[232][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[232][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[232][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[232][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[232][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[232][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[232][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[232][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[232][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[232][LB] = ActionEntry(SHIFT, 373);
   _actionMap[232][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[232][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[232][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[232][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[232][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[232][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[232][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[232][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[232][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[232][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[232][FETCH] = ActionEntry(SHIFT, 114);
}
void Cego::loadParser166()
{
   _actionMap[232][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[232][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[232][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[232][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[232][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[232][EXISTS] = ActionEntry(SHIFT, 371);
   _actionMap[232][NOT] = ActionEntry(SHIFT, 372);
   _jumpMap[232][ObjSpec] = 100;
   _jumpMap[232][Constant] = 99;
   _jumpMap[232][SignedFloat] = 98;
   _jumpMap[232][SignedInt] = 97;
   _jumpMap[232][Attribute] = 96;
   _jumpMap[232][QueryPredicate] = 370;
   _jumpMap[232][QueryCondition] = 369;
   _jumpMap[232][Function] = 95;
   _jumpMap[232][CasePrepare] = 94;
   _jumpMap[232][CaseClause] = 93;
   _jumpMap[232][Factor] = 92;
   _jumpMap[232][Term] = 91;
   _jumpMap[232][Expr] = 368;
   _actionMap[233][RB] = ActionEntry(SHIFT, 376);
   _actionMap[233][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[233][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[233][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[233][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[233][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[233][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[233][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[233][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[233][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[233][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[233][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[233][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[233][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[233][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[233][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[233][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[233][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[233][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[233][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[233][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[233][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[233][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[233][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[233][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[233][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[233][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[233][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[233][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[233][BITOR] = ActionEntry(SHIFT, 104);
}
void Cego::loadParser167()
{
   _actionMap[233][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[233][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[233][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[233][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[233][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[233][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[233][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[233][LB] = ActionEntry(SHIFT, 144);
   _actionMap[233][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[233][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[233][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[233][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[233][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[233][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[233][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[233][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[233][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[233][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[233][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[233][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[233][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[233][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[233][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[233][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[233][ObjSpec] = 100;
   _jumpMap[233][Constant] = 99;
   _jumpMap[233][SignedFloat] = 98;
   _jumpMap[233][SignedInt] = 97;
   _jumpMap[233][Attribute] = 96;
   _jumpMap[233][ExpressionList] = 375;
   _jumpMap[233][Function] = 95;
   _jumpMap[233][CasePrepare] = 94;
   _jumpMap[233][CaseClause] = 93;
   _jumpMap[233][Factor] = 92;
   _jumpMap[233][Term] = 91;
   _jumpMap[233][Expr] = 374;
   _actionMap[234][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[234][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[234][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[234][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[234][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[234][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[234][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[234][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[234][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[234][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[234][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[234][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[234][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[234][RIGHT] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser168()
{
   _actionMap[234][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[234][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[234][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[234][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[234][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[234][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[234][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[234][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[234][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[234][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[234][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[234][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[234][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[234][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[234][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[234][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[234][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[234][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[234][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[234][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[234][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[234][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[234][LB] = ActionEntry(SHIFT, 144);
   _actionMap[234][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[234][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[234][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[234][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[234][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[234][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[234][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[234][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[234][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[234][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[234][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[234][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[234][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[234][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[234][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[234][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[234][ObjSpec] = 100;
   _jumpMap[234][Constant] = 99;
   _jumpMap[234][SignedFloat] = 98;
   _jumpMap[234][SignedInt] = 97;
   _jumpMap[234][Attribute] = 96;
   _jumpMap[234][Function] = 95;
   _jumpMap[234][CasePrepare] = 94;
   _jumpMap[234][CaseClause] = 93;
   _jumpMap[234][Factor] = 92;
   _jumpMap[234][Term] = 91;
   _jumpMap[234][Expr] = 377;
}
void Cego::loadParser169()
{
   _actionMap[235][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[235][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[235][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[235][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[235][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[235][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[235][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[235][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[235][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[235][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[235][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[235][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[235][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[235][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[235][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[235][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[235][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[235][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[235][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[235][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[235][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[235][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[235][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[235][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[235][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[235][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[235][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[235][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[235][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[235][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[235][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[235][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[235][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[235][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[235][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[235][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[235][LB] = ActionEntry(SHIFT, 144);
   _actionMap[235][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[235][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[235][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[235][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[235][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[235][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[235][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[235][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[235][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[235][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[235][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[235][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[235][SUM] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser170()
{
   _actionMap[235][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[235][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[235][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[235][ObjSpec] = 100;
   _jumpMap[235][Constant] = 99;
   _jumpMap[235][SignedFloat] = 98;
   _jumpMap[235][SignedInt] = 97;
   _jumpMap[235][Attribute] = 96;
   _jumpMap[235][ExpressionList] = 378;
   _jumpMap[235][Function] = 95;
   _jumpMap[235][CasePrepare] = 94;
   _jumpMap[235][CaseClause] = 93;
   _jumpMap[235][Factor] = 92;
   _jumpMap[235][Term] = 91;
   _jumpMap[235][Expr] = 374;
   _actionMap[236][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[236][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[236][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[236][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[236][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[236][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[236][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[236][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[236][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[236][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[236][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[236][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[236][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[236][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[236][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[236][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[236][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[236][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[236][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[236][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[236][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[236][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[236][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[236][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[236][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[236][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[236][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[236][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[236][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[236][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[236][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[236][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[236][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[236][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[236][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser171()
{
   _actionMap[236][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[236][LB] = ActionEntry(SHIFT, 144);
   _actionMap[236][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[236][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[236][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[236][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[236][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[236][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[236][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[236][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[236][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[236][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[236][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[236][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[236][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[236][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[236][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[236][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[236][ObjSpec] = 100;
   _jumpMap[236][Constant] = 99;
   _jumpMap[236][SignedFloat] = 98;
   _jumpMap[236][SignedInt] = 97;
   _jumpMap[236][Attribute] = 96;
   _jumpMap[236][ExpressionList] = 379;
   _jumpMap[236][Function] = 95;
   _jumpMap[236][CasePrepare] = 94;
   _jumpMap[236][CaseClause] = 93;
   _jumpMap[236][Factor] = 92;
   _jumpMap[236][Term] = 91;
   _jumpMap[236][Expr] = 374;
   _actionMap[237][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[237][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[237][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[237][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[237][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[237][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[237][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[237][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[237][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[237][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[237][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[237][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[237][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[237][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[237][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[237][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[237][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[237][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[237][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[237][STR2INT] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser172()
{
   _actionMap[237][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[237][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[237][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[237][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[237][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[237][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[237][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[237][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[237][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[237][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[237][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[237][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[237][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[237][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[237][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[237][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[237][LB] = ActionEntry(SHIFT, 144);
   _actionMap[237][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[237][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[237][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[237][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[237][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[237][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[237][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[237][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[237][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[237][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[237][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[237][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[237][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[237][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[237][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[237][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[237][ObjSpec] = 100;
   _jumpMap[237][Constant] = 99;
   _jumpMap[237][SignedFloat] = 98;
   _jumpMap[237][SignedInt] = 97;
   _jumpMap[237][Attribute] = 96;
   _jumpMap[237][ExpressionList] = 380;
   _jumpMap[237][Function] = 95;
   _jumpMap[237][CasePrepare] = 94;
   _jumpMap[237][CaseClause] = 93;
   _jumpMap[237][Factor] = 92;
   _jumpMap[237][Term] = 91;
   _jumpMap[237][Expr] = 374;
   _actionMap[238][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[238][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[238][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[238][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[238][RTRIM] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser173()
{
   _actionMap[238][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[238][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[238][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[238][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[238][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[238][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[238][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[238][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[238][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[238][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[238][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[238][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[238][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[238][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[238][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[238][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[238][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[238][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[238][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[238][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[238][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[238][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[238][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[238][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[238][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[238][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[238][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[238][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[238][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[238][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[238][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[238][LB] = ActionEntry(SHIFT, 144);
   _actionMap[238][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[238][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[238][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[238][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[238][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[238][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[238][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[238][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[238][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[238][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[238][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[238][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[238][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[238][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[238][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[238][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[238][ObjSpec] = 100;
   _jumpMap[238][Constant] = 99;
}
void Cego::loadParser174()
{
   _jumpMap[238][SignedFloat] = 98;
   _jumpMap[238][SignedInt] = 97;
   _jumpMap[238][Attribute] = 96;
   _jumpMap[238][ExpressionList] = 381;
   _jumpMap[238][Function] = 95;
   _jumpMap[238][CasePrepare] = 94;
   _jumpMap[238][CaseClause] = 93;
   _jumpMap[238][Factor] = 92;
   _jumpMap[238][Term] = 91;
   _jumpMap[238][Expr] = 374;
   _actionMap[239][STAR] = ActionEntry(SHIFT, 384);
   _actionMap[239][DISTINCT] = ActionEntry(SHIFT, 163);
   _actionMap[239][VARREF] = ActionEntry(REDUCE, 242);
   _actionMap[239][FETCH] = ActionEntry(REDUCE, 242);
   _actionMap[239][LB] = ActionEntry(REDUCE, 242);
   _actionMap[239][COUNT] = ActionEntry(REDUCE, 242);
   _actionMap[239][SUM] = ActionEntry(REDUCE, 242);
   _actionMap[239][AVG] = ActionEntry(REDUCE, 242);
   _actionMap[239][MIN] = ActionEntry(REDUCE, 242);
   _actionMap[239][MAX] = ActionEntry(REDUCE, 242);
   _actionMap[239][CASE] = ActionEntry(REDUCE, 242);
   _actionMap[239][TRIM] = ActionEntry(REDUCE, 242);
   _actionMap[239][RTRIM] = ActionEntry(REDUCE, 242);
   _actionMap[239][LTRIM] = ActionEntry(REDUCE, 242);
   _actionMap[239][ROUND] = ActionEntry(REDUCE, 242);
   _actionMap[239][DATE2STR] = ActionEntry(REDUCE, 242);
   _actionMap[239][DATE2INT] = ActionEntry(REDUCE, 242);
   _actionMap[239][INT2DATE] = ActionEntry(REDUCE, 242);
   _actionMap[239][LOWER] = ActionEntry(REDUCE, 242);
   _actionMap[239][UPPER] = ActionEntry(REDUCE, 242);
   _actionMap[239][LEFT] = ActionEntry(REDUCE, 242);
   _actionMap[239][RIGHT] = ActionEntry(REDUCE, 242);
   _actionMap[239][GETPOS] = ActionEntry(REDUCE, 242);
   _actionMap[239][SUBSTR] = ActionEntry(REDUCE, 242);
   _actionMap[239][REPLACE] = ActionEntry(REDUCE, 242);
   _actionMap[239][LENGTH] = ActionEntry(REDUCE, 242);
   _actionMap[239][TRUNC] = ActionEntry(REDUCE, 242);
   _actionMap[239][STR2INT] = ActionEntry(REDUCE, 242);
   _actionMap[239][STR2LONG] = ActionEntry(REDUCE, 242);
   _actionMap[239][STR2DATE] = ActionEntry(REDUCE, 242);
   _actionMap[239][RANDSTR] = ActionEntry(REDUCE, 242);
   _actionMap[239][RANDINT] = ActionEntry(REDUCE, 242);
   _actionMap[239][MOD] = ActionEntry(REDUCE, 242);
   _actionMap[239][DIV] = ActionEntry(REDUCE, 242);
   _actionMap[239][POWER] = ActionEntry(REDUCE, 242);
   _actionMap[239][BITAND] = ActionEntry(REDUCE, 242);
   _actionMap[239][BITOR] = ActionEntry(REDUCE, 242);
   _actionMap[239][BITXOR] = ActionEntry(REDUCE, 242);
   _actionMap[239][BLOBSIZE] = ActionEntry(REDUCE, 242);
   _actionMap[239][NEXTCOUNT] = ActionEntry(REDUCE, 242);
}
void Cego::loadParser175()
{
   _actionMap[239][SETCOUNT] = ActionEntry(REDUCE, 242);
   _actionMap[239][IDENTIFIER] = ActionEntry(REDUCE, 242);
   _actionMap[239][QUALIFIEDOBJ] = ActionEntry(REDUCE, 242);
   _actionMap[239][QUALIFIEDTS] = ActionEntry(REDUCE, 242);
   _actionMap[239][QUALIFIEDPRE] = ActionEntry(REDUCE, 242);
   _actionMap[239][STRINGVAL] = ActionEntry(REDUCE, 242);
   _actionMap[239][DATE] = ActionEntry(REDUCE, 242);
   _actionMap[239][SYSDATE] = ActionEntry(REDUCE, 242);
   _actionMap[239][NULLTOKEN] = ActionEntry(REDUCE, 242);
   _actionMap[239][TRUEVAL] = ActionEntry(REDUCE, 242);
   _actionMap[239][FALSEVAL] = ActionEntry(REDUCE, 242);
   _actionMap[239][LAB] = ActionEntry(REDUCE, 242);
   _actionMap[239][FLOATVAL] = ActionEntry(REDUCE, 242);
   _actionMap[239][MINUS] = ActionEntry(REDUCE, 242);
   _actionMap[239][INTVAL] = ActionEntry(REDUCE, 242);
   _jumpMap[239][ObjSpec] = 100;
   _jumpMap[239][Constant] = 99;
   _jumpMap[239][SignedFloat] = 98;
   _jumpMap[239][SignedInt] = 97;
   _jumpMap[239][Attribute] = 96;
   _jumpMap[239][Function] = 95;
   _jumpMap[239][DistinctOpt] = 383;
   _jumpMap[239][CasePrepare] = 94;
   _jumpMap[239][CaseClause] = 93;
   _jumpMap[239][Factor] = 92;
   _jumpMap[239][Term] = 91;
   _jumpMap[239][Expr] = 382;
   _actionMap[240][STRINGVAL] = ActionEntry(SHIFT, 386);
   _jumpMap[240][DateFormat] = 385;
   _actionMap[241][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[241][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[241][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[241][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[241][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[241][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[241][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[241][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[241][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[241][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[241][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[241][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[241][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[241][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[241][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[241][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[241][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[241][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[241][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[241][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[241][STR2LONG] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser176()
{
   _actionMap[241][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[241][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[241][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[241][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[241][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[241][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[241][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[241][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[241][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[241][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[241][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[241][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[241][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[241][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[241][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[241][LB] = ActionEntry(SHIFT, 144);
   _actionMap[241][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[241][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[241][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[241][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[241][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[241][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[241][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[241][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[241][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[241][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[241][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[241][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[241][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[241][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[241][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[241][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[241][ObjSpec] = 100;
   _jumpMap[241][Constant] = 99;
   _jumpMap[241][SignedFloat] = 98;
   _jumpMap[241][SignedInt] = 97;
   _jumpMap[241][Attribute] = 96;
   _jumpMap[241][ExpressionList] = 387;
   _jumpMap[241][Function] = 95;
   _jumpMap[241][CasePrepare] = 94;
   _jumpMap[241][CaseClause] = 93;
   _jumpMap[241][Factor] = 92;
   _jumpMap[241][Term] = 91;
   _jumpMap[241][Expr] = 374;
   _actionMap[242][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[242][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[242][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[242][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[242][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[242][LTRIM] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser177()
{
   _actionMap[242][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[242][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[242][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[242][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[242][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[242][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[242][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[242][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[242][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[242][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[242][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[242][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[242][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[242][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[242][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[242][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[242][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[242][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[242][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[242][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[242][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[242][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[242][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[242][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[242][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[242][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[242][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[242][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[242][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[242][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[242][LB] = ActionEntry(SHIFT, 144);
   _actionMap[242][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[242][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[242][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[242][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[242][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[242][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[242][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[242][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[242][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[242][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[242][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[242][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[242][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[242][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[242][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[242][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[242][ObjSpec] = 100;
   _jumpMap[242][Constant] = 99;
   _jumpMap[242][SignedFloat] = 98;
}
void Cego::loadParser178()
{
   _jumpMap[242][SignedInt] = 97;
   _jumpMap[242][Attribute] = 96;
   _jumpMap[242][ExpressionList] = 388;
   _jumpMap[242][Function] = 95;
   _jumpMap[242][CasePrepare] = 94;
   _jumpMap[242][CaseClause] = 93;
   _jumpMap[242][Factor] = 92;
   _jumpMap[242][Term] = 91;
   _jumpMap[242][Expr] = 374;
   _actionMap[243][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[243][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[243][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[243][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[243][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[243][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[243][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[243][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[243][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[243][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[243][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[243][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[243][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[243][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[243][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[243][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[243][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[243][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[243][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[243][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[243][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[243][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[243][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[243][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[243][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[243][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[243][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[243][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[243][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[243][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[243][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[243][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[243][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[243][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[243][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[243][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[243][LB] = ActionEntry(SHIFT, 144);
   _actionMap[243][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[243][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[243][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[243][NULLTOKEN] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser179()
{
   _actionMap[243][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[243][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[243][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[243][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[243][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[243][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[243][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[243][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[243][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[243][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[243][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[243][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[243][ObjSpec] = 100;
   _jumpMap[243][Constant] = 99;
   _jumpMap[243][SignedFloat] = 98;
   _jumpMap[243][SignedInt] = 97;
   _jumpMap[243][Attribute] = 96;
   _jumpMap[243][ExpressionList] = 389;
   _jumpMap[243][Function] = 95;
   _jumpMap[243][CasePrepare] = 94;
   _jumpMap[243][CaseClause] = 93;
   _jumpMap[243][Factor] = 92;
   _jumpMap[243][Term] = 91;
   _jumpMap[243][Expr] = 374;
   _actionMap[244][INTO] = ActionEntry(SHIFT, 390);
   _actionMap[245][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[245][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[245][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[245][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[245][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[245][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[245][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[245][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[245][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[245][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[245][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[245][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[245][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[245][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[245][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[245][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[245][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[245][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[245][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[245][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[245][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[245][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[245][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[245][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[245][MOD] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser180()
{
   _actionMap[245][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[245][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[245][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[245][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[245][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[245][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[245][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[245][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[245][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[245][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[245][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[245][LB] = ActionEntry(SHIFT, 144);
   _actionMap[245][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[245][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[245][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[245][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[245][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[245][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[245][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[245][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[245][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[245][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[245][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[245][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[245][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[245][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[245][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[245][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[245][ObjSpec] = 100;
   _jumpMap[245][Constant] = 99;
   _jumpMap[245][SignedFloat] = 98;
   _jumpMap[245][SignedInt] = 97;
   _jumpMap[245][Attribute] = 96;
   _jumpMap[245][ExpressionList] = 391;
   _jumpMap[245][Function] = 95;
   _jumpMap[245][CasePrepare] = 94;
   _jumpMap[245][CaseClause] = 93;
   _jumpMap[245][Factor] = 92;
   _jumpMap[245][Term] = 91;
   _jumpMap[245][Expr] = 374;
   _actionMap[246][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[246][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[246][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[246][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[246][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[246][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[246][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[246][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[246][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[246][INT2DATE] = ActionEntry(SHIFT, 116);
}
void Cego::loadParser181()
{
   _actionMap[246][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[246][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[246][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[246][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[246][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[246][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[246][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[246][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[246][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[246][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[246][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[246][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[246][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[246][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[246][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[246][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[246][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[246][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[246][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[246][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[246][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[246][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[246][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[246][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[246][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[246][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[246][LB] = ActionEntry(SHIFT, 144);
   _actionMap[246][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[246][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[246][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[246][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[246][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[246][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[246][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[246][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[246][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[246][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[246][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[246][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[246][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[246][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[246][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[246][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[246][ObjSpec] = 100;
   _jumpMap[246][Constant] = 99;
   _jumpMap[246][SignedFloat] = 98;
   _jumpMap[246][SignedInt] = 97;
   _jumpMap[246][Attribute] = 96;
   _jumpMap[246][ExpressionList] = 392;
   _jumpMap[246][Function] = 95;
}
void Cego::loadParser182()
{
   _jumpMap[246][CasePrepare] = 94;
   _jumpMap[246][CaseClause] = 93;
   _jumpMap[246][Factor] = 92;
   _jumpMap[246][Term] = 91;
   _jumpMap[246][Expr] = 374;
   _actionMap[247][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[247][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[247][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[247][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[247][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[247][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[247][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[247][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[247][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[247][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[247][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[247][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[247][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[247][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[247][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[247][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[247][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[247][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[247][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[247][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[247][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[247][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[247][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[247][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[247][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[247][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[247][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[247][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[247][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[247][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[247][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[247][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[247][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[247][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[247][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[247][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[247][LB] = ActionEntry(SHIFT, 144);
   _actionMap[247][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[247][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[247][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[247][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[247][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[247][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[247][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[247][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
}
void Cego::loadParser183()
{
   _actionMap[247][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[247][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[247][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[247][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[247][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[247][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[247][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[247][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[247][ObjSpec] = 100;
   _jumpMap[247][Constant] = 99;
   _jumpMap[247][SignedFloat] = 98;
   _jumpMap[247][SignedInt] = 97;
   _jumpMap[247][Attribute] = 96;
   _jumpMap[247][ExpressionList] = 393;
   _jumpMap[247][Function] = 95;
   _jumpMap[247][CasePrepare] = 94;
   _jumpMap[247][CaseClause] = 93;
   _jumpMap[247][Factor] = 92;
   _jumpMap[247][Term] = 91;
   _jumpMap[247][Expr] = 374;
   _actionMap[248][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[248][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[248][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[248][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[248][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[248][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[248][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[248][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[248][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[248][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[248][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[248][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[248][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[248][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[248][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[248][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[248][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[248][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[248][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[248][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[248][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[248][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[248][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[248][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[248][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[248][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[248][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[248][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[248][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[248][BITXOR] = ActionEntry(SHIFT, 105);
}
void Cego::loadParser184()
{
   _actionMap[248][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[248][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[248][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[248][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[248][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[248][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[248][LB] = ActionEntry(SHIFT, 144);
   _actionMap[248][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[248][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[248][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[248][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[248][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[248][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[248][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[248][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[248][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[248][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[248][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[248][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[248][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[248][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[248][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[248][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[248][ObjSpec] = 100;
   _jumpMap[248][Constant] = 99;
   _jumpMap[248][SignedFloat] = 98;
   _jumpMap[248][SignedInt] = 97;
   _jumpMap[248][Attribute] = 96;
   _jumpMap[248][ExpressionList] = 394;
   _jumpMap[248][Function] = 95;
   _jumpMap[248][CasePrepare] = 94;
   _jumpMap[248][CaseClause] = 93;
   _jumpMap[248][Factor] = 92;
   _jumpMap[248][Term] = 91;
   _jumpMap[248][Expr] = 374;
   _actionMap[249][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[249][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[249][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[249][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[249][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[249][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[249][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[249][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[249][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[249][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[249][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[249][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[249][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[249][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[249][GETPOS] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser185()
{
   _actionMap[249][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[249][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[249][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[249][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[249][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[249][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[249][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[249][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[249][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[249][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[249][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[249][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[249][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[249][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[249][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[249][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[249][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[249][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[249][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[249][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[249][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[249][LB] = ActionEntry(SHIFT, 144);
   _actionMap[249][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[249][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[249][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[249][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[249][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[249][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[249][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[249][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[249][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[249][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[249][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[249][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[249][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[249][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[249][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[249][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[249][ObjSpec] = 100;
   _jumpMap[249][Constant] = 99;
   _jumpMap[249][SignedFloat] = 98;
   _jumpMap[249][SignedInt] = 97;
   _jumpMap[249][Attribute] = 96;
   _jumpMap[249][ExpressionList] = 395;
   _jumpMap[249][Function] = 95;
   _jumpMap[249][CasePrepare] = 94;
   _jumpMap[249][CaseClause] = 93;
   _jumpMap[249][Factor] = 92;
   _jumpMap[249][Term] = 91;
   _jumpMap[249][Expr] = 374;
}
void Cego::loadParser186()
{
   _actionMap[250][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[250][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[250][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[250][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[250][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[250][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[250][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[250][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[250][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[250][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[250][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[250][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[250][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[250][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[250][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[250][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[250][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[250][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[250][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[250][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[250][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[250][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[250][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[250][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[250][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[250][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[250][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[250][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[250][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[250][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[250][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[250][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[250][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[250][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[250][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[250][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[250][LB] = ActionEntry(SHIFT, 144);
   _actionMap[250][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[250][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[250][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[250][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[250][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[250][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[250][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[250][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[250][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[250][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[250][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[250][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[250][SUM] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser187()
{
   _actionMap[250][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[250][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[250][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[250][ObjSpec] = 100;
   _jumpMap[250][Constant] = 99;
   _jumpMap[250][SignedFloat] = 98;
   _jumpMap[250][SignedInt] = 97;
   _jumpMap[250][Attribute] = 96;
   _jumpMap[250][ExpressionList] = 396;
   _jumpMap[250][Function] = 95;
   _jumpMap[250][CasePrepare] = 94;
   _jumpMap[250][CaseClause] = 93;
   _jumpMap[250][Factor] = 92;
   _jumpMap[250][Term] = 91;
   _jumpMap[250][Expr] = 374;
   _actionMap[251][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[251][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[251][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[251][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[251][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[251][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[251][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[251][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[251][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[251][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[251][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[251][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[251][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[251][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[251][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[251][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[251][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[251][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[251][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[251][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[251][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[251][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[251][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[251][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[251][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[251][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[251][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[251][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[251][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[251][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[251][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[251][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[251][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[251][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[251][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser188()
{
   _actionMap[251][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[251][LB] = ActionEntry(SHIFT, 144);
   _actionMap[251][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[251][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[251][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[251][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[251][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[251][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[251][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[251][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[251][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[251][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[251][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[251][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[251][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[251][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[251][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[251][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[251][ObjSpec] = 100;
   _jumpMap[251][Constant] = 99;
   _jumpMap[251][SignedFloat] = 98;
   _jumpMap[251][SignedInt] = 97;
   _jumpMap[251][Attribute] = 96;
   _jumpMap[251][Function] = 95;
   _jumpMap[251][CasePrepare] = 94;
   _jumpMap[251][CaseClause] = 93;
   _jumpMap[251][Factor] = 92;
   _jumpMap[251][Term] = 91;
   _jumpMap[251][Expr] = 397;
   _actionMap[252][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[252][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[252][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[252][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[252][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[252][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[252][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[252][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[252][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[252][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[252][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[252][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[252][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[252][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[252][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[252][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[252][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[252][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[252][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[252][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[252][STR2LONG] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser189()
{
   _actionMap[252][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[252][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[252][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[252][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[252][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[252][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[252][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[252][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[252][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[252][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[252][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[252][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[252][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[252][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[252][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[252][LB] = ActionEntry(SHIFT, 144);
   _actionMap[252][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[252][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[252][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[252][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[252][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[252][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[252][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[252][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[252][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[252][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[252][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[252][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[252][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[252][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[252][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[252][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[252][ObjSpec] = 100;
   _jumpMap[252][Constant] = 99;
   _jumpMap[252][SignedFloat] = 98;
   _jumpMap[252][SignedInt] = 97;
   _jumpMap[252][Attribute] = 96;
   _jumpMap[252][Function] = 95;
   _jumpMap[252][CasePrepare] = 94;
   _jumpMap[252][CaseClause] = 93;
   _jumpMap[252][Factor] = 92;
   _jumpMap[252][Term] = 91;
   _jumpMap[252][Expr] = 398;
   _actionMap[253][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[253][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[253][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[253][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[253][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[253][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[253][ROUND] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser190()
{
   _actionMap[253][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[253][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[253][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[253][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[253][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[253][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[253][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[253][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[253][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[253][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[253][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[253][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[253][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[253][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[253][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[253][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[253][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[253][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[253][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[253][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[253][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[253][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[253][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[253][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[253][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[253][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[253][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[253][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[253][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[253][LB] = ActionEntry(SHIFT, 144);
   _actionMap[253][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[253][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[253][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[253][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[253][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[253][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[253][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[253][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[253][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[253][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[253][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[253][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[253][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[253][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[253][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[253][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[253][ObjSpec] = 100;
   _jumpMap[253][Constant] = 99;
   _jumpMap[253][SignedFloat] = 98;
   _jumpMap[253][SignedInt] = 97;
}
void Cego::loadParser191()
{
   _jumpMap[253][Attribute] = 96;
   _jumpMap[253][ExpressionList] = 399;
   _jumpMap[253][Function] = 95;
   _jumpMap[253][CasePrepare] = 94;
   _jumpMap[253][CaseClause] = 93;
   _jumpMap[253][Factor] = 92;
   _jumpMap[253][Term] = 91;
   _jumpMap[253][Expr] = 374;
   _actionMap[254][IDENTIFIER] = ActionEntry(SHIFT, 400);
   _actionMap[255][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[255][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[255][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[255][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[255][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[255][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[255][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[255][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[255][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[255][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[255][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[255][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[255][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[255][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[255][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[255][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[255][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[255][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[255][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[255][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[255][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[255][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[255][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[255][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[255][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[255][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[255][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[255][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[255][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[255][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[255][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[255][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[255][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[255][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[255][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[255][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[255][LB] = ActionEntry(SHIFT, 144);
   _actionMap[255][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[255][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[255][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[255][NULLTOKEN] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser192()
{
   _actionMap[255][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[255][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[255][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[255][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[255][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[255][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[255][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[255][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[255][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[255][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[255][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[255][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[255][ObjSpec] = 100;
   _jumpMap[255][Constant] = 99;
   _jumpMap[255][SignedFloat] = 98;
   _jumpMap[255][SignedInt] = 97;
   _jumpMap[255][Attribute] = 96;
   _jumpMap[255][ExpressionList] = 401;
   _jumpMap[255][Function] = 95;
   _jumpMap[255][CasePrepare] = 94;
   _jumpMap[255][CaseClause] = 93;
   _jumpMap[255][Factor] = 92;
   _jumpMap[255][Term] = 91;
   _jumpMap[255][Expr] = 374;
   _actionMap[256][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[256][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[256][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[256][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[256][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[256][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[256][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[256][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[256][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[256][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[256][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[256][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[256][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[256][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[256][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[256][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[256][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[256][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[256][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[256][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[256][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[256][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[256][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[256][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[256][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[256][DIV] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser193()
{
   _actionMap[256][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[256][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[256][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[256][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[256][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[256][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[256][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[256][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[256][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[256][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[256][LB] = ActionEntry(SHIFT, 144);
   _actionMap[256][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[256][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[256][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[256][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[256][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[256][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[256][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[256][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[256][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[256][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[256][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[256][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[256][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[256][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[256][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[256][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[256][ObjSpec] = 100;
   _jumpMap[256][Constant] = 99;
   _jumpMap[256][SignedFloat] = 98;
   _jumpMap[256][SignedInt] = 97;
   _jumpMap[256][Attribute] = 96;
   _jumpMap[256][ExpressionList] = 402;
   _jumpMap[256][Function] = 95;
   _jumpMap[256][CasePrepare] = 94;
   _jumpMap[256][CaseClause] = 93;
   _jumpMap[256][Factor] = 92;
   _jumpMap[256][Term] = 91;
   _jumpMap[256][Expr] = 374;
   _actionMap[257][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[257][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[257][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[257][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[257][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[257][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[257][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[257][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[257][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[257][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[257][LOWER] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser194()
{
   _actionMap[257][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[257][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[257][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[257][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[257][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[257][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[257][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[257][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[257][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[257][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[257][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[257][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[257][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[257][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[257][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[257][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[257][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[257][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[257][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[257][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[257][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[257][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[257][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[257][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[257][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[257][LB] = ActionEntry(SHIFT, 144);
   _actionMap[257][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[257][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[257][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[257][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[257][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[257][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[257][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[257][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[257][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[257][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[257][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[257][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[257][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[257][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[257][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[257][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[257][ObjSpec] = 100;
   _jumpMap[257][Constant] = 99;
   _jumpMap[257][SignedFloat] = 98;
   _jumpMap[257][SignedInt] = 97;
   _jumpMap[257][Attribute] = 96;
   _jumpMap[257][ExpressionList] = 403;
   _jumpMap[257][Function] = 95;
   _jumpMap[257][CasePrepare] = 94;
}
void Cego::loadParser195()
{
   _jumpMap[257][CaseClause] = 93;
   _jumpMap[257][Factor] = 92;
   _jumpMap[257][Term] = 91;
   _jumpMap[257][Expr] = 374;
   _actionMap[258][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[258][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[258][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[258][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[258][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[258][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[258][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[258][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[258][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[258][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[258][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[258][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[258][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[258][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[258][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[258][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[258][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[258][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[258][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[258][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[258][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[258][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[258][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[258][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[258][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[258][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[258][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[258][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[258][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[258][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[258][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[258][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[258][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[258][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[258][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[258][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[258][LB] = ActionEntry(SHIFT, 144);
   _actionMap[258][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[258][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[258][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[258][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[258][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[258][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[258][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[258][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[258][CASE] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser196()
{
   _actionMap[258][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[258][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[258][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[258][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[258][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[258][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[258][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[258][ObjSpec] = 100;
   _jumpMap[258][Constant] = 99;
   _jumpMap[258][SignedFloat] = 98;
   _jumpMap[258][SignedInt] = 97;
   _jumpMap[258][Attribute] = 96;
   _jumpMap[258][ExpressionList] = 404;
   _jumpMap[258][Function] = 95;
   _jumpMap[258][CasePrepare] = 94;
   _jumpMap[258][CaseClause] = 93;
   _jumpMap[258][Factor] = 92;
   _jumpMap[258][Term] = 91;
   _jumpMap[258][Expr] = 374;
   _actionMap[259][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[259][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[259][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[259][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[259][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[259][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[259][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[259][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[259][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[259][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[259][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[259][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[259][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[259][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[259][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[259][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[259][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[259][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[259][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[259][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[259][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[259][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[259][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[259][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[259][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[259][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[259][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[259][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[259][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[259][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[259][BLOBSIZE] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser197()
{
   _actionMap[259][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[259][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[259][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[259][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[259][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[259][LB] = ActionEntry(SHIFT, 144);
   _actionMap[259][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[259][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[259][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[259][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[259][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[259][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[259][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[259][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[259][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[259][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[259][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[259][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[259][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[259][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[259][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[259][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[259][ObjSpec] = 100;
   _jumpMap[259][Constant] = 99;
   _jumpMap[259][SignedFloat] = 98;
   _jumpMap[259][SignedInt] = 97;
   _jumpMap[259][Attribute] = 96;
   _jumpMap[259][ExpressionList] = 405;
   _jumpMap[259][Function] = 95;
   _jumpMap[259][CasePrepare] = 94;
   _jumpMap[259][CaseClause] = 93;
   _jumpMap[259][Factor] = 92;
   _jumpMap[259][Term] = 91;
   _jumpMap[259][Expr] = 374;
   _actionMap[260][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[260][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[260][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[260][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[260][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[260][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[260][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[260][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[260][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[260][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[260][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[260][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[260][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[260][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[260][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[260][SUBSTR] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser198()
{
   _actionMap[260][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[260][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[260][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[260][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[260][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[260][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[260][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[260][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[260][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[260][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[260][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[260][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[260][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[260][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[260][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[260][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[260][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[260][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[260][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[260][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[260][LB] = ActionEntry(SHIFT, 144);
   _actionMap[260][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[260][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[260][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[260][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[260][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[260][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[260][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[260][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[260][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[260][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[260][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[260][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[260][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[260][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[260][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[260][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[260][ObjSpec] = 100;
   _jumpMap[260][Constant] = 99;
   _jumpMap[260][SignedFloat] = 98;
   _jumpMap[260][SignedInt] = 97;
   _jumpMap[260][Attribute] = 96;
   _jumpMap[260][ExpressionList] = 406;
   _jumpMap[260][Function] = 95;
   _jumpMap[260][CasePrepare] = 94;
   _jumpMap[260][CaseClause] = 93;
   _jumpMap[260][Factor] = 92;
   _jumpMap[260][Term] = 91;
   _jumpMap[260][Expr] = 374;
   _actionMap[261][FLOATVAL] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser199()
{
   _actionMap[261][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[261][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[261][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[261][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[261][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[261][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[261][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[261][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[261][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[261][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[261][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[261][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[261][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[261][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[261][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[261][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[261][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[261][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[261][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[261][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[261][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[261][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[261][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[261][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[261][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[261][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[261][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[261][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[261][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[261][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[261][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[261][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[261][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[261][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[261][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[261][LB] = ActionEntry(SHIFT, 144);
   _actionMap[261][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[261][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[261][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[261][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[261][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[261][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[261][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[261][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[261][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[261][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[261][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[261][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[261][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[261][AVG] = ActionEntry(SHIFT, 102);
}
void Cego::loadParser200()
{
   _actionMap[261][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[261][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[261][ObjSpec] = 100;
   _jumpMap[261][Constant] = 99;
   _jumpMap[261][SignedFloat] = 98;
   _jumpMap[261][SignedInt] = 97;
   _jumpMap[261][Attribute] = 96;
   _jumpMap[261][ExpressionList] = 407;
   _jumpMap[261][Function] = 95;
   _jumpMap[261][CasePrepare] = 94;
   _jumpMap[261][CaseClause] = 93;
   _jumpMap[261][Factor] = 92;
   _jumpMap[261][Term] = 91;
   _jumpMap[261][Expr] = 374;
   _actionMap[262][IDENTIFIER] = ActionEntry(SHIFT, 408);
   _actionMap[263][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[263][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[263][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[263][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[263][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[263][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[263][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[263][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[263][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[263][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[263][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[263][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[263][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[263][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[263][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[263][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[263][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[263][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[263][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[263][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[263][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[263][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[263][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[263][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[263][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[263][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[263][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[263][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[263][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[263][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[263][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[263][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[263][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[263][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[263][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser201()
{
   _actionMap[263][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[263][LB] = ActionEntry(SHIFT, 144);
   _actionMap[263][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[263][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[263][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[263][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[263][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[263][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[263][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[263][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[263][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[263][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[263][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[263][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[263][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[263][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[263][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[263][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[263][ObjSpec] = 100;
   _jumpMap[263][Constant] = 99;
   _jumpMap[263][SignedFloat] = 98;
   _jumpMap[263][SignedInt] = 97;
   _jumpMap[263][Attribute] = 96;
   _jumpMap[263][ExpressionList] = 409;
   _jumpMap[263][Function] = 95;
   _jumpMap[263][CasePrepare] = 94;
   _jumpMap[263][CaseClause] = 93;
   _jumpMap[263][Factor] = 92;
   _jumpMap[263][Term] = 91;
   _jumpMap[263][Expr] = 374;
   _actionMap[264][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[264][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[264][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[264][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[264][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[264][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[264][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[264][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[264][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[264][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[264][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[264][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[264][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[264][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[264][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[264][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[264][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[264][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[264][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[264][STR2INT] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser202()
{
   _actionMap[264][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[264][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[264][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[264][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[264][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[264][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[264][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[264][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[264][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[264][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[264][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[264][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[264][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[264][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[264][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[264][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[264][LB] = ActionEntry(SHIFT, 144);
   _actionMap[264][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[264][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[264][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[264][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[264][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[264][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[264][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[264][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[264][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[264][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[264][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[264][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[264][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[264][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[264][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[264][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[264][ObjSpec] = 100;
   _jumpMap[264][Constant] = 99;
   _jumpMap[264][SignedFloat] = 98;
   _jumpMap[264][SignedInt] = 97;
   _jumpMap[264][Attribute] = 96;
   _jumpMap[264][Function] = 95;
   _jumpMap[264][CasePrepare] = 94;
   _jumpMap[264][CaseClause] = 93;
   _jumpMap[264][Factor] = 92;
   _jumpMap[264][Term] = 91;
   _jumpMap[264][Expr] = 410;
   _actionMap[265][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[265][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[265][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[265][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[265][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[265][LTRIM] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser203()
{
   _actionMap[265][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[265][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[265][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[265][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[265][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[265][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[265][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[265][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[265][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[265][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[265][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[265][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[265][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[265][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[265][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[265][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[265][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[265][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[265][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[265][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[265][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[265][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[265][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[265][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[265][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[265][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[265][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[265][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[265][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[265][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[265][LB] = ActionEntry(SHIFT, 144);
   _actionMap[265][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[265][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[265][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[265][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[265][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[265][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[265][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[265][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[265][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[265][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[265][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[265][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[265][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[265][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[265][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[265][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[265][ObjSpec] = 100;
   _jumpMap[265][Constant] = 99;
   _jumpMap[265][SignedFloat] = 98;
}
void Cego::loadParser204()
{
   _jumpMap[265][SignedInt] = 97;
   _jumpMap[265][Attribute] = 96;
   _jumpMap[265][ExpressionList] = 411;
   _jumpMap[265][Function] = 95;
   _jumpMap[265][CasePrepare] = 94;
   _jumpMap[265][CaseClause] = 93;
   _jumpMap[265][Factor] = 92;
   _jumpMap[265][Term] = 91;
   _jumpMap[265][Expr] = 374;
   _actionMap[266][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[266][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[266][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[266][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[266][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[266][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[266][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[266][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[266][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[266][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[266][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[266][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[266][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[266][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[266][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[266][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[266][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[266][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[266][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[266][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[266][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[266][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[266][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[266][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[266][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[266][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[266][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[266][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[266][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[266][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[266][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[266][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[266][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[266][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[266][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[266][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[266][LB] = ActionEntry(SHIFT, 144);
   _actionMap[266][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[266][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[266][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[266][NULLTOKEN] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser205()
{
   _actionMap[266][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[266][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[266][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[266][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[266][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[266][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[266][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[266][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[266][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[266][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[266][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[266][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[266][ObjSpec] = 100;
   _jumpMap[266][Constant] = 99;
   _jumpMap[266][SignedFloat] = 98;
   _jumpMap[266][SignedInt] = 97;
   _jumpMap[266][Attribute] = 96;
   _jumpMap[266][ExpressionList] = 412;
   _jumpMap[266][Function] = 95;
   _jumpMap[266][CasePrepare] = 94;
   _jumpMap[266][CaseClause] = 93;
   _jumpMap[266][Factor] = 92;
   _jumpMap[266][Term] = 91;
   _jumpMap[266][Expr] = 374;
   _actionMap[267][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[267][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[267][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[267][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[267][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[267][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[267][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[267][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[267][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[267][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[267][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[267][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[267][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[267][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[267][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[267][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[267][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[267][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[267][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[267][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[267][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[267][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[267][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[267][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[267][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[267][DIV] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser206()
{
   _actionMap[267][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[267][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[267][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[267][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[267][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[267][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[267][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[267][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[267][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[267][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[267][LB] = ActionEntry(SHIFT, 144);
   _actionMap[267][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[267][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[267][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[267][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[267][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[267][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[267][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[267][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[267][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[267][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[267][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[267][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[267][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[267][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[267][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[267][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[267][ObjSpec] = 100;
   _jumpMap[267][Constant] = 99;
   _jumpMap[267][SignedFloat] = 98;
   _jumpMap[267][SignedInt] = 97;
   _jumpMap[267][Attribute] = 96;
   _jumpMap[267][ExpressionList] = 413;
   _jumpMap[267][Function] = 95;
   _jumpMap[267][CasePrepare] = 94;
   _jumpMap[267][CaseClause] = 93;
   _jumpMap[267][Factor] = 92;
   _jumpMap[267][Term] = 91;
   _jumpMap[267][Expr] = 374;
   _actionMap[268][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[268][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[268][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[268][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[268][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[268][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[268][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[268][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[268][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[268][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[268][LOWER] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser207()
{
   _actionMap[268][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[268][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[268][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[268][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[268][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[268][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[268][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[268][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[268][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[268][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[268][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[268][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[268][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[268][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[268][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[268][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[268][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[268][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[268][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[268][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[268][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[268][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[268][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[268][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[268][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[268][LB] = ActionEntry(SHIFT, 144);
   _actionMap[268][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[268][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[268][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[268][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[268][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[268][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[268][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[268][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[268][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[268][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[268][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[268][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[268][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[268][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[268][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[268][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[268][ObjSpec] = 100;
   _jumpMap[268][Constant] = 99;
   _jumpMap[268][SignedFloat] = 98;
   _jumpMap[268][SignedInt] = 97;
   _jumpMap[268][Attribute] = 96;
   _jumpMap[268][ExpressionList] = 414;
   _jumpMap[268][Function] = 95;
   _jumpMap[268][CasePrepare] = 94;
}
void Cego::loadParser208()
{
   _jumpMap[268][CaseClause] = 93;
   _jumpMap[268][Factor] = 92;
   _jumpMap[268][Term] = 91;
   _jumpMap[268][Expr] = 374;
   _actionMap[269][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[269][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[269][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[269][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[269][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[269][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[269][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[269][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[269][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[269][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[269][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[269][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[269][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[269][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[269][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[269][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[269][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[269][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[269][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[269][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[269][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[269][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[269][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[269][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[269][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[269][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[269][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[269][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[269][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[269][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[269][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[269][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[269][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[269][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[269][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[269][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[269][LB] = ActionEntry(SHIFT, 144);
   _actionMap[269][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[269][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[269][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[269][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[269][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[269][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[269][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[269][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[269][CASE] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser209()
{
   _actionMap[269][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[269][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[269][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[269][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[269][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[269][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[269][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[269][ObjSpec] = 100;
   _jumpMap[269][Constant] = 99;
   _jumpMap[269][SignedFloat] = 98;
   _jumpMap[269][SignedInt] = 97;
   _jumpMap[269][Attribute] = 96;
   _jumpMap[269][ExpressionList] = 415;
   _jumpMap[269][Function] = 95;
   _jumpMap[269][CasePrepare] = 94;
   _jumpMap[269][CaseClause] = 93;
   _jumpMap[269][Factor] = 92;
   _jumpMap[269][Term] = 91;
   _jumpMap[269][Expr] = 374;
   _actionMap[270][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[270][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[270][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[270][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[270][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[270][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[270][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[270][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[270][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[270][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[270][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[270][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[270][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[270][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[270][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[270][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[270][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[270][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[270][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[270][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[270][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[270][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[270][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[270][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[270][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[270][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[270][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[270][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[270][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[270][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[270][BLOBSIZE] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser210()
{
   _actionMap[270][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[270][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[270][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[270][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[270][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[270][LB] = ActionEntry(SHIFT, 144);
   _actionMap[270][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[270][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[270][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[270][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[270][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[270][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[270][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[270][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[270][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[270][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[270][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[270][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[270][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[270][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[270][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[270][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[270][ObjSpec] = 100;
   _jumpMap[270][Constant] = 99;
   _jumpMap[270][SignedFloat] = 98;
   _jumpMap[270][SignedInt] = 97;
   _jumpMap[270][Attribute] = 96;
   _jumpMap[270][ExpressionList] = 416;
   _jumpMap[270][Function] = 95;
   _jumpMap[270][CasePrepare] = 94;
   _jumpMap[270][CaseClause] = 93;
   _jumpMap[270][Factor] = 92;
   _jumpMap[270][Term] = 91;
   _jumpMap[270][Expr] = 374;
   _actionMap[271][RB] = ActionEntry(SHIFT, 417);
   _actionMap[271][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[271][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[271][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[272][RB] = ActionEntry(SHIFT, 418);
   _actionMap[273][RB] = ActionEntry(SHIFT, 419);
   _actionMap[274][RB] = ActionEntry(SHIFT, 420);
   _actionMap[275][RB] = ActionEntry(SHIFT, 421);
   _actionMap[276][RB] = ActionEntry(SHIFT, 422);
   _actionMap[277][RB] = ActionEntry(SHIFT, 423);
   _actionMap[278][RB] = ActionEntry(SHIFT, 424);
   _actionMap[279][RB] = ActionEntry(SHIFT, 425);
   _actionMap[280][KSEP] = ActionEntry(SHIFT, 426);
   _actionMap[281][WHEN] = ActionEntry(REDUCE, 345);
   _actionMap[281][ELSE] = ActionEntry(REDUCE, 345);
   _actionMap[281][LEFT] = ActionEntry(REDUCE, 345);
}
void Cego::loadParser211()
{
   _actionMap[281][RIGHT] = ActionEntry(REDUCE, 345);
   _actionMap[281][INNER] = ActionEntry(REDUCE, 345);
   _actionMap[281][JOIN] = ActionEntry(REDUCE, 345);
   _actionMap[281][RETURNTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[281][ORDER] = ActionEntry(REDUCE, 345);
   _actionMap[281][GROUP] = ActionEntry(REDUCE, 345);
   _actionMap[281][WHERE] = ActionEntry(REDUCE, 345);
   _actionMap[281][AS] = ActionEntry(REDUCE, 345);
   _actionMap[281][FROM] = ActionEntry(REDUCE, 345);
   _actionMap[281][END_TOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[281][BEGIN] = ActionEntry(REDUCE, 345);
   _actionMap[281][THEN] = ActionEntry(REDUCE, 345);
   _actionMap[281][OR] = ActionEntry(REDUCE, 345);
   _actionMap[281][AND] = ActionEntry(REDUCE, 345);
   _actionMap[281][NULLTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[281][LIKE] = ActionEntry(REDUCE, 345);
   _actionMap[281][IS] = ActionEntry(REDUCE, 345);
   _actionMap[281][BETWEEN] = ActionEntry(REDUCE, 345);
   _actionMap[281][NOT] = ActionEntry(REDUCE, 345);
   _actionMap[281][INTOK] = ActionEntry(REDUCE, 345);
   _actionMap[281][EQU] = ActionEntry(REDUCE, 345);
   _actionMap[281][NEGATION] = ActionEntry(REDUCE, 345);
   _actionMap[281][LT] = ActionEntry(REDUCE, 345);
   _actionMap[281][MT] = ActionEntry(REDUCE, 345);
   _actionMap[281][DESC] = ActionEntry(REDUCE, 345);
   _actionMap[281][ASC] = ActionEntry(REDUCE, 345);
   _actionMap[281][KSEP] = ActionEntry(REDUCE, 345);
   _actionMap[281][ROWLIMIT] = ActionEntry(REDUCE, 345);
   _actionMap[281][UNION] = ActionEntry(REDUCE, 345);
   _actionMap[281][ENDTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[281][RB] = ActionEntry(REDUCE, 345);
   _actionMap[281][SEMICOLON] = ActionEntry(REDUCE, 345);
   _actionMap[281][CONCAT] = ActionEntry(REDUCE, 345);
   _actionMap[281][STAR] = ActionEntry(REDUCE, 345);
   _actionMap[281][DIVISION] = ActionEntry(REDUCE, 345);
   _actionMap[281][MINUS] = ActionEntry(REDUCE, 345);
   _actionMap[281][PLUS] = ActionEntry(REDUCE, 345);
   _actionMap[282][WHEN] = ActionEntry(REDUCE, 347);
   _actionMap[282][ELSE] = ActionEntry(REDUCE, 347);
   _actionMap[282][LEFT] = ActionEntry(REDUCE, 347);
   _actionMap[282][RIGHT] = ActionEntry(REDUCE, 347);
   _actionMap[282][INNER] = ActionEntry(REDUCE, 347);
   _actionMap[282][JOIN] = ActionEntry(REDUCE, 347);
   _actionMap[282][RETURNTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[282][ORDER] = ActionEntry(REDUCE, 347);
   _actionMap[282][GROUP] = ActionEntry(REDUCE, 347);
   _actionMap[282][WHERE] = ActionEntry(REDUCE, 347);
   _actionMap[282][AS] = ActionEntry(REDUCE, 347);
   _actionMap[282][FROM] = ActionEntry(REDUCE, 347);
   _actionMap[282][END_TOKEN] = ActionEntry(REDUCE, 347);
}
void Cego::loadParser212()
{
   _actionMap[282][BEGIN] = ActionEntry(REDUCE, 347);
   _actionMap[282][THEN] = ActionEntry(REDUCE, 347);
   _actionMap[282][OR] = ActionEntry(REDUCE, 347);
   _actionMap[282][AND] = ActionEntry(REDUCE, 347);
   _actionMap[282][NULLTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[282][LIKE] = ActionEntry(REDUCE, 347);
   _actionMap[282][IS] = ActionEntry(REDUCE, 347);
   _actionMap[282][BETWEEN] = ActionEntry(REDUCE, 347);
   _actionMap[282][NOT] = ActionEntry(REDUCE, 347);
   _actionMap[282][INTOK] = ActionEntry(REDUCE, 347);
   _actionMap[282][EQU] = ActionEntry(REDUCE, 347);
   _actionMap[282][NEGATION] = ActionEntry(REDUCE, 347);
   _actionMap[282][LT] = ActionEntry(REDUCE, 347);
   _actionMap[282][MT] = ActionEntry(REDUCE, 347);
   _actionMap[282][DESC] = ActionEntry(REDUCE, 347);
   _actionMap[282][ASC] = ActionEntry(REDUCE, 347);
   _actionMap[282][KSEP] = ActionEntry(REDUCE, 347);
   _actionMap[282][ROWLIMIT] = ActionEntry(REDUCE, 347);
   _actionMap[282][UNION] = ActionEntry(REDUCE, 347);
   _actionMap[282][ENDTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[282][RB] = ActionEntry(REDUCE, 347);
   _actionMap[282][SEMICOLON] = ActionEntry(REDUCE, 347);
   _actionMap[282][CONCAT] = ActionEntry(REDUCE, 347);
   _actionMap[282][STAR] = ActionEntry(REDUCE, 347);
   _actionMap[282][DIVISION] = ActionEntry(REDUCE, 347);
   _actionMap[282][MINUS] = ActionEntry(REDUCE, 347);
   _actionMap[282][PLUS] = ActionEntry(REDUCE, 347);
   _actionMap[283][WHEN] = ActionEntry(REDUCE, 343);
   _actionMap[283][ELSE] = ActionEntry(REDUCE, 343);
   _actionMap[283][LEFT] = ActionEntry(REDUCE, 343);
   _actionMap[283][RIGHT] = ActionEntry(REDUCE, 343);
   _actionMap[283][INNER] = ActionEntry(REDUCE, 343);
   _actionMap[283][JOIN] = ActionEntry(REDUCE, 343);
   _actionMap[283][RETURNTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[283][GROUP] = ActionEntry(REDUCE, 343);
   _actionMap[283][WHERE] = ActionEntry(REDUCE, 343);
   _actionMap[283][FROM] = ActionEntry(REDUCE, 343);
   _actionMap[283][AS] = ActionEntry(REDUCE, 343);
   _actionMap[283][END_TOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[283][BEGIN] = ActionEntry(REDUCE, 343);
   _actionMap[283][THEN] = ActionEntry(REDUCE, 343);
   _actionMap[283][OR] = ActionEntry(REDUCE, 343);
   _actionMap[283][AND] = ActionEntry(REDUCE, 343);
   _actionMap[283][INTOK] = ActionEntry(REDUCE, 343);
   _actionMap[283][NOT] = ActionEntry(REDUCE, 343);
   _actionMap[283][BETWEEN] = ActionEntry(REDUCE, 343);
   _actionMap[283][IS] = ActionEntry(REDUCE, 343);
   _actionMap[283][LIKE] = ActionEntry(REDUCE, 343);
   _actionMap[283][HAVING] = ActionEntry(REDUCE, 343);
   _actionMap[283][ORDER] = ActionEntry(REDUCE, 343);
}
void Cego::loadParser213()
{
   _actionMap[283][MT] = ActionEntry(REDUCE, 343);
   _actionMap[283][LT] = ActionEntry(REDUCE, 343);
   _actionMap[283][NEGATION] = ActionEntry(REDUCE, 343);
   _actionMap[283][EQU] = ActionEntry(REDUCE, 343);
   _actionMap[283][RB] = ActionEntry(REDUCE, 343);
   _actionMap[283][ENDTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[283][UNION] = ActionEntry(REDUCE, 343);
   _actionMap[283][ROWLIMIT] = ActionEntry(REDUCE, 343);
   _actionMap[283][KSEP] = ActionEntry(REDUCE, 343);
   _actionMap[283][ASC] = ActionEntry(REDUCE, 343);
   _actionMap[283][DESC] = ActionEntry(REDUCE, 343);
   _actionMap[283][SEMICOLON] = ActionEntry(REDUCE, 343);
   _actionMap[283][PLUS] = ActionEntry(REDUCE, 343);
   _actionMap[283][MINUS] = ActionEntry(REDUCE, 343);
   _actionMap[283][DIVISION] = ActionEntry(REDUCE, 343);
   _actionMap[283][STAR] = ActionEntry(REDUCE, 343);
   _actionMap[283][CONCAT] = ActionEntry(REDUCE, 343);
   _actionMap[284][TO] = ActionEntry(SHIFT, 427);
   _actionMap[285][TO] = ActionEntry(SHIFT, 428);
   _actionMap[286][TO] = ActionEntry(SHIFT, 429);
   _actionMap[287][TO] = ActionEntry(SHIFT, 430);
   _actionMap[288][TO] = ActionEntry(SHIFT, 431);
   _actionMap[289][TO] = ActionEntry(SHIFT, 432);
   _actionMap[290][SEMICOLON] = ActionEntry(REDUCE, 40);
   _actionMap[291][SEMICOLON] = ActionEntry(REDUCE, 39);
   _actionMap[292][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[292][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[292][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[292][ObjSpec] = 437;
   _jumpMap[292][Table] = 436;
   _jumpMap[292][TableList] = 435;
   _jumpMap[292][JoinSpecList] = 434;
   _jumpMap[292][TableSource] = 433;
   _actionMap[293][PLUS] = ActionEntry(SHIFT, 227);
   _actionMap[293][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[293][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[293][FROM] = ActionEntry(REDUCE, 223);
   _actionMap[293][AS] = ActionEntry(SHIFT, 440);
   _actionMap[293][KSEP] = ActionEntry(REDUCE, 223);
   _jumpMap[293][NoAliasOpt] = 439;
   _jumpMap[293][AliasOpt] = 438;
   _actionMap[294][KSEP] = ActionEntry(SHIFT, 441);
   _actionMap[294][FROM] = ActionEntry(REDUCE, 202);
   _actionMap[295][FROM] = ActionEntry(REDUCE, 205);
   _actionMap[295][KSEP] = ActionEntry(REDUCE, 205);
   _actionMap[296][SEMICOLON] = ActionEntry(REDUCE, 35);
   _actionMap[297][SEMICOLON] = ActionEntry(REDUCE, 34);
   _actionMap[298][SEMICOLON] = ActionEntry(REDUCE, 37);
   _actionMap[299][SEMICOLON] = ActionEntry(REDUCE, 36);
   _actionMap[300][TO] = ActionEntry(SHIFT, 442);
}
void Cego::loadParser214()
{
   _actionMap[301][SEMICOLON] = ActionEntry(REDUCE, 38);
   _actionMap[302][SEMICOLON] = ActionEntry(REDUCE, 29);
   _actionMap[303][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[303][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[303][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[303][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[303][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[303][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[303][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[303][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[303][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[303][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[303][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[303][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[303][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[303][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[303][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[303][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[303][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[303][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[303][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[303][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[303][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[303][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[303][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[303][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[303][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[303][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[303][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[303][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[303][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[303][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[303][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[303][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[303][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[303][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[303][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[303][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[303][LB] = ActionEntry(SHIFT, 144);
   _actionMap[303][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[303][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[303][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[303][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[303][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[303][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[303][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[303][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[303][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[303][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[303][FETCH] = ActionEntry(SHIFT, 114);
}
void Cego::loadParser215()
{
   _actionMap[303][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[303][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[303][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[303][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[303][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[303][ObjSpec] = 100;
   _jumpMap[303][Constant] = 99;
   _jumpMap[303][SignedFloat] = 98;
   _jumpMap[303][SignedInt] = 97;
   _jumpMap[303][Attribute] = 96;
   _jumpMap[303][Function] = 95;
   _jumpMap[303][CasePrepare] = 94;
   _jumpMap[303][CaseClause] = 93;
   _jumpMap[303][Factor] = 92;
   _jumpMap[303][Term] = 91;
   _jumpMap[303][Expr] = 443;
   _actionMap[304][SEMICOLON] = ActionEntry(REDUCE, 28);
   _actionMap[305][SEMICOLON] = ActionEntry(REDUCE, 26);
   _actionMap[306][SEMICOLON] = ActionEntry(REDUCE, 27);
   _actionMap[307][SET] = ActionEntry(SHIFT, 308);
   _actionMap[308][IDENTIFIER] = ActionEntry(SHIFT, 446);
   _jumpMap[308][Assignment] = 445;
   _jumpMap[308][UpdateList] = 444;
   _actionMap[309][SET] = ActionEntry(REDUCE, 256);
   _actionMap[309][WHERE] = ActionEntry(REDUCE, 256);
   _actionMap[309][GROUP] = ActionEntry(REDUCE, 256);
   _actionMap[309][ORDER] = ActionEntry(REDUCE, 256);
   _actionMap[309][ROWLIMIT] = ActionEntry(REDUCE, 256);
   _actionMap[309][UNION] = ActionEntry(REDUCE, 256);
   _actionMap[309][ENDTOKEN] = ActionEntry(REDUCE, 256);
   _actionMap[309][RB] = ActionEntry(REDUCE, 256);
   _actionMap[309][SEMICOLON] = ActionEntry(REDUCE, 256);
   _actionMap[309][RETURNTOKEN] = ActionEntry(REDUCE, 256);
   _actionMap[310][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[310][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[310][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[310][ObjSpec] = 447;
   _actionMap[39][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[39][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[39][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[39][ObjSpec] = 180;
   _actionMap[40][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[40][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[40][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[40][ObjSpec] = 181;
   _actionMap[41][IDENTIFIER] = ActionEntry(SHIFT, 183);
   _jumpMap[41][CounterId] = 182;
   _actionMap[42][KEY] = ActionEntry(SHIFT, 184);
   _actionMap[43][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[43][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
}
void Cego::loadParser216()
{
   _actionMap[43][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[43][ObjSpec] = 185;
   _actionMap[44][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[44][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[44][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[44][ObjSpec] = 186;
   _actionMap[45][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[45][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[45][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[45][ObjSpec] = 187;
   _actionMap[46][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[46][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[46][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[46][ObjSpec] = 188;
   _actionMap[47][ENDTOKEN] = ActionEntry(ACCEPT, 0);
   _actionMap[48][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[48][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[48][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[48][ObjSpec] = 189;
   _actionMap[49][IDENTIFIED] = ActionEntry(SHIFT, 190);
   _actionMap[50][LB] = ActionEntry(SHIFT, 191);
   _actionMap[51][TO] = ActionEntry(REDUCE, 366);
   _actionMap[51][VALUES] = ActionEntry(REDUCE, 366);
   _actionMap[51][SELECT] = ActionEntry(REDUCE, 366);
   _actionMap[51][SET] = ActionEntry(REDUCE, 366);
   _actionMap[51][AS] = ActionEntry(REDUCE, 366);
   _actionMap[51][DROP] = ActionEntry(REDUCE, 366);
   _actionMap[51][MODIFY] = ActionEntry(REDUCE, 366);
   _actionMap[51][RENAME] = ActionEntry(REDUCE, 366);
   _actionMap[51][ADD] = ActionEntry(REDUCE, 366);
   _actionMap[51][JOIN] = ActionEntry(REDUCE, 366);
   _actionMap[51][INNER] = ActionEntry(REDUCE, 366);
   _actionMap[51][RIGHT] = ActionEntry(REDUCE, 366);
   _actionMap[51][LEFT] = ActionEntry(REDUCE, 366);
   _actionMap[51][KSEP] = ActionEntry(REDUCE, 366);
   _actionMap[51][RETURNTOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[51][SEMICOLON] = ActionEntry(REDUCE, 366);
   _actionMap[51][RB] = ActionEntry(REDUCE, 366);
   _actionMap[51][ENDTOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[51][UNION] = ActionEntry(REDUCE, 366);
   _actionMap[51][ROWLIMIT] = ActionEntry(REDUCE, 366);
   _actionMap[51][ORDER] = ActionEntry(REDUCE, 366);
   _actionMap[51][GROUP] = ActionEntry(REDUCE, 366);
   _actionMap[51][WHERE] = ActionEntry(REDUCE, 366);
   _actionMap[51][LB] = ActionEntry(REDUCE, 366);
   _actionMap[51][IDENTIFIER] = ActionEntry(REDUCE, 366);
   _actionMap[51][ON] = ActionEntry(REDUCE, 366);
   _actionMap[52][TO] = ActionEntry(REDUCE, 367);
   _actionMap[52][VALUES] = ActionEntry(REDUCE, 367);
   _actionMap[52][SELECT] = ActionEntry(REDUCE, 367);
}
void Cego::loadParser217()
{
   _actionMap[52][SET] = ActionEntry(REDUCE, 367);
   _actionMap[52][AS] = ActionEntry(REDUCE, 367);
   _actionMap[52][DROP] = ActionEntry(REDUCE, 367);
   _actionMap[52][MODIFY] = ActionEntry(REDUCE, 367);
   _actionMap[52][RENAME] = ActionEntry(REDUCE, 367);
   _actionMap[52][ADD] = ActionEntry(REDUCE, 367);
   _actionMap[52][JOIN] = ActionEntry(REDUCE, 367);
   _actionMap[52][INNER] = ActionEntry(REDUCE, 367);
   _actionMap[52][RIGHT] = ActionEntry(REDUCE, 367);
   _actionMap[52][LEFT] = ActionEntry(REDUCE, 367);
   _actionMap[52][KSEP] = ActionEntry(REDUCE, 367);
   _actionMap[52][RETURNTOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[52][SEMICOLON] = ActionEntry(REDUCE, 367);
   _actionMap[52][RB] = ActionEntry(REDUCE, 367);
   _actionMap[52][ENDTOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[52][UNION] = ActionEntry(REDUCE, 367);
   _actionMap[52][ROWLIMIT] = ActionEntry(REDUCE, 367);
   _actionMap[52][ORDER] = ActionEntry(REDUCE, 367);
   _actionMap[52][GROUP] = ActionEntry(REDUCE, 367);
   _actionMap[52][WHERE] = ActionEntry(REDUCE, 367);
   _actionMap[52][LB] = ActionEntry(REDUCE, 367);
   _actionMap[52][IDENTIFIER] = ActionEntry(REDUCE, 367);
   _actionMap[52][ON] = ActionEntry(REDUCE, 367);
   _actionMap[53][TO] = ActionEntry(REDUCE, 368);
   _actionMap[53][VALUES] = ActionEntry(REDUCE, 368);
   _actionMap[53][SELECT] = ActionEntry(REDUCE, 368);
   _actionMap[53][SET] = ActionEntry(REDUCE, 368);
   _actionMap[53][AS] = ActionEntry(REDUCE, 368);
   _actionMap[53][DROP] = ActionEntry(REDUCE, 368);
   _actionMap[53][MODIFY] = ActionEntry(REDUCE, 368);
   _actionMap[53][RENAME] = ActionEntry(REDUCE, 368);
   _actionMap[53][ADD] = ActionEntry(REDUCE, 368);
   _actionMap[53][JOIN] = ActionEntry(REDUCE, 368);
   _actionMap[53][INNER] = ActionEntry(REDUCE, 368);
   _actionMap[53][RIGHT] = ActionEntry(REDUCE, 368);
   _actionMap[53][LEFT] = ActionEntry(REDUCE, 368);
   _actionMap[53][KSEP] = ActionEntry(REDUCE, 368);
   _actionMap[53][RETURNTOKEN] = ActionEntry(REDUCE, 368);
   _actionMap[53][SEMICOLON] = ActionEntry(REDUCE, 368);
   _actionMap[53][RB] = ActionEntry(REDUCE, 368);
   _actionMap[53][ENDTOKEN] = ActionEntry(REDUCE, 368);
   _actionMap[53][UNION] = ActionEntry(REDUCE, 368);
   _actionMap[53][ROWLIMIT] = ActionEntry(REDUCE, 368);
   _actionMap[53][ORDER] = ActionEntry(REDUCE, 368);
   _actionMap[53][GROUP] = ActionEntry(REDUCE, 368);
   _actionMap[53][WHERE] = ActionEntry(REDUCE, 368);
   _actionMap[53][IDENTIFIER] = ActionEntry(REDUCE, 368);
   _actionMap[53][ON] = ActionEntry(REDUCE, 368);
   _actionMap[53][LB] = ActionEntry(REDUCE, 368);
   _actionMap[54][IDENTIFIER] = ActionEntry(SHIFT, 192);
}
void Cego::loadParser218()
{
   _actionMap[55][BEGIN] = ActionEntry(SHIFT, 193);
   _actionMap[56][SEMICOLON] = ActionEntry(REDUCE, 50);
   _actionMap[57][INDEX] = ActionEntry(SHIFT, 196);
   _actionMap[57][BTREE] = ActionEntry(SHIFT, 195);
   _jumpMap[57][IndexType] = 194;
   _actionMap[58][IDENTIFIER] = ActionEntry(SHIFT, 183);
   _jumpMap[58][CounterId] = 197;
   _actionMap[59][INDEX] = ActionEntry(SHIFT, 196);
   _actionMap[59][BTREE] = ActionEntry(SHIFT, 195);
   _jumpMap[59][IndexType] = 198;
   _actionMap[60][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[60][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[60][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[60][ObjSpec] = 199;
   _actionMap[61][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[61][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[61][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[61][ObjSpec] = 200;
   _actionMap[62][INDEX] = ActionEntry(REDUCE, 182);
   _actionMap[62][BTREE] = ActionEntry(REDUCE, 182);
   _actionMap[63][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[63][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[63][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[63][ObjSpec] = 201;
   _actionMap[64][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[64][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[64][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[64][ObjSpec] = 202;
   _actionMap[65][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[65][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[65][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[65][ObjSpec] = 203;
   _actionMap[66][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[66][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[66][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[66][ObjSpec] = 204;
   _actionMap[67][KEY] = ActionEntry(SHIFT, 205);
   _actionMap[68][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[68][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[68][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[68][ObjSpec] = 206;
   _actionMap[69][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[69][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[69][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[69][ObjSpec] = 207;
   _actionMap[70][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[70][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[70][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[70][ObjSpec] = 208;
   _actionMap[71][IDENTIFIER] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser219()
{
   _actionMap[71][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[71][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[71][ObjSpec] = 209;
   _actionMap[72][EXISTS] = ActionEntry(SHIFT, 210);
   _actionMap[73][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[73][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[73][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[73][ObjSpec] = 211;
   _actionMap[74][IDENTIFIER] = ActionEntry(SHIFT, 212);
   _actionMap[74][SEMICOLON] = ActionEntry(REDUCE, 75);
   _actionMap[75][IDENTIFIER] = ActionEntry(REDUCE, 77);
   _actionMap[75][SEMICOLON] = ActionEntry(REDUCE, 77);
   _actionMap[76][FOR] = ActionEntry(SHIFT, 214);
   _actionMap[76][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[76][TableSetOpt] = 213;
   _actionMap[77][FOR] = ActionEntry(SHIFT, 214);
   _actionMap[77][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[77][TableSetOpt] = 215;
   _actionMap[78][FOR] = ActionEntry(SHIFT, 214);
   _actionMap[78][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[78][TableSetOpt] = 216;
   _actionMap[79][FOR] = ActionEntry(SHIFT, 214);
   _actionMap[79][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[79][TableSetOpt] = 217;
   _actionMap[80][FOR] = ActionEntry(SHIFT, 214);
   _actionMap[80][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[80][TableSetOpt] = 218;
   _actionMap[81][FOR] = ActionEntry(SHIFT, 214);
   _actionMap[81][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[81][TableSetOpt] = 219;
   _actionMap[82][FOR] = ActionEntry(SHIFT, 214);
   _actionMap[82][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[82][TableSetOpt] = 220;
   _actionMap[83][FOR] = ActionEntry(SHIFT, 214);
   _actionMap[83][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[83][TableSetOpt] = 221;
   _actionMap[84][SEMICOLON] = ActionEntry(REDUCE, 2);
   _actionMap[85][FOR] = ActionEntry(SHIFT, 214);
   _actionMap[85][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[85][TableSetOpt] = 222;
   _actionMap[86][FOR] = ActionEntry(SHIFT, 214);
   _actionMap[86][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[86][TableSetOpt] = 223;
   _actionMap[87][SEMICOLON] = ActionEntry(REDUCE, 51);
   _actionMap[88][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[88][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[88][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[88][ObjSpec] = 224;
   _actionMap[89][SEMICOLON] = ActionEntry(REDUCE, 42);
   _actionMap[90][PLUS] = ActionEntry(SHIFT, 227);
}
void Cego::loadParser220()
{
   _actionMap[90][MINUS] = ActionEntry(SHIFT, 226);
   _actionMap[90][CONCAT] = ActionEntry(SHIFT, 225);
   _actionMap[90][SEMICOLON] = ActionEntry(REDUCE, 69);
   _actionMap[91][STAR] = ActionEntry(SHIFT, 228);
   _actionMap[91][DIVISION] = ActionEntry(SHIFT, 229);
   _actionMap[91][WHEN] = ActionEntry(REDUCE, 141);
   _actionMap[91][ELSE] = ActionEntry(REDUCE, 141);
   _actionMap[91][LEFT] = ActionEntry(REDUCE, 141);
   _actionMap[91][RIGHT] = ActionEntry(REDUCE, 141);
   _actionMap[91][INNER] = ActionEntry(REDUCE, 141);
   _actionMap[91][JOIN] = ActionEntry(REDUCE, 141);
   _actionMap[91][RETURNTOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[91][ORDER] = ActionEntry(REDUCE, 141);
   _actionMap[91][GROUP] = ActionEntry(REDUCE, 141);
   _actionMap[91][WHERE] = ActionEntry(REDUCE, 141);
   _actionMap[91][BEGIN] = ActionEntry(REDUCE, 141);
   _actionMap[91][THEN] = ActionEntry(REDUCE, 141);
   _actionMap[91][OR] = ActionEntry(REDUCE, 141);
   _actionMap[91][AS] = ActionEntry(REDUCE, 141);
   _actionMap[91][FROM] = ActionEntry(REDUCE, 141);
   _actionMap[91][END_TOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[91][AND] = ActionEntry(REDUCE, 141);
   _actionMap[91][LIKE] = ActionEntry(REDUCE, 141);
   _actionMap[91][IS] = ActionEntry(REDUCE, 141);
   _actionMap[91][BETWEEN] = ActionEntry(REDUCE, 141);
   _actionMap[91][NOT] = ActionEntry(REDUCE, 141);
   _actionMap[91][INTOK] = ActionEntry(REDUCE, 141);
   _actionMap[91][EQU] = ActionEntry(REDUCE, 141);
   _actionMap[91][NEGATION] = ActionEntry(REDUCE, 141);
   _actionMap[91][LT] = ActionEntry(REDUCE, 141);
   _actionMap[91][MT] = ActionEntry(REDUCE, 141);
   _actionMap[91][DESC] = ActionEntry(REDUCE, 141);
   _actionMap[91][ASC] = ActionEntry(REDUCE, 141);
   _actionMap[91][KSEP] = ActionEntry(REDUCE, 141);
   _actionMap[91][ROWLIMIT] = ActionEntry(REDUCE, 141);
   _actionMap[91][UNION] = ActionEntry(REDUCE, 141);
   _actionMap[91][ENDTOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[91][RB] = ActionEntry(REDUCE, 141);
   _actionMap[91][SEMICOLON] = ActionEntry(REDUCE, 141);
   _actionMap[91][CONCAT] = ActionEntry(REDUCE, 141);
   _actionMap[91][MINUS] = ActionEntry(REDUCE, 141);
   _actionMap[91][PLUS] = ActionEntry(REDUCE, 141);
   _actionMap[92][WHEN] = ActionEntry(REDUCE, 145);
   _actionMap[92][ELSE] = ActionEntry(REDUCE, 145);
   _actionMap[92][LEFT] = ActionEntry(REDUCE, 145);
   _actionMap[92][RIGHT] = ActionEntry(REDUCE, 145);
   _actionMap[92][INNER] = ActionEntry(REDUCE, 145);
   _actionMap[92][JOIN] = ActionEntry(REDUCE, 145);
   _actionMap[92][RETURNTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[92][ORDER] = ActionEntry(REDUCE, 145);
}
void Cego::loadParser221()
{
   _actionMap[92][GROUP] = ActionEntry(REDUCE, 145);
   _actionMap[92][WHERE] = ActionEntry(REDUCE, 145);
   _actionMap[92][BEGIN] = ActionEntry(REDUCE, 145);
   _actionMap[92][THEN] = ActionEntry(REDUCE, 145);
   _actionMap[92][OR] = ActionEntry(REDUCE, 145);
   _actionMap[92][FROM] = ActionEntry(REDUCE, 145);
   _actionMap[92][AS] = ActionEntry(REDUCE, 145);
   _actionMap[92][END_TOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[92][AND] = ActionEntry(REDUCE, 145);
   _actionMap[92][INTOK] = ActionEntry(REDUCE, 145);
   _actionMap[92][NOT] = ActionEntry(REDUCE, 145);
   _actionMap[92][BETWEEN] = ActionEntry(REDUCE, 145);
   _actionMap[92][IS] = ActionEntry(REDUCE, 145);
   _actionMap[92][LIKE] = ActionEntry(REDUCE, 145);
   _actionMap[92][MT] = ActionEntry(REDUCE, 145);
   _actionMap[92][LT] = ActionEntry(REDUCE, 145);
   _actionMap[92][NEGATION] = ActionEntry(REDUCE, 145);
   _actionMap[92][EQU] = ActionEntry(REDUCE, 145);
   _actionMap[92][RB] = ActionEntry(REDUCE, 145);
   _actionMap[92][ENDTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[92][UNION] = ActionEntry(REDUCE, 145);
   _actionMap[92][ROWLIMIT] = ActionEntry(REDUCE, 145);
   _actionMap[92][KSEP] = ActionEntry(REDUCE, 145);
   _actionMap[92][ASC] = ActionEntry(REDUCE, 145);
   _actionMap[92][DESC] = ActionEntry(REDUCE, 145);
   _actionMap[92][SEMICOLON] = ActionEntry(REDUCE, 145);
   _actionMap[92][PLUS] = ActionEntry(REDUCE, 145);
   _actionMap[92][MINUS] = ActionEntry(REDUCE, 145);
   _actionMap[92][DIVISION] = ActionEntry(REDUCE, 145);
   _actionMap[92][STAR] = ActionEntry(REDUCE, 145);
   _actionMap[92][CONCAT] = ActionEntry(REDUCE, 145);
   _actionMap[93][WHEN] = ActionEntry(REDUCE, 153);
   _actionMap[93][ELSE] = ActionEntry(REDUCE, 153);
   _actionMap[93][LEFT] = ActionEntry(REDUCE, 153);
   _actionMap[93][RIGHT] = ActionEntry(REDUCE, 153);
   _actionMap[93][INNER] = ActionEntry(REDUCE, 153);
   _actionMap[93][JOIN] = ActionEntry(REDUCE, 153);
   _actionMap[93][RETURNTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[93][ORDER] = ActionEntry(REDUCE, 153);
   _actionMap[93][GROUP] = ActionEntry(REDUCE, 153);
   _actionMap[93][WHERE] = ActionEntry(REDUCE, 153);
   _actionMap[93][BEGIN] = ActionEntry(REDUCE, 153);
   _actionMap[93][THEN] = ActionEntry(REDUCE, 153);
   _actionMap[93][OR] = ActionEntry(REDUCE, 153);
   _actionMap[93][AS] = ActionEntry(REDUCE, 153);
   _actionMap[93][FROM] = ActionEntry(REDUCE, 153);
   _actionMap[93][END_TOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[93][AND] = ActionEntry(REDUCE, 153);
   _actionMap[93][LIKE] = ActionEntry(REDUCE, 153);
   _actionMap[93][IS] = ActionEntry(REDUCE, 153);
}
void Cego::loadParser222()
{
   _actionMap[93][BETWEEN] = ActionEntry(REDUCE, 153);
   _actionMap[93][NOT] = ActionEntry(REDUCE, 153);
   _actionMap[93][INTOK] = ActionEntry(REDUCE, 153);
   _actionMap[93][EQU] = ActionEntry(REDUCE, 153);
   _actionMap[93][NEGATION] = ActionEntry(REDUCE, 153);
   _actionMap[93][LT] = ActionEntry(REDUCE, 153);
   _actionMap[93][MT] = ActionEntry(REDUCE, 153);
   _actionMap[93][DESC] = ActionEntry(REDUCE, 153);
   _actionMap[93][ASC] = ActionEntry(REDUCE, 153);
   _actionMap[93][KSEP] = ActionEntry(REDUCE, 153);
   _actionMap[93][ROWLIMIT] = ActionEntry(REDUCE, 153);
   _actionMap[93][UNION] = ActionEntry(REDUCE, 153);
   _actionMap[93][ENDTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[93][RB] = ActionEntry(REDUCE, 153);
   _actionMap[93][SEMICOLON] = ActionEntry(REDUCE, 153);
   _actionMap[93][CONCAT] = ActionEntry(REDUCE, 153);
   _actionMap[93][STAR] = ActionEntry(REDUCE, 153);
   _actionMap[93][DIVISION] = ActionEntry(REDUCE, 153);
   _actionMap[93][MINUS] = ActionEntry(REDUCE, 153);
   _actionMap[93][PLUS] = ActionEntry(REDUCE, 153);
   _actionMap[94][WHEN] = ActionEntry(SHIFT, 232);
   _jumpMap[94][CaseCondition] = 231;
   _jumpMap[94][CaseConditionList] = 230;
   _actionMap[95][WHEN] = ActionEntry(REDUCE, 150);
   _actionMap[95][ELSE] = ActionEntry(REDUCE, 150);
   _actionMap[95][LEFT] = ActionEntry(REDUCE, 150);
   _actionMap[95][RIGHT] = ActionEntry(REDUCE, 150);
   _actionMap[95][INNER] = ActionEntry(REDUCE, 150);
   _actionMap[95][JOIN] = ActionEntry(REDUCE, 150);
   _actionMap[95][RETURNTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[95][ORDER] = ActionEntry(REDUCE, 150);
   _actionMap[95][GROUP] = ActionEntry(REDUCE, 150);
   _actionMap[95][WHERE] = ActionEntry(REDUCE, 150);
   _actionMap[95][BEGIN] = ActionEntry(REDUCE, 150);
   _actionMap[95][THEN] = ActionEntry(REDUCE, 150);
   _actionMap[95][OR] = ActionEntry(REDUCE, 150);
   _actionMap[95][AS] = ActionEntry(REDUCE, 150);
   _actionMap[95][FROM] = ActionEntry(REDUCE, 150);
   _actionMap[95][END_TOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[95][AND] = ActionEntry(REDUCE, 150);
   _actionMap[95][LIKE] = ActionEntry(REDUCE, 150);
   _actionMap[95][IS] = ActionEntry(REDUCE, 150);
   _actionMap[95][BETWEEN] = ActionEntry(REDUCE, 150);
   _actionMap[95][NOT] = ActionEntry(REDUCE, 150);
   _actionMap[95][INTOK] = ActionEntry(REDUCE, 150);
   _actionMap[95][EQU] = ActionEntry(REDUCE, 150);
   _actionMap[95][NEGATION] = ActionEntry(REDUCE, 150);
   _actionMap[95][LT] = ActionEntry(REDUCE, 150);
   _actionMap[95][MT] = ActionEntry(REDUCE, 150);
   _actionMap[95][DESC] = ActionEntry(REDUCE, 150);
}
void Cego::loadParser223()
{
   _actionMap[95][ASC] = ActionEntry(REDUCE, 150);
   _actionMap[95][KSEP] = ActionEntry(REDUCE, 150);
   _actionMap[95][ROWLIMIT] = ActionEntry(REDUCE, 150);
   _actionMap[95][UNION] = ActionEntry(REDUCE, 150);
   _actionMap[95][ENDTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[95][RB] = ActionEntry(REDUCE, 150);
   _actionMap[95][SEMICOLON] = ActionEntry(REDUCE, 150);
   _actionMap[95][CONCAT] = ActionEntry(REDUCE, 150);
   _actionMap[95][STAR] = ActionEntry(REDUCE, 150);
   _actionMap[95][DIVISION] = ActionEntry(REDUCE, 150);
   _actionMap[95][MINUS] = ActionEntry(REDUCE, 150);
   _actionMap[95][PLUS] = ActionEntry(REDUCE, 150);
   _actionMap[96][WHEN] = ActionEntry(REDUCE, 149);
   _actionMap[96][ELSE] = ActionEntry(REDUCE, 149);
   _actionMap[96][LEFT] = ActionEntry(REDUCE, 149);
   _actionMap[96][RIGHT] = ActionEntry(REDUCE, 149);
   _actionMap[96][INNER] = ActionEntry(REDUCE, 149);
   _actionMap[96][JOIN] = ActionEntry(REDUCE, 149);
   _actionMap[96][RETURNTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[96][ORDER] = ActionEntry(REDUCE, 149);
   _actionMap[96][GROUP] = ActionEntry(REDUCE, 149);
   _actionMap[96][WHERE] = ActionEntry(REDUCE, 149);
   _actionMap[96][AS] = ActionEntry(REDUCE, 149);
   _actionMap[96][FROM] = ActionEntry(REDUCE, 149);
   _actionMap[96][END_TOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[96][BEGIN] = ActionEntry(REDUCE, 149);
   _actionMap[96][THEN] = ActionEntry(REDUCE, 149);
   _actionMap[96][OR] = ActionEntry(REDUCE, 149);
   _actionMap[96][AND] = ActionEntry(REDUCE, 149);
   _actionMap[96][LIKE] = ActionEntry(REDUCE, 149);
   _actionMap[96][IS] = ActionEntry(REDUCE, 149);
   _actionMap[96][BETWEEN] = ActionEntry(REDUCE, 149);
   _actionMap[96][NOT] = ActionEntry(REDUCE, 149);
   _actionMap[96][INTOK] = ActionEntry(REDUCE, 149);
   _actionMap[96][EQU] = ActionEntry(REDUCE, 149);
   _actionMap[96][NEGATION] = ActionEntry(REDUCE, 149);
   _actionMap[96][LT] = ActionEntry(REDUCE, 149);
   _actionMap[96][MT] = ActionEntry(REDUCE, 149);
   _actionMap[96][DESC] = ActionEntry(REDUCE, 149);
   _actionMap[96][ASC] = ActionEntry(REDUCE, 149);
   _actionMap[96][KSEP] = ActionEntry(REDUCE, 149);
   _actionMap[96][ROWLIMIT] = ActionEntry(REDUCE, 149);
   _actionMap[96][UNION] = ActionEntry(REDUCE, 149);
   _actionMap[96][ENDTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[96][RB] = ActionEntry(REDUCE, 149);
   _actionMap[96][SEMICOLON] = ActionEntry(REDUCE, 149);
   _actionMap[96][CONCAT] = ActionEntry(REDUCE, 149);
   _actionMap[96][STAR] = ActionEntry(REDUCE, 149);
   _actionMap[96][DIVISION] = ActionEntry(REDUCE, 149);
   _actionMap[96][MINUS] = ActionEntry(REDUCE, 149);
}
void Cego::loadParser224()
{
   _actionMap[96][PLUS] = ActionEntry(REDUCE, 149);
   _actionMap[97][WHEN] = ActionEntry(REDUCE, 348);
   _actionMap[97][ELSE] = ActionEntry(REDUCE, 348);
   _actionMap[97][LEFT] = ActionEntry(REDUCE, 348);
   _actionMap[97][RIGHT] = ActionEntry(REDUCE, 348);
   _actionMap[97][INNER] = ActionEntry(REDUCE, 348);
   _actionMap[97][JOIN] = ActionEntry(REDUCE, 348);
   _actionMap[97][RETURNTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[97][ORDER] = ActionEntry(REDUCE, 348);
   _actionMap[97][GROUP] = ActionEntry(REDUCE, 348);
   _actionMap[97][WHERE] = ActionEntry(REDUCE, 348);
   _actionMap[97][NULLTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[97][FROM] = ActionEntry(REDUCE, 348);
   _actionMap[97][AS] = ActionEntry(REDUCE, 348);
   _actionMap[97][END_TOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[97][BEGIN] = ActionEntry(REDUCE, 348);
   _actionMap[97][THEN] = ActionEntry(REDUCE, 348);
   _actionMap[97][OR] = ActionEntry(REDUCE, 348);
   _actionMap[97][AND] = ActionEntry(REDUCE, 348);
   _actionMap[97][INTOK] = ActionEntry(REDUCE, 348);
   _actionMap[97][NOT] = ActionEntry(REDUCE, 348);
   _actionMap[97][BETWEEN] = ActionEntry(REDUCE, 348);
   _actionMap[97][IS] = ActionEntry(REDUCE, 348);
   _actionMap[97][LIKE] = ActionEntry(REDUCE, 348);
   _actionMap[97][MT] = ActionEntry(REDUCE, 348);
   _actionMap[97][LT] = ActionEntry(REDUCE, 348);
   _actionMap[97][NEGATION] = ActionEntry(REDUCE, 348);
   _actionMap[97][EQU] = ActionEntry(REDUCE, 348);
   _actionMap[97][RB] = ActionEntry(REDUCE, 348);
   _actionMap[97][ENDTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[97][UNION] = ActionEntry(REDUCE, 348);
   _actionMap[97][ROWLIMIT] = ActionEntry(REDUCE, 348);
   _actionMap[97][KSEP] = ActionEntry(REDUCE, 348);
   _actionMap[97][ASC] = ActionEntry(REDUCE, 348);
   _actionMap[97][DESC] = ActionEntry(REDUCE, 348);
   _actionMap[97][SEMICOLON] = ActionEntry(REDUCE, 348);
   _actionMap[97][PLUS] = ActionEntry(REDUCE, 348);
   _actionMap[97][MINUS] = ActionEntry(REDUCE, 348);
   _actionMap[97][DIVISION] = ActionEntry(REDUCE, 348);
   _actionMap[97][STAR] = ActionEntry(REDUCE, 348);
   _actionMap[97][CONCAT] = ActionEntry(REDUCE, 348);
   _actionMap[98][WHEN] = ActionEntry(REDUCE, 354);
   _actionMap[98][ELSE] = ActionEntry(REDUCE, 354);
   _actionMap[98][LEFT] = ActionEntry(REDUCE, 354);
   _actionMap[98][RIGHT] = ActionEntry(REDUCE, 354);
   _actionMap[98][INNER] = ActionEntry(REDUCE, 354);
   _actionMap[98][JOIN] = ActionEntry(REDUCE, 354);
   _actionMap[98][RETURNTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[98][ORDER] = ActionEntry(REDUCE, 354);
   _actionMap[98][GROUP] = ActionEntry(REDUCE, 354);
}
void Cego::loadParser225()
{
   _actionMap[98][WHERE] = ActionEntry(REDUCE, 354);
   _actionMap[98][NULLTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[98][FROM] = ActionEntry(REDUCE, 354);
   _actionMap[98][AS] = ActionEntry(REDUCE, 354);
   _actionMap[98][END_TOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[98][BEGIN] = ActionEntry(REDUCE, 354);
   _actionMap[98][THEN] = ActionEntry(REDUCE, 354);
   _actionMap[98][OR] = ActionEntry(REDUCE, 354);
   _actionMap[98][AND] = ActionEntry(REDUCE, 354);
   _actionMap[98][INTOK] = ActionEntry(REDUCE, 354);
   _actionMap[98][NOT] = ActionEntry(REDUCE, 354);
   _actionMap[98][BETWEEN] = ActionEntry(REDUCE, 354);
   _actionMap[98][IS] = ActionEntry(REDUCE, 354);
   _actionMap[98][LIKE] = ActionEntry(REDUCE, 354);
   _actionMap[98][MT] = ActionEntry(REDUCE, 354);
   _actionMap[98][LT] = ActionEntry(REDUCE, 354);
   _actionMap[98][NEGATION] = ActionEntry(REDUCE, 354);
   _actionMap[98][EQU] = ActionEntry(REDUCE, 354);
   _actionMap[98][RB] = ActionEntry(REDUCE, 354);
   _actionMap[98][ENDTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[98][UNION] = ActionEntry(REDUCE, 354);
   _actionMap[98][ROWLIMIT] = ActionEntry(REDUCE, 354);
   _actionMap[98][KSEP] = ActionEntry(REDUCE, 354);
   _actionMap[98][ASC] = ActionEntry(REDUCE, 354);
   _actionMap[98][DESC] = ActionEntry(REDUCE, 354);
   _actionMap[98][SEMICOLON] = ActionEntry(REDUCE, 354);
   _actionMap[98][PLUS] = ActionEntry(REDUCE, 354);
   _actionMap[98][MINUS] = ActionEntry(REDUCE, 354);
   _actionMap[98][DIVISION] = ActionEntry(REDUCE, 354);
   _actionMap[98][STAR] = ActionEntry(REDUCE, 354);
   _actionMap[98][CONCAT] = ActionEntry(REDUCE, 354);
   _actionMap[99][WHEN] = ActionEntry(REDUCE, 147);
   _actionMap[99][ELSE] = ActionEntry(REDUCE, 147);
   _actionMap[99][LEFT] = ActionEntry(REDUCE, 147);
   _actionMap[99][RIGHT] = ActionEntry(REDUCE, 147);
   _actionMap[99][INNER] = ActionEntry(REDUCE, 147);
   _actionMap[99][JOIN] = ActionEntry(REDUCE, 147);
   _actionMap[99][RETURNTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[99][ORDER] = ActionEntry(REDUCE, 147);
   _actionMap[99][GROUP] = ActionEntry(REDUCE, 147);
   _actionMap[99][WHERE] = ActionEntry(REDUCE, 147);
   _actionMap[99][AS] = ActionEntry(REDUCE, 147);
   _actionMap[99][FROM] = ActionEntry(REDUCE, 147);
   _actionMap[99][END_TOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[99][BEGIN] = ActionEntry(REDUCE, 147);
   _actionMap[99][THEN] = ActionEntry(REDUCE, 147);
   _actionMap[99][OR] = ActionEntry(REDUCE, 147);
   _actionMap[99][AND] = ActionEntry(REDUCE, 147);
   _actionMap[99][LIKE] = ActionEntry(REDUCE, 147);
   _actionMap[99][IS] = ActionEntry(REDUCE, 147);
}
void Cego::loadParser226()
{
   _actionMap[99][BETWEEN] = ActionEntry(REDUCE, 147);
   _actionMap[99][NOT] = ActionEntry(REDUCE, 147);
   _actionMap[99][INTOK] = ActionEntry(REDUCE, 147);
   _actionMap[99][EQU] = ActionEntry(REDUCE, 147);
   _actionMap[99][NEGATION] = ActionEntry(REDUCE, 147);
   _actionMap[99][LT] = ActionEntry(REDUCE, 147);
   _actionMap[99][MT] = ActionEntry(REDUCE, 147);
   _actionMap[99][DESC] = ActionEntry(REDUCE, 147);
   _actionMap[99][ASC] = ActionEntry(REDUCE, 147);
   _actionMap[99][KSEP] = ActionEntry(REDUCE, 147);
   _actionMap[99][ROWLIMIT] = ActionEntry(REDUCE, 147);
   _actionMap[99][UNION] = ActionEntry(REDUCE, 147);
   _actionMap[99][ENDTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[99][RB] = ActionEntry(REDUCE, 147);
   _actionMap[99][SEMICOLON] = ActionEntry(REDUCE, 147);
   _actionMap[99][CONCAT] = ActionEntry(REDUCE, 147);
   _actionMap[99][STAR] = ActionEntry(REDUCE, 147);
   _actionMap[99][DIVISION] = ActionEntry(REDUCE, 147);
   _actionMap[99][MINUS] = ActionEntry(REDUCE, 147);
   _actionMap[99][PLUS] = ActionEntry(REDUCE, 147);
   _actionMap[100][LB] = ActionEntry(SHIFT, 233);
   _actionMap[101][WHEN] = ActionEntry(REDUCE, 353);
   _actionMap[101][ELSE] = ActionEntry(REDUCE, 353);
   _actionMap[101][LEFT] = ActionEntry(REDUCE, 353);
   _actionMap[101][RIGHT] = ActionEntry(REDUCE, 353);
   _actionMap[101][INNER] = ActionEntry(REDUCE, 353);
   _actionMap[101][JOIN] = ActionEntry(REDUCE, 353);
   _actionMap[101][RETURNTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[101][ORDER] = ActionEntry(REDUCE, 353);
   _actionMap[101][GROUP] = ActionEntry(REDUCE, 353);
   _actionMap[101][WHERE] = ActionEntry(REDUCE, 353);
   _actionMap[101][NULLTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[101][FROM] = ActionEntry(REDUCE, 353);
   _actionMap[101][AS] = ActionEntry(REDUCE, 353);
   _actionMap[101][END_TOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[101][BEGIN] = ActionEntry(REDUCE, 353);
   _actionMap[101][THEN] = ActionEntry(REDUCE, 353);
   _actionMap[101][OR] = ActionEntry(REDUCE, 353);
   _actionMap[101][AND] = ActionEntry(REDUCE, 353);
   _actionMap[101][INTOK] = ActionEntry(REDUCE, 353);
   _actionMap[101][NOT] = ActionEntry(REDUCE, 353);
   _actionMap[101][BETWEEN] = ActionEntry(REDUCE, 353);
   _actionMap[101][IS] = ActionEntry(REDUCE, 353);
   _actionMap[101][LIKE] = ActionEntry(REDUCE, 353);
   _actionMap[101][MT] = ActionEntry(REDUCE, 353);
   _actionMap[101][LT] = ActionEntry(REDUCE, 353);
   _actionMap[101][NEGATION] = ActionEntry(REDUCE, 353);
   _actionMap[101][EQU] = ActionEntry(REDUCE, 353);
   _actionMap[101][RB] = ActionEntry(REDUCE, 353);
   _actionMap[101][ENDTOKEN] = ActionEntry(REDUCE, 353);
}
void Cego::loadParser227()
{
   _actionMap[101][UNION] = ActionEntry(REDUCE, 353);
   _actionMap[101][ROWLIMIT] = ActionEntry(REDUCE, 353);
   _actionMap[101][KSEP] = ActionEntry(REDUCE, 353);
   _actionMap[101][ASC] = ActionEntry(REDUCE, 353);
   _actionMap[101][DESC] = ActionEntry(REDUCE, 353);
   _actionMap[101][SEMICOLON] = ActionEntry(REDUCE, 353);
   _actionMap[101][PLUS] = ActionEntry(REDUCE, 353);
   _actionMap[101][MINUS] = ActionEntry(REDUCE, 353);
   _actionMap[101][DIVISION] = ActionEntry(REDUCE, 353);
   _actionMap[101][STAR] = ActionEntry(REDUCE, 353);
   _actionMap[101][CONCAT] = ActionEntry(REDUCE, 353);
   _actionMap[102][LB] = ActionEntry(SHIFT, 234);
   _actionMap[103][LB] = ActionEntry(SHIFT, 235);
   _actionMap[104][LB] = ActionEntry(SHIFT, 236);
   _actionMap[105][LB] = ActionEntry(SHIFT, 237);
   _actionMap[106][LB] = ActionEntry(SHIFT, 238);
   _actionMap[107][WHEN] = ActionEntry(REDUCE, 164);
   _actionMap[108][LB] = ActionEntry(SHIFT, 239);
   _actionMap[109][LB] = ActionEntry(SHIFT, 240);
   _actionMap[110][LB] = ActionEntry(SHIFT, 241);
   _actionMap[111][LB] = ActionEntry(SHIFT, 242);
   _actionMap[112][LB] = ActionEntry(SHIFT, 243);
   _actionMap[113][WHEN] = ActionEntry(REDUCE, 362);
   _actionMap[113][ELSE] = ActionEntry(REDUCE, 362);
   _actionMap[113][LEFT] = ActionEntry(REDUCE, 362);
   _actionMap[113][RIGHT] = ActionEntry(REDUCE, 362);
   _actionMap[113][INNER] = ActionEntry(REDUCE, 362);
   _actionMap[113][JOIN] = ActionEntry(REDUCE, 362);
   _actionMap[113][RETURNTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[113][ORDER] = ActionEntry(REDUCE, 362);
   _actionMap[113][GROUP] = ActionEntry(REDUCE, 362);
   _actionMap[113][WHERE] = ActionEntry(REDUCE, 362);
   _actionMap[113][FROM] = ActionEntry(REDUCE, 362);
   _actionMap[113][AS] = ActionEntry(REDUCE, 362);
   _actionMap[113][END_TOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[113][BEGIN] = ActionEntry(REDUCE, 362);
   _actionMap[113][THEN] = ActionEntry(REDUCE, 362);
   _actionMap[113][OR] = ActionEntry(REDUCE, 362);
   _actionMap[113][AND] = ActionEntry(REDUCE, 362);
   _actionMap[113][NULLTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[113][INTOK] = ActionEntry(REDUCE, 362);
   _actionMap[113][NOT] = ActionEntry(REDUCE, 362);
   _actionMap[113][BETWEEN] = ActionEntry(REDUCE, 362);
   _actionMap[113][IS] = ActionEntry(REDUCE, 362);
   _actionMap[113][LIKE] = ActionEntry(REDUCE, 362);
   _actionMap[113][MT] = ActionEntry(REDUCE, 362);
   _actionMap[113][LT] = ActionEntry(REDUCE, 362);
   _actionMap[113][NEGATION] = ActionEntry(REDUCE, 362);
   _actionMap[113][EQU] = ActionEntry(REDUCE, 362);
   _actionMap[113][RB] = ActionEntry(REDUCE, 362);
}
void Cego::loadParser228()
{
   _actionMap[113][ENDTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[113][UNION] = ActionEntry(REDUCE, 362);
   _actionMap[113][ROWLIMIT] = ActionEntry(REDUCE, 362);
   _actionMap[113][KSEP] = ActionEntry(REDUCE, 362);
   _actionMap[113][ASC] = ActionEntry(REDUCE, 362);
   _actionMap[113][DESC] = ActionEntry(REDUCE, 362);
   _actionMap[113][SEMICOLON] = ActionEntry(REDUCE, 362);
   _actionMap[113][PLUS] = ActionEntry(REDUCE, 362);
   _actionMap[113][MINUS] = ActionEntry(REDUCE, 362);
   _actionMap[113][DIVISION] = ActionEntry(REDUCE, 362);
   _actionMap[113][STAR] = ActionEntry(REDUCE, 362);
   _actionMap[113][CONCAT] = ActionEntry(REDUCE, 362);
   _actionMap[114][IDENTIFIER] = ActionEntry(SHIFT, 244);
   _actionMap[115][LB] = ActionEntry(SHIFT, 245);
   _actionMap[116][LB] = ActionEntry(SHIFT, 246);
   _actionMap[117][LB] = ActionEntry(SHIFT, 247);
   _actionMap[118][LB] = ActionEntry(SHIFT, 248);
   _actionMap[119][LB] = ActionEntry(SHIFT, 249);
   _actionMap[120][LB] = ActionEntry(SHIFT, 250);
   _actionMap[121][LB] = ActionEntry(SHIFT, 251);
   _actionMap[122][LB] = ActionEntry(SHIFT, 252);
   _actionMap[123][LB] = ActionEntry(SHIFT, 253);
   _actionMap[124][LB] = ActionEntry(SHIFT, 254);
   _actionMap[125][WHEN] = ActionEntry(REDUCE, 360);
   _actionMap[125][ELSE] = ActionEntry(REDUCE, 360);
   _actionMap[125][LEFT] = ActionEntry(REDUCE, 360);
   _actionMap[125][RIGHT] = ActionEntry(REDUCE, 360);
   _actionMap[125][INNER] = ActionEntry(REDUCE, 360);
   _actionMap[125][JOIN] = ActionEntry(REDUCE, 360);
   _actionMap[125][RETURNTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[125][ORDER] = ActionEntry(REDUCE, 360);
   _actionMap[125][GROUP] = ActionEntry(REDUCE, 360);
   _actionMap[125][WHERE] = ActionEntry(REDUCE, 360);
   _actionMap[125][FROM] = ActionEntry(REDUCE, 360);
   _actionMap[125][AS] = ActionEntry(REDUCE, 360);
   _actionMap[125][END_TOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[125][BEGIN] = ActionEntry(REDUCE, 360);
   _actionMap[125][THEN] = ActionEntry(REDUCE, 360);
   _actionMap[125][OR] = ActionEntry(REDUCE, 360);
   _actionMap[125][AND] = ActionEntry(REDUCE, 360);
   _actionMap[125][NULLTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[125][INTOK] = ActionEntry(REDUCE, 360);
   _actionMap[125][NOT] = ActionEntry(REDUCE, 360);
   _actionMap[125][BETWEEN] = ActionEntry(REDUCE, 360);
   _actionMap[125][IS] = ActionEntry(REDUCE, 360);
   _actionMap[125][LIKE] = ActionEntry(REDUCE, 360);
   _actionMap[125][MT] = ActionEntry(REDUCE, 360);
   _actionMap[125][LT] = ActionEntry(REDUCE, 360);
   _actionMap[125][NEGATION] = ActionEntry(REDUCE, 360);
   _actionMap[125][EQU] = ActionEntry(REDUCE, 360);
}
void Cego::loadParser229()
{
   _actionMap[125][RB] = ActionEntry(REDUCE, 360);
   _actionMap[125][ENDTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[125][UNION] = ActionEntry(REDUCE, 360);
   _actionMap[125][ROWLIMIT] = ActionEntry(REDUCE, 360);
   _actionMap[125][KSEP] = ActionEntry(REDUCE, 360);
   _actionMap[125][ASC] = ActionEntry(REDUCE, 360);
   _actionMap[125][DESC] = ActionEntry(REDUCE, 360);
   _actionMap[125][SEMICOLON] = ActionEntry(REDUCE, 360);
   _actionMap[125][PLUS] = ActionEntry(REDUCE, 360);
   _actionMap[125][MINUS] = ActionEntry(REDUCE, 360);
   _actionMap[125][DIVISION] = ActionEntry(REDUCE, 360);
   _actionMap[125][STAR] = ActionEntry(REDUCE, 360);
   _actionMap[125][CONCAT] = ActionEntry(REDUCE, 360);
   _actionMap[126][LB] = ActionEntry(SHIFT, 255);
   _actionMap[127][LB] = ActionEntry(SHIFT, 256);
   _actionMap[128][LB] = ActionEntry(SHIFT, 257);
   _actionMap[129][LB] = ActionEntry(SHIFT, 258);
   _actionMap[130][LB] = ActionEntry(SHIFT, 259);
   _actionMap[131][LB] = ActionEntry(SHIFT, 260);
   _actionMap[132][LB] = ActionEntry(SHIFT, 261);
   _actionMap[133][LB] = ActionEntry(SHIFT, 262);
   _actionMap[134][LB] = ActionEntry(SHIFT, 263);
   _actionMap[135][LB] = ActionEntry(SHIFT, 264);
   _actionMap[136][WHEN] = ActionEntry(REDUCE, 359);
   _actionMap[136][ELSE] = ActionEntry(REDUCE, 359);
   _actionMap[136][LEFT] = ActionEntry(REDUCE, 359);
   _actionMap[136][RIGHT] = ActionEntry(REDUCE, 359);
   _actionMap[136][INNER] = ActionEntry(REDUCE, 359);
   _actionMap[136][JOIN] = ActionEntry(REDUCE, 359);
   _actionMap[136][RETURNTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[136][ORDER] = ActionEntry(REDUCE, 359);
   _actionMap[136][GROUP] = ActionEntry(REDUCE, 359);
   _actionMap[136][WHERE] = ActionEntry(REDUCE, 359);
   _actionMap[136][FROM] = ActionEntry(REDUCE, 359);
   _actionMap[136][AS] = ActionEntry(REDUCE, 359);
   _actionMap[136][END_TOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[136][BEGIN] = ActionEntry(REDUCE, 359);
   _actionMap[136][THEN] = ActionEntry(REDUCE, 359);
   _actionMap[136][OR] = ActionEntry(REDUCE, 359);
   _actionMap[136][AND] = ActionEntry(REDUCE, 359);
   _actionMap[136][NULLTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[136][INTOK] = ActionEntry(REDUCE, 359);
   _actionMap[136][NOT] = ActionEntry(REDUCE, 359);
   _actionMap[136][BETWEEN] = ActionEntry(REDUCE, 359);
   _actionMap[136][IS] = ActionEntry(REDUCE, 359);
   _actionMap[136][LIKE] = ActionEntry(REDUCE, 359);
   _actionMap[136][MT] = ActionEntry(REDUCE, 359);
   _actionMap[136][LT] = ActionEntry(REDUCE, 359);
   _actionMap[136][NEGATION] = ActionEntry(REDUCE, 359);
   _actionMap[136][EQU] = ActionEntry(REDUCE, 359);
}
void Cego::loadParser230()
{
   _actionMap[136][RB] = ActionEntry(REDUCE, 359);
   _actionMap[136][ENDTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[136][UNION] = ActionEntry(REDUCE, 359);
   _actionMap[136][ROWLIMIT] = ActionEntry(REDUCE, 359);
   _actionMap[136][KSEP] = ActionEntry(REDUCE, 359);
   _actionMap[136][ASC] = ActionEntry(REDUCE, 359);
   _actionMap[136][DESC] = ActionEntry(REDUCE, 359);
   _actionMap[136][SEMICOLON] = ActionEntry(REDUCE, 359);
   _actionMap[136][PLUS] = ActionEntry(REDUCE, 359);
   _actionMap[136][MINUS] = ActionEntry(REDUCE, 359);
   _actionMap[136][DIVISION] = ActionEntry(REDUCE, 359);
   _actionMap[136][STAR] = ActionEntry(REDUCE, 359);
   _actionMap[136][CONCAT] = ActionEntry(REDUCE, 359);
   _actionMap[137][LB] = ActionEntry(SHIFT, 265);
   _actionMap[138][LB] = ActionEntry(SHIFT, 266);
   _actionMap[139][LB] = ActionEntry(SHIFT, 267);
   _actionMap[140][LB] = ActionEntry(SHIFT, 268);
   _actionMap[141][WHEN] = ActionEntry(REDUCE, 361);
   _actionMap[141][ELSE] = ActionEntry(REDUCE, 361);
   _actionMap[141][LEFT] = ActionEntry(REDUCE, 361);
   _actionMap[141][RIGHT] = ActionEntry(REDUCE, 361);
   _actionMap[141][INNER] = ActionEntry(REDUCE, 361);
   _actionMap[141][JOIN] = ActionEntry(REDUCE, 361);
   _actionMap[141][RETURNTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[141][ORDER] = ActionEntry(REDUCE, 361);
   _actionMap[141][GROUP] = ActionEntry(REDUCE, 361);
   _actionMap[141][WHERE] = ActionEntry(REDUCE, 361);
   _actionMap[141][FROM] = ActionEntry(REDUCE, 361);
   _actionMap[141][AS] = ActionEntry(REDUCE, 361);
   _actionMap[141][END_TOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[141][BEGIN] = ActionEntry(REDUCE, 361);
   _actionMap[141][THEN] = ActionEntry(REDUCE, 361);
   _actionMap[141][OR] = ActionEntry(REDUCE, 361);
   _actionMap[141][AND] = ActionEntry(REDUCE, 361);
   _actionMap[141][NULLTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[141][INTOK] = ActionEntry(REDUCE, 361);
   _actionMap[141][NOT] = ActionEntry(REDUCE, 361);
   _actionMap[141][BETWEEN] = ActionEntry(REDUCE, 361);
   _actionMap[141][IS] = ActionEntry(REDUCE, 361);
   _actionMap[141][LIKE] = ActionEntry(REDUCE, 361);
   _actionMap[141][MT] = ActionEntry(REDUCE, 361);
   _actionMap[141][LT] = ActionEntry(REDUCE, 361);
   _actionMap[141][NEGATION] = ActionEntry(REDUCE, 361);
   _actionMap[141][EQU] = ActionEntry(REDUCE, 361);
   _actionMap[141][RB] = ActionEntry(REDUCE, 361);
   _actionMap[141][ENDTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[141][UNION] = ActionEntry(REDUCE, 361);
   _actionMap[141][ROWLIMIT] = ActionEntry(REDUCE, 361);
   _actionMap[141][KSEP] = ActionEntry(REDUCE, 361);
   _actionMap[141][ASC] = ActionEntry(REDUCE, 361);
}
void Cego::loadParser231()
{
   _actionMap[141][DESC] = ActionEntry(REDUCE, 361);
   _actionMap[141][SEMICOLON] = ActionEntry(REDUCE, 361);
   _actionMap[141][PLUS] = ActionEntry(REDUCE, 361);
   _actionMap[141][MINUS] = ActionEntry(REDUCE, 361);
   _actionMap[141][DIVISION] = ActionEntry(REDUCE, 361);
   _actionMap[141][STAR] = ActionEntry(REDUCE, 361);
   _actionMap[141][CONCAT] = ActionEntry(REDUCE, 361);
   _actionMap[142][LB] = ActionEntry(SHIFT, 269);
   _actionMap[143][LB] = ActionEntry(SHIFT, 270);
   _actionMap[144][LONG] = ActionEntry(SHIFT, 277);
   _actionMap[144][BIGINT] = ActionEntry(SHIFT, 273);
   _actionMap[144][SMALLINT] = ActionEntry(SHIFT, 278);
   _actionMap[144][TINYINT] = ActionEntry(SHIFT, 279);
   _actionMap[144][DOUBLE] = ActionEntry(SHIFT, 275);
   _actionMap[144][DECIMAL] = ActionEntry(SHIFT, 274);
   _actionMap[144][FIXED] = ActionEntry(SHIFT, 276);
   _actionMap[144][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[144][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[144][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[144][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[144][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[144][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[144][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[144][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[144][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[144][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[144][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[144][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[144][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[144][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[144][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[144][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[144][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[144][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[144][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[144][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[144][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[144][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[144][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[144][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[144][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[144][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[144][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[144][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[144][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[144][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[144][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[144][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[144][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[144][IDENTIFIER] = ActionEntry(SHIFT, 149);
}
void Cego::loadParser232()
{
   _actionMap[144][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[144][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[144][LB] = ActionEntry(SHIFT, 144);
   _actionMap[144][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[144][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[144][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[144][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[144][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[144][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[144][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[144][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[144][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[144][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[144][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[144][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[144][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[144][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[144][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[144][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[144][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[144][ObjSpec] = 100;
   _jumpMap[144][Constant] = 99;
   _jumpMap[144][SignedFloat] = 98;
   _jumpMap[144][SignedInt] = 97;
   _jumpMap[144][Attribute] = 96;
   _jumpMap[144][Function] = 95;
   _jumpMap[144][SelectStatement] = 272;
   _jumpMap[144][CasePrepare] = 94;
   _jumpMap[144][CaseClause] = 93;
   _jumpMap[144][Factor] = 92;
   _jumpMap[144][Term] = 91;
   _jumpMap[144][Expr] = 271;
   _actionMap[145][INTVAL] = ActionEntry(SHIFT, 280);
   _actionMap[146][FLOATVAL] = ActionEntry(SHIFT, 282);
   _actionMap[146][INTVAL] = ActionEntry(SHIFT, 281);
   _actionMap[147][WHEN] = ActionEntry(REDUCE, 344);
   _actionMap[147][ELSE] = ActionEntry(REDUCE, 344);
   _actionMap[147][LEFT] = ActionEntry(REDUCE, 344);
   _actionMap[147][RIGHT] = ActionEntry(REDUCE, 344);
   _actionMap[147][INNER] = ActionEntry(REDUCE, 344);
   _actionMap[147][JOIN] = ActionEntry(REDUCE, 344);
   _actionMap[147][RETURNTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[147][ORDER] = ActionEntry(REDUCE, 344);
   _actionMap[147][GROUP] = ActionEntry(REDUCE, 344);
   _actionMap[147][WHERE] = ActionEntry(REDUCE, 344);
   _actionMap[147][AS] = ActionEntry(REDUCE, 344);
   _actionMap[147][FROM] = ActionEntry(REDUCE, 344);
   _actionMap[147][END_TOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[147][BEGIN] = ActionEntry(REDUCE, 344);
   _actionMap[147][THEN] = ActionEntry(REDUCE, 344);
}
void Cego::loadParser233()
{
   _actionMap[147][OR] = ActionEntry(REDUCE, 344);
   _actionMap[147][AND] = ActionEntry(REDUCE, 344);
   _actionMap[147][NULLTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[147][LIKE] = ActionEntry(REDUCE, 344);
   _actionMap[147][IS] = ActionEntry(REDUCE, 344);
   _actionMap[147][BETWEEN] = ActionEntry(REDUCE, 344);
   _actionMap[147][NOT] = ActionEntry(REDUCE, 344);
   _actionMap[147][INTOK] = ActionEntry(REDUCE, 344);
   _actionMap[147][EQU] = ActionEntry(REDUCE, 344);
   _actionMap[147][NEGATION] = ActionEntry(REDUCE, 344);
   _actionMap[147][LT] = ActionEntry(REDUCE, 344);
   _actionMap[147][MT] = ActionEntry(REDUCE, 344);
   _actionMap[147][DESC] = ActionEntry(REDUCE, 344);
   _actionMap[147][ASC] = ActionEntry(REDUCE, 344);
   _actionMap[147][KSEP] = ActionEntry(REDUCE, 344);
   _actionMap[147][ROWLIMIT] = ActionEntry(REDUCE, 344);
   _actionMap[147][UNION] = ActionEntry(REDUCE, 344);
   _actionMap[147][ENDTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[147][RB] = ActionEntry(REDUCE, 344);
   _actionMap[147][SEMICOLON] = ActionEntry(REDUCE, 344);
   _actionMap[147][CONCAT] = ActionEntry(REDUCE, 344);
   _actionMap[147][STAR] = ActionEntry(REDUCE, 344);
   _actionMap[147][DIVISION] = ActionEntry(REDUCE, 344);
   _actionMap[147][MINUS] = ActionEntry(REDUCE, 344);
   _actionMap[147][PLUS] = ActionEntry(REDUCE, 344);
   _actionMap[148][WHEN] = ActionEntry(REDUCE, 346);
   _actionMap[148][ELSE] = ActionEntry(REDUCE, 346);
   _actionMap[148][LEFT] = ActionEntry(REDUCE, 346);
   _actionMap[148][RIGHT] = ActionEntry(REDUCE, 346);
   _actionMap[148][INNER] = ActionEntry(REDUCE, 346);
   _actionMap[148][JOIN] = ActionEntry(REDUCE, 346);
   _actionMap[148][RETURNTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[148][ORDER] = ActionEntry(REDUCE, 346);
   _actionMap[148][GROUP] = ActionEntry(REDUCE, 346);
   _actionMap[148][WHERE] = ActionEntry(REDUCE, 346);
   _actionMap[148][AS] = ActionEntry(REDUCE, 346);
   _actionMap[148][FROM] = ActionEntry(REDUCE, 346);
   _actionMap[148][END_TOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[148][BEGIN] = ActionEntry(REDUCE, 346);
   _actionMap[148][THEN] = ActionEntry(REDUCE, 346);
   _actionMap[148][OR] = ActionEntry(REDUCE, 346);
   _actionMap[148][AND] = ActionEntry(REDUCE, 346);
   _actionMap[148][NULLTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[148][LIKE] = ActionEntry(REDUCE, 346);
   _actionMap[148][IS] = ActionEntry(REDUCE, 346);
   _actionMap[148][BETWEEN] = ActionEntry(REDUCE, 346);
   _actionMap[148][NOT] = ActionEntry(REDUCE, 346);
   _actionMap[148][INTOK] = ActionEntry(REDUCE, 346);
   _actionMap[148][EQU] = ActionEntry(REDUCE, 346);
   _actionMap[148][NEGATION] = ActionEntry(REDUCE, 346);
}
void Cego::loadParser234()
{
   _actionMap[148][LT] = ActionEntry(REDUCE, 346);
   _actionMap[148][MT] = ActionEntry(REDUCE, 346);
   _actionMap[148][DESC] = ActionEntry(REDUCE, 346);
   _actionMap[148][ASC] = ActionEntry(REDUCE, 346);
   _actionMap[148][KSEP] = ActionEntry(REDUCE, 346);
   _actionMap[148][ROWLIMIT] = ActionEntry(REDUCE, 346);
   _actionMap[148][UNION] = ActionEntry(REDUCE, 346);
   _actionMap[148][ENDTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[148][RB] = ActionEntry(REDUCE, 346);
   _actionMap[148][SEMICOLON] = ActionEntry(REDUCE, 346);
   _actionMap[148][CONCAT] = ActionEntry(REDUCE, 346);
   _actionMap[148][STAR] = ActionEntry(REDUCE, 346);
   _actionMap[148][DIVISION] = ActionEntry(REDUCE, 346);
   _actionMap[148][MINUS] = ActionEntry(REDUCE, 346);
   _actionMap[148][PLUS] = ActionEntry(REDUCE, 346);
   _actionMap[149][WHEN] = ActionEntry(REDUCE, 341);
   _actionMap[149][ELSE] = ActionEntry(REDUCE, 341);
   _actionMap[149][LEFT] = ActionEntry(REDUCE, 341);
   _actionMap[149][RIGHT] = ActionEntry(REDUCE, 341);
   _actionMap[149][INNER] = ActionEntry(REDUCE, 341);
   _actionMap[149][JOIN] = ActionEntry(REDUCE, 341);
   _actionMap[149][RETURNTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[149][ORDER] = ActionEntry(REDUCE, 341);
   _actionMap[149][GROUP] = ActionEntry(REDUCE, 341);
   _actionMap[149][WHERE] = ActionEntry(REDUCE, 341);
   _actionMap[149][FROM] = ActionEntry(REDUCE, 341);
   _actionMap[149][AS] = ActionEntry(REDUCE, 341);
   _actionMap[149][END_TOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[149][BEGIN] = ActionEntry(REDUCE, 341);
   _actionMap[149][THEN] = ActionEntry(REDUCE, 341);
   _actionMap[149][OR] = ActionEntry(REDUCE, 341);
   _actionMap[149][AND] = ActionEntry(REDUCE, 341);
   _actionMap[149][INTOK] = ActionEntry(REDUCE, 341);
   _actionMap[149][NOT] = ActionEntry(REDUCE, 341);
   _actionMap[149][BETWEEN] = ActionEntry(REDUCE, 341);
   _actionMap[149][IS] = ActionEntry(REDUCE, 341);
   _actionMap[149][LIKE] = ActionEntry(REDUCE, 341);
   _actionMap[149][MT] = ActionEntry(REDUCE, 341);
   _actionMap[149][LT] = ActionEntry(REDUCE, 341);
   _actionMap[149][NEGATION] = ActionEntry(REDUCE, 341);
   _actionMap[149][EQU] = ActionEntry(REDUCE, 341);
   _actionMap[149][RB] = ActionEntry(REDUCE, 341);
   _actionMap[149][ENDTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[149][UNION] = ActionEntry(REDUCE, 341);
   _actionMap[149][ROWLIMIT] = ActionEntry(REDUCE, 341);
   _actionMap[149][KSEP] = ActionEntry(REDUCE, 341);
   _actionMap[149][ASC] = ActionEntry(REDUCE, 341);
   _actionMap[149][DESC] = ActionEntry(REDUCE, 341);
   _actionMap[149][SEMICOLON] = ActionEntry(REDUCE, 341);
   _actionMap[149][PLUS] = ActionEntry(REDUCE, 341);
}
void Cego::loadParser235()
{
   _actionMap[149][MINUS] = ActionEntry(REDUCE, 341);
   _actionMap[149][LB] = ActionEntry(REDUCE, 366);
   _actionMap[149][DIVISION] = ActionEntry(REDUCE, 341);
   _actionMap[149][STAR] = ActionEntry(REDUCE, 341);
   _actionMap[149][CONCAT] = ActionEntry(REDUCE, 341);
   _actionMap[150][WHEN] = ActionEntry(REDUCE, 146);
   _actionMap[150][ELSE] = ActionEntry(REDUCE, 146);
   _actionMap[150][LEFT] = ActionEntry(REDUCE, 146);
   _actionMap[150][RIGHT] = ActionEntry(REDUCE, 146);
   _actionMap[150][INNER] = ActionEntry(REDUCE, 146);
   _actionMap[150][JOIN] = ActionEntry(REDUCE, 146);
   _actionMap[150][RETURNTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[150][ORDER] = ActionEntry(REDUCE, 146);
   _actionMap[150][GROUP] = ActionEntry(REDUCE, 146);
   _actionMap[150][WHERE] = ActionEntry(REDUCE, 146);
   _actionMap[150][AS] = ActionEntry(REDUCE, 146);
   _actionMap[150][FROM] = ActionEntry(REDUCE, 146);
   _actionMap[150][END_TOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[150][BEGIN] = ActionEntry(REDUCE, 146);
   _actionMap[150][THEN] = ActionEntry(REDUCE, 146);
   _actionMap[150][OR] = ActionEntry(REDUCE, 146);
   _actionMap[150][AND] = ActionEntry(REDUCE, 146);
   _actionMap[150][LIKE] = ActionEntry(REDUCE, 146);
   _actionMap[150][IS] = ActionEntry(REDUCE, 146);
   _actionMap[150][BETWEEN] = ActionEntry(REDUCE, 146);
   _actionMap[150][NOT] = ActionEntry(REDUCE, 146);
   _actionMap[150][INTOK] = ActionEntry(REDUCE, 146);
   _actionMap[150][EQU] = ActionEntry(REDUCE, 146);
   _actionMap[150][NEGATION] = ActionEntry(REDUCE, 146);
   _actionMap[150][LT] = ActionEntry(REDUCE, 146);
   _actionMap[150][MT] = ActionEntry(REDUCE, 146);
   _actionMap[150][DESC] = ActionEntry(REDUCE, 146);
   _actionMap[150][ASC] = ActionEntry(REDUCE, 146);
   _actionMap[150][KSEP] = ActionEntry(REDUCE, 146);
   _actionMap[150][ROWLIMIT] = ActionEntry(REDUCE, 146);
   _actionMap[150][UNION] = ActionEntry(REDUCE, 146);
   _actionMap[150][ENDTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[150][RB] = ActionEntry(REDUCE, 146);
   _actionMap[150][SEMICOLON] = ActionEntry(REDUCE, 146);
   _actionMap[150][CONCAT] = ActionEntry(REDUCE, 146);
   _actionMap[150][STAR] = ActionEntry(REDUCE, 146);
   _actionMap[150][DIVISION] = ActionEntry(REDUCE, 146);
   _actionMap[150][MINUS] = ActionEntry(REDUCE, 146);
   _actionMap[150][PLUS] = ActionEntry(REDUCE, 146);
   _actionMap[151][WHEN] = ActionEntry(REDUCE, 342);
   _actionMap[151][ELSE] = ActionEntry(REDUCE, 342);
   _actionMap[151][LEFT] = ActionEntry(REDUCE, 342);
   _actionMap[151][RIGHT] = ActionEntry(REDUCE, 342);
   _actionMap[151][INNER] = ActionEntry(REDUCE, 342);
   _actionMap[151][JOIN] = ActionEntry(REDUCE, 342);
}
void Cego::loadParser236()
{
   _actionMap[151][RETURNTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[151][ORDER] = ActionEntry(REDUCE, 342);
   _actionMap[151][GROUP] = ActionEntry(REDUCE, 342);
   _actionMap[151][WHERE] = ActionEntry(REDUCE, 342);
   _actionMap[151][FROM] = ActionEntry(REDUCE, 342);
   _actionMap[151][AS] = ActionEntry(REDUCE, 342);
   _actionMap[151][END_TOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[151][BEGIN] = ActionEntry(REDUCE, 342);
   _actionMap[151][THEN] = ActionEntry(REDUCE, 342);
   _actionMap[151][OR] = ActionEntry(REDUCE, 342);
   _actionMap[151][AND] = ActionEntry(REDUCE, 342);
   _actionMap[151][INTOK] = ActionEntry(REDUCE, 342);
   _actionMap[151][NOT] = ActionEntry(REDUCE, 342);
   _actionMap[151][BETWEEN] = ActionEntry(REDUCE, 342);
   _actionMap[151][IS] = ActionEntry(REDUCE, 342);
   _actionMap[151][LIKE] = ActionEntry(REDUCE, 342);
   _actionMap[151][MT] = ActionEntry(REDUCE, 342);
   _actionMap[151][LT] = ActionEntry(REDUCE, 342);
   _actionMap[151][NEGATION] = ActionEntry(REDUCE, 342);
   _actionMap[151][EQU] = ActionEntry(REDUCE, 342);
   _actionMap[151][RB] = ActionEntry(REDUCE, 342);
   _actionMap[151][ENDTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[151][UNION] = ActionEntry(REDUCE, 342);
   _actionMap[151][ROWLIMIT] = ActionEntry(REDUCE, 342);
   _actionMap[151][KSEP] = ActionEntry(REDUCE, 342);
   _actionMap[151][ASC] = ActionEntry(REDUCE, 342);
   _actionMap[151][DESC] = ActionEntry(REDUCE, 342);
   _actionMap[151][SEMICOLON] = ActionEntry(REDUCE, 342);
   _actionMap[151][PLUS] = ActionEntry(REDUCE, 342);
   _actionMap[151][MINUS] = ActionEntry(REDUCE, 342);
   _actionMap[151][LB] = ActionEntry(REDUCE, 367);
   _actionMap[151][DIVISION] = ActionEntry(REDUCE, 342);
   _actionMap[151][STAR] = ActionEntry(REDUCE, 342);
   _actionMap[151][CONCAT] = ActionEntry(REDUCE, 342);
   _actionMap[152][STAR] = ActionEntry(SHIFT, 283);
   _actionMap[153][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[153][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[153][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[153][ObjSpec] = 284;
   _actionMap[154][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[154][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[154][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[154][ObjSpec] = 285;
   _actionMap[155][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[155][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[155][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[155][ObjSpec] = 286;
   _actionMap[156][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[156][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[156][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
}
void Cego::loadParser237()
{
   _jumpMap[156][ObjSpec] = 287;
   _actionMap[157][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[157][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[157][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[157][ObjSpec] = 288;
   _actionMap[158][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[158][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[158][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[158][ObjSpec] = 289;
   _actionMap[159][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[159][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[159][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[159][ObjSpec] = 290;
   _actionMap[160][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[160][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[160][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[160][ObjSpec] = 291;
   _actionMap[161][FROM] = ActionEntry(SHIFT, 292);
   _actionMap[162][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[162][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[162][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[162][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[162][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[162][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[162][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[162][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[162][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[162][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[162][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[162][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[162][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[162][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[162][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[162][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[162][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[162][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[162][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[162][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[162][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[162][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[162][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[162][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[162][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[162][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[162][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[162][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[162][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[162][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[162][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[162][NEXTCOUNT] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser238()
{
   _actionMap[162][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[162][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[162][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[162][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[162][LB] = ActionEntry(SHIFT, 144);
   _actionMap[162][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[162][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[162][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[162][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[162][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[162][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[162][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[162][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[162][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[162][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[162][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[162][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[162][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[162][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[162][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[162][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[162][ObjSpec] = 100;
   _jumpMap[162][Constant] = 99;
   _jumpMap[162][SignedFloat] = 98;
   _jumpMap[162][SignedInt] = 97;
   _jumpMap[162][Attribute] = 96;
   _jumpMap[162][Function] = 95;
   _jumpMap[162][SelectItem] = 295;
   _jumpMap[162][SelectionList] = 294;
   _jumpMap[162][CasePrepare] = 94;
   _jumpMap[162][CaseClause] = 93;
   _jumpMap[162][Factor] = 92;
   _jumpMap[162][Term] = 91;
   _jumpMap[162][Expr] = 293;
   _actionMap[163][VARREF] = ActionEntry(REDUCE, 241);
   _actionMap[163][FETCH] = ActionEntry(REDUCE, 241);
   _actionMap[163][LB] = ActionEntry(REDUCE, 241);
   _actionMap[163][COUNT] = ActionEntry(REDUCE, 241);
   _actionMap[163][SUM] = ActionEntry(REDUCE, 241);
   _actionMap[163][AVG] = ActionEntry(REDUCE, 241);
   _actionMap[163][MIN] = ActionEntry(REDUCE, 241);
   _actionMap[163][MAX] = ActionEntry(REDUCE, 241);
   _actionMap[163][CASE] = ActionEntry(REDUCE, 241);
   _actionMap[163][TRIM] = ActionEntry(REDUCE, 241);
   _actionMap[163][RTRIM] = ActionEntry(REDUCE, 241);
   _actionMap[163][LTRIM] = ActionEntry(REDUCE, 241);
   _actionMap[163][ROUND] = ActionEntry(REDUCE, 241);
   _actionMap[163][DATE2STR] = ActionEntry(REDUCE, 241);
   _actionMap[163][DATE2INT] = ActionEntry(REDUCE, 241);
   _actionMap[163][INT2DATE] = ActionEntry(REDUCE, 241);
}
void Cego::loadParser239()
{
   _actionMap[163][LOWER] = ActionEntry(REDUCE, 241);
   _actionMap[163][UPPER] = ActionEntry(REDUCE, 241);
   _actionMap[163][LEFT] = ActionEntry(REDUCE, 241);
   _actionMap[163][RIGHT] = ActionEntry(REDUCE, 241);
   _actionMap[163][GETPOS] = ActionEntry(REDUCE, 241);
   _actionMap[163][SUBSTR] = ActionEntry(REDUCE, 241);
   _actionMap[163][REPLACE] = ActionEntry(REDUCE, 241);
   _actionMap[163][LENGTH] = ActionEntry(REDUCE, 241);
   _actionMap[163][TRUNC] = ActionEntry(REDUCE, 241);
   _actionMap[163][STR2INT] = ActionEntry(REDUCE, 241);
   _actionMap[163][STR2LONG] = ActionEntry(REDUCE, 241);
   _actionMap[163][STR2DATE] = ActionEntry(REDUCE, 241);
   _actionMap[163][RANDSTR] = ActionEntry(REDUCE, 241);
   _actionMap[163][RANDINT] = ActionEntry(REDUCE, 241);
   _actionMap[163][MOD] = ActionEntry(REDUCE, 241);
   _actionMap[163][DIV] = ActionEntry(REDUCE, 241);
   _actionMap[163][POWER] = ActionEntry(REDUCE, 241);
   _actionMap[163][BITAND] = ActionEntry(REDUCE, 241);
   _actionMap[163][BITOR] = ActionEntry(REDUCE, 241);
   _actionMap[163][BITXOR] = ActionEntry(REDUCE, 241);
   _actionMap[163][BLOBSIZE] = ActionEntry(REDUCE, 241);
   _actionMap[163][NEXTCOUNT] = ActionEntry(REDUCE, 241);
   _actionMap[163][SETCOUNT] = ActionEntry(REDUCE, 241);
   _actionMap[163][IDENTIFIER] = ActionEntry(REDUCE, 241);
   _actionMap[163][QUALIFIEDOBJ] = ActionEntry(REDUCE, 241);
   _actionMap[163][QUALIFIEDTS] = ActionEntry(REDUCE, 241);
   _actionMap[163][QUALIFIEDPRE] = ActionEntry(REDUCE, 241);
   _actionMap[163][STRINGVAL] = ActionEntry(REDUCE, 241);
   _actionMap[163][DATE] = ActionEntry(REDUCE, 241);
   _actionMap[163][SYSDATE] = ActionEntry(REDUCE, 241);
   _actionMap[163][NULLTOKEN] = ActionEntry(REDUCE, 241);
   _actionMap[163][TRUEVAL] = ActionEntry(REDUCE, 241);
   _actionMap[163][FALSEVAL] = ActionEntry(REDUCE, 241);
   _actionMap[163][LAB] = ActionEntry(REDUCE, 241);
   _actionMap[163][FLOATVAL] = ActionEntry(REDUCE, 241);
   _actionMap[163][MINUS] = ActionEntry(REDUCE, 241);
   _actionMap[163][INTVAL] = ActionEntry(REDUCE, 241);
   _actionMap[164][FROM] = ActionEntry(REDUCE, 203);
   _actionMap[165][OFF] = ActionEntry(SHIFT, 296);
   _actionMap[165][ON] = ActionEntry(SHIFT, 297);
   _actionMap[166][OFF] = ActionEntry(SHIFT, 298);
   _actionMap[166][ON] = ActionEntry(SHIFT, 299);
   _actionMap[167][IDENTIFIER] = ActionEntry(SHIFT, 183);
   _jumpMap[167][CounterId] = 300;
   _actionMap[168][IDENTIFIER] = ActionEntry(SHIFT, 301);
   _actionMap[169][IDENTIFIER] = ActionEntry(SHIFT, 302);
   _actionMap[170][EQU] = ActionEntry(SHIFT, 303);
   _actionMap[171][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[171][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[171][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
}
void Cego::loadParser240()
{
   _jumpMap[171][ObjSpec] = 304;
   _actionMap[172][SEMICOLON] = ActionEntry(REDUCE, 17);
   _actionMap[173][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[173][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[173][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[173][ObjSpec] = 305;
   _actionMap[174][SEMICOLON] = ActionEntry(REDUCE, 18);
   _actionMap[175][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[175][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[175][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[175][ObjSpec] = 306;
   _actionMap[176][SEMICOLON] = ActionEntry(REDUCE, 186);
   _actionMap[177][SEMICOLON] = ActionEntry(REDUCE, 15);
   _actionMap[178][IDENTIFIER] = ActionEntry(SHIFT, 309);
   _actionMap[178][SET] = ActionEntry(REDUCE, 257);
   _jumpMap[178][UpdDelAlias] = 307;
   _actionMap[179][CALL] = ActionEntry(SHIFT, 310);
   _actionMap[1][TABLE] = ActionEntry(SHIFT, 45);
   _actionMap[1][INDEX] = ActionEntry(SHIFT, 43);
   _actionMap[1][VIEW] = ActionEntry(SHIFT, 46);
   _actionMap[1][PROCEDURE] = ActionEntry(SHIFT, 44);
   _actionMap[1][FOREIGN] = ActionEntry(SHIFT, 42);
   _actionMap[1][CHECK] = ActionEntry(SHIFT, 40);
   _actionMap[1][BTREE] = ActionEntry(SHIFT, 39);
   _actionMap[1][COUNTER] = ActionEntry(SHIFT, 41);
   _actionMap[2][SEMICOLON] = ActionEntry(SHIFT, 47);
   _actionMap[3][SEMICOLON] = ActionEntry(REDUCE, 31);
   _actionMap[4][SEMICOLON] = ActionEntry(REDUCE, 32);
   _actionMap[5][SEMICOLON] = ActionEntry(REDUCE, 33);
   _actionMap[6][SEMICOLON] = ActionEntry(REDUCE, 43);
   _actionMap[7][SEMICOLON] = ActionEntry(REDUCE, 41);
   _actionMap[8][SEMICOLON] = ActionEntry(REDUCE, 45);
   _actionMap[9][SEMICOLON] = ActionEntry(REDUCE, 44);
   _actionMap[10][SEMICOLON] = ActionEntry(REDUCE, 46);
   _actionMap[11][SEMICOLON] = ActionEntry(REDUCE, 47);
   _actionMap[12][TABLE] = ActionEntry(SHIFT, 48);
   _actionMap[13][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[14][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[14][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[14][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[14][ObjSpec] = 50;
   _actionMap[15][INDEX] = ActionEntry(SHIFT, 54);
   _actionMap[16][SEMICOLON] = ActionEntry(REDUCE, 187);
   _actionMap[17][VIEW] = ActionEntry(SHIFT, 63);
   _actionMap[17][TABLE] = ActionEntry(SHIFT, 61);
   _actionMap[17][PRIMARY] = ActionEntry(SHIFT, 59);
   _actionMap[17][COUNTER] = ActionEntry(SHIFT, 58);
   _actionMap[17][PROCEDURE] = ActionEntry(SHIFT, 60);
   _actionMap[17][UNIQUE] = ActionEntry(SHIFT, 62);
   _actionMap[17][INDEX] = ActionEntry(REDUCE, 183);
}
void Cego::loadParser241()
{
   _actionMap[17][BTREE] = ActionEntry(REDUCE, 183);
   _jumpMap[17][IndexOption] = 57;
   _jumpMap[17][ProcDef] = 56;
   _jumpMap[17][ProcHead] = 55;
   _actionMap[18][FROM] = ActionEntry(SHIFT, 64);
   _actionMap[19][TABLE] = ActionEntry(SHIFT, 70);
   _actionMap[19][INDEX] = ActionEntry(SHIFT, 68);
   _actionMap[19][BTREE] = ActionEntry(SHIFT, 65);
   _actionMap[19][VIEW] = ActionEntry(SHIFT, 71);
   _actionMap[19][FOREIGN] = ActionEntry(SHIFT, 67);
   _actionMap[19][CHECK] = ActionEntry(SHIFT, 66);
   _actionMap[19][PROCEDURE] = ActionEntry(SHIFT, 69);
   _actionMap[20][COUNTER] = ActionEntry(REDUCE, 64);
   _actionMap[20][IF] = ActionEntry(SHIFT, 72);
   _actionMap[20][BTREE] = ActionEntry(REDUCE, 64);
   _actionMap[20][CHECK] = ActionEntry(REDUCE, 64);
   _actionMap[20][FOREIGN] = ActionEntry(REDUCE, 64);
   _actionMap[20][PROCEDURE] = ActionEntry(REDUCE, 64);
   _actionMap[20][VIEW] = ActionEntry(REDUCE, 64);
   _actionMap[20][INDEX] = ActionEntry(REDUCE, 64);
   _actionMap[20][TABLE] = ActionEntry(REDUCE, 64);
   _actionMap[21][INTO] = ActionEntry(SHIFT, 73);
   _actionMap[22][IDENTIFIER] = ActionEntry(SHIFT, 75);
   _jumpMap[22][JdbcArgList] = 74;
   _actionMap[23][TABLESET] = ActionEntry(SHIFT, 84);
   _actionMap[23][TABLE] = ActionEntry(SHIFT, 83);
   _actionMap[23][PROCEDURE] = ActionEntry(SHIFT, 81);
   _actionMap[23][VIEW] = ActionEntry(SHIFT, 86);
   _actionMap[23][INDEX] = ActionEntry(SHIFT, 79);
   _actionMap[23][BTREE] = ActionEntry(SHIFT, 76);
   _actionMap[23][KEY] = ActionEntry(SHIFT, 80);
   _actionMap[23][COUNTER] = ActionEntry(SHIFT, 78);
   _actionMap[23][SYSOBJ] = ActionEntry(SHIFT, 82);
   _actionMap[23][TMPOBJ] = ActionEntry(SHIFT, 85);
   _actionMap[23][CHECK] = ActionEntry(SHIFT, 77);
   _actionMap[24][VIEW] = ActionEntry(SHIFT, 88);
   _actionMap[24][PROCEDURE] = ActionEntry(SHIFT, 60);
   _jumpMap[24][ProcDef] = 87;
   _jumpMap[24][ProcHead] = 55;
   _actionMap[25][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[25][SelectStatement] = 89;
   _actionMap[26][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[26][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[26][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[26][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[26][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[26][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[26][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[26][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[26][DATE2INT] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser242()
{
   _actionMap[26][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[26][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[26][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[26][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[26][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[26][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[26][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[26][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[26][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[26][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[26][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[26][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[26][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[26][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[26][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[26][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[26][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[26][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[26][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[26][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[26][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[26][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[26][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[26][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[26][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[26][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[26][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[26][LB] = ActionEntry(SHIFT, 144);
   _actionMap[26][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[26][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[26][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[26][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[26][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[26][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[26][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[26][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[26][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[26][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[26][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[26][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[26][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[26][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[26][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[26][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[26][ObjSpec] = 100;
   _jumpMap[26][Constant] = 99;
   _jumpMap[26][SignedFloat] = 98;
   _jumpMap[26][SignedInt] = 97;
   _jumpMap[26][Attribute] = 96;
   _jumpMap[26][Function] = 95;
}
void Cego::loadParser243()
{
   _jumpMap[26][CasePrepare] = 94;
   _jumpMap[26][CaseClause] = 93;
   _jumpMap[26][Factor] = 92;
   _jumpMap[26][Term] = 91;
   _jumpMap[26][Expr] = 90;
   _actionMap[27][TABLE] = ActionEntry(SHIFT, 157);
   _actionMap[27][INDEX] = ActionEntry(SHIFT, 154);
   _actionMap[27][KEY] = ActionEntry(SHIFT, 155);
   _actionMap[27][PROCEDURE] = ActionEntry(SHIFT, 156);
   _actionMap[27][VIEW] = ActionEntry(SHIFT, 158);
   _actionMap[27][CHECK] = ActionEntry(SHIFT, 153);
   _actionMap[28][TABLE] = ActionEntry(SHIFT, 160);
   _actionMap[28][INDEX] = ActionEntry(SHIFT, 159);
   _actionMap[29][SEMICOLON] = ActionEntry(REDUCE, 188);
   _actionMap[30][DISTINCT] = ActionEntry(SHIFT, 163);
   _actionMap[30][VARREF] = ActionEntry(REDUCE, 242);
   _actionMap[30][FETCH] = ActionEntry(REDUCE, 242);
   _actionMap[30][LB] = ActionEntry(REDUCE, 242);
   _actionMap[30][COUNT] = ActionEntry(REDUCE, 242);
   _actionMap[30][SUM] = ActionEntry(REDUCE, 242);
   _actionMap[30][AVG] = ActionEntry(REDUCE, 242);
   _actionMap[30][MIN] = ActionEntry(REDUCE, 242);
   _actionMap[30][MAX] = ActionEntry(REDUCE, 242);
   _actionMap[30][CASE] = ActionEntry(REDUCE, 242);
   _actionMap[30][TRIM] = ActionEntry(REDUCE, 242);
   _actionMap[30][RTRIM] = ActionEntry(REDUCE, 242);
   _actionMap[30][LTRIM] = ActionEntry(REDUCE, 242);
   _actionMap[30][ROUND] = ActionEntry(REDUCE, 242);
   _actionMap[30][DATE2STR] = ActionEntry(REDUCE, 242);
   _actionMap[30][DATE2INT] = ActionEntry(REDUCE, 242);
   _actionMap[30][INT2DATE] = ActionEntry(REDUCE, 242);
   _actionMap[30][LOWER] = ActionEntry(REDUCE, 242);
   _actionMap[30][UPPER] = ActionEntry(REDUCE, 242);
   _actionMap[30][LEFT] = ActionEntry(REDUCE, 242);
   _actionMap[30][RIGHT] = ActionEntry(REDUCE, 242);
   _actionMap[30][GETPOS] = ActionEntry(REDUCE, 242);
   _actionMap[30][SUBSTR] = ActionEntry(REDUCE, 242);
   _actionMap[30][REPLACE] = ActionEntry(REDUCE, 242);
   _actionMap[30][LENGTH] = ActionEntry(REDUCE, 242);
   _actionMap[30][TRUNC] = ActionEntry(REDUCE, 242);
   _actionMap[30][STR2INT] = ActionEntry(REDUCE, 242);
   _actionMap[30][STR2LONG] = ActionEntry(REDUCE, 242);
   _actionMap[30][STR2DATE] = ActionEntry(REDUCE, 242);
   _actionMap[30][RANDSTR] = ActionEntry(REDUCE, 242);
   _actionMap[30][RANDINT] = ActionEntry(REDUCE, 242);
   _actionMap[30][MOD] = ActionEntry(REDUCE, 242);
   _actionMap[30][DIV] = ActionEntry(REDUCE, 242);
   _actionMap[30][POWER] = ActionEntry(REDUCE, 242);
   _actionMap[30][BITAND] = ActionEntry(REDUCE, 242);
   _actionMap[30][BITOR] = ActionEntry(REDUCE, 242);
}
void Cego::loadParser244()
{
   _actionMap[30][BITXOR] = ActionEntry(REDUCE, 242);
   _actionMap[30][BLOBSIZE] = ActionEntry(REDUCE, 242);
   _actionMap[30][NEXTCOUNT] = ActionEntry(REDUCE, 242);
   _actionMap[30][SETCOUNT] = ActionEntry(REDUCE, 242);
   _actionMap[30][IDENTIFIER] = ActionEntry(REDUCE, 242);
   _actionMap[30][QUALIFIEDOBJ] = ActionEntry(REDUCE, 242);
   _actionMap[30][QUALIFIEDTS] = ActionEntry(REDUCE, 242);
   _actionMap[30][QUALIFIEDPRE] = ActionEntry(REDUCE, 242);
   _actionMap[30][STRINGVAL] = ActionEntry(REDUCE, 242);
   _actionMap[30][DATE] = ActionEntry(REDUCE, 242);
   _actionMap[30][SYSDATE] = ActionEntry(REDUCE, 242);
   _actionMap[30][NULLTOKEN] = ActionEntry(REDUCE, 242);
   _actionMap[30][TRUEVAL] = ActionEntry(REDUCE, 242);
   _actionMap[30][FALSEVAL] = ActionEntry(REDUCE, 242);
   _actionMap[30][LAB] = ActionEntry(REDUCE, 242);
   _actionMap[30][FLOATVAL] = ActionEntry(REDUCE, 242);
   _actionMap[30][MINUS] = ActionEntry(REDUCE, 242);
   _actionMap[30][INTVAL] = ActionEntry(REDUCE, 242);
   _actionMap[30][STAR] = ActionEntry(SHIFT, 164);
   _jumpMap[30][DistinctOpt] = 162;
   _jumpMap[30][Selection] = 161;
   _actionMap[31][TABLESET] = ActionEntry(SHIFT, 169);
   _actionMap[31][APPEND] = ActionEntry(SHIFT, 165);
   _actionMap[31][AUTOCOMMIT] = ActionEntry(SHIFT, 166);
   _actionMap[31][ISOLATION] = ActionEntry(SHIFT, 168);
   _actionMap[31][IDENTIFIER] = ActionEntry(SHIFT, 170);
   _actionMap[31][COUNTER] = ActionEntry(SHIFT, 167);
   _actionMap[32][POOL] = ActionEntry(SHIFT, 172);
   _actionMap[32][SYSTEMSPACE] = ActionEntry(SHIFT, 174);
   _actionMap[32][PROCEDURE] = ActionEntry(SHIFT, 173);
   _actionMap[32][VIEW] = ActionEntry(SHIFT, 175);
   _actionMap[32][CHECK] = ActionEntry(SHIFT, 171);
   _actionMap[33][TRANSACTION] = ActionEntry(SHIFT, 176);
   _actionMap[34][SEMICOLON] = ActionEntry(REDUCE, 1);
   _actionMap[35][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[35][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[35][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[35][ObjSpec] = 177;
   _actionMap[36][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[36][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[36][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[36][ObjSpec] = 178;
   _actionMap[37][SEMICOLON] = ActionEntry(REDUCE, 16);
   _actionMap[38][EQU] = ActionEntry(SHIFT, 179);
   _actionMap[0][DROP] = ActionEntry(SHIFT, 20);
   _actionMap[0][RENAME] = ActionEntry(SHIFT, 27);
   _actionMap[0][ALTER] = ActionEntry(SHIFT, 12);
   _actionMap[0][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[0][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[0][INSERT] = ActionEntry(SHIFT, 21);
}
void Cego::loadParser245()
{
   _actionMap[0][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[0][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[0][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[0][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[0][SYNC] = ActionEntry(SHIFT, 34);
   _actionMap[0][LIST] = ActionEntry(SHIFT, 23);
   _actionMap[0][TABLEINFO] = ActionEntry(SHIFT, 35);
   _actionMap[0][UPTIME] = ActionEntry(SHIFT, 37);
   _actionMap[0][SHOW] = ActionEntry(SHIFT, 32);
   _actionMap[0][DESC] = ActionEntry(SHIFT, 19);
   _actionMap[0][SET] = ActionEntry(SHIFT, 31);
   _actionMap[0][AUTHORIZE] = ActionEntry(SHIFT, 13);
   _actionMap[0][REORGANIZE] = ActionEntry(SHIFT, 28);
   _actionMap[0][PLAN] = ActionEntry(SHIFT, 25);
   _actionMap[0][CREATE] = ActionEntry(SHIFT, 17);
   _actionMap[0][LOAD] = ActionEntry(SHIFT, 24);
   _actionMap[0][CALL] = ActionEntry(SHIFT, 14);
   _actionMap[0][VARREF] = ActionEntry(SHIFT, 38);
   _actionMap[0][PRINT] = ActionEntry(SHIFT, 26);
   _actionMap[0][CHECK] = ActionEntry(SHIFT, 15);
   _actionMap[0][JDBC] = ActionEntry(SHIFT, 22);
   _jumpMap[0][RenameStatement] = 11;
   _jumpMap[0][AlterStatement] = 10;
   _jumpMap[0][DeleteStatement] = 9;
   _jumpMap[0][UpdateStatement] = 8;
   _jumpMap[0][SelectStatement] = 7;
   _jumpMap[0][InsertStatement] = 6;
   _jumpMap[0][RollbackStatement] = 5;
   _jumpMap[0][CommitStatement] = 4;
   _jumpMap[0][StartStatement] = 3;
   _jumpMap[0][Statement] = 2;
   _jumpMap[0][DropOpt] = 1;
}
void Cego::loadParser246()
{
   _prodInfo.Insert(ProdEntry(368, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(367, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(366, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(365, DateValue, 1));
   _prodInfo.Insert(ProdEntry(364, DateFormat, 1));
   _prodInfo.Insert(ProdEntry(363, Constant, 5));
   _prodInfo.Insert(ProdEntry(362, Constant, 1));
   _prodInfo.Insert(ProdEntry(361, Constant, 1));
   _prodInfo.Insert(ProdEntry(360, Constant, 1));
   _prodInfo.Insert(ProdEntry(359, Constant, 1));
   _prodInfo.Insert(ProdEntry(358, Constant, 6));
   _prodInfo.Insert(ProdEntry(357, Constant, 4));
   _prodInfo.Insert(ProdEntry(356, Constant, 4));
   _prodInfo.Insert(ProdEntry(355, Constant, 4));
   _prodInfo.Insert(ProdEntry(354, Constant, 1));
   _prodInfo.Insert(ProdEntry(353, Constant, 1));
   _prodInfo.Insert(ProdEntry(352, Constant, 4));
   _prodInfo.Insert(ProdEntry(351, Constant, 4));
   _prodInfo.Insert(ProdEntry(350, Constant, 4));
   _prodInfo.Insert(ProdEntry(349, Constant, 4));
   _prodInfo.Insert(ProdEntry(348, Constant, 1));
   _prodInfo.Insert(ProdEntry(347, SignedFloat, 2));
   _prodInfo.Insert(ProdEntry(346, SignedFloat, 1));
   _prodInfo.Insert(ProdEntry(345, SignedInt, 2));
   _prodInfo.Insert(ProdEntry(344, SignedInt, 1));
   _prodInfo.Insert(ProdEntry(343, Attribute, 2));
   _prodInfo.Insert(ProdEntry(342, Attribute, 1));
   _prodInfo.Insert(ProdEntry(341, Attribute, 1));
   _prodInfo.Insert(ProdEntry(340, Comparison, 2));
   _prodInfo.Insert(ProdEntry(339, Comparison, 2));
   _prodInfo.Insert(ProdEntry(338, Comparison, 1));
   _prodInfo.Insert(ProdEntry(337, Comparison, 1));
   _prodInfo.Insert(ProdEntry(336, Comparison, 2));
   _prodInfo.Insert(ProdEntry(335, Comparison, 1));
   _prodInfo.Insert(ProdEntry(334, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(333, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(332, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(331, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(330, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(329, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(328, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(327, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(326, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(325, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(324, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(323, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(322, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(321, QueryPredicate, 2));
   _prodInfo.Insert(ProdEntry(320, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(319, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(318, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(317, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(316, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(315, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(314, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(313, QueryPredicate, 6));
   _prodInfo.Insert(ProdEntry(312, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(311, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(310, QueryCondition, 1));
   _prodInfo.Insert(ProdEntry(309, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(308, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(307, NoWhere, 0));
   _prodInfo.Insert(ProdEntry(306, WhereClause, 1));
   _prodInfo.Insert(ProdEntry(305, WhereClause, 2));
   _prodInfo.Insert(ProdEntry(304, ExpressionList, 1));
   _prodInfo.Insert(ProdEntry(303, ExpressionList, 3));
   _prodInfo.Insert(ProdEntry(302, Function, 3));
   _prodInfo.Insert(ProdEntry(301, Function, 4));
   _prodInfo.Insert(ProdEntry(300, Function, 6));
   _prodInfo.Insert(ProdEntry(299, Function, 4));
   _prodInfo.Insert(ProdEntry(298, Function, 4));
   _prodInfo.Insert(ProdEntry(297, Function, 4));
   _prodInfo.Insert(ProdEntry(296, Function, 4));
   _prodInfo.Insert(ProdEntry(295, Function, 4));
   _prodInfo.Insert(ProdEntry(294, Function, 4));
   _prodInfo.Insert(ProdEntry(293, Function, 4));
   _prodInfo.Insert(ProdEntry(292, Function, 4));
   _prodInfo.Insert(ProdEntry(291, Function, 4));
   _prodInfo.Insert(ProdEntry(290, Function, 4));
   _prodInfo.Insert(ProdEntry(289, Function, 4));
   _prodInfo.Insert(ProdEntry(288, Function, 4));
   _prodInfo.Insert(ProdEntry(287, Function, 4));
   _prodInfo.Insert(ProdEntry(286, Function, 4));
   _prodInfo.Insert(ProdEntry(285, Function, 4));
   _prodInfo.Insert(ProdEntry(284, Function, 4));
   _prodInfo.Insert(ProdEntry(283, Function, 4));
   _prodInfo.Insert(ProdEntry(282, Function, 4));
   _prodInfo.Insert(ProdEntry(281, Function, 4));
   _prodInfo.Insert(ProdEntry(280, Function, 4));
   _prodInfo.Insert(ProdEntry(279, Function, 4));
   _prodInfo.Insert(ProdEntry(278, Function, 4));
   _prodInfo.Insert(ProdEntry(277, Function, 4));
   _prodInfo.Insert(ProdEntry(276, Function, 4));
   _prodInfo.Insert(ProdEntry(275, Function, 4));
   _prodInfo.Insert(ProdEntry(274, Function, 4));
   _prodInfo.Insert(ProdEntry(273, Function, 4));
   _prodInfo.Insert(ProdEntry(272, Function, 4));
   _prodInfo.Insert(ProdEntry(271, Function, 4));
   _prodInfo.Insert(ProdEntry(270, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(269, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(268, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(267, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(266, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(265, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(264, AlterOption, 5));
   _prodInfo.Insert(ProdEntry(263, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(262, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(261, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(260, AlterList, 1));
   _prodInfo.Insert(ProdEntry(259, AlterList, 3));
   _prodInfo.Insert(ProdEntry(258, AlterStatement, 4));
   _prodInfo.Insert(ProdEntry(257, UpdDelAlias, 0));
   _prodInfo.Insert(ProdEntry(256, UpdDelAlias, 1));
   _prodInfo.Insert(ProdEntry(255, DeleteStatement, 5));
   _prodInfo.Insert(ProdEntry(254, ReturnVar, 3));
   _prodInfo.Insert(ProdEntry(253, ReturnVarList, 1));
   _prodInfo.Insert(ProdEntry(252, ReturnVarList, 3));
   _prodInfo.Insert(ProdEntry(251, UpdReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(250, UpdReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(249, Assignment, 3));
   _prodInfo.Insert(ProdEntry(248, UpdateList, 1));
   _prodInfo.Insert(ProdEntry(247, UpdateList, 3));
   _prodInfo.Insert(ProdEntry(246, UpdateStatement, 7));
   _prodInfo.Insert(ProdEntry(245, NoLimit, 0));
   _prodInfo.Insert(ProdEntry(244, LimitOpt, 1));
   _prodInfo.Insert(ProdEntry(243, LimitOpt, 2));
   _prodInfo.Insert(ProdEntry(242, DistinctOpt, 0));
   _prodInfo.Insert(ProdEntry(241, DistinctOpt, 1));
   _prodInfo.Insert(ProdEntry(240, DefaultOrderOpt, 0));
   _prodInfo.Insert(ProdEntry(239, DefaultOrderOpt, 1));
   _prodInfo.Insert(ProdEntry(238, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(237, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(236, OrderingList, 2));
   _prodInfo.Insert(ProdEntry(235, OrderingList, 4));
   _prodInfo.Insert(ProdEntry(234, NoOrdering, 0));
   _prodInfo.Insert(ProdEntry(233, OrderingClause, 1));
   _prodInfo.Insert(ProdEntry(232, OrderingClause, 3));
   _prodInfo.Insert(ProdEntry(231, NoHaving, 0));
   _prodInfo.Insert(ProdEntry(230, HavingClause, 1));
   _prodInfo.Insert(ProdEntry(229, HavingClause, 4));
   _prodInfo.Insert(ProdEntry(228, GroupList, 1));
   _prodInfo.Insert(ProdEntry(227, GroupList, 3));
   _prodInfo.Insert(ProdEntry(226, NoGroup, 0));
   _prodInfo.Insert(ProdEntry(225, GroupClause, 1));
   _prodInfo.Insert(ProdEntry(224, GroupClause, 4));
   _prodInfo.Insert(ProdEntry(223, NoAliasOpt, 0));
   _prodInfo.Insert(ProdEntry(222, AliasOpt, 1));
   _prodInfo.Insert(ProdEntry(221, AliasOpt, 2));
   _prodInfo.Insert(ProdEntry(220, JoinTableOn, 1));
   _prodInfo.Insert(ProdEntry(219, Table, 2));
   _prodInfo.Insert(ProdEntry(218, Table, 1));
   _prodInfo.Insert(ProdEntry(217, TableList, 1));
   _prodInfo.Insert(ProdEntry(216, TableList, 3));
   _prodInfo.Insert(ProdEntry(215, InnerJoin, 1));
   _prodInfo.Insert(ProdEntry(214, InnerJoin, 2));
   _prodInfo.Insert(ProdEntry(213, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(212, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(211, JoinSpec, 4));
   _prodInfo.Insert(ProdEntry(210, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(209, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(208, TableSource, 1));
   _prodInfo.Insert(ProdEntry(207, TableSource, 1));
   _prodInfo.Insert(ProdEntry(206, SelectItem, 2));
   _prodInfo.Insert(ProdEntry(205, SelectionList, 1));
   _prodInfo.Insert(ProdEntry(204, SelectionList, 3));
   _prodInfo.Insert(ProdEntry(203, Selection, 1));
   _prodInfo.Insert(ProdEntry(202, Selection, 2));
   _prodInfo.Insert(ProdEntry(201, SelectStatement, 9));
   _prodInfo.Insert(ProdEntry(200, InsertValueList, 1));
   _prodInfo.Insert(ProdEntry(199, InsertValueList, 3));
   _prodInfo.Insert(ProdEntry(198, InsertArgList, 1));
   _prodInfo.Insert(ProdEntry(197, InsertArgList, 3));
   _prodInfo.Insert(ProdEntry(196, InsertValueSpec, 3));
   _prodInfo.Insert(ProdEntry(195, InsertValueSpecList, 1));
   _prodInfo.Insert(ProdEntry(194, InsertValueSpecList, 3));
   _prodInfo.Insert(ProdEntry(193, InsertPrepare, 1));
   _prodInfo.Insert(ProdEntry(192, InsertArgSpec, 0));
   _prodInfo.Insert(ProdEntry(191, InsertArgSpec, 3));
   _prodInfo.Insert(ProdEntry(190, InsertStatement, 5));
   _prodInfo.Insert(ProdEntry(189, InsertStatement, 6));
   _prodInfo.Insert(ProdEntry(188, RollbackStatement, 1));
   _prodInfo.Insert(ProdEntry(187, CommitStatement, 1));
   _prodInfo.Insert(ProdEntry(186, StartStatement, 2));
   _prodInfo.Insert(ProdEntry(185, IndexType, 1));
   _prodInfo.Insert(ProdEntry(184, IndexType, 1));
   _prodInfo.Insert(ProdEntry(183, IndexOption, 0));
   _prodInfo.Insert(ProdEntry(182, IndexOption, 1));
   _prodInfo.Insert(ProdEntry(181, SimpleAttr, 1));
   _prodInfo.Insert(ProdEntry(180, SimpleAttrList, 1));
   _prodInfo.Insert(ProdEntry(179, SimpleAttrList, 3));
   _prodInfo.Insert(ProdEntry(178, DefaultDefOpt, 0));
   _prodInfo.Insert(ProdEntry(177, DefaultOpt, 1));
   _prodInfo.Insert(ProdEntry(176, DefaultOpt, 2));
   _prodInfo.Insert(ProdEntry(175, DefaultNullOpt, 0));
   _prodInfo.Insert(ProdEntry(174, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(173, NullOpt, 2));
   _prodInfo.Insert(ProdEntry(172, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(171, ColumnDesc, 4));
   _prodInfo.Insert(ProdEntry(170, KeyColumn, 1));
   _prodInfo.Insert(ProdEntry(169, KeyColumn, 2));
   _prodInfo.Insert(ProdEntry(168, ColumnList, 1));
   _prodInfo.Insert(ProdEntry(167, ColumnList, 3));
   _prodInfo.Insert(ProdEntry(166, FetchArgList, 1));
   _prodInfo.Insert(ProdEntry(165, FetchArgList, 3));
   _prodInfo.Insert(ProdEntry(164, CasePrepare, 1));
   _prodInfo.Insert(ProdEntry(163, CaseCondition, 4));
   _prodInfo.Insert(ProdEntry(162, CaseConditionList, 1));
   _prodInfo.Insert(ProdEntry(161, CaseConditionList, 2));
   _prodInfo.Insert(ProdEntry(160, CaseClause, 5));
   _prodInfo.Insert(ProdEntry(159, Factor, 4));
   _prodInfo.Insert(ProdEntry(158, Factor, 4));
   _prodInfo.Insert(ProdEntry(157, Factor, 5));
   _prodInfo.Insert(ProdEntry(156, Factor, 4));
   _prodInfo.Insert(ProdEntry(155, Factor, 4));
   _prodInfo.Insert(ProdEntry(154, Factor, 4));
   _prodInfo.Insert(ProdEntry(153, Factor, 1));
   _prodInfo.Insert(ProdEntry(152, Factor, 3));
   _prodInfo.Insert(ProdEntry(151, Factor, 3));
   _prodInfo.Insert(ProdEntry(150, Factor, 1));
   _prodInfo.Insert(ProdEntry(149, Factor, 1));
   _prodInfo.Insert(ProdEntry(148, Factor, 6));
   _prodInfo.Insert(ProdEntry(147, Factor, 1));
   _prodInfo.Insert(ProdEntry(146, Factor, 1));
   _prodInfo.Insert(ProdEntry(145, Term, 1));
   _prodInfo.Insert(ProdEntry(144, Term, 3));
   _prodInfo.Insert(ProdEntry(143, Term, 3));
   _prodInfo.Insert(ProdEntry(142, Expr, 3));
   _prodInfo.Insert(ProdEntry(141, Expr, 1));
   _prodInfo.Insert(ProdEntry(140, Expr, 3));
   _prodInfo.Insert(ProdEntry(139, Expr, 3));
   _prodInfo.Insert(ProdEntry(138, ProcPredicate, 4));
   _prodInfo.Insert(ProdEntry(137, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(136, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(135, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(134, ProcCondition, 1));
   _prodInfo.Insert(ProdEntry(133, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(132, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(131, ProcWhileCondition, 1));
   _prodInfo.Insert(ProdEntry(130, ProcStatement, 5));
   _prodInfo.Insert(ProdEntry(129, ProcElsIfCondition, 1));
   _prodInfo.Insert(ProdEntry(128, ProcIfCondition, 1));
   _prodInfo.Insert(ProdEntry(127, ProcElsePart, 1));
   _prodInfo.Insert(ProdEntry(126, ProcElseOpt, 0));
   _prodInfo.Insert(ProdEntry(125, ProcElseOpt, 2));
   _prodInfo.Insert(ProdEntry(124, ProcElsIfOpt, 4));
   _prodInfo.Insert(ProdEntry(123, ProcElsIfList, 0));
   _prodInfo.Insert(ProdEntry(122, ProcElsIfList, 2));
   _prodInfo.Insert(ProdEntry(121, ProcIfPart, 4));
   _prodInfo.Insert(ProdEntry(120, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(119, ProcExceptionType, 1));
   _prodInfo.Insert(ProdEntry(118, ProcValueList, 1));
   _prodInfo.Insert(ProdEntry(117, ProcValueList, 3));
   _prodInfo.Insert(ProdEntry(116, ProcValueListOpt, 0));
   _prodInfo.Insert(ProdEntry(115, ProcValueListOpt, 1));
   _prodInfo.Insert(ProdEntry(114, ProcExceptionStmt, 5));
   _prodInfo.Insert(ProdEntry(113, ProcExceptionList, 0));
   _prodInfo.Insert(ProdEntry(112, ProcExceptionList, 2));
   _prodInfo.Insert(ProdEntry(111, ProcBlockStart, 1));
   _prodInfo.Insert(ProdEntry(110, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(109, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(108, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(107, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(106, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(105, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(104, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(103, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(102, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(101, ProcNoAssignment, 0));
   _prodInfo.Insert(ProdEntry(100, ProcInitialAssignment, 1));
   _prodInfo.Insert(ProdEntry(99, ProcInitialAssignment, 2));
   _prodInfo.Insert(ProdEntry(98, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(97, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(96, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(95, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(94, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(93, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(92, ProcStatementList, 2));
   _prodInfo.Insert(ProdEntry(91, ProcStatementList, 3));
   _prodInfo.Insert(ProdEntry(90, ProcStmtBlock, 2));
   _prodInfo.Insert(ProdEntry(89, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(88, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(87, ProcArgList, 1));
   _prodInfo.Insert(ProdEntry(86, ProcArgList, 3));
   _prodInfo.Insert(ProdEntry(85, ProcArgOpt, 0));
   _prodInfo.Insert(ProdEntry(84, ProcArgOpt, 1));
   _prodInfo.Insert(ProdEntry(83, ReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(82, ReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(81, ProcDef, 4));
   _prodInfo.Insert(ProdEntry(80, ProcHead, 6));
   _prodInfo.Insert(ProdEntry(79, UnionAllOpt, 0));
   _prodInfo.Insert(ProdEntry(78, UnionAllOpt, 3));
   _prodInfo.Insert(ProdEntry(77, JdbcArgList, 1));
   _prodInfo.Insert(ProdEntry(76, JdbcArgList, 2));
   _prodInfo.Insert(ProdEntry(75, Statement, 2));
   _prodInfo.Insert(ProdEntry(74, CounterId, 1));
   _prodInfo.Insert(ProdEntry(73, Statement, 5));
   _prodInfo.Insert(ProdEntry(72, Statement, 3));
   _prodInfo.Insert(ProdEntry(71, Statement, 3));
   _prodInfo.Insert(ProdEntry(70, Statement, 3));
   _prodInfo.Insert(ProdEntry(69, Statement, 2));
   _prodInfo.Insert(ProdEntry(68, Statement, 4));
   _prodInfo.Insert(ProdEntry(67, Statement, 8));
   _prodInfo.Insert(ProdEntry(66, Statement, 15));
   _prodInfo.Insert(ProdEntry(65, DropOpt, 3));
   _prodInfo.Insert(ProdEntry(64, DropOpt, 1));
   _prodInfo.Insert(ProdEntry(63, Statement, 3));
   _prodInfo.Insert(ProdEntry(62, Statement, 3));
   _prodInfo.Insert(ProdEntry(61, Statement, 4));
   _prodInfo.Insert(ProdEntry(60, Statement, 3));
   _prodInfo.Insert(ProdEntry(59, Statement, 3));
   _prodInfo.Insert(ProdEntry(58, Statement, 3));
   _prodInfo.Insert(ProdEntry(57, Statement, 3));
   _prodInfo.Insert(ProdEntry(56, Statement, 9));
   _prodInfo.Insert(ProdEntry(55, Statement, 8));
   _prodInfo.Insert(ProdEntry(54, Statement, 6));
   _prodInfo.Insert(ProdEntry(53, Statement, 7));
   _prodInfo.Insert(ProdEntry(52, Statement, 5));
   _prodInfo.Insert(ProdEntry(51, Statement, 2));
   _prodInfo.Insert(ProdEntry(50, Statement, 2));
   _prodInfo.Insert(ProdEntry(49, Statement, 5));
   _prodInfo.Insert(ProdEntry(48, Statement, 5));
   _prodInfo.Insert(ProdEntry(47, Statement, 1));
   _prodInfo.Insert(ProdEntry(46, Statement, 1));
   _prodInfo.Insert(ProdEntry(45, Statement, 1));
   _prodInfo.Insert(ProdEntry(44, Statement, 1));
   _prodInfo.Insert(ProdEntry(43, Statement, 1));
   _prodInfo.Insert(ProdEntry(42, Statement, 2));
   _prodInfo.Insert(ProdEntry(41, Statement, 1));
   _prodInfo.Insert(ProdEntry(40, Statement, 3));
   _prodInfo.Insert(ProdEntry(39, Statement, 3));
   _prodInfo.Insert(ProdEntry(38, Statement, 3));
   _prodInfo.Insert(ProdEntry(37, Statement, 3));
   _prodInfo.Insert(ProdEntry(36, Statement, 3));
   _prodInfo.Insert(ProdEntry(35, Statement, 3));
   _prodInfo.Insert(ProdEntry(34, Statement, 3));
   _prodInfo.Insert(ProdEntry(33, Statement, 1));
   _prodInfo.Insert(ProdEntry(32, Statement, 1));
   _prodInfo.Insert(ProdEntry(31, Statement, 1));
   _prodInfo.Insert(ProdEntry(30, Statement, 7));
   _prodInfo.Insert(ProdEntry(29, Statement, 3));
   _prodInfo.Insert(ProdEntry(28, Statement, 3));
   _prodInfo.Insert(ProdEntry(27, Statement, 3));
   _prodInfo.Insert(ProdEntry(26, Statement, 3));
   _prodInfo.Insert(ProdEntry(25, Statement, 3));
   _prodInfo.Insert(ProdEntry(24, Statement, 3));
   _prodInfo.Insert(ProdEntry(23, Statement, 4));
   _prodInfo.Insert(ProdEntry(22, Statement, 3));
   _prodInfo.Insert(ProdEntry(21, Statement, 3));
   _prodInfo.Insert(ProdEntry(20, Statement, 3));
   _prodInfo.Insert(ProdEntry(19, Statement, 3));
   _prodInfo.Insert(ProdEntry(18, Statement, 2));
   _prodInfo.Insert(ProdEntry(17, Statement, 2));
   _prodInfo.Insert(ProdEntry(16, Statement, 1));
   _prodInfo.Insert(ProdEntry(15, Statement, 2));
   _prodInfo.Insert(ProdEntry(14, TableSetOpt, 0));
   _prodInfo.Insert(ProdEntry(13, TableSetOpt, 2));
   _prodInfo.Insert(ProdEntry(12, Statement, 3));
   _prodInfo.Insert(ProdEntry(11, Statement, 3));
   _prodInfo.Insert(ProdEntry(10, Statement, 3));
   _prodInfo.Insert(ProdEntry(9, Statement, 3));
   _prodInfo.Insert(ProdEntry(8, Statement, 3));
   _prodInfo.Insert(ProdEntry(7, Statement, 3));
   _prodInfo.Insert(ProdEntry(6, Statement, 3));
   _prodInfo.Insert(ProdEntry(5, Statement, 3));
   _prodInfo.Insert(ProdEntry(4, Statement, 3));
   _prodInfo.Insert(ProdEntry(3, Statement, 3));
   _prodInfo.Insert(ProdEntry(2, Statement, 2));
   _prodInfo.Insert(ProdEntry(1, Statement, 1));
   _prodInfo.Insert(ProdEntry(0, Start, 2));
}

Cego::Cego()
{
   loadScanner();
   for ( int i=0; i < 833; i++)
   {
      int j;
      for ( j = 0; j < 179; j++)
         _actionMap[i][j] = ActionEntry();
      for ( j = 0; j < 117; j++)
         _jumpMap[i][j] = -1;
   }
   loadParser0();
   loadParser1();
   loadParser2();
   loadParser3();
   loadParser4();
   loadParser5();
   loadParser6();
   loadParser7();
   loadParser8();
   loadParser9();
   loadParser10();
   loadParser11();
   loadParser12();
   loadParser13();
   loadParser14();
   loadParser15();
   loadParser16();
   loadParser17();
   loadParser18();
   loadParser19();
   loadParser20();
   loadParser21();
   loadParser22();
   loadParser23();
   loadParser24();
   loadParser25();
   loadParser26();
   loadParser27();
   loadParser28();
   loadParser29();
   loadParser30();
   loadParser31();
   loadParser32();
   loadParser33();
   loadParser34();
   loadParser35();
   loadParser36();
   loadParser37();
   loadParser38();
   loadParser39();
   loadParser40();
   loadParser41();
   loadParser42();
   loadParser43();
   loadParser44();
   loadParser45();
   loadParser46();
   loadParser47();
   loadParser48();
   loadParser49();
   loadParser50();
   loadParser51();
   loadParser52();
   loadParser53();
   loadParser54();
   loadParser55();
   loadParser56();
   loadParser57();
   loadParser58();
   loadParser59();
   loadParser60();
   loadParser61();
   loadParser62();
   loadParser63();
   loadParser64();
   loadParser65();
   loadParser66();
   loadParser67();
   loadParser68();
   loadParser69();
   loadParser70();
   loadParser71();
   loadParser72();
   loadParser73();
   loadParser74();
   loadParser75();
   loadParser76();
   loadParser77();
   loadParser78();
   loadParser79();
   loadParser80();
   loadParser81();
   loadParser82();
   loadParser83();
   loadParser84();
   loadParser85();
   loadParser86();
   loadParser87();
   loadParser88();
   loadParser89();
   loadParser90();
   loadParser91();
   loadParser92();
   loadParser93();
   loadParser94();
   loadParser95();
   loadParser96();
   loadParser97();
   loadParser98();
   loadParser99();
   loadParser100();
   loadParser101();
   loadParser102();
   loadParser103();
   loadParser104();
   loadParser105();
   loadParser106();
   loadParser107();
   loadParser108();
   loadParser109();
   loadParser110();
   loadParser111();
   loadParser112();
   loadParser113();
   loadParser114();
   loadParser115();
   loadParser116();
   loadParser117();
   loadParser118();
   loadParser119();
   loadParser120();
   loadParser121();
   loadParser122();
   loadParser123();
   loadParser124();
   loadParser125();
   loadParser126();
   loadParser127();
   loadParser128();
   loadParser129();
   loadParser130();
   loadParser131();
   loadParser132();
   loadParser133();
   loadParser134();
   loadParser135();
   loadParser136();
   loadParser137();
   loadParser138();
   loadParser139();
   loadParser140();
   loadParser141();
   loadParser142();
   loadParser143();
   loadParser144();
   loadParser145();
   loadParser146();
   loadParser147();
   loadParser148();
   loadParser149();
   loadParser150();
   loadParser151();
   loadParser152();
   loadParser153();
   loadParser154();
   loadParser155();
   loadParser156();
   loadParser157();
   loadParser158();
   loadParser159();
   loadParser160();
   loadParser161();
   loadParser162();
   loadParser163();
   loadParser164();
   loadParser165();
   loadParser166();
   loadParser167();
   loadParser168();
   loadParser169();
   loadParser170();
   loadParser171();
   loadParser172();
   loadParser173();
   loadParser174();
   loadParser175();
   loadParser176();
   loadParser177();
   loadParser178();
   loadParser179();
   loadParser180();
   loadParser181();
   loadParser182();
   loadParser183();
   loadParser184();
   loadParser185();
   loadParser186();
   loadParser187();
   loadParser188();
   loadParser189();
   loadParser190();
   loadParser191();
   loadParser192();
   loadParser193();
   loadParser194();
   loadParser195();
   loadParser196();
   loadParser197();
   loadParser198();
   loadParser199();
   loadParser200();
   loadParser201();
   loadParser202();
   loadParser203();
   loadParser204();
   loadParser205();
   loadParser206();
   loadParser207();
   loadParser208();
   loadParser209();
   loadParser210();
   loadParser211();
   loadParser212();
   loadParser213();
   loadParser214();
   loadParser215();
   loadParser216();
   loadParser217();
   loadParser218();
   loadParser219();
   loadParser220();
   loadParser221();
   loadParser222();
   loadParser223();
   loadParser224();
   loadParser225();
   loadParser226();
   loadParser227();
   loadParser228();
   loadParser229();
   loadParser230();
   loadParser231();
   loadParser232();
   loadParser233();
   loadParser234();
   loadParser235();
   loadParser236();
   loadParser237();
   loadParser238();
   loadParser239();
   loadParser240();
   loadParser241();
   loadParser242();
   loadParser243();
   loadParser244();
   loadParser245();
   loadParser246();
   _isReserved = false;
}

Cego::~Cego()
{
}

void Cego::parse()
{
   StackT<StackEntry> s;
   StackEntry se(NONE, 0, 0);
   s.Push(se);
   _isReserved = false;
   if ( shiftToken() == false )
   {
      Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
      throw Exception(EXLOC, msg);
   }
   while ( true )
   {
      Action a;
      int num;
      if ( getAction(s.getTop()->getState(), _token, a, num) )
      {
         switch (a)
         {
            case SHIFT:
            {
               StackEntry se(TOKEN, _token, num, _tokenVal);
               s.Push(se);
               if ( shiftToken() == false )
               {
                  Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               break;
            }
            case REDUCE:
            {
               _tokenList.Empty();
               ProdEntry* pPE = _prodInfo.Find(num);
               for (int i=0; i<pPE->getNumSymbol();i++)
               {
                  StackEntry se;
                  s.Pop(se);
                  if (se.getSymbol() == TOKEN)
                     _tokenList.Insert(se.getTval());
               }
               int fstate;
               if (getJump(s.getTop()->getState(), pPE->getProd(), fstate))
               {
                  StackEntry se(PROD, pPE->getId(), fstate, _tokenVal);
                  s.Push(se);
               }
               else
               {
                  Chain msg = "Cannot reduce after token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               switch (num)
               {
                  case 368:
                     setObject3();
                     break;
                  case 367:
                     setObject2();
                     break;
                  case 366:
                     setObject1();
                     break;
                  case 365:
                     miscDateValue();
                     break;
                  case 364:
                     miscDateFormat();
                     break;
                  case 363:
                     miscBlobRef();
                     break;
                  case 362:
                     miscFalseValue();
                     break;
                  case 361:
                     miscTrueValue();
                     break;
                  case 360:
                     miscNull();
                     break;
                  case 359:
                     miscSysDate();
                     break;
                  case 358:
                     miscFormatDate();
                     break;
                  case 357:
                     miscFixedValue();
                     break;
                  case 356:
                     miscDecimalValue();
                     break;
                  case 355:
                     miscDoubleValue();
                     break;
                  case 354:
                     miscFloatValue();
                     break;
                  case 353:
                     miscStringValue();
                     break;
                  case 352:
                     miscTinyIntValue();
                     break;
                  case 351:
                     miscSmallIntValue();
                     break;
                  case 350:
                     miscBigIntValue();
                     break;
                  case 349:
                     miscLongValue();
                     break;
                  case 348:
                     miscIntValue();
                     break;
                  case 347:
                     miscNegatedFloatString();
                     break;
                  case 346:
                     miscFloatString();
                     break;
                  case 345:
                     miscNegatedIntString();
                     break;
                  case 344:
                     miscIntString();
                     break;
                  case 343:
                     miscAttribute3();
                     break;
                  case 342:
                     miscAttribute2();
                     break;
                  case 341:
                     miscAttribute1();
                     break;
                  case 340:
                     miscMoreEqualComp();
                     break;
                  case 339:
                     miscLessEqualComp();
                     break;
                  case 338:
                     miscMoreComp();
                     break;
                  case 337:
                     miscLessComp();
                     break;
                  case 336:
                     miscNotEqualComp();
                     break;
                  case 335:
                     miscEqualComp();
                     break;
                  case 334:
                     miscBlobType();
                     break;
                  case 333:
                     miscFixedType();
                     break;
                  case 332:
                     miscDecimalType();
                     break;
                  case 331:
                     miscTinyIntType();
                     break;
                  case 330:
                     miscSmallIntType();
                     break;
                  case 329:
                     miscDoubleType();
                     break;
                  case 328:
                     miscFloatType();
                     break;
                  case 327:
                     miscBigIntType();
                     break;
                  case 326:
                     miscBoolType();
                     break;
                  case 325:
                     miscDateTimeType();
                     break;
                  case 324:
                     miscStringType();
                     break;
                  case 323:
                     miscLongType();
                     break;
                  case 322:
                     miscIntType();
                     break;
                  case 321:
                     wcPredicateNotPredicate();
                     break;
                  case 320:
                     wcPredicateCondition();
                     break;
                  case 319:
                     wcPredicateNotLikeComp();
                     break;
                  case 318:
                     wcPredicateLikeComp();
                     break;
                  case 317:
                     wcPredicateNotNullComp();
                     break;
                  case 316:
                     wcPredicateNullComp();
                     break;
                  case 315:
                     wcPredicateBetween();
                     break;
                  case 314:
                     wcPredicateExprComp();
                     break;
                  case 313:
                     wcPredicateQueryNotIn();
                     break;
                  case 312:
                     wcPredicateQueryIn();
                     break;
                  case 311:
                     wcPredicateQueryExists();
                     break;
                  case 310:
                     wcConditionPredicate();
                     break;
                  case 309:
                     wcConditionOr();
                     break;
                  case 308:
                     wcConditionAnd();
                     break;
                  case 306:
                     wcEmptyClause();
                     break;
                  case 305:
                     wcWhereClause();
                     break;
                  case 304:
                     functionExprList2();
                     break;
                  case 303:
                     functionExprList1();
                     break;
                  case 302:
                     functionUserDef2();
                     break;
                  case 301:
                     functionUserDef1();
                     break;
                  case 300:
                     functionSetCount();
                     break;
                  case 299:
                     functionNextCount();
                     break;
                  case 298:
                     functionNative();
                     break;
                  case 297:
                     functionNative();
                     break;
                  case 296:
                     functionNative();
                     break;
                  case 295:
                     functionNative();
                     break;
                  case 294:
                     functionNative();
                     break;
                  case 293:
                     functionNative();
                     break;
                  case 292:
                     functionNative();
                     break;
                  case 291:
                     functionNative();
                     break;
                  case 290:
                     functionNative();
                     break;
                  case 289:
                     functionNative();
                     break;
                  case 288:
                     functionNative();
                     break;
                  case 287:
                     functionNative();
                     break;
                  case 286:
                     functionNative();
                     break;
                  case 285:
                     functionNative();
                     break;
                  case 284:
                     functionNative();
                     break;
                  case 283:
                     functionNative();
                     break;
                  case 282:
                     functionNative();
                     break;
                  case 281:
                     functionNative();
                     break;
                  case 280:
                     functionNative();
                     break;
                  case 279:
                     functionNative();
                     break;
                  case 278:
                     functionNative();
                     break;
                  case 277:
                     functionNative();
                     break;
                  case 276:
                     functionNative();
                     break;
                  case 275:
                     functionNative();
                     break;
                  case 274:
                     functionNative();
                     break;
                  case 273:
                     functionNative();
                     break;
                  case 272:
                     functionNative();
                     break;
                  case 271:
                     functionNative();
                     break;
                  case 270:
                     renameCheck();
                     break;
                  case 269:
                     renameView();
                     break;
                  case 268:
                     renameProcedure();
                     break;
                  case 267:
                     renameKey();
                     break;
                  case 266:
                     renameIndex();
                     break;
                  case 265:
                     renameTable();
                     break;
                  case 264:
                     alterRenameCol();
                     break;
                  case 263:
                     alterModCol();
                     break;
                  case 262:
                     alterAddCol();
                     break;
                  case 261:
                     alterDropCol();
                     break;
                  case 258:
                     alterStore();
                     break;
                  case 256:
                     setUpdDelAlias();
                     break;
                  case 255:
                     deleteStore();
                     break;
                  case 254:
                     returnVarAssignment();
                     break;
                  case 249:
                     updateAssignment();
                     break;
                  case 246:
                     updateStore();
                     break;
                  case 244:
                     selectLimitOpt2();
                     break;
                  case 243:
                     selectLimitOpt1();
                     break;
                  case 241:
                     selectDistinctOpt();
                     break;
                  case 238:
                     selectOrderingDesc();
                     break;
                  case 237:
                     selectOrderingAsc();
                     break;
                  case 236:
                     selectOrderingList2();
                     break;
                  case 235:
                     selectOrderingList1();
                     break;
                  case 233:
                     selectEmptyOrderingClause();
                     break;
                  case 232:
                     selectOrderingClause();
                     break;
                  case 230:
                     selectEmptyHavingClause();
                     break;
                  case 229:
                     selectHavingClause();
                     break;
                  case 228:
                     selectGroupList2();
                     break;
                  case 227:
                     selectGroupList1();
                     break;
                  case 225:
                     selectEmptyGroupClause();
                     break;
                  case 224:
                     selectGroupClause();
                     break;
                  case 222:
                     noAliasOpt();
                     break;
                  case 221:
                     aliasOpt();
                     break;
                  case 220:
                     selectStackJoinTable();
                     break;
                  case 219:
                     selectTable2();
                     break;
                  case 218:
                     selectTable1();
                     break;
                  case 213:
                     selectRightOuterJoinStore();
                     break;
                  case 212:
                     selectLeftOuterJoinStore();
                     break;
                  case 211:
                     selectInnerJoinStore();
                     break;
                  case 208:
                     selectJoinSpecStore();
                     break;
                  case 207:
                     selectTableListStore();
                     break;
                  case 206:
                     selectItem();
                     break;
                  case 205:
                     selectionList2();
                     break;
                  case 204:
                     selectionList1();
                     break;
                  case 203:
                     selectSelectionStore2();
                     break;
                  case 202:
                     selectSelectionStore1();
                     break;
                  case 201:
                     selectStore();
                     break;
                  case 200:
                     insertExprValue();
                     break;
                  case 199:
                     insertExprValue();
                     break;
                  case 198:
                     insertArg();
                     break;
                  case 197:
                     insertArg();
                     break;
                  case 196:
                     insertValueSpecStoreExecute();
                     break;
                  case 193:
                     insertPrepare();
                     break;
                  case 190:
                     insertBySelectStore();
                     break;
                  case 189:
                     insertStore();
                     break;
                  case 188:
                     rollbackStore();
                     break;
                  case 187:
                     commitStore();
                     break;
                  case 186:
                     startStore();
                     break;
                  case 185:
                     setBTreeIndex();
                     break;
                  case 184:
                     setAVLIndex();
                     break;
                  case 182:
                     setUniqueIndex();
                     break;
                  case 181:
                     createSimpleAttr();
                     break;
                  case 180:
                     createSimpleAttrList();
                     break;
                  case 177:
                     defaultNullOpt();
                     break;
                  case 176:
                     defaultOpt();
                     break;
                  case 174:
                     setNullOpt();
                     break;
                  case 173:
                     setNotNullOpt();
                     break;
                  case 172:
                     setNullOpt();
                     break;
                  case 171:
                     setColumnDesc();
                     break;
                  case 170:
                     setOrdinaryColumn();
                     break;
                  case 169:
                     setPrimaryColumn();
                     break;
                  case 166:
                     procStoreFetchArg2();
                     break;
                  case 165:
                     procStoreFetchArg1();
                     break;
                  case 164:
                     casePrepare();
                     break;
                  case 163:
                     caseCondition();
                     break;
                  case 162:
                     caseConditionList2();
                     break;
                  case 161:
                     caseConditionList1();
                     break;
                  case 160:
                     caseClause();
                     break;
                  case 159:
                     procFactor14();
                     break;
                  case 158:
                     procFactor13();
                     break;
                  case 157:
                     procFactor12();
                     break;
                  case 156:
                     procFactor11();
                     break;
                  case 155:
                     procFactor10();
                     break;
                  case 154:
                     procFactor9();
                     break;
                  case 153:
                     procFactor8();
                     break;
                  case 152:
                     procFactor7();
                     break;
                  case 151:
                     procFactor6();
                     break;
                  case 150:
                     procFactor5();
                     break;
                  case 149:
                     procFactor4();
                     break;
                  case 148:
                     procFactor3();
                     break;
                  case 147:
                     procFactor2();
                     break;
                  case 146:
                     procFactor1();
                     break;
                  case 145:
                     procTerm3();
                     break;
                  case 144:
                     procTerm2();
                     break;
                  case 143:
                     procTerm1();
                     break;
                  case 142:
                     procExpr4();
                     break;
                  case 141:
                     procExpr3();
                     break;
                  case 140:
                     procExpr2();
                     break;
                  case 139:
                     procExpr1();
                     break;
                  case 138:
                     procPredicate4();
                     break;
                  case 137:
                     procPredicate3();
                     break;
                  case 136:
                     procPredicate2();
                     break;
                  case 135:
                     procPredicate1();
                     break;
                  case 134:
                     procCondition3();
                     break;
                  case 133:
                     procCondition2();
                     break;
                  case 132:
                     procCondition1();
                     break;
                  case 131:
                     procWhileCondition();
                     break;
                  case 130:
                     procWhileStatement();
                     break;
                  case 129:
                     procElsIfCondition();
                     break;
                  case 128:
                     procIfCondition();
                     break;
                  case 127:
                     procElsePart();
                     break;
                  case 125:
                     procStoreElseBlock();
                     break;
                  case 124:
                     procStoreIfBlock();
                     break;
                  case 121:
                     procStoreIfBlock();
                     break;
                  case 120:
                     procIfStatement();
                     break;
                  case 119:
                     procExceptionCondition();
                     break;
                  case 118:
                     procExprValue();
                     break;
                  case 117:
                     procExprValue();
                     break;
                  case 115:
                     procValueSpec();
                     break;
                  case 114:
                     procExceptionStatement();
                     break;
                  case 111:
                     procBlockStart();
                     break;
                  case 110:
                     procBlockStatement();
                     break;
                  case 109:
                     procReturnStatement2();
                     break;
                  case 108:
                     procReturnStatement1();
                     break;
                  case 107:
                     procQueryStatement();
                     break;
                  case 106:
                     procQueryStatement();
                     break;
                  case 105:
                     procQueryStatement();
                     break;
                  case 104:
                     procQueryStatement();
                     break;
                  case 103:
                     procQueryStatement();
                     break;
                  case 102:
                     procQueryStatement();
                     break;
                  case 100:
                     procInitialAssignment2();
                     break;
                  case 99:
                     procInitialAssignment1();
                     break;
                  case 98:
                     procNoopStatement();
                     break;
                  case 97:
                     procAssign2NullStatement();
                     break;
                  case 96:
                     procAssignStatement();
                     break;
                  case 95:
                     procCursorCloseStatement();
                     break;
                  case 94:
                     procCursorCreateStatement();
                     break;
                  case 93:
                     procVarStatement();
                     break;
                  case 92:
                     procStoreBlock();
                     break;
                  case 89:
                     procArg2();
                     break;
                  case 88:
                     procArg1();
                     break;
                  case 82:
                     procReturnOpt();
                     break;
                  case 81:
                     procStore();
                     break;
                  case 80:
                     procHead();
                     break;
                  case 78:
                     unionAllStore();
                     break;
                  case 77:
                     jdbcArg2();
                     break;
                  case 76:
                     jdbcArg1();
                     break;
                  case 75:
                     jdbcInfo();
                     break;
                  case 74:
                     execCounterId();
                     break;
                  case 73:
                     execSetCounter();
                     break;
                  case 72:
                     execDropCounter();
                     break;
                  case 71:
                     execCreateCounter();
                     break;
                  case 70:
                     execIndexCheck();
                     break;
                  case 69:
                     execPrint();
                     break;
                  case 68:
                     execAssignStatement();
                     break;
                  case 67:
                     execCheckCreate();
                     break;
                  case 66:
                     execForeignKeyCreate();
                     break;
                  case 65:
                     dropOpt2();
                     break;
                  case 64:
                     dropOpt1();
                     break;
                  case 63:
                     execBTreeDrop();
                     break;
                  case 62:
                     execCheckDrop();
                     break;
                  case 61:
                     execFKeyDrop();
                     break;
                  case 60:
                     execProcDrop();
                     break;
                  case 59:
                     execViewDrop();
                     break;
                  case 58:
                     execIndexDrop();
                     break;
                  case 57:
                     execTableDrop();
                     break;
                  case 56:
                     execIndexCreate();
                     break;
                  case 55:
                     execPrimaryIndexCreate();
                     break;
                  case 54:
                     execUserTableCreate();
                     break;
                  case 53:
                     execFuncCall();
                     break;
                  case 52:
                     execProcCall();
                     break;
                  case 51:
                     execProcLoad();
                     break;
                  case 50:
                     execProcCreate();
                     break;
                  case 49:
                     execViewLoad();
                     break;
                  case 48:
                     execViewCreate();
                     break;
                  case 47:
                     execQuery();
                     break;
                  case 46:
                     execQuery();
                     break;
                  case 45:
                     execQuery();
                     break;
                  case 44:
                     execQuery();
                     break;
                  case 42:
                     execSelectPlan();
                     break;
                  case 41:
                     execSelect();
                     break;
                  case 40:
                     execIndexReorganize();
                     break;
                  case 39:
                     execTableReorganize();
                     break;
                  case 38:
                     execSetIsolation();
                     break;
                  case 37:
                     execDisableAutoCommit();
                     break;
                  case 36:
                     execEnableAutoCommit();
                     break;
                  case 35:
                     execDisableAppendMode();
                     break;
                  case 34:
                     execEnableAppendMode();
                     break;
                  case 33:
                     execQuery();
                     break;
                  case 32:
                     execQuery();
                     break;
                  case 31:
                     execQuery();
                     break;
                  case 30:
                     execAuthUser();
                     break;
                  case 29:
                     execSetTableSet();
                     break;
                  case 28:
                     execCheckShow();
                     break;
                  case 27:
                     execViewShow();
                     break;
                  case 26:
                     execProcShow();
                     break;
                  case 25:
                     execProcDesc();
                     break;
                  case 24:
                     execCheckDesc();
                     break;
                  case 23:
                     execKeyDesc();
                     break;
                  case 22:
                     execViewDesc();
                     break;
                  case 21:
                     execBTreeDesc();
                     break;
                  case 20:
                     execIndexDesc();
                     break;
                  case 19:
                     execTableDesc();
                     break;
                  case 18:
                     execShowSystemSpace();
                     break;
                  case 17:
                     execShowPool();
                     break;
                  case 16:
                     execShowUptime();
                     break;
                  case 15:
                     execTableInfo();
                     break;
                  case 13:
                     setTableSetOpt();
                     break;
                  case 12:
                     execListCheck();
                     break;
                  case 11:
                     execListTmpObj();
                     break;
                  case 10:
                     execListSysObj();
                     break;
                  case 9:
                     execListCounter();
                     break;
                  case 8:
                     execListKey();
                     break;
                  case 7:
                     execListBTree();
                     break;
                  case 6:
                     execListIndex();
                     break;
                  case 5:
                     execListView();
                     break;
                  case 4:
                     execListProc();
                     break;
                  case 3:
                     execListTable();
                     break;
                  case 2:
                     execListTableSet();
                     break;
                  case 1:
                     execSync();
                     break;
               }
               break;
            }
            case ACCEPT:
            {
               return;
            }
            default:
               break;
         }
      }
      else
      {
         Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
         throw Exception(EXLOC, msg);
      }
   }
}


bool Cego::getAction(int state, Cego::Token token, Cego::Action& a, int& num)
{
    if (_actionMap[state][token].getAction() != NULLACTION )
    {
	a = _actionMap[state][token].getAction();
	num = _actionMap[state][token].getNum();
	return true;
    }
    else
    {
	return false;
    }
}

bool Cego::getJump(int state, Production prod, int& fstate)
{
    if ( _jumpMap[state][prod] > 0 )
    {
       fstate = _jumpMap[state][prod];
	    return true;
    }
    else
    {
	    return false;
    }
}

bool Cego::isSepSign(char c)
{
   if (c == ';') return true;
   if (c == ',') return true;
   if (c == '=') return true;
   if (c == '<') return true;
   if (c == '>') return true;
   if (c == ')') return true;
   if (c == '(') return true;
   if (c == '[') return true;
   if (c == ']') return true;
   if (c == '/') return true;
   if (c == '+') return true;
   if (c == '-') return true;
   if (c == '|') return true;
   if (c == '*') return true;
   return false;
}
bool Cego::isSepIgnore(char c)
{
   if (c == '\t') return true;
   if (c == ' ') return true;
   if (c == '\n') return true;
   return false;
}
bool Cego::shiftToken()
{
   unsigned long i=0;
   char c;
   while ( isSepIgnore(c = nextChar()) && ! _isReserved );
   if ( _isReserved )
   {
      _token = _reservedToken;
      _isReserved = false;
      return true;
   }
   if (c == 0)
   {
      _token = ENDTOKEN;
      return true;
   }
   if (isSepSign(c))
   {
      _tokenVal[i]=c;
       i++;
   }
   else
   {
      while (c && ! isSepIgnore(c) && ! ( isSepSign(c) && i>0 ) )
      {
         _tokenVal[i]=c;
         i++;
         c = nextChar();
      }
      if (isSepSign(c)) backChar();
   }
   _tokenVal[i]=0;
   Scanner* pS = _scannerList.First();
   while (pS)
   {
      if (pS->checkPattern(_tokenVal))
      {
         _token = pS->getToken();
         return true;
      }
      pS=_scannerList.Next();
   }
   return false;
}
void Cego::setReserved(Token t)
{
   _reservedToken = t;
   _isReserved = true;
}
